#include <qscintilla2_includes.h>

#include <smoke.h>
#include <qsci_smoke.h>

namespace __smokeqsci {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAbstractScrollArea
      switch(to) {
        case 16: return (void*)(QFrame*)(QAbstractScrollArea*)xptr;
        case 47: return (void*)(QWidget*)(QAbstractScrollArea*)xptr;
        case 28: return (void*)(QObject*)(QAbstractScrollArea*)xptr;
        case 1: return (void*)(QAbstractScrollArea*)xptr;
        case 87: return (void*)(QsciScintillaBase*)(QAbstractScrollArea*)xptr;
        case 86: return (void*)(QsciScintilla*)(QAbstractScrollArea*)xptr;
        default: return xptr;
      }
    case 2:   //QActionEvent
      switch(to) {
        case 2: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QBool
      switch(to) {
        case 3: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 4:   //QByteArray
      switch(to) {
        case 4: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 5:   //QChildEvent
      switch(to) {
        case 5: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 6:   //QCloseEvent
      switch(to) {
        case 6: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 7:   //QColor
      switch(to) {
        case 7: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 8:   //QContextMenuEvent
      switch(to) {
        case 8: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 9:   //QDragEnterEvent
      switch(to) {
        case 9: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QDragLeaveEvent
      switch(to) {
        case 10: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 11:   //QDragMoveEvent
      switch(to) {
        case 11: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 12:   //QDropEvent
      switch(to) {
        case 12: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 13:   //QEvent
      switch(to) {
        case 13: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 14:   //QFocusEvent
      switch(to) {
        case 14: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 15:   //QFont
      switch(to) {
        case 15: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 16:   //QFrame
      switch(to) {
        case 47: return (void*)(QWidget*)(QFrame*)xptr;
        case 28: return (void*)(QObject*)(QFrame*)xptr;
        case 16: return (void*)(QFrame*)xptr;
        case 87: return (void*)(QsciScintillaBase*)(QFrame*)xptr;
        case 86: return (void*)(QsciScintilla*)(QFrame*)xptr;
        default: return xptr;
      }
    case 18:   //QHideEvent
      switch(to) {
        case 18: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 19:   //QIODevice
      switch(to) {
        case 28: return (void*)(QObject*)(QIODevice*)xptr;
        case 19: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 20:   //QImage
      switch(to) {
        case 20: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 21:   //QInputMethodEvent
      switch(to) {
        case 21: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 22:   //QKeyEvent
      switch(to) {
        case 22: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 23:   //QMenu
      switch(to) {
        case 23: return (void*)(QMenu*)xptr;
        default: return xptr;
      }
    case 24:   //QMetaObject
      switch(to) {
        case 24: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 25:   //QMimeData
      switch(to) {
        case 25: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 26:   //QMouseEvent
      switch(to) {
        case 26: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 27:   //QMoveEvent
      switch(to) {
        case 27: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 28:   //QObject
      switch(to) {
        case 28: return (void*)(QObject*)xptr;
        case 66: return (void*)(QsciLexerIDL*)(QObject*)xptr;
        case 59: return (void*)(QsciLexerCSharp*)(QObject*)xptr;
        case 67: return (void*)(QsciLexerJava*)(QObject*)xptr;
        case 81: return (void*)(QsciLexerVHDL*)(QObject*)xptr;
        case 83: return (void*)(QsciLexerYAML*)(QObject*)xptr;
        case 69: return (void*)(QsciLexerLua*)(QObject*)xptr;
        case 76: return (void*)(QsciLexerPython*)(QObject*)xptr;
        case 54: return (void*)(QsciLexerBash*)(QObject*)xptr;
        case 49: return (void*)(QsciAbstractAPIs*)(QObject*)xptr;
        case 57: return (void*)(QsciLexerCPP*)(QObject*)xptr;
        case 62: return (void*)(QsciLexerDiff*)(QObject*)xptr;
        case 70: return (void*)(QsciLexerMakefile*)(QObject*)xptr;
        case 68: return (void*)(QsciLexerJavaScript*)(QObject*)xptr;
        case 65: return (void*)(QsciLexerHTML*)(QObject*)xptr;
        case 78: return (void*)(QsciLexerSQL*)(QObject*)xptr;
        case 87: return (void*)(QsciScintillaBase*)(QObject*)xptr;
        case 79: return (void*)(QsciLexerTCL*)(QObject*)xptr;
        case 75: return (void*)(QsciLexerProperties*)(QObject*)xptr;
        case 60: return (void*)(QsciLexerCustom*)(QObject*)xptr;
        case 48: return (void*)(QsciAPIs*)(QObject*)xptr;
        case 58: return (void*)(QsciLexerCSS*)(QObject*)xptr;
        case 73: return (void*)(QsciLexerPerl*)(QObject*)xptr;
        case 61: return (void*)(QsciLexerD*)(QObject*)xptr;
        case 55: return (void*)(QsciLexerBatch*)(QObject*)xptr;
        case 77: return (void*)(QsciLexerRuby*)(QObject*)xptr;
        case 80: return (void*)(QsciLexerTeX*)(QObject*)xptr;
        case 53: return (void*)(QsciLexer*)(QObject*)xptr;
        case 71: return (void*)(QsciLexerPOV*)(QObject*)xptr;
        case 86: return (void*)(QsciScintilla*)(QObject*)xptr;
        case 84: return (void*)(QsciMacro*)(QObject*)xptr;
        case 74: return (void*)(QsciLexerPostScript*)(QObject*)xptr;
        case 56: return (void*)(QsciLexerCMake*)(QObject*)xptr;
        case 63: return (void*)(QsciLexerFortran*)(QObject*)xptr;
        case 64: return (void*)(QsciLexerFortran77*)(QObject*)xptr;
        case 72: return (void*)(QsciLexerPascal*)(QObject*)xptr;
        case 82: return (void*)(QsciLexerXML*)(QObject*)xptr;
        default: return xptr;
      }
    case 29:   //QPaintEngine
      switch(to) {
        case 29: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 30:   //QPaintEvent
      switch(to) {
        case 30: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 31:   //QPainter
      switch(to) {
        case 31: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 32:   //QPalette
      switch(to) {
        case 32: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 33:   //QPixmap
      switch(to) {
        case 33: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 34:   //QPoint
      switch(to) {
        case 34: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 35:   //QPrinter
      switch(to) {
        case 35: return (void*)(QPrinter*)xptr;
        case 85: return (void*)(QsciPrinter*)(QPrinter*)xptr;
        default: return xptr;
      }
    case 36:   //QRect
      switch(to) {
        case 36: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 37:   //QRegExp
      switch(to) {
        case 37: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 38:   //QResizeEvent
      switch(to) {
        case 38: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 39:   //QSettings
      switch(to) {
        case 39: return (void*)(QSettings*)xptr;
        default: return xptr;
      }
    case 40:   //QShowEvent
      switch(to) {
        case 40: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 41:   //QSize
      switch(to) {
        case 41: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 42:   //QStyle
      switch(to) {
        case 42: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 43:   //QTabletEvent
      switch(to) {
        case 43: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 44:   //QTimerEvent
      switch(to) {
        case 44: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 45:   //QVariant
      switch(to) {
        case 45: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 46:   //QWheelEvent
      switch(to) {
        case 46: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 47:   //QWidget
      switch(to) {
        case 28: return (void*)(QObject*)(QWidget*)xptr;
        case 47: return (void*)(QWidget*)xptr;
        case 87: return (void*)(QsciScintillaBase*)(QWidget*)xptr;
        case 86: return (void*)(QsciScintilla*)(QWidget*)xptr;
        default: return xptr;
      }
    case 48:   //QsciAPIs
      switch(to) {
        case 49: return (void*)(QsciAbstractAPIs*)(QsciAPIs*)xptr;
        case 28: return (void*)(QObject*)(QsciAPIs*)xptr;
        case 48: return (void*)(QsciAPIs*)xptr;
        default: return xptr;
      }
    case 49:   //QsciAbstractAPIs
      switch(to) {
        case 28: return (void*)(QObject*)(QsciAbstractAPIs*)xptr;
        case 49: return (void*)(QsciAbstractAPIs*)xptr;
        case 48: return (void*)(QsciAPIs*)(QsciAbstractAPIs*)xptr;
        default: return xptr;
      }
    case 50:   //QsciCommand
      switch(to) {
        case 50: return (void*)(QsciCommand*)xptr;
        default: return xptr;
      }
    case 51:   //QsciCommandSet
      switch(to) {
        case 51: return (void*)(QsciCommandSet*)xptr;
        default: return xptr;
      }
    case 52:   //QsciDocument
      switch(to) {
        case 52: return (void*)(QsciDocument*)xptr;
        default: return xptr;
      }
    case 53:   //QsciLexer
      switch(to) {
        case 28: return (void*)(QObject*)(QsciLexer*)xptr;
        case 53: return (void*)(QsciLexer*)xptr;
        case 66: return (void*)(QsciLexerIDL*)(QsciLexer*)xptr;
        case 59: return (void*)(QsciLexerCSharp*)(QsciLexer*)xptr;
        case 67: return (void*)(QsciLexerJava*)(QsciLexer*)xptr;
        case 81: return (void*)(QsciLexerVHDL*)(QsciLexer*)xptr;
        case 83: return (void*)(QsciLexerYAML*)(QsciLexer*)xptr;
        case 69: return (void*)(QsciLexerLua*)(QsciLexer*)xptr;
        case 76: return (void*)(QsciLexerPython*)(QsciLexer*)xptr;
        case 54: return (void*)(QsciLexerBash*)(QsciLexer*)xptr;
        case 57: return (void*)(QsciLexerCPP*)(QsciLexer*)xptr;
        case 62: return (void*)(QsciLexerDiff*)(QsciLexer*)xptr;
        case 70: return (void*)(QsciLexerMakefile*)(QsciLexer*)xptr;
        case 68: return (void*)(QsciLexerJavaScript*)(QsciLexer*)xptr;
        case 65: return (void*)(QsciLexerHTML*)(QsciLexer*)xptr;
        case 78: return (void*)(QsciLexerSQL*)(QsciLexer*)xptr;
        case 79: return (void*)(QsciLexerTCL*)(QsciLexer*)xptr;
        case 75: return (void*)(QsciLexerProperties*)(QsciLexer*)xptr;
        case 60: return (void*)(QsciLexerCustom*)(QsciLexer*)xptr;
        case 58: return (void*)(QsciLexerCSS*)(QsciLexer*)xptr;
        case 73: return (void*)(QsciLexerPerl*)(QsciLexer*)xptr;
        case 61: return (void*)(QsciLexerD*)(QsciLexer*)xptr;
        case 55: return (void*)(QsciLexerBatch*)(QsciLexer*)xptr;
        case 77: return (void*)(QsciLexerRuby*)(QsciLexer*)xptr;
        case 80: return (void*)(QsciLexerTeX*)(QsciLexer*)xptr;
        case 71: return (void*)(QsciLexerPOV*)(QsciLexer*)xptr;
        case 74: return (void*)(QsciLexerPostScript*)(QsciLexer*)xptr;
        case 56: return (void*)(QsciLexerCMake*)(QsciLexer*)xptr;
        case 63: return (void*)(QsciLexerFortran*)(QsciLexer*)xptr;
        case 64: return (void*)(QsciLexerFortran77*)(QsciLexer*)xptr;
        case 72: return (void*)(QsciLexerPascal*)(QsciLexer*)xptr;
        case 82: return (void*)(QsciLexerXML*)(QsciLexer*)xptr;
        default: return xptr;
      }
    case 54:   //QsciLexerBash
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerBash*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerBash*)xptr;
        case 54: return (void*)(QsciLexerBash*)xptr;
        default: return xptr;
      }
    case 55:   //QsciLexerBatch
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerBatch*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerBatch*)xptr;
        case 55: return (void*)(QsciLexerBatch*)xptr;
        default: return xptr;
      }
    case 56:   //QsciLexerCMake
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerCMake*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerCMake*)xptr;
        case 56: return (void*)(QsciLexerCMake*)xptr;
        default: return xptr;
      }
    case 57:   //QsciLexerCPP
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerCPP*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerCPP*)xptr;
        case 57: return (void*)(QsciLexerCPP*)xptr;
        case 66: return (void*)(QsciLexerIDL*)(QsciLexerCPP*)xptr;
        case 59: return (void*)(QsciLexerCSharp*)(QsciLexerCPP*)xptr;
        case 67: return (void*)(QsciLexerJava*)(QsciLexerCPP*)xptr;
        case 68: return (void*)(QsciLexerJavaScript*)(QsciLexerCPP*)xptr;
        default: return xptr;
      }
    case 58:   //QsciLexerCSS
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerCSS*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerCSS*)xptr;
        case 58: return (void*)(QsciLexerCSS*)xptr;
        default: return xptr;
      }
    case 59:   //QsciLexerCSharp
      switch(to) {
        case 57: return (void*)(QsciLexerCPP*)(QsciLexerCSharp*)xptr;
        case 53: return (void*)(QsciLexer*)(QsciLexerCSharp*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerCSharp*)xptr;
        case 59: return (void*)(QsciLexerCSharp*)xptr;
        default: return xptr;
      }
    case 60:   //QsciLexerCustom
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerCustom*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerCustom*)xptr;
        case 60: return (void*)(QsciLexerCustom*)xptr;
        default: return xptr;
      }
    case 61:   //QsciLexerD
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerD*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerD*)xptr;
        case 61: return (void*)(QsciLexerD*)xptr;
        default: return xptr;
      }
    case 62:   //QsciLexerDiff
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerDiff*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerDiff*)xptr;
        case 62: return (void*)(QsciLexerDiff*)xptr;
        default: return xptr;
      }
    case 63:   //QsciLexerFortran
      switch(to) {
        case 64: return (void*)(QsciLexerFortran77*)(QsciLexerFortran*)xptr;
        case 53: return (void*)(QsciLexer*)(QsciLexerFortran*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerFortran*)xptr;
        case 63: return (void*)(QsciLexerFortran*)xptr;
        default: return xptr;
      }
    case 64:   //QsciLexerFortran77
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerFortran77*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerFortran77*)xptr;
        case 64: return (void*)(QsciLexerFortran77*)xptr;
        case 63: return (void*)(QsciLexerFortran*)(QsciLexerFortran77*)xptr;
        default: return xptr;
      }
    case 65:   //QsciLexerHTML
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerHTML*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerHTML*)xptr;
        case 65: return (void*)(QsciLexerHTML*)xptr;
        case 82: return (void*)(QsciLexerXML*)(QsciLexerHTML*)xptr;
        default: return xptr;
      }
    case 66:   //QsciLexerIDL
      switch(to) {
        case 57: return (void*)(QsciLexerCPP*)(QsciLexerIDL*)xptr;
        case 53: return (void*)(QsciLexer*)(QsciLexerIDL*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerIDL*)xptr;
        case 66: return (void*)(QsciLexerIDL*)xptr;
        default: return xptr;
      }
    case 67:   //QsciLexerJava
      switch(to) {
        case 57: return (void*)(QsciLexerCPP*)(QsciLexerJava*)xptr;
        case 53: return (void*)(QsciLexer*)(QsciLexerJava*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerJava*)xptr;
        case 67: return (void*)(QsciLexerJava*)xptr;
        default: return xptr;
      }
    case 68:   //QsciLexerJavaScript
      switch(to) {
        case 57: return (void*)(QsciLexerCPP*)(QsciLexerJavaScript*)xptr;
        case 53: return (void*)(QsciLexer*)(QsciLexerJavaScript*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerJavaScript*)xptr;
        case 68: return (void*)(QsciLexerJavaScript*)xptr;
        default: return xptr;
      }
    case 69:   //QsciLexerLua
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerLua*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerLua*)xptr;
        case 69: return (void*)(QsciLexerLua*)xptr;
        default: return xptr;
      }
    case 70:   //QsciLexerMakefile
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerMakefile*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerMakefile*)xptr;
        case 70: return (void*)(QsciLexerMakefile*)xptr;
        default: return xptr;
      }
    case 71:   //QsciLexerPOV
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerPOV*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerPOV*)xptr;
        case 71: return (void*)(QsciLexerPOV*)xptr;
        default: return xptr;
      }
    case 72:   //QsciLexerPascal
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerPascal*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerPascal*)xptr;
        case 72: return (void*)(QsciLexerPascal*)xptr;
        default: return xptr;
      }
    case 73:   //QsciLexerPerl
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerPerl*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerPerl*)xptr;
        case 73: return (void*)(QsciLexerPerl*)xptr;
        default: return xptr;
      }
    case 74:   //QsciLexerPostScript
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerPostScript*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerPostScript*)xptr;
        case 74: return (void*)(QsciLexerPostScript*)xptr;
        default: return xptr;
      }
    case 75:   //QsciLexerProperties
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerProperties*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerProperties*)xptr;
        case 75: return (void*)(QsciLexerProperties*)xptr;
        default: return xptr;
      }
    case 76:   //QsciLexerPython
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerPython*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerPython*)xptr;
        case 76: return (void*)(QsciLexerPython*)xptr;
        default: return xptr;
      }
    case 77:   //QsciLexerRuby
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerRuby*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerRuby*)xptr;
        case 77: return (void*)(QsciLexerRuby*)xptr;
        default: return xptr;
      }
    case 78:   //QsciLexerSQL
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerSQL*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerSQL*)xptr;
        case 78: return (void*)(QsciLexerSQL*)xptr;
        default: return xptr;
      }
    case 79:   //QsciLexerTCL
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerTCL*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerTCL*)xptr;
        case 79: return (void*)(QsciLexerTCL*)xptr;
        default: return xptr;
      }
    case 80:   //QsciLexerTeX
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerTeX*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerTeX*)xptr;
        case 80: return (void*)(QsciLexerTeX*)xptr;
        default: return xptr;
      }
    case 81:   //QsciLexerVHDL
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerVHDL*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerVHDL*)xptr;
        case 81: return (void*)(QsciLexerVHDL*)xptr;
        default: return xptr;
      }
    case 82:   //QsciLexerXML
      switch(to) {
        case 65: return (void*)(QsciLexerHTML*)(QsciLexerXML*)xptr;
        case 53: return (void*)(QsciLexer*)(QsciLexerXML*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerXML*)xptr;
        case 82: return (void*)(QsciLexerXML*)xptr;
        default: return xptr;
      }
    case 83:   //QsciLexerYAML
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerYAML*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerYAML*)xptr;
        case 83: return (void*)(QsciLexerYAML*)xptr;
        default: return xptr;
      }
    case 84:   //QsciMacro
      switch(to) {
        case 28: return (void*)(QObject*)(QsciMacro*)xptr;
        case 84: return (void*)(QsciMacro*)xptr;
        default: return xptr;
      }
    case 85:   //QsciPrinter
      switch(to) {
        case 35: return (void*)(QPrinter*)(QsciPrinter*)xptr;
        case 85: return (void*)(QsciPrinter*)xptr;
        default: return xptr;
      }
    case 86:   //QsciScintilla
      switch(to) {
        case 87: return (void*)(QsciScintillaBase*)(QsciScintilla*)xptr;
        case 1: return (void*)(QAbstractScrollArea*)(QsciScintilla*)xptr;
        case 16: return (void*)(QFrame*)(QsciScintilla*)xptr;
        case 47: return (void*)(QWidget*)(QsciScintilla*)xptr;
        case 28: return (void*)(QObject*)(QsciScintilla*)xptr;
        case 86: return (void*)(QsciScintilla*)xptr;
        default: return xptr;
      }
    case 87:   //QsciScintillaBase
      switch(to) {
        case 1: return (void*)(QAbstractScrollArea*)(QsciScintillaBase*)xptr;
        case 16: return (void*)(QFrame*)(QsciScintillaBase*)xptr;
        case 47: return (void*)(QWidget*)(QsciScintillaBase*)xptr;
        case 28: return (void*)(QObject*)(QsciScintillaBase*)xptr;
        case 87: return (void*)(QsciScintillaBase*)xptr;
        case 86: return (void*)(QsciScintilla*)(QsciScintillaBase*)xptr;
        default: return xptr;
      }
    case 88:   //QsciStyle
      switch(to) {
        case 88: return (void*)(QsciStyle*)xptr;
        default: return xptr;
      }
    case 89:   //QsciStyledText
      switch(to) {
        case 89: return (void*)(QsciStyledText*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    49, 0,	// 1: QsciAbstractAPIs
    28, 0,	// 3: QObject
    53, 0,	// 5: QsciLexer
    57, 0,	// 7: QsciLexerCPP
    64, 0,	// 9: QsciLexerFortran77
    65, 0,	// 11: QsciLexerHTML
    35, 0,	// 13: QPrinter
    87, 0,	// 15: QsciScintillaBase
    1, 0,	// 17: QAbstractScrollArea
};

// These are the xenum functions for manipulating enum pointers
void xenum_QsciScintilla(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QsciCommand(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QsciLexerPython(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QsciStyle(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciAPIs(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciAbstractAPIs(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciCommand(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciCommandSet(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciDocument(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexer(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerBash(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerBatch(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCMake(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCPP(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCSS(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCSharp(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCustom(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerD(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerDiff(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerFortran(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerFortran77(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerHTML(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerIDL(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerJava(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerJavaScript(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerLua(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerMakefile(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPOV(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPascal(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPerl(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPostScript(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerProperties(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPython(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerRuby(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerSQL(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerTCL(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerTeX(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerVHDL(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerXML(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerYAML(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciMacro(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciPrinter(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciScintilla(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciScintillaBase(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciStyle(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciStyledText(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAbstractScrollArea", true, 0, 0, 0, 0, 0 },	//1
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QBool", true, 0, 0, 0, 0, 0 },	//3
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//4
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//5
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//6
    { "QColor", true, 0, 0, 0, 0, 0 },	//7
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//8
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//10
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//11
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//12
    { "QEvent", true, 0, 0, 0, 0, 0 },	//13
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//14
    { "QFont", true, 0, 0, 0, 0, 0 },	//15
    { "QFrame", true, 0, 0, 0, 0, 0 },	//16
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, 0, Smoke::cf_namespace, 0 },	//17
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//18
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//19
    { "QImage", true, 0, 0, 0, 0, 0 },	//20
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//21
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//22
    { "QMenu", true, 0, 0, 0, 0, 0 },	//23
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//24
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//25
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//26
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//27
    { "QObject", true, 0, 0, 0, 0, 0 },	//28
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//29
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//30
    { "QPainter", true, 0, 0, 0, 0, 0 },	//31
    { "QPalette", true, 0, 0, 0, 0, 0 },	//32
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//33
    { "QPoint", true, 0, 0, 0, 0, 0 },	//34
    { "QPrinter", true, 0, 0, 0, 0, 0 },	//35
    { "QRect", true, 0, 0, 0, 0, 0 },	//36
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//37
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//38
    { "QSettings", true, 0, 0, 0, 0, 0 },	//39
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//40
    { "QSize", true, 0, 0, 0, 0, 0 },	//41
    { "QStyle", true, 0, 0, 0, 0, 0 },	//42
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//43
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//44
    { "QVariant", true, 0, 0, 0, 0, 0 },	//45
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//46
    { "QWidget", true, 0, 0, 0, 0, 0 },	//47
    { "QsciAPIs", false, 1, xcall_QsciAPIs, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciAPIs) },	//48
    { "QsciAbstractAPIs", false, 3, xcall_QsciAbstractAPIs, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciAbstractAPIs) },	//49
    { "QsciCommand", false, 0, xcall_QsciCommand, xenum_QsciCommand, 0, sizeof(QsciCommand) },	//50
    { "QsciCommandSet", false, 0, xcall_QsciCommandSet, 0, 0, sizeof(QsciCommandSet) },	//51
    { "QsciDocument", false, 0, xcall_QsciDocument, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QsciDocument) },	//52
    { "QsciLexer", false, 3, xcall_QsciLexer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexer) },	//53
    { "QsciLexerBash", false, 5, xcall_QsciLexerBash, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerBash) },	//54
    { "QsciLexerBatch", false, 5, xcall_QsciLexerBatch, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerBatch) },	//55
    { "QsciLexerCMake", false, 5, xcall_QsciLexerCMake, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCMake) },	//56
    { "QsciLexerCPP", false, 5, xcall_QsciLexerCPP, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCPP) },	//57
    { "QsciLexerCSS", false, 5, xcall_QsciLexerCSS, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCSS) },	//58
    { "QsciLexerCSharp", false, 7, xcall_QsciLexerCSharp, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCSharp) },	//59
    { "QsciLexerCustom", false, 5, xcall_QsciLexerCustom, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCustom) },	//60
    { "QsciLexerD", false, 5, xcall_QsciLexerD, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerD) },	//61
    { "QsciLexerDiff", false, 5, xcall_QsciLexerDiff, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerDiff) },	//62
    { "QsciLexerFortran", false, 9, xcall_QsciLexerFortran, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerFortran) },	//63
    { "QsciLexerFortran77", false, 5, xcall_QsciLexerFortran77, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerFortran77) },	//64
    { "QsciLexerHTML", false, 5, xcall_QsciLexerHTML, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerHTML) },	//65
    { "QsciLexerIDL", false, 7, xcall_QsciLexerIDL, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerIDL) },	//66
    { "QsciLexerJava", false, 7, xcall_QsciLexerJava, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerJava) },	//67
    { "QsciLexerJavaScript", false, 7, xcall_QsciLexerJavaScript, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerJavaScript) },	//68
    { "QsciLexerLua", false, 5, xcall_QsciLexerLua, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerLua) },	//69
    { "QsciLexerMakefile", false, 5, xcall_QsciLexerMakefile, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerMakefile) },	//70
    { "QsciLexerPOV", false, 5, xcall_QsciLexerPOV, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPOV) },	//71
    { "QsciLexerPascal", false, 5, xcall_QsciLexerPascal, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPascal) },	//72
    { "QsciLexerPerl", false, 5, xcall_QsciLexerPerl, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPerl) },	//73
    { "QsciLexerPostScript", false, 5, xcall_QsciLexerPostScript, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPostScript) },	//74
    { "QsciLexerProperties", false, 5, xcall_QsciLexerProperties, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerProperties) },	//75
    { "QsciLexerPython", false, 5, xcall_QsciLexerPython, xenum_QsciLexerPython, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPython) },	//76
    { "QsciLexerRuby", false, 5, xcall_QsciLexerRuby, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerRuby) },	//77
    { "QsciLexerSQL", false, 5, xcall_QsciLexerSQL, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerSQL) },	//78
    { "QsciLexerTCL", false, 5, xcall_QsciLexerTCL, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerTCL) },	//79
    { "QsciLexerTeX", false, 5, xcall_QsciLexerTeX, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerTeX) },	//80
    { "QsciLexerVHDL", false, 5, xcall_QsciLexerVHDL, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerVHDL) },	//81
    { "QsciLexerXML", false, 11, xcall_QsciLexerXML, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerXML) },	//82
    { "QsciLexerYAML", false, 5, xcall_QsciLexerYAML, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerYAML) },	//83
    { "QsciMacro", false, 3, xcall_QsciMacro, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciMacro) },	//84
    { "QsciPrinter", false, 13, xcall_QsciPrinter, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciPrinter) },	//85
    { "QsciScintilla", false, 15, xcall_QsciScintilla, xenum_QsciScintilla, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciScintilla) },	//86
    { "QsciScintillaBase", false, 17, xcall_QsciScintillaBase, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciScintillaBase) },	//87
    { "QsciStyle", false, 0, xcall_QsciStyle, xenum_QsciStyle, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QsciStyle) },	//88
    { "QsciStyledText", false, 0, xcall_QsciStyledText, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QsciStyledText) },	//89
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QActionEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//1
    { "QBool", 3, Smoke::t_class|Smoke::tf_stack },	//2
    { "QByteArray", 4, Smoke::t_class|Smoke::tf_stack },	//3
    { "QChildEvent*", 5, Smoke::t_class|Smoke::tf_ptr },	//4
    { "QCloseEvent*", 6, Smoke::t_class|Smoke::tf_ptr },	//5
    { "QColor", 7, Smoke::t_class|Smoke::tf_stack },	//6
    { "QContextMenuEvent*", 8, Smoke::t_class|Smoke::tf_ptr },	//7
    { "QDragEnterEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//8
    { "QDragLeaveEvent*", 10, Smoke::t_class|Smoke::tf_ptr },	//9
    { "QDragMoveEvent*", 11, Smoke::t_class|Smoke::tf_ptr },	//10
    { "QDropEvent*", 12, Smoke::t_class|Smoke::tf_ptr },	//11
    { "QEvent*", 13, Smoke::t_class|Smoke::tf_ptr },	//12
    { "QFocusEvent*", 14, Smoke::t_class|Smoke::tf_ptr },	//13
    { "QFont", 15, Smoke::t_class|Smoke::tf_stack },	//14
    { "QHideEvent*", 18, Smoke::t_class|Smoke::tf_ptr },	//15
    { "QIODevice*", 19, Smoke::t_class|Smoke::tf_ptr },	//16
    { "QInputMethodEvent*", 21, Smoke::t_class|Smoke::tf_ptr },	//17
    { "QKeyEvent*", 22, Smoke::t_class|Smoke::tf_ptr },	//18
    { "QList<QsciCommand*>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//19
    { "QList<int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//20
    { "QList<int>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//21
    { "QMenu*", 23, Smoke::t_class|Smoke::tf_ptr },	//22
    { "QMetaObject::Call", 24, Smoke::t_enum|Smoke::tf_stack },	//23
    { "QMimeData*", 25, Smoke::t_class|Smoke::tf_ptr },	//24
    { "QMouseEvent*", 26, Smoke::t_class|Smoke::tf_ptr },	//25
    { "QMoveEvent*", 27, Smoke::t_class|Smoke::tf_ptr },	//26
    { "QObject*", 28, Smoke::t_class|Smoke::tf_ptr },	//27
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//28
    { "QPaintEngine*", 29, Smoke::t_class|Smoke::tf_ptr },	//29
    { "QPaintEvent*", 30, Smoke::t_class|Smoke::tf_ptr },	//30
    { "QPainter&", 31, Smoke::t_class|Smoke::tf_ref },	//31
    { "QPainter*", 31, Smoke::t_class|Smoke::tf_ptr },	//32
    { "QPrinter::PrinterMode", 35, Smoke::t_enum|Smoke::tf_stack },	//33
    { "QRect&", 36, Smoke::t_class|Smoke::tf_ref },	//34
    { "QRegExp&", 37, Smoke::t_class|Smoke::tf_ref },	//35
    { "QResizeEvent*", 38, Smoke::t_class|Smoke::tf_ptr },	//36
    { "QSettings&", 39, Smoke::t_class|Smoke::tf_ref },	//37
    { "QShowEvent*", 40, Smoke::t_class|Smoke::tf_ptr },	//38
    { "QSize", 41, Smoke::t_class|Smoke::tf_stack },	//39
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//40
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//41
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//42
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//43
    { "QStyle&", 42, Smoke::t_class|Smoke::tf_ref },	//44
    { "QTabletEvent*", 43, Smoke::t_class|Smoke::tf_ptr },	//45
    { "QTimerEvent*", 44, Smoke::t_class|Smoke::tf_ptr },	//46
    { "QVariant", 45, Smoke::t_class|Smoke::tf_stack },	//47
    { "QWheelEvent*", 46, Smoke::t_class|Smoke::tf_ptr },	//48
    { "QWidget*", 47, Smoke::t_class|Smoke::tf_ptr },	//49
    { "QsciAPIs*", 48, Smoke::t_class|Smoke::tf_ptr },	//50
    { "QsciAbstractAPIs*", 49, Smoke::t_class|Smoke::tf_ptr },	//51
    { "QsciCommand*", 50, Smoke::t_class|Smoke::tf_ptr },	//52
    { "QsciCommand::Command", 50, Smoke::t_enum|Smoke::tf_stack },	//53
    { "QsciCommandSet*", 51, Smoke::t_class|Smoke::tf_ptr },	//54
    { "QsciDocument", 52, Smoke::t_class|Smoke::tf_stack },	//55
    { "QsciDocument&", 52, Smoke::t_class|Smoke::tf_ref },	//56
    { "QsciDocument*", 52, Smoke::t_class|Smoke::tf_ptr },	//57
    { "QsciLexer*", 53, Smoke::t_class|Smoke::tf_ptr },	//58
    { "QsciLexerBash*", 54, Smoke::t_class|Smoke::tf_ptr },	//59
    { "QsciLexerBatch*", 55, Smoke::t_class|Smoke::tf_ptr },	//60
    { "QsciLexerCMake*", 56, Smoke::t_class|Smoke::tf_ptr },	//61
    { "QsciLexerCPP*", 57, Smoke::t_class|Smoke::tf_ptr },	//62
    { "QsciLexerCSS*", 58, Smoke::t_class|Smoke::tf_ptr },	//63
    { "QsciLexerCSharp*", 59, Smoke::t_class|Smoke::tf_ptr },	//64
    { "QsciLexerCustom*", 60, Smoke::t_class|Smoke::tf_ptr },	//65
    { "QsciLexerD*", 61, Smoke::t_class|Smoke::tf_ptr },	//66
    { "QsciLexerDiff*", 62, Smoke::t_class|Smoke::tf_ptr },	//67
    { "QsciLexerFortran*", 63, Smoke::t_class|Smoke::tf_ptr },	//68
    { "QsciLexerFortran77*", 64, Smoke::t_class|Smoke::tf_ptr },	//69
    { "QsciLexerHTML*", 65, Smoke::t_class|Smoke::tf_ptr },	//70
    { "QsciLexerIDL*", 66, Smoke::t_class|Smoke::tf_ptr },	//71
    { "QsciLexerJava*", 67, Smoke::t_class|Smoke::tf_ptr },	//72
    { "QsciLexerJavaScript*", 68, Smoke::t_class|Smoke::tf_ptr },	//73
    { "QsciLexerLua*", 69, Smoke::t_class|Smoke::tf_ptr },	//74
    { "QsciLexerMakefile*", 70, Smoke::t_class|Smoke::tf_ptr },	//75
    { "QsciLexerPOV*", 71, Smoke::t_class|Smoke::tf_ptr },	//76
    { "QsciLexerPascal*", 72, Smoke::t_class|Smoke::tf_ptr },	//77
    { "QsciLexerPerl*", 73, Smoke::t_class|Smoke::tf_ptr },	//78
    { "QsciLexerPostScript*", 74, Smoke::t_class|Smoke::tf_ptr },	//79
    { "QsciLexerProperties*", 75, Smoke::t_class|Smoke::tf_ptr },	//80
    { "QsciLexerPython*", 76, Smoke::t_class|Smoke::tf_ptr },	//81
    { "QsciLexerPython::IndentationWarning", 76, Smoke::t_enum|Smoke::tf_stack },	//82
    { "QsciLexerRuby*", 77, Smoke::t_class|Smoke::tf_ptr },	//83
    { "QsciLexerSQL*", 78, Smoke::t_class|Smoke::tf_ptr },	//84
    { "QsciLexerTCL*", 79, Smoke::t_class|Smoke::tf_ptr },	//85
    { "QsciLexerTeX*", 80, Smoke::t_class|Smoke::tf_ptr },	//86
    { "QsciLexerVHDL*", 81, Smoke::t_class|Smoke::tf_ptr },	//87
    { "QsciLexerXML*", 82, Smoke::t_class|Smoke::tf_ptr },	//88
    { "QsciLexerYAML*", 83, Smoke::t_class|Smoke::tf_ptr },	//89
    { "QsciMacro*", 84, Smoke::t_class|Smoke::tf_ptr },	//90
    { "QsciPrinter*", 85, Smoke::t_class|Smoke::tf_ptr },	//91
    { "QsciScintilla*", 86, Smoke::t_class|Smoke::tf_ptr },	//92
    { "QsciScintilla::AnnotationDisplay", 86, Smoke::t_enum|Smoke::tf_stack },	//93
    { "QsciScintilla::AutoCompletionSource", 86, Smoke::t_enum|Smoke::tf_stack },	//94
    { "QsciScintilla::AutoCompletionUseSingle", 86, Smoke::t_enum|Smoke::tf_stack },	//95
    { "QsciScintilla::BraceMatch", 86, Smoke::t_enum|Smoke::tf_stack },	//96
    { "QsciScintilla::CallTipsPosition", 86, Smoke::t_enum|Smoke::tf_stack },	//97
    { "QsciScintilla::CallTipsStyle", 86, Smoke::t_enum|Smoke::tf_stack },	//98
    { "QsciScintilla::EdgeMode", 86, Smoke::t_enum|Smoke::tf_stack },	//99
    { "QsciScintilla::EolMode", 86, Smoke::t_enum|Smoke::tf_stack },	//100
    { "QsciScintilla::FoldStyle", 86, Smoke::t_enum|Smoke::tf_stack },	//101
    { "QsciScintilla::IndentState", 86, Smoke::t_enum|Smoke::tf_stack },	//102
    { "QsciScintilla::IndicatorStyle", 86, Smoke::t_enum|Smoke::tf_stack },	//103
    { "QsciScintilla::MarginType", 86, Smoke::t_enum|Smoke::tf_stack },	//104
    { "QsciScintilla::MarkerSymbol", 86, Smoke::t_enum|Smoke::tf_stack },	//105
    { "QsciScintilla::WhitespaceVisibility", 86, Smoke::t_enum|Smoke::tf_stack },	//106
    { "QsciScintilla::WrapIndentMode", 86, Smoke::t_enum|Smoke::tf_stack },	//107
    { "QsciScintilla::WrapMode", 86, Smoke::t_enum|Smoke::tf_stack },	//108
    { "QsciScintilla::WrapVisualFlag", 86, Smoke::t_enum|Smoke::tf_stack },	//109
    { "QsciScintillaBase*", 87, Smoke::t_class|Smoke::tf_ptr },	//110
    { "QsciStyle*", 88, Smoke::t_class|Smoke::tf_ptr },	//111
    { "QsciStyle::TextCase", 88, Smoke::t_enum|Smoke::tf_stack },	//112
    { "QsciStyledText", 89, Smoke::t_class|Smoke::tf_stack },	//113
    { "QsciStyledText*", 89, Smoke::t_class|Smoke::tf_ptr },	//114
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//115
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//116
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//117
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//118
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//119
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//120
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//121
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//122
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//123
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//124
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//125
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//128
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//129
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//130
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//131
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//132
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//133
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//134
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::KeyboardModifiers", 0, Smoke::t_uint|Smoke::tf_stack },	//155
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//188
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//189
    { "bool&", 0, Smoke::t_voidp|Smoke::tf_ref },	//190
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//191
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//192
    { "const QByteArray&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//193
    { "const QColor&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//194
    { "const QFont&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//195
    { "const QImage&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//196
    { "const QList<QsciStyledText>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//197
    { "const QList<int>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//198
    { "const QMetaObject&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//199
    { "const QMetaObject*", 24, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//200
    { "const QMimeData*", 25, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//201
    { "const QPalette&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//202
    { "const QPixmap&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//203
    { "const QPoint&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//204
    { "const QRect&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//205
    { "const QRegExp&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//206
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//207
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//208
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//209
    { "const QsciDocument&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//210
    { "const QsciStyle&", 88, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//211
    { "const QsciStyledText&", 89, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//212
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//213
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//214
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//215
    { "int&", 0, Smoke::t_voidp|Smoke::tf_ref },	//216
    { "int*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//217
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//218
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//219
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//220
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//221
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//222
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//223
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    12, 0,	//1  QEvent*
    48, 0,	//3  QWheelEvent*
    27, 12, 0,	//5  QObject*, QEvent*
    46, 0,	//8  QTimerEvent*
    4, 0,	//10  QChildEvent*
    213, 0,	//12  const char*
    28, 0,	//14  QPaintDevice::PaintDeviceMetric
    189, 0,	//16  bool
    215, 0,	//18  int
    18, 0,	//20  QKeyEvent*
    26, 0,	//22  QMoveEvent*
    5, 0,	//24  QCloseEvent*
    45, 0,	//26  QTabletEvent*
    1, 0,	//28  QActionEvent*
    38, 0,	//30  QShowEvent*
    15, 0,	//32  QHideEvent*
    188, 0,	//34  _XEvent*
    44, 0,	//36  QStyle&
    202, 0,	//38  const QPalette&
    195, 0,	//40  const QFont&
    213, 213, 0,	//42  const char*, const char*
    213, 213, 215, 0,	//45  const char*, const char*, int
    23, 215, 222, 0,	//49  QMetaObject::Call, int, void**
    58, 0,	//53  QsciLexer*
    207, 0,	//55  const QString&
    208, 42, 0,	//57  const QStringList&, QStringList&
    208, 215, 98, 21, 0,	//60  const QStringList&, int, QsciScintilla::CallTipsStyle, QList<int>&
    37, 213, 0,	//65  QSettings&, const char*
    53, 0,	//68  QsciCommand::Command
    37, 0,	//70  QSettings&
    210, 0,	//72  const QsciDocument&
    27, 0,	//74  QObject*
    217, 0,	//76  int*
    51, 0,	//78  QsciAbstractAPIs*
    194, 0,	//80  const QColor&
    92, 0,	//82  QsciScintilla*
    194, 215, 0,	//84  const QColor&, int
    189, 215, 0,	//87  bool, int
    195, 215, 0,	//90  const QFont&, int
    37, 207, 0,	//93  QSettings&, const QString&
    27, 189, 0,	//96  QObject*, bool
    215, 215, 0,	//99  int, int
    215, 211, 0,	//102  int, const QsciStyle&
    82, 0,	//105  QsciLexerPython::IndentationWarning
    207, 92, 0,	//107  const QString&, QsciScintilla*
    33, 0,	//110  QPrinter::PrinterMode
    31, 189, 34, 215, 0,	//112  QPainter&, bool, QRect&, int
    110, 215, 215, 0,	//117  QsciScintillaBase*, int, int
    108, 0,	//121  QsciScintilla::WrapMode
    110, 0,	//123  QsciScintillaBase*
    110, 215, 0,	//125  QsciScintillaBase*, int
    49, 0,	//128  QWidget*
    215, 216, 216, 0,	//130  int, int&, int&
    215, 207, 215, 0,	//134  int, const QString&, int
    215, 207, 211, 0,	//138  int, const QString&, const QsciStyle&
    215, 212, 0,	//142  int, const QsciStyledText&
    215, 197, 0,	//145  int, const QList<QsciStyledText>&
    215, 215, 215, 215, 215, 0,	//148  int, int, int, int, int
    100, 0,	//154  QsciScintilla::EolMode
    207, 189, 189, 189, 189, 189, 215, 215, 189, 189, 0,	//156  const QString&, bool, bool, bool, bool, bool, int, int, bool, bool
    207, 189, 189, 189, 189, 189, 189, 0,	//167  const QString&, bool, bool, bool, bool, bool, bool
    217, 217, 0,	//175  int*, int*
    217, 217, 217, 217, 0,	//178  int*, int*, int*, int*
    103, 215, 0,	//183  QsciScintilla::IndicatorStyle, int
    191, 0,	//186  char
    204, 0,	//188  const QPoint&
    215, 217, 217, 0,	//190  int, int*, int*
    105, 215, 0,	//194  QsciScintilla::MarkerSymbol, int
    191, 215, 0,	//197  char, int
    203, 215, 0,	//200  const QPixmap&, int
    196, 215, 0,	//203  const QImage&, int
    215, 219, 0,	//206  int, unsigned int
    16, 0,	//209  QIODevice*
    215, 203, 0,	//211  int, const QPixmap&
    215, 196, 0,	//214  int, const QImage&
    194, 194, 0,	//217  const QColor&, const QColor&
    93, 0,	//220  QsciScintilla::AnnotationDisplay
    208, 0,	//222  const QStringList&
    97, 0,	//224  QsciScintilla::CallTipsPosition
    98, 0,	//226  QsciScintilla::CallTipsStyle
    198, 0,	//228  const QList<int>&
    99, 0,	//230  QsciScintilla::EdgeMode
    215, 104, 0,	//232  int, QsciScintilla::MarginType
    109, 109, 215, 0,	//235  QsciScintilla::WrapVisualFlag, QsciScintilla::WrapVisualFlag, int
    107, 0,	//239  QsciScintilla::WrapIndentMode
    215, 208, 0,	//241  int, const QStringList&
    207, 215, 215, 0,	//244  const QString&, int, int
    94, 0,	//248  QsciScintilla::AutoCompletionSource
    95, 0,	//250  QsciScintilla::AutoCompletionUseSingle
    96, 0,	//252  QsciScintilla::BraceMatch
    101, 215, 0,	//254  QsciScintilla::FoldStyle, int
    215, 189, 0,	//257  int, bool
    215, 207, 0,	//260  int, const QString&
    215, 215, 215, 215, 0,	//263  int, int, int, int
    106, 0,	//268  QsciScintilla::WhitespaceVisibility
    215, 215, 155, 0,	//270  int, int, Qt::KeyboardModifiers
    7, 0,	//274  QContextMenuEvent*
    207, 189, 189, 189, 189, 0,	//276  const QString&, bool, bool, bool, bool
    207, 189, 189, 189, 189, 189, 0,	//282  const QString&, bool, bool, bool, bool, bool
    207, 189, 189, 189, 189, 189, 215, 0,	//289  const QString&, bool, bool, bool, bool, bool, int
    207, 189, 189, 189, 189, 189, 215, 215, 0,	//297  const QString&, bool, bool, bool, bool, bool, int, int
    207, 189, 189, 189, 189, 189, 215, 215, 189, 0,	//306  const QString&, bool, bool, bool, bool, bool, int, int, bool
    207, 189, 189, 189, 0,	//316  const QString&, bool, bool, bool
    103, 0,	//321  QsciScintilla::IndicatorStyle
    105, 0,	//323  QsciScintilla::MarkerSymbol
    203, 0,	//325  const QPixmap&
    196, 0,	//327  const QImage&
    109, 0,	//329  QsciScintilla::WrapVisualFlag
    109, 109, 0,	//331  QsciScintilla::WrapVisualFlag, QsciScintilla::WrapVisualFlag
    101, 0,	//334  QsciScintilla::FoldStyle
    219, 220, 218, 0,	//336  unsigned int, unsigned long, long
    219, 220, 221, 0,	//340  unsigned int, unsigned long, void*
    219, 220, 213, 0,	//344  unsigned int, unsigned long, const char*
    219, 213, 0,	//348  unsigned int, const char*
    219, 213, 213, 0,	//351  unsigned int, const char*, const char*
    219, 218, 0,	//355  unsigned int, long
    219, 215, 0,	//358  unsigned int, int
    219, 218, 218, 192, 0,	//361  unsigned int, long, long, char*
    219, 220, 194, 0,	//366  unsigned int, unsigned long, const QColor&
    219, 194, 0,	//370  unsigned int, const QColor&
    219, 220, 32, 205, 218, 218, 0,	//373  unsigned int, unsigned long, QPainter*, const QRect&, long, long
    219, 220, 203, 0,	//380  unsigned int, unsigned long, const QPixmap&
    219, 220, 196, 0,	//384  unsigned int, unsigned long, const QImage&
    219, 0,	//388  unsigned int
    213, 215, 0,	//390  const char*, int
    215, 215, 215, 0,	//393  int, int, int
    215, 215, 213, 215, 215, 215, 215, 215, 215, 215, 0,	//397  int, int, const char*, int, int, int, int, int, int, int
    201, 0,	//408  const QMimeData*
    201, 190, 0,	//410  const QMimeData*, bool&
    193, 189, 0,	//413  const QByteArray&, bool
    8, 0,	//416  QDragEnterEvent*
    9, 0,	//418  QDragLeaveEvent*
    10, 0,	//420  QDragMoveEvent*
    11, 0,	//422  QDropEvent*
    13, 0,	//424  QFocusEvent*
    17, 0,	//426  QInputMethodEvent*
    149, 0,	//428  Qt::InputMethodQuery
    25, 0,	//430  QMouseEvent*
    30, 0,	//432  QPaintEvent*
    36, 0,	//434  QResizeEvent*
    219, 220, 0,	//436  unsigned int, unsigned long
    215, 207, 194, 194, 195, 189, 0,	//439  int, const QString&, const QColor&, const QColor&, const QFont&, bool
    112, 0,	//446  QsciStyle::TextCase
    211, 0,	//448  const QsciStyle&
    215, 207, 194, 194, 195, 0,	//450  int, const QString&, const QColor&, const QColor&, const QFont&
    207, 215, 0,	//456  const QString&, int
    207, 211, 0,	//459  const QString&, const QsciStyle&
    212, 0,	//462  const QsciStyledText&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "A0",	//1
    "A1",	//2
    "A2",	//3
    "A3",	//4
    "A4",	//5
    "A5",	//6
    "A6",	//7
    "A7",	//8
    "A8",	//9
    "A9",	//10
    "ASPAtStart",	//11
    "ASPJavaScriptComment",	//12
    "ASPJavaScriptCommentDoc",	//13
    "ASPJavaScriptCommentLine",	//14
    "ASPJavaScriptDefault",	//15
    "ASPJavaScriptDoubleQuotedString",	//16
    "ASPJavaScriptKeyword",	//17
    "ASPJavaScriptNumber",	//18
    "ASPJavaScriptRegex",	//19
    "ASPJavaScriptSingleQuotedString",	//20
    "ASPJavaScriptStart",	//21
    "ASPJavaScriptSymbol",	//22
    "ASPJavaScriptUnclosedString",	//23
    "ASPJavaScriptWord",	//24
    "ASPPythonClassName",	//25
    "ASPPythonComment",	//26
    "ASPPythonDefault",	//27
    "ASPPythonDoubleQuotedString",	//28
    "ASPPythonFunctionMethodName",	//29
    "ASPPythonIdentifier",	//30
    "ASPPythonKeyword",	//31
    "ASPPythonNumber",	//32
    "ASPPythonOperator",	//33
    "ASPPythonSingleQuotedString",	//34
    "ASPPythonStart",	//35
    "ASPPythonTripleDoubleQuotedString",	//36
    "ASPPythonTripleSingleQuotedString",	//37
    "ASPStart",	//38
    "ASPVBScriptComment",	//39
    "ASPVBScriptDefault",	//40
    "ASPVBScriptIdentifier",	//41
    "ASPVBScriptKeyword",	//42
    "ASPVBScriptNumber",	//43
    "ASPVBScriptStart",	//44
    "ASPVBScriptString",	//45
    "ASPVBScriptUnclosedString",	//46
    "ASPXCComment",	//47
    "Aborted",	//48
    "AcsAPIs",	//49
    "AcsAll",	//50
    "AcsDocument",	//51
    "AcsNone",	//52
    "Active",	//53
    "AcusAlways",	//54
    "AcusExplicit",	//55
    "AcusNever",	//56
    "AllPages",	//57
    "AnnotationBoxed",	//58
    "AnnotationHidden",	//59
    "AnnotationStandard",	//60
    "Array",	//61
    "ArrayParenthesis",	//62
    "Asm",	//63
    "Assignment",	//64
    "AtRule",	//65
    "Attribute",	//66
    "Auto",	//67
    "B0",	//68
    "B1",	//69
    "B10",	//70
    "B2",	//71
    "B3",	//72
    "B4",	//73
    "B5",	//74
    "B6",	//75
    "B7",	//76
    "B8",	//77
    "B9",	//78
    "Background",	//79
    "BackquoteString",	//80
    "Backtab",	//81
    "BacktickHereDocument",	//82
    "BacktickHereDocumentVar",	//83
    "Backticks",	//84
    "BackticksVar",	//85
    "BadDirective",	//86
    "BadStringCharacter",	//87
    "Base85String",	//88
    "BasicFunctions",	//89
    "BlockForeach",	//90
    "BlockIf",	//91
    "BlockMacro",	//92
    "BlockWhile",	//93
    "BottomLeftCorner",	//94
    "Box",	//95
    "BoxIndicator",	//96
    "BoxedFoldStyle",	//97
    "BoxedMinus",	//98
    "BoxedMinusConnected",	//99
    "BoxedPlus",	//100
    "BoxedPlusConnected",	//101
    "BoxedTreeFoldStyle",	//102
    "C5E",	//103
    "CDATA",	//104
    "CSS1Property",	//105
    "CSS2Property",	//106
    "CSS3Property",	//107
    "CallTipsAboveText",	//108
    "CallTipsBelowText",	//109
    "CallTipsContext",	//110
    "CallTipsNoAutoCompletionContext",	//111
    "CallTipsNoContext",	//112
    "CallTipsNone",	//113
    "Cancel",	//114
    "Cassette",	//115
    "CharLeft",	//116
    "CharLeftExtend",	//117
    "CharLeftRectExtend",	//118
    "CharRight",	//119
    "CharRightExtend",	//120
    "CharRightRectExtend",	//121
    "Character",	//122
    "Cicero",	//123
    "Circle",	//124
    "CircledFoldStyle",	//125
    "CircledMinus",	//126
    "CircledMinusConnected",	//127
    "CircledPlus",	//128
    "CircledPlusConnected",	//129
    "CircledTreeFoldStyle",	//130
    "ClassName",	//131
    "ClassSelector",	//132
    "ClassVariable",	//133
    "Color",	//134
    "Comm10E",	//135
    "Command",	//136
    "Comment",	//137
    "CommentBlock",	//138
    "CommentBox",	//139
    "CommentDoc",	//140
    "CommentDocKeyword",	//141
    "CommentDocKeywordError",	//142
    "CommentLine",	//143
    "CommentLineDoc",	//144
    "CommentLineHash",	//145
    "CommentNested",	//146
    "CommentParenthesis",	//147
    "Continuation",	//148
    "CoroutinesIOSystemFacilities",	//149
    "CurrentPage",	//150
    "Custom",	//151
    "DLE",	//152
    "DSCComment",	//153
    "DSCCommentValue",	//154
    "DashesIndicator",	//155
    "DataSection",	//156
    "Decorator",	//157
    "Default",	//158
    "DefaultValue",	//159
    "Delete",	//160
    "DeleteBack",	//161
    "DeleteBackNotLine",	//162
    "DeleteLineLeft",	//163
    "DeleteLineRight",	//164
    "DeleteWordLeft",	//165
    "DeleteWordRight",	//166
    "DeleteWordRightEnd",	//167
    "DemotedKeyword",	//168
    "DevicePixel",	//169
    "DiagonalIndicator",	//170
    "DictionaryParenthesis",	//171
    "Didot",	//172
    "Directive",	//173
    "DocumentDelimiter",	//174
    "DocumentEnd",	//175
    "DocumentEndExtend",	//176
    "DocumentStart",	//177
    "DocumentStartExtend",	//178
    "DotBoxIndicator",	//179
    "DotsIndicator",	//180
    "DottedOperator",	//181
    "DoubleQuotedHereDocument",	//182
    "DoubleQuotedHereDocumentVar",	//183
    "DoubleQuotedString",	//184
    "DoubleQuotedStringVar",	//185
    "DownTriangle",	//186
    "DrawChildren",	//187
    "DrawWindowBackground",	//188
    "DuplexAuto",	//189
    "DuplexLongSide",	//190
    "DuplexNone",	//191
    "DuplexShortSide",	//192
    "EdgeBackground",	//193
    "EdgeLine",	//194
    "EdgeNone",	//195
    "EditToggleOvertype",	//196
    "Entity",	//197
    "Envelope",	//198
    "EnvelopeManual",	//199
    "EolMac",	//200
    "EolUnix",	//201
    "EolWindows",	//202
    "Error",	//203
    "Executive",	//204
    "ExpandKeyword",	//205
    "ExtendedCSSProperty",	//206
    "ExtendedFunction",	//207
    "ExtendedPseudoClass",	//208
    "ExtendedPseudoElement",	//209
    "ExternalCommand",	//210
    "FirstPageFirst",	//211
    "Folio",	//212
    "FormSource",	//213
    "FormatBody",	//214
    "FormatIdentifier",	//215
    "Formfeed",	//216
    "FullRectangle",	//217
    "Function",	//218
    "FunctionMethodName",	//219
    "Global",	//220
    "GlobalClass",	//221
    "GrayScale",	//222
    "Group",	//223
    "HLine",	//224
    "HSSLanguage",	//225
    "HTMLComment",	//226
    "HTMLDoubleQuotedString",	//227
    "HTMLNumber",	//228
    "HTMLSingleQuotedString",	//229
    "HTMLValue",	//230
    "Hash",	//231
    "HashQuotedString",	//232
    "Header",	//233
    "HereDocument",	//234
    "HereDocumentDelimiter",	//235
    "HexNumber",	//236
    "HexString",	//237
    "HiddenIndicator",	//238
    "HideCommandChar",	//239
    "HighResolution",	//240
    "HighlightedIdentifier",	//241
    "Home",	//242
    "HomeDisplay",	//243
    "HomeDisplayExtend",	//244
    "HomeExtend",	//245
    "HomeRectExtend",	//246
    "HomeWrap",	//247
    "HomeWrapExtend",	//248
    "IDSelector",	//249
    "ITCLKeyword",	//250
    "Identifier",	//251
    "Idle",	//252
    "IgnoreMask",	//253
    "ImmediateEvalLiteral",	//254
    "Important",	//255
    "InactiveComment",	//256
    "InactiveCommentDoc",	//257
    "InactiveCommentDocKeyword",	//258
    "InactiveCommentDocKeywordError",	//259
    "InactiveCommentLine",	//260
    "InactiveCommentLineDoc",	//261
    "InactiveDefault",	//262
    "InactiveDoubleQuotedString",	//263
    "InactiveGlobalClass",	//264
    "InactiveHashQuotedString",	//265
    "InactiveIdentifier",	//266
    "InactiveKeyword",	//267
    "InactiveKeywordSet2",	//268
    "InactiveNumber",	//269
    "InactiveOperator",	//270
    "InactivePreProcessor",	//271
    "InactivePreProcessorComment",	//272
    "InactivePreProcessorCommentLineDoc",	//273
    "InactiveRawString",	//274
    "InactiveRegex",	//275
    "InactiveSingleQuotedString",	//276
    "InactiveTripleQuotedVerbatimString",	//277
    "InactiveUUID",	//278
    "InactiveUnclosedString",	//279
    "InactiveVerbatimString",	//280
    "Inch",	//281
    "Inconsistent",	//282
    "InstanceVariable",	//283
    "IntrinsicFunction",	//284
    "Invisible",	//285
    "JavaScriptComment",	//286
    "JavaScriptCommentDoc",	//287
    "JavaScriptCommentLine",	//288
    "JavaScriptDefault",	//289
    "JavaScriptDoubleQuotedString",	//290
    "JavaScriptKeyword",	//291
    "JavaScriptNumber",	//292
    "JavaScriptRegex",	//293
    "JavaScriptSingleQuotedString",	//294
    "JavaScriptStart",	//295
    "JavaScriptSymbol",	//296
    "JavaScriptUnclosedString",	//297
    "JavaScriptWord",	//298
    "Key",	//299
    "Keyword",	//300
    "KeywordDoc",	//301
    "KeywordSecondary",	//302
    "KeywordSet2",	//303
    "KeywordSet3",	//304
    "KeywordSet5",	//305
    "KeywordSet6",	//306
    "KeywordSet7",	//307
    "KeywordSet8",	//308
    "KeywordSet9",	//309
    "Label",	//310
    "Landscape",	//311
    "LargeCapacity",	//312
    "LargeFormat",	//313
    "LastPageFirst",	//314
    "Ledger",	//315
    "LeftRectangle",	//316
    "LeftSideRoundedSplitter",	//317
    "LeftSideSplitter",	//318
    "Legal",	//319
    "LessLanguage",	//320
    "Letter",	//321
    "LineAdded",	//322
    "LineChanged",	//323
    "LineComment",	//324
    "LineCopy",	//325
    "LineCut",	//326
    "LineDelete",	//327
    "LineDown",	//328
    "LineDownExtend",	//329
    "LineDownRectExtend",	//330
    "LineDuplicate",	//331
    "LineEnd",	//332
    "LineEndDisplay",	//333
    "LineEndDisplayExtend",	//334
    "LineEndExtend",	//335
    "LineEndRectExtend",	//336
    "LineEndWrap",	//337
    "LineEndWrapExtend",	//338
    "LineRemoved",	//339
    "LineScrollDown",	//340
    "LineScrollUp",	//341
    "LineTranspose",	//342
    "LineUp",	//343
    "LineUpExtend",	//344
    "LineUpRectExtend",	//345
    "Literal",	//346
    "LiteralString",	//347
    "Lower",	//348
    "LowerCase",	//349
    "Manual",	//350
    "MaxPageSource",	//351
    "MediaRule",	//352
    "Middle",	//353
    "Millimeter",	//354
    "Minus",	//355
    "MoNone",	//356
    "MoSublineSelect",	//357
    "Modifier",	//358
    "ModuleName",	//359
    "MoveSelectedLinesDown",	//360
    "MoveSelectedLinesUp",	//361
    "NPageSize",	//362
    "NPaperSize",	//363
    "Name",	//364
    "NativeFormat",	//365
    "Newline",	//366
    "NoBraceMatch",	//367
    "NoFoldStyle",	//368
    "NoFrame",	//369
    "NoWarning",	//370
    "Number",	//371
    "NumberMargin",	//372
    "ObjectsCSGAppearance",	//373
    "OnlyOne",	//374
    "Operator",	//375
    "OriginalCase",	//376
    "OtherInTag",	//377
    "PHPComment",	//378
    "PHPCommentLine",	//379
    "PHPDefault",	//380
    "PHPDoubleQuotedString",	//381
    "PHPDoubleQuotedVariable",	//382
    "PHPKeyword",	//383
    "PHPNumber",	//384
    "PHPOperator",	//385
    "PHPSingleQuotedString",	//386
    "PHPStart",	//387
    "PHPVariable",	//388
    "POD",	//389
    "PODVerbatim",	//390
    "PageDown",	//391
    "PageDownExtend",	//392
    "PageDownRectExtend",	//393
    "PageRange",	//394
    "PageUp",	//395
    "PageUpExtend",	//396
    "PageUpRectExtend",	//397
    "Panel",	//398
    "ParaDown",	//399
    "ParaDownExtend",	//400
    "ParaUp",	//401
    "ParaUpExtend",	//402
    "ParameterExpansion",	//403
    "Paste",	//404
    "PdfFormat",	//405
    "PercentStringQ",	//406
    "PercentStringq",	//407
    "PercentStringr",	//408
    "PercentStringw",	//409
    "PercentStringx",	//410
    "Pica",	//411
    "Plain",	//412
    "PlainFoldStyle",	//413
    "PlainIndicator",	//414
    "Plus",	//415
    "PlusComment",	//416
    "PlusKeyword",	//417
    "PlusPrompt",	//418
    "Point",	//419
    "Portrait",	//420
    "Position",	//421
    "PostScriptFormat",	//422
    "PreProcessor",	//423
    "PreProcessorComment",	//424
    "PreProcessorCommentLineDoc",	//425
    "PreProcessorParenthesis",	//426
    "PredefinedFunctions",	//427
    "PredefinedIdentifiers",	//428
    "Preprocessor",	//429
    "PrinterResolution",	//430
    "ProcedureParenthesis",	//431
    "PseudoClass",	//432
    "PseudoElement",	//433
    "PythonClassName",	//434
    "PythonComment",	//435
    "PythonDefault",	//436
    "PythonDoubleQuotedString",	//437
    "PythonFunctionMethodName",	//438
    "PythonIdentifier",	//439
    "PythonKeyword",	//440
    "PythonNumber",	//441
    "PythonOperator",	//442
    "PythonSingleQuotedString",	//443
    "PythonStart",	//444
    "PythonTripleDoubleQuotedString",	//445
    "PythonTripleSingleQuotedString",	//446
    "QSCN_SELCHANGED",	//447
    "QSCN_SELCHANGED$",	//448
    "Q_COMPLEX_TYPE",	//449
    "Q_DUMMY_TYPE",	//450
    "Q_MOVABLE_TYPE",	//451
    "Q_PRIMITIVE_TYPE",	//452
    "Q_STATIC_TYPE",	//453
    "QsciAPIs",	//454
    "QsciAPIs#",	//455
    "QsciAbstractAPIs",	//456
    "QsciAbstractAPIs#",	//457
    "QsciDocument",	//458
    "QsciDocument#",	//459
    "QsciLexer",	//460
    "QsciLexer#",	//461
    "QsciLexerBash",	//462
    "QsciLexerBash#",	//463
    "QsciLexerBatch",	//464
    "QsciLexerBatch#",	//465
    "QsciLexerCMake",	//466
    "QsciLexerCMake#",	//467
    "QsciLexerCPP",	//468
    "QsciLexerCPP#",	//469
    "QsciLexerCPP#$",	//470
    "QsciLexerCSS",	//471
    "QsciLexerCSS#",	//472
    "QsciLexerCSharp",	//473
    "QsciLexerCSharp#",	//474
    "QsciLexerCustom",	//475
    "QsciLexerCustom#",	//476
    "QsciLexerD",	//477
    "QsciLexerD#",	//478
    "QsciLexerDiff",	//479
    "QsciLexerDiff#",	//480
    "QsciLexerFortran",	//481
    "QsciLexerFortran#",	//482
    "QsciLexerFortran77",	//483
    "QsciLexerFortran77#",	//484
    "QsciLexerHTML",	//485
    "QsciLexerHTML#",	//486
    "QsciLexerIDL",	//487
    "QsciLexerIDL#",	//488
    "QsciLexerJava",	//489
    "QsciLexerJava#",	//490
    "QsciLexerJavaScript",	//491
    "QsciLexerJavaScript#",	//492
    "QsciLexerLua",	//493
    "QsciLexerLua#",	//494
    "QsciLexerMakefile",	//495
    "QsciLexerMakefile#",	//496
    "QsciLexerPOV",	//497
    "QsciLexerPOV#",	//498
    "QsciLexerPascal",	//499
    "QsciLexerPascal#",	//500
    "QsciLexerPerl",	//501
    "QsciLexerPerl#",	//502
    "QsciLexerPostScript",	//503
    "QsciLexerPostScript#",	//504
    "QsciLexerProperties",	//505
    "QsciLexerProperties#",	//506
    "QsciLexerPython",	//507
    "QsciLexerPython#",	//508
    "QsciLexerRuby",	//509
    "QsciLexerRuby#",	//510
    "QsciLexerSQL",	//511
    "QsciLexerSQL#",	//512
    "QsciLexerTCL",	//513
    "QsciLexerTCL#",	//514
    "QsciLexerTeX",	//515
    "QsciLexerTeX#",	//516
    "QsciLexerVHDL",	//517
    "QsciLexerVHDL#",	//518
    "QsciLexerXML",	//519
    "QsciLexerXML#",	//520
    "QsciLexerYAML",	//521
    "QsciLexerYAML#",	//522
    "QsciMacro",	//523
    "QsciMacro#",	//524
    "QsciMacro$#",	//525
    "QsciPrinter",	//526
    "QsciPrinter$",	//527
    "QsciScintilla",	//528
    "QsciScintilla#",	//529
    "QsciScintillaBase",	//530
    "QsciScintillaBase#",	//531
    "QsciStyle",	//532
    "QsciStyle#",	//533
    "QsciStyle$",	//534
    "QsciStyle$$###",	//535
    "QsciStyle$$###$",	//536
    "QsciStyledText",	//537
    "QsciStyledText#",	//538
    "QsciStyledText$#",	//539
    "QsciStyledText$$",	//540
    "QuotedIdentifier",	//541
    "QuotedKeyword",	//542
    "QuotedString",	//543
    "QuotedStringQ",	//544
    "QuotedStringQQ",	//545
    "QuotedStringQQVar",	//546
    "QuotedStringQR",	//547
    "QuotedStringQRVar",	//548
    "QuotedStringQW",	//549
    "QuotedStringQX",	//550
    "QuotedStringQXVar",	//551
    "Raised",	//552
    "RawString",	//553
    "Rectangle",	//554
    "Redo",	//555
    "Reference",	//556
    "Regex",	//557
    "RegexVar",	//558
    "RightArrow",	//559
    "RightTriangle",	//560
    "RoundBoxIndicator",	//561
    "RoundedBottomLeftCorner",	//562
    "SCEN_CHANGE",	//563
    "SCN_AUTOCCANCELLED",	//564
    "SCN_AUTOCCHARDELETED",	//565
    "SCN_AUTOCSELECTION",	//566
    "SCN_AUTOCSELECTION$$",	//567
    "SCN_CALLTIPCLICK",	//568
    "SCN_CALLTIPCLICK$",	//569
    "SCN_CHARADDED",	//570
    "SCN_CHARADDED$",	//571
    "SCN_DOUBLECLICK",	//572
    "SCN_DOUBLECLICK$$$",	//573
    "SCN_DWELLEND",	//574
    "SCN_DWELLEND$$$",	//575
    "SCN_DWELLSTART",	//576
    "SCN_DWELLSTART$$$",	//577
    "SCN_FOCUSIN",	//578
    "SCN_FOCUSOUT",	//579
    "SCN_HOTSPOTCLICK",	//580
    "SCN_HOTSPOTCLICK$$",	//581
    "SCN_HOTSPOTDOUBLECLICK",	//582
    "SCN_HOTSPOTDOUBLECLICK$$",	//583
    "SCN_HOTSPOTRELEASECLICK",	//584
    "SCN_HOTSPOTRELEASECLICK$$",	//585
    "SCN_INDICATORCLICK",	//586
    "SCN_INDICATORCLICK$$",	//587
    "SCN_INDICATORRELEASE",	//588
    "SCN_INDICATORRELEASE$$",	//589
    "SCN_MACRORECORD",	//590
    "SCN_MACRORECORD$$$",	//591
    "SCN_MARGINCLICK",	//592
    "SCN_MARGINCLICK$$$",	//593
    "SCN_MODIFIED",	//594
    "SCN_MODIFIED$$$$$$$$$$",	//595
    "SCN_MODIFYATTEMPTRO",	//596
    "SCN_NEEDSHOWN",	//597
    "SCN_NEEDSHOWN$$",	//598
    "SCN_PAINTED",	//599
    "SCN_SAVEPOINTLEFT",	//600
    "SCN_SAVEPOINTREACHED",	//601
    "SCN_STYLENEEDED",	//602
    "SCN_STYLENEEDED$",	//603
    "SCN_UPDATEUI",	//604
    "SCN_UPDATEUI$",	//605
    "SCN_USERLISTSELECTION",	//606
    "SCN_USERLISTSELECTION$$",	//607
    "SCN_ZOOM",	//608
    "SCSSLanguage",	//609
    "SC_ORDER_CUSTOM",	//610
    "SC_ORDER_PERFORMSORT",	//611
    "SC_ORDER_PRESORTED",	//612
    "SGMLBlockDefault",	//613
    "SGMLCommand",	//614
    "SGMLComment",	//615
    "SGMLDefault",	//616
    "SGMLDoubleQuotedString",	//617
    "SGMLEntity",	//618
    "SGMLError",	//619
    "SGMLParameter",	//620
    "SGMLParameterComment",	//621
    "SGMLSingleQuotedString",	//622
    "SGMLSpecial",	//623
    "Scalar",	//624
    "ScreenResolution",	//625
    "Script",	//626
    "ScrollToEnd",	//627
    "ScrollToStart",	//628
    "Section",	//629
    "SelectAll",	//630
    "Selection",	//631
    "SelectionCopy",	//632
    "SelectionCut",	//633
    "SelectionDuplicate",	//634
    "SelectionLowerCase",	//635
    "SelectionUpperCase",	//636
    "SendScintilla",	//637
    "SendScintilla$",	//638
    "SendScintilla$#",	//639
    "SendScintilla$$",	//640
    "SendScintilla$$#",	//641
    "SendScintilla$$##$$",	//642
    "SendScintilla$$$",	//643
    "SendScintilla$$$$",	//644
    "SendScintillaPtrResult",	//645
    "SendScintillaPtrResult$",	//646
    "Shadow_Mask",	//647
    "Shape_Mask",	//648
    "SingleQuotedHereDocument",	//649
    "SingleQuotedString",	//650
    "SloppyBraceMatch",	//651
    "SmallFormat",	//652
    "SmallRectangle",	//653
    "Spaces",	//654
    "Special",	//655
    "SquiggleIndicator",	//656
    "SquiggleLowIndicator",	//657
    "SquigglePixmapIndicator",	//658
    "StandardFunction",	//659
    "StandardOperator",	//660
    "StandardPackage",	//661
    "StandardType",	//662
    "Stderr",	//663
    "Stdin",	//664
    "Stdout",	//665
    "StraightBoxIndicator",	//666
    "StrictBraceMatch",	//667
    "StrikeIndicator",	//668
    "String",	//669
    "StringLeftQuote",	//670
    "StringRightQuote",	//671
    "StringTableMathsFunctions",	//672
    "StringVariable",	//673
    "StutteredPageDown",	//674
    "StutteredPageDownExtend",	//675
    "StutteredPageUp",	//676
    "StutteredPageUpExtend",	//677
    "StyledPanel",	//678
    "SubroutinePrototype",	//679
    "Substitution",	//680
    "SubstitutionBrace",	//681
    "SubstitutionVar",	//682
    "Sunken",	//683
    "Symbol",	//684
    "SymbolMargin",	//685
    "SymbolMarginDefaultBackgroundColor",	//686
    "SymbolMarginDefaultForegroundColor",	//687
    "SymbolTable",	//688
    "SyntaxErrorMarker",	//689
    "TCLKeyword",	//690
    "TTIndicator",	//691
    "Tab",	//692
    "Tabloid",	//693
    "Tabs",	//694
    "TabsAfterSpaces",	//695
    "Tag",	//696
    "Target",	//697
    "Text",	//698
    "TextBlockMarker",	//699
    "TextMargin",	//700
    "TextMarginRightJustified",	//701
    "ThickCompositionIndicator",	//702
    "ThreeDots",	//703
    "ThreeRightArrows",	//704
    "TkCommand",	//705
    "TkKeyword",	//706
    "Tractor",	//707
    "Translation",	//708
    "TripleDoubleQuotedString",	//709
    "TripleQuotedVerbatimString",	//710
    "TripleSingleQuotedString",	//711
    "Typedefs",	//712
    "TypesModifiersItems",	//713
    "UUID",	//714
    "UnclosedString",	//715
    "Underline",	//716
    "Undo",	//717
    "UnknownAttribute",	//718
    "UnknownProperty",	//719
    "UnknownPseudoClass",	//720
    "UnknownTag",	//721
    "UpperCase",	//722
    "VBScriptComment",	//723
    "VBScriptDefault",	//724
    "VBScriptIdentifier",	//725
    "VBScriptKeyword",	//726
    "VBScriptNumber",	//727
    "VBScriptStart",	//728
    "VBScriptString",	//729
    "VBScriptUnclosedString",	//730
    "VCHome",	//731
    "VCHomeExtend",	//732
    "VCHomeRectExtend",	//733
    "VCHomeWrap",	//734
    "VCHomeWrapExtend",	//735
    "VLine",	//736
    "Value",	//737
    "Variable",	//738
    "VerbatimString",	//739
    "VerticalCentreCaret",	//740
    "VerticalLine",	//741
    "WinPanel",	//742
    "WordLeft",	//743
    "WordLeftEnd",	//744
    "WordLeftEndExtend",	//745
    "WordLeftExtend",	//746
    "WordPartLeft",	//747
    "WordPartLeftExtend",	//748
    "WordPartRight",	//749
    "WordPartRightExtend",	//750
    "WordRight",	//751
    "WordRightEnd",	//752
    "WordRightEndExtend",	//753
    "WordRightExtend",	//754
    "WrapCharacter",	//755
    "WrapFlagByBorder",	//756
    "WrapFlagByText",	//757
    "WrapFlagInMargin",	//758
    "WrapFlagNone",	//759
    "WrapIndentFixed",	//760
    "WrapIndentIndented",	//761
    "WrapIndentSame",	//762
    "WrapNone",	//763
    "WrapWord",	//764
    "WsInvisible",	//765
    "WsVisible",	//766
    "WsVisibleAfterIndent",	//767
    "XMLEnd",	//768
    "XMLStart",	//769
    "XMLTagEnd",	//770
    "ZoomIn",	//771
    "ZoomOut",	//772
    "actionEvent",	//773
    "add",	//774
    "add$",	//775
    "alternateKey",	//776
    "annotate",	//777
    "annotate$#",	//778
    "annotate$$#",	//779
    "annotate$$$",	//780
    "annotate$?",	//781
    "annotation",	//782
    "annotation$",	//783
    "annotationDisplay",	//784
    "apiContext",	//785
    "apiContext$$$",	//786
    "apiPreparationCancelled",	//787
    "apiPreparationFinished",	//788
    "apiPreparationStarted",	//789
    "apis",	//790
    "append",	//791
    "append$",	//792
    "apply",	//793
    "apply#",	//794
    "autoCompleteFromAPIs",	//795
    "autoCompleteFromAll",	//796
    "autoCompleteFromDocument",	//797
    "autoCompletionCaseSensitivity",	//798
    "autoCompletionFillups",	//799
    "autoCompletionFillupsEnabled",	//800
    "autoCompletionReplaceWord",	//801
    "autoCompletionSelected",	//802
    "autoCompletionSelected$",	//803
    "autoCompletionShowSingle",	//804
    "autoCompletionSource",	//805
    "autoCompletionThreshold",	//806
    "autoCompletionUseSingle",	//807
    "autoCompletionWordSeparators",	//808
    "autoIndent",	//809
    "autoIndentStyle",	//810
    "backslashEscapes",	//811
    "backspaceUnindents",	//812
    "beginUndoAction",	//813
    "blockEnd",	//814
    "blockEnd$",	//815
    "blockLookback",	//816
    "blockStart",	//817
    "blockStart$",	//818
    "blockStartKeyword",	//819
    "blockStartKeyword$",	//820
    "boundTo",	//821
    "boundTo$",	//822
    "braceMatching",	//823
    "braceStyle",	//824
    "bytesAsText",	//825
    "bytesAsText$",	//826
    "callTip",	//827
    "callTips",	//828
    "callTips?$$?",	//829
    "callTipsPosition",	//830
    "callTipsStyle",	//831
    "callTipsVisible",	//832
    "canInsertFromMimeData",	//833
    "canInsertFromMimeData#",	//834
    "cancelList",	//835
    "cancelPreparation",	//836
    "caseSensitive",	//837
    "caseSensitiveTags",	//838
    "changeEvent",	//839
    "changeable",	//840
    "childEvent",	//841
    "clear",	//842
    "clearAlternateKeys",	//843
    "clearAnnotations",	//844
    "clearAnnotations$",	//845
    "clearFolds",	//846
    "clearIndicatorRange",	//847
    "clearIndicatorRange$$$$$",	//848
    "clearKeys",	//849
    "clearMarginText",	//850
    "clearMarginText$",	//851
    "clearRegisteredImages",	//852
    "closeEvent",	//853
    "color",	//854
    "color$",	//855
    "colorChanged",	//856
    "colorChanged#$",	//857
    "command",	//858
    "commands",	//859
    "connectNotify",	//860
    "contextMenuEvent",	//861
    "contextMenuEvent#",	//862
    "contractedFolds",	//863
    "convertEols",	//864
    "convertEols$",	//865
    "copy",	//866
    "copyAvailable",	//867
    "copyAvailable$",	//868
    "createStandardContextMenu",	//869
    "cursorPositionChanged",	//870
    "cursorPositionChanged$$",	//871
    "customEvent",	//872
    "cut",	//873
    "defaultColor",	//874
    "defaultColor$",	//875
    "defaultEolFill",	//876
    "defaultEolFill$",	//877
    "defaultFont",	//878
    "defaultFont$",	//879
    "defaultPaper",	//880
    "defaultPaper$",	//881
    "defaultPreparedName",	//882
    "defaultStyle",	//883
    "description",	//884
    "description$",	//885
    "devType",	//886
    "disconnectNotify",	//887
    "djangoTemplates",	//888
    "document",	//889
    "dollarsAllowed",	//890
    "dottedWords",	//891
    "dragEnterEvent",	//892
    "dragEnterEvent#",	//893
    "dragLeaveEvent",	//894
    "dragLeaveEvent#",	//895
    "dragMoveEvent",	//896
    "dragMoveEvent#",	//897
    "dropEvent",	//898
    "dropEvent#",	//899
    "edgeColor",	//900
    "edgeColumn",	//901
    "edgeMode",	//902
    "editor",	//903
    "enabledChange",	//904
    "endRecording",	//905
    "endUndoAction",	//906
    "ensureCursorVisible",	//907
    "ensureLineVisible",	//908
    "ensureLineVisible$",	//909
    "enterEvent",	//910
    "eolFill",	//911
    "eolFill$",	//912
    "eolFillChanged",	//913
    "eolFillChanged$$",	//914
    "eolMode",	//915
    "eolVisibility",	//916
    "event",	//917
    "event#",	//918
    "eventFilter",	//919
    "execute",	//920
    "extraAscent",	//921
    "extraDescent",	//922
    "fillIndicatorRange",	//923
    "fillIndicatorRange$$$$$",	//924
    "find",	//925
    "find$",	//926
    "findFirst",	//927
    "findFirst$$$$$",	//928
    "findFirst$$$$$$",	//929
    "findFirst$$$$$$$",	//930
    "findFirst$$$$$$$$",	//931
    "findFirst$$$$$$$$$",	//932
    "findFirst$$$$$$$$$$",	//933
    "findFirstInSelection",	//934
    "findFirstInSelection$$$$",	//935
    "findFirstInSelection$$$$$",	//936
    "findFirstInSelection$$$$$$",	//937
    "findFirstInSelection$$$$$$$",	//938
    "findNext",	//939
    "firstVisibleLine",	//940
    "focusInEvent",	//941
    "focusInEvent#",	//942
    "focusNextPrevChild",	//943
    "focusNextPrevChild$",	//944
    "focusOutEvent",	//945
    "focusOutEvent#",	//946
    "foldAll",	//947
    "foldAll$",	//948
    "foldAtBegin",	//949
    "foldAtElse",	//950
    "foldAtParenthesis",	//951
    "foldComments",	//952
    "foldCompact",	//953
    "foldDirectives",	//954
    "foldLine",	//955
    "foldLine$",	//956
    "foldOnlyBegin",	//957
    "foldPODBlocks",	//958
    "foldPackages",	//959
    "foldPreprocessor",	//960
    "foldQuotes",	//961
    "foldScriptComments",	//962
    "foldScriptHeredocs",	//963
    "folding",	//964
    "font",	//965
    "font$",	//966
    "fontChange",	//967
    "fontChanged",	//968
    "fontChanged#$",	//969
    "formatPage",	//970
    "formatPage#$#$",	//971
    "fromMimeData",	//972
    "fromMimeData#$",	//973
    "getCursorPosition",	//974
    "getCursorPosition$$",	//975
    "getSelection",	//976
    "getSelection$$$$",	//977
    "hasSelectedText",	//978
    "hashComments",	//979
    "heightForWidth",	//980
    "hideEvent",	//981
    "highlightHashQuotedStrings",	//982
    "highlightSubidentifiers",	//983
    "highlightTripleQuotedStrings",	//984
    "hotspot",	//985
    "indent",	//986
    "indent$",	//987
    "indentation",	//988
    "indentation$",	//989
    "indentationGuideView",	//990
    "indentationGuides",	//991
    "indentationWarning",	//992
    "indentationWidth",	//993
    "indentationsUseTabs",	//994
    "indicatorClicked",	//995
    "indicatorClicked$$$",	//996
    "indicatorDefine",	//997
    "indicatorDefine$",	//998
    "indicatorDefine$$",	//999
    "indicatorDrawUnder",	//1000
    "indicatorDrawUnder$",	//1001
    "indicatorReleased",	//1002
    "indicatorReleased$$$",	//1003
    "initialSpaces",	//1004
    "inputMethodEvent",	//1005
    "inputMethodEvent#",	//1006
    "inputMethodQuery",	//1007
    "inputMethodQuery$",	//1008
    "insert",	//1009
    "insert$",	//1010
    "insertAt",	//1011
    "insertAt$$$",	//1012
    "installedAPIFiles",	//1013
    "isCallTipActive",	//1014
    "isListActive",	//1015
    "isModified",	//1016
    "isPrepared",	//1017
    "isPrepared$",	//1018
    "isReadOnly",	//1019
    "isRedoAvailable",	//1020
    "isUndoAvailable",	//1021
    "isUtf8",	//1022
    "isWordCharacter",	//1023
    "isWordCharacter$",	//1024
    "key",	//1025
    "keyPressEvent",	//1026
    "keyPressEvent#",	//1027
    "keyReleaseEvent",	//1028
    "keywords",	//1029
    "keywords$",	//1030
    "language",	//1031
    "languageChange",	//1032
    "leaveEvent",	//1033
    "length",	//1034
    "level",	//1035
    "lexer",	//1036
    "lexerId",	//1037
    "lineAt",	//1038
    "lineAt#",	//1039
    "lineIndexFromPosition",	//1040
    "lineIndexFromPosition$$$",	//1041
    "lineLength",	//1042
    "lineLength$",	//1043
    "lines",	//1044
    "linesChanged",	//1045
    "load",	//1046
    "load$",	//1047
    "loadPrepared",	//1048
    "loadPrepared$",	//1049
    "magnification",	//1050
    "makoTemplates",	//1051
    "marginClicked",	//1052
    "marginClicked$$$",	//1053
    "marginLineNumbers",	//1054
    "marginLineNumbers$",	//1055
    "marginMarkerMask",	//1056
    "marginMarkerMask$",	//1057
    "marginOptions",	//1058
    "marginSensitivity",	//1059
    "marginSensitivity$",	//1060
    "marginType",	//1061
    "marginType$",	//1062
    "marginWidth",	//1063
    "marginWidth$",	//1064
    "markerAdd",	//1065
    "markerAdd$$",	//1066
    "markerDefine",	//1067
    "markerDefine#",	//1068
    "markerDefine#$",	//1069
    "markerDefine$",	//1070
    "markerDefine$$",	//1071
    "markerDelete",	//1072
    "markerDelete$",	//1073
    "markerDelete$$",	//1074
    "markerDeleteAll",	//1075
    "markerDeleteAll$",	//1076
    "markerDeleteHandle",	//1077
    "markerDeleteHandle$",	//1078
    "markerFindNext",	//1079
    "markerFindNext$$",	//1080
    "markerFindPrevious",	//1081
    "markerFindPrevious$$",	//1082
    "markerLine",	//1083
    "markerLine$",	//1084
    "markersAtLine",	//1085
    "markersAtLine$",	//1086
    "metaObject",	//1087
    "metric",	//1088
    "minimumSizeHint",	//1089
    "modificationAttempted",	//1090
    "modificationChanged",	//1091
    "modificationChanged$",	//1092
    "mouseDoubleClickEvent",	//1093
    "mouseDoubleClickEvent#",	//1094
    "mouseMoveEvent",	//1095
    "mouseMoveEvent#",	//1096
    "mousePressEvent",	//1097
    "mousePressEvent#",	//1098
    "mouseReleaseEvent",	//1099
    "mouseReleaseEvent#",	//1100
    "moveEvent",	//1101
    "moveToMatchingBrace",	//1102
    "operator=",	//1103
    "operator=#",	//1104
    "overwriteMode",	//1105
    "paintEngine",	//1106
    "paintEvent",	//1107
    "paintEvent#",	//1108
    "paletteChange",	//1109
    "paper",	//1110
    "paper$",	//1111
    "paperChanged",	//1112
    "paperChanged#$",	//1113
    "paste",	//1114
    "play",	//1115
    "pool",	//1116
    "positionFromLineIndex",	//1117
    "positionFromLineIndex$$",	//1118
    "prepare",	//1119
    "printRange",	//1120
    "printRange#",	//1121
    "printRange#$",	//1122
    "printRange#$$",	//1123
    "processComments",	//1124
    "processIf",	//1125
    "propertyChanged",	//1126
    "propertyChanged$$",	//1127
    "qt_metacall",	//1128
    "qt_metacall$$?",	//1129
    "qt_metacast",	//1130
    "qt_metacast$",	//1131
    "quotedIdentifiers",	//1132
    "read",	//1133
    "read#",	//1134
    "readProperties",	//1135
    "readProperties#$",	//1136
    "readSettings",	//1137
    "readSettings#",	//1138
    "readSettings#$",	//1139
    "recolor",	//1140
    "recolor$",	//1141
    "recolor$$",	//1142
    "redo",	//1143
    "refresh",	//1144
    "refreshProperties",	//1145
    "registerImage",	//1146
    "registerImage$#",	//1147
    "remove",	//1148
    "remove$",	//1149
    "removeSelectedText",	//1150
    "replace",	//1151
    "replace$",	//1152
    "replaceSelectedText",	//1153
    "replaceSelectedText$",	//1154
    "resetFoldMarginColors",	//1155
    "resetMatchedBraceIndicator",	//1156
    "resetSelectionBackgroundColor",	//1157
    "resetSelectionForegroundColor",	//1158
    "resetUnmatchedBraceIndicator",	//1159
    "resizeEvent",	//1160
    "resizeEvent#",	//1161
    "save",	//1162
    "savePrepared",	//1163
    "savePrepared$",	//1164
    "scriptsStyled",	//1165
    "scrollContentsBy",	//1166
    "scrollContentsBy$$",	//1167
    "selectAll",	//1168
    "selectAll$",	//1169
    "selectToMatchingBrace",	//1170
    "selectedText",	//1171
    "selectionChanged",	//1172
    "selectionToEol",	//1173
    "setAPIs",	//1174
    "setAPIs#",	//1175
    "setAlternateKey",	//1176
    "setAlternateKey$",	//1177
    "setAnnotationDisplay",	//1178
    "setAnnotationDisplay$",	//1179
    "setAutoCompletionCaseSensitivity",	//1180
    "setAutoCompletionCaseSensitivity$",	//1181
    "setAutoCompletionFillups",	//1182
    "setAutoCompletionFillups$",	//1183
    "setAutoCompletionFillupsEnabled",	//1184
    "setAutoCompletionFillupsEnabled$",	//1185
    "setAutoCompletionReplaceWord",	//1186
    "setAutoCompletionReplaceWord$",	//1187
    "setAutoCompletionShowSingle",	//1188
    "setAutoCompletionShowSingle$",	//1189
    "setAutoCompletionSource",	//1190
    "setAutoCompletionSource$",	//1191
    "setAutoCompletionThreshold",	//1192
    "setAutoCompletionThreshold$",	//1193
    "setAutoCompletionUseSingle",	//1194
    "setAutoCompletionUseSingle$",	//1195
    "setAutoCompletionWordSeparators",	//1196
    "setAutoCompletionWordSeparators?",	//1197
    "setAutoIndent",	//1198
    "setAutoIndent$",	//1199
    "setAutoIndentStyle",	//1200
    "setAutoIndentStyle$",	//1201
    "setBackslashEscapes",	//1202
    "setBackslashEscapes$",	//1203
    "setBackspaceUnindents",	//1204
    "setBackspaceUnindents$",	//1205
    "setBraceMatching",	//1206
    "setBraceMatching$",	//1207
    "setCallTipsBackgroundColor",	//1208
    "setCallTipsBackgroundColor#",	//1209
    "setCallTipsForegroundColor",	//1210
    "setCallTipsForegroundColor#",	//1211
    "setCallTipsHighlightColor",	//1212
    "setCallTipsHighlightColor#",	//1213
    "setCallTipsPosition",	//1214
    "setCallTipsPosition$",	//1215
    "setCallTipsStyle",	//1216
    "setCallTipsStyle$",	//1217
    "setCallTipsVisible",	//1218
    "setCallTipsVisible$",	//1219
    "setCaretForegroundColor",	//1220
    "setCaretForegroundColor#",	//1221
    "setCaretLineBackgroundColor",	//1222
    "setCaretLineBackgroundColor#",	//1223
    "setCaretLineVisible",	//1224
    "setCaretLineVisible$",	//1225
    "setCaretWidth",	//1226
    "setCaretWidth$",	//1227
    "setCaseSensitiveTags",	//1228
    "setCaseSensitiveTags$",	//1229
    "setChangeable",	//1230
    "setChangeable$",	//1231
    "setColor",	//1232
    "setColor#",	//1233
    "setColor#$",	//1234
    "setContractedFolds",	//1235
    "setContractedFolds?",	//1236
    "setCursorPosition",	//1237
    "setCursorPosition$$",	//1238
    "setDefaultColor",	//1239
    "setDefaultColor#",	//1240
    "setDefaultFont",	//1241
    "setDefaultFont#",	//1242
    "setDefaultPaper",	//1243
    "setDefaultPaper#",	//1244
    "setDescription",	//1245
    "setDescription$",	//1246
    "setDjangoTemplates",	//1247
    "setDjangoTemplates$",	//1248
    "setDocument",	//1249
    "setDocument#",	//1250
    "setDollarsAllowed",	//1251
    "setDollarsAllowed$",	//1252
    "setDottedWords",	//1253
    "setDottedWords$",	//1254
    "setEdgeColor",	//1255
    "setEdgeColor#",	//1256
    "setEdgeColumn",	//1257
    "setEdgeColumn$",	//1258
    "setEdgeMode",	//1259
    "setEdgeMode$",	//1260
    "setEditor",	//1261
    "setEditor#",	//1262
    "setEolFill",	//1263
    "setEolFill$",	//1264
    "setEolFill$$",	//1265
    "setEolMode",	//1266
    "setEolMode$",	//1267
    "setEolVisibility",	//1268
    "setEolVisibility$",	//1269
    "setExtraAscent",	//1270
    "setExtraAscent$",	//1271
    "setExtraDescent",	//1272
    "setExtraDescent$",	//1273
    "setFirstVisibleLine",	//1274
    "setFirstVisibleLine$",	//1275
    "setFoldAtBegin",	//1276
    "setFoldAtBegin$",	//1277
    "setFoldAtElse",	//1278
    "setFoldAtElse$",	//1279
    "setFoldAtParenthesis",	//1280
    "setFoldAtParenthesis$",	//1281
    "setFoldComments",	//1282
    "setFoldComments$",	//1283
    "setFoldCompact",	//1284
    "setFoldCompact$",	//1285
    "setFoldDirectives",	//1286
    "setFoldDirectives$",	//1287
    "setFoldMarginColors",	//1288
    "setFoldMarginColors##",	//1289
    "setFoldOnlyBegin",	//1290
    "setFoldOnlyBegin$",	//1291
    "setFoldPODBlocks",	//1292
    "setFoldPODBlocks$",	//1293
    "setFoldPackages",	//1294
    "setFoldPackages$",	//1295
    "setFoldPreprocessor",	//1296
    "setFoldPreprocessor$",	//1297
    "setFoldQuotes",	//1298
    "setFoldQuotes$",	//1299
    "setFoldScriptComments",	//1300
    "setFoldScriptComments$",	//1301
    "setFoldScriptHeredocs",	//1302
    "setFoldScriptHeredocs$",	//1303
    "setFolding",	//1304
    "setFolding$",	//1305
    "setFolding$$",	//1306
    "setFont",	//1307
    "setFont#",	//1308
    "setFont#$",	//1309
    "setHSSLanguage",	//1310
    "setHSSLanguage$",	//1311
    "setHashComments",	//1312
    "setHashComments$",	//1313
    "setHighlightHashQuotedStrings",	//1314
    "setHighlightHashQuotedStrings$",	//1315
    "setHighlightSubidentifiers",	//1316
    "setHighlightSubidentifiers$",	//1317
    "setHighlightTripleQuotedStrings",	//1318
    "setHighlightTripleQuotedStrings$",	//1319
    "setHotspot",	//1320
    "setHotspot$",	//1321
    "setIndentation",	//1322
    "setIndentation$$",	//1323
    "setIndentationGuides",	//1324
    "setIndentationGuides$",	//1325
    "setIndentationGuidesBackgroundColor",	//1326
    "setIndentationGuidesBackgroundColor#",	//1327
    "setIndentationGuidesForegroundColor",	//1328
    "setIndentationGuidesForegroundColor#",	//1329
    "setIndentationWarning",	//1330
    "setIndentationWarning$",	//1331
    "setIndentationWidth",	//1332
    "setIndentationWidth$",	//1333
    "setIndentationsUseTabs",	//1334
    "setIndentationsUseTabs$",	//1335
    "setIndicatorDrawUnder",	//1336
    "setIndicatorDrawUnder$",	//1337
    "setIndicatorDrawUnder$$",	//1338
    "setIndicatorForegroundColor",	//1339
    "setIndicatorForegroundColor#",	//1340
    "setIndicatorForegroundColor#$",	//1341
    "setIndicatorOutlineColor",	//1342
    "setIndicatorOutlineColor#",	//1343
    "setIndicatorOutlineColor#$",	//1344
    "setInitialSpaces",	//1345
    "setInitialSpaces$",	//1346
    "setKey",	//1347
    "setKey$",	//1348
    "setLessLanguage",	//1349
    "setLessLanguage$",	//1350
    "setLevel",	//1351
    "setLevel$",	//1352
    "setLexer",	//1353
    "setLexer#",	//1354
    "setMagnification",	//1355
    "setMagnification$",	//1356
    "setMakoTemplates",	//1357
    "setMakoTemplates$",	//1358
    "setMarginLineNumbers",	//1359
    "setMarginLineNumbers$$",	//1360
    "setMarginMarkerMask",	//1361
    "setMarginMarkerMask$$",	//1362
    "setMarginOptions",	//1363
    "setMarginOptions$",	//1364
    "setMarginSensitivity",	//1365
    "setMarginSensitivity$$",	//1366
    "setMarginText",	//1367
    "setMarginText$#",	//1368
    "setMarginText$$#",	//1369
    "setMarginText$$$",	//1370
    "setMarginText$?",	//1371
    "setMarginType",	//1372
    "setMarginType$$",	//1373
    "setMarginWidth",	//1374
    "setMarginWidth$$",	//1375
    "setMarginsBackgroundColor",	//1376
    "setMarginsBackgroundColor#",	//1377
    "setMarginsFont",	//1378
    "setMarginsFont#",	//1379
    "setMarginsForegroundColor",	//1380
    "setMarginsForegroundColor#",	//1381
    "setMarkerBackgroundColor",	//1382
    "setMarkerBackgroundColor#",	//1383
    "setMarkerBackgroundColor#$",	//1384
    "setMarkerForegroundColor",	//1385
    "setMarkerForegroundColor#",	//1386
    "setMarkerForegroundColor#$",	//1387
    "setMatchedBraceBackgroundColor",	//1388
    "setMatchedBraceBackgroundColor#",	//1389
    "setMatchedBraceForegroundColor",	//1390
    "setMatchedBraceForegroundColor#",	//1391
    "setMatchedBraceIndicator",	//1392
    "setMatchedBraceIndicator$",	//1393
    "setModified",	//1394
    "setModified$",	//1395
    "setOverwriteMode",	//1396
    "setOverwriteMode$",	//1397
    "setPaper",	//1398
    "setPaper#",	//1399
    "setPaper#$",	//1400
    "setProcessComments",	//1401
    "setProcessComments$",	//1402
    "setProcessIf",	//1403
    "setProcessIf$",	//1404
    "setQuotedIdentifiers",	//1405
    "setQuotedIdentifiers$",	//1406
    "setReadOnly",	//1407
    "setReadOnly$",	//1408
    "setSCSSLanguage",	//1409
    "setSCSSLanguage$",	//1410
    "setScriptsStyled",	//1411
    "setScriptsStyled$",	//1412
    "setScrollBars",	//1413
    "setSelection",	//1414
    "setSelection$$$$",	//1415
    "setSelectionBackgroundColor",	//1416
    "setSelectionBackgroundColor#",	//1417
    "setSelectionForegroundColor",	//1418
    "setSelectionForegroundColor#",	//1419
    "setSelectionToEol",	//1420
    "setSelectionToEol$",	//1421
    "setSmartHighlighting",	//1422
    "setSmartHighlighting$",	//1423
    "setStringsOverNewlineAllowed",	//1424
    "setStringsOverNewlineAllowed$",	//1425
    "setStylePreprocessor",	//1426
    "setStylePreprocessor$",	//1427
    "setStyling",	//1428
    "setStyling$#",	//1429
    "setStyling$$",	//1430
    "setTabIndents",	//1431
    "setTabIndents$",	//1432
    "setTabWidth",	//1433
    "setTabWidth$",	//1434
    "setText",	//1435
    "setText$",	//1436
    "setTextCase",	//1437
    "setTextCase$",	//1438
    "setTokenize",	//1439
    "setTokenize$",	//1440
    "setUnmatchedBraceBackgroundColor",	//1441
    "setUnmatchedBraceBackgroundColor#",	//1442
    "setUnmatchedBraceForegroundColor",	//1443
    "setUnmatchedBraceForegroundColor#",	//1444
    "setUnmatchedBraceIndicator",	//1445
    "setUnmatchedBraceIndicator$",	//1446
    "setUtf8",	//1447
    "setUtf8$",	//1448
    "setV2UnicodeAllowed",	//1449
    "setV2UnicodeAllowed$",	//1450
    "setV3BinaryOctalAllowed",	//1451
    "setV3BinaryOctalAllowed$",	//1452
    "setV3BytesAllowed",	//1453
    "setV3BytesAllowed$",	//1454
    "setVisible",	//1455
    "setVisible$",	//1456
    "setWhitespaceBackgroundColor",	//1457
    "setWhitespaceBackgroundColor#",	//1458
    "setWhitespaceForegroundColor",	//1459
    "setWhitespaceForegroundColor#",	//1460
    "setWhitespaceSize",	//1461
    "setWhitespaceSize$",	//1462
    "setWhitespaceVisibility",	//1463
    "setWhitespaceVisibility$",	//1464
    "setWrapIndentMode",	//1465
    "setWrapIndentMode$",	//1466
    "setWrapMode",	//1467
    "setWrapMode$",	//1468
    "setWrapVisualFlags",	//1469
    "setWrapVisualFlags$",	//1470
    "setWrapVisualFlags$$",	//1471
    "setWrapVisualFlags$$$",	//1472
    "showEvent",	//1473
    "showUserList",	//1474
    "showUserList$?",	//1475
    "sizeHint",	//1476
    "smartHighlighting",	//1477
    "standardCommands",	//1478
    "startRecording",	//1479
    "startStyling",	//1480
    "startStyling$",	//1481
    "startStyling$$",	//1482
    "staticMetaObject",	//1483
    "stringsOverNewlineAllowed",	//1484
    "style",	//1485
    "styleBitsNeeded",	//1486
    "styleChange",	//1487
    "stylePreprocessor",	//1488
    "styleText",	//1489
    "styleText$$",	//1490
    "tabIndents",	//1491
    "tabWidth",	//1492
    "tabletEvent",	//1493
    "text",	//1494
    "text$",	//1495
    "textAsBytes",	//1496
    "textAsBytes$",	//1497
    "textCase",	//1498
    "textChanged",	//1499
    "textHeight",	//1500
    "textHeight$",	//1501
    "timerEvent",	//1502
    "toMimeData",	//1503
    "toMimeData#$",	//1504
    "tokenize",	//1505
    "tr",	//1506
    "tr$",	//1507
    "tr$$",	//1508
    "tr$$$",	//1509
    "trUtf8",	//1510
    "trUtf8$",	//1511
    "trUtf8$$",	//1512
    "trUtf8$$$",	//1513
    "undo",	//1514
    "unindent",	//1515
    "unindent$",	//1516
    "updateAutoCompletionList",	//1517
    "updateAutoCompletionList??",	//1518
    "userListActivated",	//1519
    "userListActivated$$",	//1520
    "v2UnicodeAllowed",	//1521
    "v3BinaryOctalAllowed",	//1522
    "v3BytesAllowed",	//1523
    "validKey",	//1524
    "validKey$",	//1525
    "viewportEvent",	//1526
    "visible",	//1527
    "wheelEvent",	//1528
    "whitespaceSize",	//1529
    "whitespaceVisibility",	//1530
    "windowActivationChange",	//1531
    "wordAtLineIndex",	//1532
    "wordAtLineIndex$$",	//1533
    "wordAtPoint",	//1534
    "wordAtPoint#",	//1535
    "wordCharacters",	//1536
    "wrapIndentMode",	//1537
    "wrapMode",	//1538
    "write",	//1539
    "write#",	//1540
    "writeProperties",	//1541
    "writeProperties#$",	//1542
    "writeSettings",	//1543
    "writeSettings#",	//1544
    "writeSettings#$",	//1545
    "x11Event",	//1546
    "zoomIn",	//1547
    "zoomIn$",	//1548
    "zoomOut",	//1549
    "zoomOut$",	//1550
    "zoomTo",	//1551
    "zoomTo$",	//1552
    "~QsciAPIs",	//1553
    "~QsciAbstractAPIs",	//1554
    "~QsciCommand",	//1555
    "~QsciDocument",	//1556
    "~QsciLexer",	//1557
    "~QsciLexerBash",	//1558
    "~QsciLexerBatch",	//1559
    "~QsciLexerCMake",	//1560
    "~QsciLexerCPP",	//1561
    "~QsciLexerCSS",	//1562
    "~QsciLexerCSharp",	//1563
    "~QsciLexerCustom",	//1564
    "~QsciLexerD",	//1565
    "~QsciLexerDiff",	//1566
    "~QsciLexerFortran",	//1567
    "~QsciLexerFortran77",	//1568
    "~QsciLexerHTML",	//1569
    "~QsciLexerIDL",	//1570
    "~QsciLexerJava",	//1571
    "~QsciLexerJavaScript",	//1572
    "~QsciLexerLua",	//1573
    "~QsciLexerMakefile",	//1574
    "~QsciLexerPOV",	//1575
    "~QsciLexerPascal",	//1576
    "~QsciLexerPerl",	//1577
    "~QsciLexerPostScript",	//1578
    "~QsciLexerProperties",	//1579
    "~QsciLexerPython",	//1580
    "~QsciLexerRuby",	//1581
    "~QsciLexerSQL",	//1582
    "~QsciLexerTCL",	//1583
    "~QsciLexerTeX",	//1584
    "~QsciLexerVHDL",	//1585
    "~QsciLexerXML",	//1586
    "~QsciLexerYAML",	//1587
    "~QsciMacro",	//1588
    "~QsciPrinter",	//1589
    "~QsciScintilla",	//1590
    "~QsciScintillaBase",	//1591
    "~QsciStyle",	//1592
    "~QsciStyledText",	//1593
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 1089, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 39, 0},	//1 QAbstractScrollArea::minimumSizeHint() const
    {1, 1476, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 39, 0},	//2 QAbstractScrollArea::sizeHint() const
    {1, 917, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 189, 0},	//3 QAbstractScrollArea::event(QEvent*)
    {1, 1526, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 189, 0},	//4 QAbstractScrollArea::viewportEvent(QEvent*)
    {1, 1528, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//5 QAbstractScrollArea::wheelEvent(QWheelEvent*)
    {16, 839, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//6 QFrame::changeEvent(QEvent*)
    {17, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 1},	//7 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {17, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 2},	//8 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {17, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 3},	//9 QGlobalSpace::Q_STATIC_TYPE (enum)
    {17, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 4},	//10 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {17, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 5},	//11 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {28, 917, 1, 1, Smoke::mf_virtual, 189, 0},	//12 QObject::event(QEvent*)
    {28, 919, 5, 2, Smoke::mf_virtual, 189, 0},	//13 QObject::eventFilter(QObject*, QEvent*)
    {28, 1502, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//14 QObject::timerEvent(QTimerEvent*)
    {28, 841, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//15 QObject::childEvent(QChildEvent*)
    {28, 872, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//16 QObject::customEvent(QEvent*)
    {28, 860, 12, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//17 QObject::connectNotify(const char*)
    {28, 887, 12, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//18 QObject::disconnectNotify(const char*)
    {35, 886, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 0},	//19 QPrinter::devType() const
    {35, 1106, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 29, 0},	//20 QPrinter::paintEngine() const
    {35, 1088, 14, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 215, 0},	//21 QPrinter::metric(QPaintDevice::PaintDeviceMetric) const
    {35, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 4},	//22 QPrinter::ScreenResolution (enum)
    {35, 430, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 5},	//23 QPrinter::PrinterResolution (enum)
    {35, 240, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 6},	//24 QPrinter::HighResolution (enum)
    {47, 886, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 0},	//25 QWidget::devType() const
    {47, 1455, 16, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//26 QWidget::setVisible(bool)
    {47, 980, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 0},	//27 QWidget::heightForWidth(int) const
    {47, 1106, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 29, 0},	//28 QWidget::paintEngine() const
    {47, 1028, 20, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//29 QWidget::keyReleaseEvent(QKeyEvent*)
    {47, 910, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//30 QWidget::enterEvent(QEvent*)
    {47, 1033, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//31 QWidget::leaveEvent(QEvent*)
    {47, 1101, 22, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//32 QWidget::moveEvent(QMoveEvent*)
    {47, 853, 24, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//33 QWidget::closeEvent(QCloseEvent*)
    {47, 1493, 26, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//34 QWidget::tabletEvent(QTabletEvent*)
    {47, 773, 28, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//35 QWidget::actionEvent(QActionEvent*)
    {47, 1473, 30, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//36 QWidget::showEvent(QShowEvent*)
    {47, 981, 32, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//37 QWidget::hideEvent(QHideEvent*)
    {47, 1546, 34, 1, Smoke::mf_protected|Smoke::mf_virtual, 189, 0},	//38 QWidget::x11Event(_XEvent*)
    {47, 1088, 14, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 215, 0},	//39 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {47, 1487, 36, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//40 QWidget::styleChange(QStyle&)
    {47, 904, 16, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//41 QWidget::enabledChange(bool)
    {47, 1109, 38, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//42 QWidget::paletteChange(const QPalette&)
    {47, 967, 40, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//43 QWidget::fontChange(const QFont&)
    {47, 1531, 16, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//44 QWidget::windowActivationChange(bool)
    {47, 1032, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//45 QWidget::languageChange()
    {48, 1087, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//46 QsciAPIs::metaObject() const
    {48, 1130, 12, 1, Smoke::mf_virtual, 221, 2},	//47 QsciAPIs::qt_metacast(const char*)
    {48, 1506, 42, 2, Smoke::mf_static, 40, 3},	//48 QsciAPIs::tr(const char*, const char*)
    {48, 1510, 42, 2, Smoke::mf_static, 40, 4},	//49 QsciAPIs::trUtf8(const char*, const char*)
    {48, 1506, 45, 3, Smoke::mf_static, 40, 5},	//50 QsciAPIs::tr(const char*, const char*, int)
    {48, 1510, 45, 3, Smoke::mf_static, 40, 6},	//51 QsciAPIs::trUtf8(const char*, const char*, int)
    {48, 1128, 49, 3, Smoke::mf_virtual, 215, 7},	//52 QsciAPIs::qt_metacall(QMetaObject::Call, int, void**)
    {48, 454, 53, 1, Smoke::mf_ctor, 50, 8},	//53 QsciAPIs::QsciAPIs(QsciLexer*)
    {48, 774, 55, 1, 0, 0, 9},	//54 QsciAPIs::add(const QString&)
    {48, 842, 0, 0, 0, 0, 10},	//55 QsciAPIs::clear()
    {48, 1046, 55, 1, 0, 189, 11},	//56 QsciAPIs::load(const QString&)
    {48, 1148, 55, 1, 0, 0, 12},	//57 QsciAPIs::remove(const QString&)
    {48, 1119, 0, 0, 0, 0, 13},	//58 QsciAPIs::prepare()
    {48, 836, 0, 0, 0, 0, 14},	//59 QsciAPIs::cancelPreparation()
    {48, 882, 0, 0, Smoke::mf_const, 40, 15},	//60 QsciAPIs::defaultPreparedName() const
    {48, 1017, 55, 1, Smoke::mf_const, 189, 16},	//61 QsciAPIs::isPrepared(const QString&) const
    {48, 1048, 55, 1, 0, 189, 17},	//62 QsciAPIs::loadPrepared(const QString&)
    {48, 1163, 55, 1, Smoke::mf_const, 189, 18},	//63 QsciAPIs::savePrepared(const QString&) const
    {48, 1517, 57, 2, Smoke::mf_virtual, 0, 19},	//64 QsciAPIs::updateAutoCompletionList(const QStringList&, QStringList&)
    {48, 802, 55, 1, Smoke::mf_virtual, 0, 20},	//65 QsciAPIs::autoCompletionSelected(const QString&)
    {48, 828, 60, 4, Smoke::mf_virtual, 41, 21},	//66 QsciAPIs::callTips(const QStringList&, int, QsciScintilla::CallTipsStyle, QList<int>&)
    {48, 917, 1, 1, Smoke::mf_virtual, 189, 22},	//67 QsciAPIs::event(QEvent*)
    {48, 1013, 0, 0, Smoke::mf_const, 41, 23},	//68 QsciAPIs::installedAPIFiles() const
    {48, 787, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//69 QsciAPIs::apiPreparationCancelled()
    {48, 789, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//70 QsciAPIs::apiPreparationStarted()
    {48, 788, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//71 QsciAPIs::apiPreparationFinished()
    {48, 1506, 12, 1, Smoke::mf_static, 40, 27},	//72 QsciAPIs::tr(const char*)
    {48, 1510, 12, 1, Smoke::mf_static, 40, 28},	//73 QsciAPIs::trUtf8(const char*)
    {48, 1017, 0, 0, Smoke::mf_const, 189, 29},	//74 QsciAPIs::isPrepared() const
    {48, 1048, 0, 0, 0, 189, 30},	//75 QsciAPIs::loadPrepared()
    {48, 1163, 0, 0, Smoke::mf_const, 189, 31},	//76 QsciAPIs::savePrepared() const
    {48, 1483, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 32},	//77 QsciAPIs::staticMetaObject() const
    {48, 1553, 0, 0, Smoke::mf_dtor, 0, 33 },	//78 QsciAPIs::~QsciAPIs()
    {49, 1087, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//79 QsciAbstractAPIs::metaObject() const
    {49, 1130, 12, 1, Smoke::mf_virtual, 221, 2},	//80 QsciAbstractAPIs::qt_metacast(const char*)
    {49, 1506, 42, 2, Smoke::mf_static, 40, 3},	//81 QsciAbstractAPIs::tr(const char*, const char*)
    {49, 1510, 42, 2, Smoke::mf_static, 40, 4},	//82 QsciAbstractAPIs::trUtf8(const char*, const char*)
    {49, 1506, 45, 3, Smoke::mf_static, 40, 5},	//83 QsciAbstractAPIs::tr(const char*, const char*, int)
    {49, 1510, 45, 3, Smoke::mf_static, 40, 6},	//84 QsciAbstractAPIs::trUtf8(const char*, const char*, int)
    {49, 1128, 49, 3, Smoke::mf_virtual, 215, 7},	//85 QsciAbstractAPIs::qt_metacall(QMetaObject::Call, int, void**)
    {49, 456, 53, 1, Smoke::mf_ctor, 51, 8},	//86 QsciAbstractAPIs::QsciAbstractAPIs(QsciLexer*)
    {49, 1036, 0, 0, Smoke::mf_const, 58, 9},	//87 QsciAbstractAPIs::lexer() const
    {49, 1517, 57, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 10},	//88 QsciAbstractAPIs::updateAutoCompletionList(const QStringList&, QStringList&) [pure virtual]
    {49, 802, 55, 1, Smoke::mf_virtual, 0, 11},	//89 QsciAbstractAPIs::autoCompletionSelected(const QString&)
    {49, 828, 60, 4, Smoke::mf_virtual|Smoke::mf_purevirtual, 41, 12},	//90 QsciAbstractAPIs::callTips(const QStringList&, int, QsciScintilla::CallTipsStyle, QList<int>&) [pure virtual]
    {49, 1506, 12, 1, Smoke::mf_static, 40, 13},	//91 QsciAbstractAPIs::tr(const char*)
    {49, 1510, 12, 1, Smoke::mf_static, 40, 14},	//92 QsciAbstractAPIs::trUtf8(const char*)
    {49, 1483, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 15},	//93 QsciAbstractAPIs::staticMetaObject() const
    {49, 1554, 0, 0, Smoke::mf_dtor, 0, 16 },	//94 QsciAbstractAPIs::~QsciAbstractAPIs()
    {50, 858, 0, 0, Smoke::mf_const, 53, 1},	//95 QsciCommand::command() const
    {50, 920, 0, 0, 0, 0, 2},	//96 QsciCommand::execute()
    {50, 1347, 18, 1, 0, 0, 3},	//97 QsciCommand::setKey(int)
    {50, 1176, 18, 1, 0, 0, 4},	//98 QsciCommand::setAlternateKey(int)
    {50, 1025, 0, 0, Smoke::mf_const, 215, 5},	//99 QsciCommand::key() const
    {50, 776, 0, 0, Smoke::mf_const, 215, 6},	//100 QsciCommand::alternateKey() const
    {50, 1524, 18, 1, Smoke::mf_static, 189, 7},	//101 QsciCommand::validKey(int)
    {50, 884, 0, 0, Smoke::mf_const, 40, 8},	//102 QsciCommand::description() const
    {50, 328, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 9},	//103 QsciCommand::LineDown (enum)
    {50, 329, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 10},	//104 QsciCommand::LineDownExtend (enum)
    {50, 330, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 11},	//105 QsciCommand::LineDownRectExtend (enum)
    {50, 340, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 12},	//106 QsciCommand::LineScrollDown (enum)
    {50, 343, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 13},	//107 QsciCommand::LineUp (enum)
    {50, 344, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 14},	//108 QsciCommand::LineUpExtend (enum)
    {50, 345, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 15},	//109 QsciCommand::LineUpRectExtend (enum)
    {50, 341, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 16},	//110 QsciCommand::LineScrollUp (enum)
    {50, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 17},	//111 QsciCommand::ScrollToStart (enum)
    {50, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 18},	//112 QsciCommand::ScrollToEnd (enum)
    {50, 740, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 19},	//113 QsciCommand::VerticalCentreCaret (enum)
    {50, 399, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 20},	//114 QsciCommand::ParaDown (enum)
    {50, 400, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 21},	//115 QsciCommand::ParaDownExtend (enum)
    {50, 401, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 22},	//116 QsciCommand::ParaUp (enum)
    {50, 402, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 23},	//117 QsciCommand::ParaUpExtend (enum)
    {50, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 24},	//118 QsciCommand::CharLeft (enum)
    {50, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 25},	//119 QsciCommand::CharLeftExtend (enum)
    {50, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 26},	//120 QsciCommand::CharLeftRectExtend (enum)
    {50, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 27},	//121 QsciCommand::CharRight (enum)
    {50, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 28},	//122 QsciCommand::CharRightExtend (enum)
    {50, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 29},	//123 QsciCommand::CharRightRectExtend (enum)
    {50, 743, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 30},	//124 QsciCommand::WordLeft (enum)
    {50, 746, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 31},	//125 QsciCommand::WordLeftExtend (enum)
    {50, 751, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 32},	//126 QsciCommand::WordRight (enum)
    {50, 754, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 33},	//127 QsciCommand::WordRightExtend (enum)
    {50, 744, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 34},	//128 QsciCommand::WordLeftEnd (enum)
    {50, 745, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 35},	//129 QsciCommand::WordLeftEndExtend (enum)
    {50, 752, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 36},	//130 QsciCommand::WordRightEnd (enum)
    {50, 753, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 37},	//131 QsciCommand::WordRightEndExtend (enum)
    {50, 747, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 38},	//132 QsciCommand::WordPartLeft (enum)
    {50, 748, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 39},	//133 QsciCommand::WordPartLeftExtend (enum)
    {50, 749, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 40},	//134 QsciCommand::WordPartRight (enum)
    {50, 750, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 41},	//135 QsciCommand::WordPartRightExtend (enum)
    {50, 242, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 42},	//136 QsciCommand::Home (enum)
    {50, 245, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 43},	//137 QsciCommand::HomeExtend (enum)
    {50, 246, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 44},	//138 QsciCommand::HomeRectExtend (enum)
    {50, 243, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 45},	//139 QsciCommand::HomeDisplay (enum)
    {50, 244, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 46},	//140 QsciCommand::HomeDisplayExtend (enum)
    {50, 247, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 47},	//141 QsciCommand::HomeWrap (enum)
    {50, 248, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 48},	//142 QsciCommand::HomeWrapExtend (enum)
    {50, 731, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 49},	//143 QsciCommand::VCHome (enum)
    {50, 732, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 50},	//144 QsciCommand::VCHomeExtend (enum)
    {50, 733, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 51},	//145 QsciCommand::VCHomeRectExtend (enum)
    {50, 734, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 52},	//146 QsciCommand::VCHomeWrap (enum)
    {50, 735, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 53},	//147 QsciCommand::VCHomeWrapExtend (enum)
    {50, 332, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 54},	//148 QsciCommand::LineEnd (enum)
    {50, 335, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 55},	//149 QsciCommand::LineEndExtend (enum)
    {50, 336, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 56},	//150 QsciCommand::LineEndRectExtend (enum)
    {50, 333, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 57},	//151 QsciCommand::LineEndDisplay (enum)
    {50, 334, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 58},	//152 QsciCommand::LineEndDisplayExtend (enum)
    {50, 337, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 59},	//153 QsciCommand::LineEndWrap (enum)
    {50, 338, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 60},	//154 QsciCommand::LineEndWrapExtend (enum)
    {50, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 61},	//155 QsciCommand::DocumentStart (enum)
    {50, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 62},	//156 QsciCommand::DocumentStartExtend (enum)
    {50, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 63},	//157 QsciCommand::DocumentEnd (enum)
    {50, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 64},	//158 QsciCommand::DocumentEndExtend (enum)
    {50, 395, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 65},	//159 QsciCommand::PageUp (enum)
    {50, 396, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 66},	//160 QsciCommand::PageUpExtend (enum)
    {50, 397, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 67},	//161 QsciCommand::PageUpRectExtend (enum)
    {50, 391, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 68},	//162 QsciCommand::PageDown (enum)
    {50, 392, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 69},	//163 QsciCommand::PageDownExtend (enum)
    {50, 393, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 70},	//164 QsciCommand::PageDownRectExtend (enum)
    {50, 676, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 71},	//165 QsciCommand::StutteredPageUp (enum)
    {50, 677, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 72},	//166 QsciCommand::StutteredPageUpExtend (enum)
    {50, 674, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 73},	//167 QsciCommand::StutteredPageDown (enum)
    {50, 675, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 74},	//168 QsciCommand::StutteredPageDownExtend (enum)
    {50, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 75},	//169 QsciCommand::Delete (enum)
    {50, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 76},	//170 QsciCommand::DeleteBack (enum)
    {50, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 77},	//171 QsciCommand::DeleteBackNotLine (enum)
    {50, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 78},	//172 QsciCommand::DeleteWordLeft (enum)
    {50, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 79},	//173 QsciCommand::DeleteWordRight (enum)
    {50, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 80},	//174 QsciCommand::DeleteWordRightEnd (enum)
    {50, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 81},	//175 QsciCommand::DeleteLineLeft (enum)
    {50, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 82},	//176 QsciCommand::DeleteLineRight (enum)
    {50, 327, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 83},	//177 QsciCommand::LineDelete (enum)
    {50, 326, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 84},	//178 QsciCommand::LineCut (enum)
    {50, 325, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 85},	//179 QsciCommand::LineCopy (enum)
    {50, 342, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 86},	//180 QsciCommand::LineTranspose (enum)
    {50, 331, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 87},	//181 QsciCommand::LineDuplicate (enum)
    {50, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 88},	//182 QsciCommand::SelectAll (enum)
    {50, 361, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 89},	//183 QsciCommand::MoveSelectedLinesUp (enum)
    {50, 360, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 90},	//184 QsciCommand::MoveSelectedLinesDown (enum)
    {50, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 91},	//185 QsciCommand::SelectionDuplicate (enum)
    {50, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 92},	//186 QsciCommand::SelectionLowerCase (enum)
    {50, 636, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 93},	//187 QsciCommand::SelectionUpperCase (enum)
    {50, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 94},	//188 QsciCommand::SelectionCut (enum)
    {50, 632, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 95},	//189 QsciCommand::SelectionCopy (enum)
    {50, 404, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 96},	//190 QsciCommand::Paste (enum)
    {50, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 97},	//191 QsciCommand::EditToggleOvertype (enum)
    {50, 366, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 98},	//192 QsciCommand::Newline (enum)
    {50, 216, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 99},	//193 QsciCommand::Formfeed (enum)
    {50, 692, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 100},	//194 QsciCommand::Tab (enum)
    {50, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 101},	//195 QsciCommand::Backtab (enum)
    {50, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 102},	//196 QsciCommand::Cancel (enum)
    {50, 717, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 103},	//197 QsciCommand::Undo (enum)
    {50, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 104},	//198 QsciCommand::Redo (enum)
    {50, 771, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 105},	//199 QsciCommand::ZoomIn (enum)
    {50, 772, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 106},	//200 QsciCommand::ZoomOut (enum)
    {50, 1555, 0, 0, Smoke::mf_dtor, 0, 107 },	//201 QsciCommand::~QsciCommand()
    {51, 1137, 65, 2, 0, 189, 1},	//202 QsciCommandSet::readSettings(QSettings&, const char*)
    {51, 1543, 65, 2, 0, 189, 2},	//203 QsciCommandSet::writeSettings(QSettings&, const char*)
    {51, 859, 0, 0, 0, 19, 3},	//204 QsciCommandSet::commands()
    {51, 849, 0, 0, 0, 0, 4},	//205 QsciCommandSet::clearKeys()
    {51, 843, 0, 0, 0, 0, 5},	//206 QsciCommandSet::clearAlternateKeys()
    {51, 821, 18, 1, Smoke::mf_const, 52, 6},	//207 QsciCommandSet::boundTo(int) const
    {51, 925, 68, 1, Smoke::mf_const, 52, 7},	//208 QsciCommandSet::find(QsciCommand::Command) const
    {51, 1137, 70, 1, 0, 189, 8},	//209 QsciCommandSet::readSettings(QSettings&)
    {51, 1543, 70, 1, 0, 189, 9},	//210 QsciCommandSet::writeSettings(QSettings&)
    {52, 458, 0, 0, Smoke::mf_ctor, 57, 1},	//211 QsciDocument::QsciDocument()
    {52, 458, 72, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 57, 2},	//212 QsciDocument::QsciDocument(const QsciDocument&)
    {52, 1103, 72, 1, 0, 56, 3},	//213 QsciDocument::operator=(const QsciDocument&)
    {52, 1556, 0, 0, Smoke::mf_dtor, 0, 4 },	//214 QsciDocument::~QsciDocument()
    {53, 1087, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//215 QsciLexer::metaObject() const
    {53, 1130, 12, 1, Smoke::mf_virtual, 221, 2},	//216 QsciLexer::qt_metacast(const char*)
    {53, 1506, 42, 2, Smoke::mf_static, 40, 3},	//217 QsciLexer::tr(const char*, const char*)
    {53, 1510, 42, 2, Smoke::mf_static, 40, 4},	//218 QsciLexer::trUtf8(const char*, const char*)
    {53, 1506, 45, 3, Smoke::mf_static, 40, 5},	//219 QsciLexer::tr(const char*, const char*, int)
    {53, 1510, 45, 3, Smoke::mf_static, 40, 6},	//220 QsciLexer::trUtf8(const char*, const char*, int)
    {53, 1128, 49, 3, Smoke::mf_virtual, 215, 7},	//221 QsciLexer::qt_metacall(QMetaObject::Call, int, void**)
    {53, 460, 74, 1, Smoke::mf_ctor, 58, 8},	//222 QsciLexer::QsciLexer(QObject*)
    {53, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 213, 9},	//223 QsciLexer::language() const [pure virtual]
    {53, 1036, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//224 QsciLexer::lexer() const
    {53, 1037, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 11},	//225 QsciLexer::lexerId() const
    {53, 790, 0, 0, Smoke::mf_const, 51, 12},	//226 QsciLexer::apis() const
    {53, 799, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 13},	//227 QsciLexer::autoCompletionFillups() const
    {53, 808, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 41, 14},	//228 QsciLexer::autoCompletionWordSeparators() const
    {53, 810, 0, 0, 0, 215, 15},	//229 QsciLexer::autoIndentStyle()
    {53, 814, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 16},	//230 QsciLexer::blockEnd(int*) const
    {53, 816, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 17},	//231 QsciLexer::blockLookback() const
    {53, 817, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 18},	//232 QsciLexer::blockStart(int*) const
    {53, 819, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 19},	//233 QsciLexer::blockStartKeyword(int*) const
    {53, 824, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 20},	//234 QsciLexer::braceStyle() const
    {53, 837, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 189, 21},	//235 QsciLexer::caseSensitive() const
    {53, 854, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 22},	//236 QsciLexer::color(int) const
    {53, 911, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 23},	//237 QsciLexer::eolFill(int) const
    {53, 965, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 24},	//238 QsciLexer::font(int) const
    {53, 990, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 25},	//239 QsciLexer::indentationGuideView() const
    {53, 1029, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 26},	//240 QsciLexer::keywords(int) const
    {53, 883, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 27},	//241 QsciLexer::defaultStyle() const
    {53, 884, 18, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 40, 28},	//242 QsciLexer::description(int) const [pure virtual]
    {53, 1110, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 29},	//243 QsciLexer::paper(int) const
    {53, 874, 0, 0, Smoke::mf_const, 6, 30},	//244 QsciLexer::defaultColor() const
    {53, 874, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 31},	//245 QsciLexer::defaultColor(int) const
    {53, 876, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 32},	//246 QsciLexer::defaultEolFill(int) const
    {53, 878, 0, 0, Smoke::mf_const, 14, 33},	//247 QsciLexer::defaultFont() const
    {53, 878, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 34},	//248 QsciLexer::defaultFont(int) const
    {53, 880, 0, 0, Smoke::mf_const, 6, 35},	//249 QsciLexer::defaultPaper() const
    {53, 880, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 36},	//250 QsciLexer::defaultPaper(int) const
    {53, 903, 0, 0, Smoke::mf_const, 92, 37},	//251 QsciLexer::editor() const
    {53, 1174, 78, 1, 0, 0, 38},	//252 QsciLexer::setAPIs(QsciAbstractAPIs*)
    {53, 1239, 80, 1, 0, 0, 39},	//253 QsciLexer::setDefaultColor(const QColor&)
    {53, 1241, 40, 1, 0, 0, 40},	//254 QsciLexer::setDefaultFont(const QFont&)
    {53, 1243, 80, 1, 0, 0, 41},	//255 QsciLexer::setDefaultPaper(const QColor&)
    {53, 1261, 82, 1, Smoke::mf_virtual, 0, 42},	//256 QsciLexer::setEditor(QsciScintilla*)
    {53, 1137, 65, 2, 0, 189, 43},	//257 QsciLexer::readSettings(QSettings&, const char*)
    {53, 1145, 0, 0, Smoke::mf_virtual, 0, 44},	//258 QsciLexer::refreshProperties()
    {53, 1486, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 45},	//259 QsciLexer::styleBitsNeeded() const
    {53, 1536, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 46},	//260 QsciLexer::wordCharacters() const
    {53, 1543, 65, 2, Smoke::mf_const, 189, 47},	//261 QsciLexer::writeSettings(QSettings&, const char*) const
    {53, 1200, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 48},	//262 QsciLexer::setAutoIndentStyle(int)
    {53, 1232, 84, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 49},	//263 QsciLexer::setColor(const QColor&, int)
    {53, 1263, 87, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 50},	//264 QsciLexer::setEolFill(bool, int)
    {53, 1307, 90, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 51},	//265 QsciLexer::setFont(const QFont&, int)
    {53, 1398, 84, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 52},	//266 QsciLexer::setPaper(const QColor&, int)
    {53, 856, 84, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 53},	//267 QsciLexer::colorChanged(const QColor&, int)
    {53, 913, 87, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 54},	//268 QsciLexer::eolFillChanged(bool, int)
    {53, 968, 90, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 55},	//269 QsciLexer::fontChanged(const QFont&, int)
    {53, 1112, 84, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 56},	//270 QsciLexer::paperChanged(const QColor&, int)
    {53, 1126, 42, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 57},	//271 QsciLexer::propertyChanged(const char*, const char*)
    {53, 1135, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 58},	//272 QsciLexer::readProperties(QSettings&, const QString&)
    {53, 1541, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 59},	//273 QsciLexer::writeProperties(QSettings&, const QString&) const
    {53, 1506, 12, 1, Smoke::mf_static, 40, 60},	//274 QsciLexer::tr(const char*)
    {53, 1510, 12, 1, Smoke::mf_static, 40, 61},	//275 QsciLexer::trUtf8(const char*)
    {53, 460, 0, 0, Smoke::mf_ctor, 58, 62},	//276 QsciLexer::QsciLexer()
    {53, 814, 0, 0, Smoke::mf_const, 213, 63},	//277 QsciLexer::blockEnd() const
    {53, 817, 0, 0, Smoke::mf_const, 213, 64},	//278 QsciLexer::blockStart() const
    {53, 819, 0, 0, Smoke::mf_const, 213, 65},	//279 QsciLexer::blockStartKeyword() const
    {53, 1137, 70, 1, 0, 189, 66},	//280 QsciLexer::readSettings(QSettings&)
    {53, 1543, 70, 1, Smoke::mf_const, 189, 67},	//281 QsciLexer::writeSettings(QSettings&) const
    {53, 1232, 80, 1, Smoke::mf_slot, 0, 68},	//282 QsciLexer::setColor(const QColor&)
    {53, 1263, 16, 1, Smoke::mf_slot, 0, 69},	//283 QsciLexer::setEolFill(bool)
    {53, 1307, 40, 1, Smoke::mf_slot, 0, 70},	//284 QsciLexer::setFont(const QFont&)
    {53, 1398, 80, 1, Smoke::mf_slot, 0, 71},	//285 QsciLexer::setPaper(const QColor&)
    {53, 1483, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 72},	//286 QsciLexer::staticMetaObject() const
    {53, 1557, 0, 0, Smoke::mf_dtor, 0, 73 },	//287 QsciLexer::~QsciLexer()
    {54, 1087, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//288 QsciLexerBash::metaObject() const
    {54, 1130, 12, 1, Smoke::mf_virtual, 221, 2},	//289 QsciLexerBash::qt_metacast(const char*)
    {54, 1506, 42, 2, Smoke::mf_static, 40, 3},	//290 QsciLexerBash::tr(const char*, const char*)
    {54, 1510, 42, 2, Smoke::mf_static, 40, 4},	//291 QsciLexerBash::trUtf8(const char*, const char*)
    {54, 1506, 45, 3, Smoke::mf_static, 40, 5},	//292 QsciLexerBash::tr(const char*, const char*, int)
    {54, 1510, 45, 3, Smoke::mf_static, 40, 6},	//293 QsciLexerBash::trUtf8(const char*, const char*, int)
    {54, 1128, 49, 3, Smoke::mf_virtual, 215, 7},	//294 QsciLexerBash::qt_metacall(QMetaObject::Call, int, void**)
    {54, 462, 74, 1, Smoke::mf_ctor, 59, 8},	//295 QsciLexerBash::QsciLexerBash(QObject*)
    {54, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//296 QsciLexerBash::language() const
    {54, 1036, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//297 QsciLexerBash::lexer() const
    {54, 824, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 11},	//298 QsciLexerBash::braceStyle() const
    {54, 1536, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 12},	//299 QsciLexerBash::wordCharacters() const
    {54, 874, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//300 QsciLexerBash::defaultColor(int) const
    {54, 876, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 14},	//301 QsciLexerBash::defaultEolFill(int) const
    {54, 878, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 15},	//302 QsciLexerBash::defaultFont(int) const
    {54, 880, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 16},	//303 QsciLexerBash::defaultPaper(int) const
    {54, 1029, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 17},	//304 QsciLexerBash::keywords(int) const
    {54, 884, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 18},	//305 QsciLexerBash::description(int) const
    {54, 1145, 0, 0, Smoke::mf_virtual, 0, 19},	//306 QsciLexerBash::refreshProperties()
    {54, 952, 0, 0, Smoke::mf_const, 189, 20},	//307 QsciLexerBash::foldComments() const
    {54, 953, 0, 0, Smoke::mf_const, 189, 21},	//308 QsciLexerBash::foldCompact() const
    {54, 1282, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//309 QsciLexerBash::setFoldComments(bool)
    {54, 1284, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 23},	//310 QsciLexerBash::setFoldCompact(bool)
    {54, 1135, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 24},	//311 QsciLexerBash::readProperties(QSettings&, const QString&)
    {54, 1541, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 25},	//312 QsciLexerBash::writeProperties(QSettings&, const QString&) const
    {54, 1506, 12, 1, Smoke::mf_static, 40, 26},	//313 QsciLexerBash::tr(const char*)
    {54, 1510, 12, 1, Smoke::mf_static, 40, 27},	//314 QsciLexerBash::trUtf8(const char*)
    {54, 462, 0, 0, Smoke::mf_ctor, 59, 28},	//315 QsciLexerBash::QsciLexerBash()
    {54, 1483, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 29},	//316 QsciLexerBash::staticMetaObject() const
    {54, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 30},	//317 QsciLexerBash::Default (enum)
    {54, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 31},	//318 QsciLexerBash::Error (enum)
    {54, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 32},	//319 QsciLexerBash::Comment (enum)
    {54, 371, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 33},	//320 QsciLexerBash::Number (enum)
    {54, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 34},	//321 QsciLexerBash::Keyword (enum)
    {54, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 35},	//322 QsciLexerBash::DoubleQuotedString (enum)
    {54, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 36},	//323 QsciLexerBash::SingleQuotedString (enum)
    {54, 375, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 37},	//324 QsciLexerBash::Operator (enum)
    {54, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 38},	//325 QsciLexerBash::Identifier (enum)
    {54, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 39},	//326 QsciLexerBash::Scalar (enum)
    {54, 403, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 40},	//327 QsciLexerBash::ParameterExpansion (enum)
    {54, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 41},	//328 QsciLexerBash::Backticks (enum)
    {54, 235, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 42},	//329 QsciLexerBash::HereDocumentDelimiter (enum)
    {54, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 43},	//330 QsciLexerBash::SingleQuotedHereDocument (enum)
    {54, 1558, 0, 0, Smoke::mf_dtor, 0, 44 },	//331 QsciLexerBash::~QsciLexerBash()
    {55, 1087, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//332 QsciLexerBatch::metaObject() const
    {55, 1130, 12, 1, Smoke::mf_virtual, 221, 2},	//333 QsciLexerBatch::qt_metacast(const char*)
    {55, 1506, 42, 2, Smoke::mf_static, 40, 3},	//334 QsciLexerBatch::tr(const char*, const char*)
    {55, 1510, 42, 2, Smoke::mf_static, 40, 4},	//335 QsciLexerBatch::trUtf8(const char*, const char*)
    {55, 1506, 45, 3, Smoke::mf_static, 40, 5},	//336 QsciLexerBatch::tr(const char*, const char*, int)
    {55, 1510, 45, 3, Smoke::mf_static, 40, 6},	//337 QsciLexerBatch::trUtf8(const char*, const char*, int)
    {55, 1128, 49, 3, Smoke::mf_virtual, 215, 7},	//338 QsciLexerBatch::qt_metacall(QMetaObject::Call, int, void**)
    {55, 464, 74, 1, Smoke::mf_ctor, 60, 8},	//339 QsciLexerBatch::QsciLexerBatch(QObject*)
    {55, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//340 QsciLexerBatch::language() const
    {55, 1036, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//341 QsciLexerBatch::lexer() const
    {55, 1536, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 11},	//342 QsciLexerBatch::wordCharacters() const
    {55, 837, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 189, 12},	//343 QsciLexerBatch::caseSensitive() const
    {55, 874, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//344 QsciLexerBatch::defaultColor(int) const
    {55, 876, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 14},	//345 QsciLexerBatch::defaultEolFill(int) const
    {55, 878, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 15},	//346 QsciLexerBatch::defaultFont(int) const
    {55, 880, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 16},	//347 QsciLexerBatch::defaultPaper(int) const
    {55, 1029, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 17},	//348 QsciLexerBatch::keywords(int) const
    {55, 884, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 18},	//349 QsciLexerBatch::description(int) const
    {55, 1506, 12, 1, Smoke::mf_static, 40, 19},	//350 QsciLexerBatch::tr(const char*)
    {55, 1510, 12, 1, Smoke::mf_static, 40, 20},	//351 QsciLexerBatch::trUtf8(const char*)
    {55, 464, 0, 0, Smoke::mf_ctor, 60, 21},	//352 QsciLexerBatch::QsciLexerBatch()
    {55, 1483, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 22},	//353 QsciLexerBatch::staticMetaObject() const
    {55, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 23},	//354 QsciLexerBatch::Default (enum)
    {55, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 24},	//355 QsciLexerBatch::Comment (enum)
    {55, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 25},	//356 QsciLexerBatch::Keyword (enum)
    {55, 310, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 26},	//357 QsciLexerBatch::Label (enum)
    {55, 239, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 27},	//358 QsciLexerBatch::HideCommandChar (enum)
    {55, 210, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 28},	//359 QsciLexerBatch::ExternalCommand (enum)
    {55, 738, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 29},	//360 QsciLexerBatch::Variable (enum)
    {55, 375, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 30},	//361 QsciLexerBatch::Operator (enum)
    {55, 1559, 0, 0, Smoke::mf_dtor, 0, 31 },	//362 QsciLexerBatch::~QsciLexerBatch()
    {56, 1087, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//363 QsciLexerCMake::metaObject() const
    {56, 1130, 12, 1, Smoke::mf_virtual, 221, 2},	//364 QsciLexerCMake::qt_metacast(const char*)
    {56, 1506, 42, 2, Smoke::mf_static, 40, 3},	//365 QsciLexerCMake::tr(const char*, const char*)
    {56, 1510, 42, 2, Smoke::mf_static, 40, 4},	//366 QsciLexerCMake::trUtf8(const char*, const char*)
    {56, 1506, 45, 3, Smoke::mf_static, 40, 5},	//367 QsciLexerCMake::tr(const char*, const char*, int)
    {56, 1510, 45, 3, Smoke::mf_static, 40, 6},	//368 QsciLexerCMake::trUtf8(const char*, const char*, int)
    {56, 1128, 49, 3, Smoke::mf_virtual, 215, 7},	//369 QsciLexerCMake::qt_metacall(QMetaObject::Call, int, void**)
    {56, 466, 74, 1, Smoke::mf_ctor, 61, 8},	//370 QsciLexerCMake::QsciLexerCMake(QObject*)
    {56, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//371 QsciLexerCMake::language() const
    {56, 1036, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//372 QsciLexerCMake::lexer() const
    {56, 874, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 11},	//373 QsciLexerCMake::defaultColor(int) const
    {56, 878, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 12},	//374 QsciLexerCMake::defaultFont(int) const
    {56, 880, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//375 QsciLexerCMake::defaultPaper(int) const
    {56, 1029, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 14},	//376 QsciLexerCMake::keywords(int) const
    {56, 884, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 15},	//377 QsciLexerCMake::description(int) const
    {56, 1145, 0, 0, Smoke::mf_virtual, 0, 16},	//378 QsciLexerCMake::refreshProperties()
    {56, 950, 0, 0, Smoke::mf_const, 189, 17},	//379 QsciLexerCMake::foldAtElse() const
    {56, 1278, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 18},	//380 QsciLexerCMake::setFoldAtElse(bool)
    {56, 1135, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 19},	//381 QsciLexerCMake::readProperties(QSettings&, const QString&)
    {56, 1541, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 20},	//382 QsciLexerCMake::writeProperties(QSettings&, const QString&) const
    {56, 1506, 12, 1, Smoke::mf_static, 40, 21},	//383 QsciLexerCMake::tr(const char*)
    {56, 1510, 12, 1, Smoke::mf_static, 40, 22},	//384 QsciLexerCMake::trUtf8(const char*)
    {56, 466, 0, 0, Smoke::mf_ctor, 61, 23},	//385 QsciLexerCMake::QsciLexerCMake()
    {56, 1483, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 24},	//386 QsciLexerCMake::staticMetaObject() const
    {56, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 25},	//387 QsciLexerCMake::Default (enum)
    {56, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 26},	//388 QsciLexerCMake::Comment (enum)
    {56, 669, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 27},	//389 QsciLexerCMake::String (enum)
    {56, 670, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 28},	//390 QsciLexerCMake::StringLeftQuote (enum)
    {56, 671, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 29},	//391 QsciLexerCMake::StringRightQuote (enum)
    {56, 218, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 30},	//392 QsciLexerCMake::Function (enum)
    {56, 738, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 31},	//393 QsciLexerCMake::Variable (enum)
    {56, 310, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 32},	//394 QsciLexerCMake::Label (enum)
    {56, 304, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 33},	//395 QsciLexerCMake::KeywordSet3 (enum)
    {56, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 34},	//396 QsciLexerCMake::BlockWhile (enum)
    {56, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 35},	//397 QsciLexerCMake::BlockForeach (enum)
    {56, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 36},	//398 QsciLexerCMake::BlockIf (enum)
    {56, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 37},	//399 QsciLexerCMake::BlockMacro (enum)
    {56, 673, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 38},	//400 QsciLexerCMake::StringVariable (enum)
    {56, 371, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 39},	//401 QsciLexerCMake::Number (enum)
    {56, 1560, 0, 0, Smoke::mf_dtor, 0, 40 },	//402 QsciLexerCMake::~QsciLexerCMake()
    {57, 1087, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//403 QsciLexerCPP::metaObject() const
    {57, 1130, 12, 1, Smoke::mf_virtual, 221, 2},	//404 QsciLexerCPP::qt_metacast(const char*)
    {57, 1506, 42, 2, Smoke::mf_static, 40, 3},	//405 QsciLexerCPP::tr(const char*, const char*)
    {57, 1510, 42, 2, Smoke::mf_static, 40, 4},	//406 QsciLexerCPP::trUtf8(const char*, const char*)
    {57, 1506, 45, 3, Smoke::mf_static, 40, 5},	//407 QsciLexerCPP::tr(const char*, const char*, int)
    {57, 1510, 45, 3, Smoke::mf_static, 40, 6},	//408 QsciLexerCPP::trUtf8(const char*, const char*, int)
    {57, 1128, 49, 3, Smoke::mf_virtual, 215, 7},	//409 QsciLexerCPP::qt_metacall(QMetaObject::Call, int, void**)
    {57, 468, 96, 2, Smoke::mf_ctor, 62, 8},	//410 QsciLexerCPP::QsciLexerCPP(QObject*, bool)
    {57, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//411 QsciLexerCPP::language() const
    {57, 1036, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//412 QsciLexerCPP::lexer() const
    {57, 808, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 41, 11},	//413 QsciLexerCPP::autoCompletionWordSeparators() const
    {57, 814, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 12},	//414 QsciLexerCPP::blockEnd(int*) const
    {57, 817, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 13},	//415 QsciLexerCPP::blockStart(int*) const
    {57, 819, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 14},	//416 QsciLexerCPP::blockStartKeyword(int*) const
    {57, 824, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 15},	//417 QsciLexerCPP::braceStyle() const
    {57, 1536, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 16},	//418 QsciLexerCPP::wordCharacters() const
    {57, 874, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 17},	//419 QsciLexerCPP::defaultColor(int) const
    {57, 876, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 18},	//420 QsciLexerCPP::defaultEolFill(int) const
    {57, 878, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 19},	//421 QsciLexerCPP::defaultFont(int) const
    {57, 880, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 20},	//422 QsciLexerCPP::defaultPaper(int) const
    {57, 1029, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 21},	//423 QsciLexerCPP::keywords(int) const
    {57, 884, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 22},	//424 QsciLexerCPP::description(int) const
    {57, 1145, 0, 0, Smoke::mf_virtual, 0, 23},	//425 QsciLexerCPP::refreshProperties()
    {57, 950, 0, 0, Smoke::mf_const, 189, 24},	//426 QsciLexerCPP::foldAtElse() const
    {57, 952, 0, 0, Smoke::mf_const, 189, 25},	//427 QsciLexerCPP::foldComments() const
    {57, 953, 0, 0, Smoke::mf_const, 189, 26},	//428 QsciLexerCPP::foldCompact() const
    {57, 960, 0, 0, Smoke::mf_const, 189, 27},	//429 QsciLexerCPP::foldPreprocessor() const
    {57, 1488, 0, 0, Smoke::mf_const, 189, 28},	//430 QsciLexerCPP::stylePreprocessor() const
    {57, 1251, 16, 1, 0, 0, 29},	//431 QsciLexerCPP::setDollarsAllowed(bool)
    {57, 890, 0, 0, Smoke::mf_const, 189, 30},	//432 QsciLexerCPP::dollarsAllowed() const
    {57, 1318, 16, 1, 0, 0, 31},	//433 QsciLexerCPP::setHighlightTripleQuotedStrings(bool)
    {57, 984, 0, 0, Smoke::mf_const, 189, 32},	//434 QsciLexerCPP::highlightTripleQuotedStrings() const
    {57, 1314, 16, 1, 0, 0, 33},	//435 QsciLexerCPP::setHighlightHashQuotedStrings(bool)
    {57, 982, 0, 0, Smoke::mf_const, 189, 34},	//436 QsciLexerCPP::highlightHashQuotedStrings() const
    {57, 1278, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 35},	//437 QsciLexerCPP::setFoldAtElse(bool)
    {57, 1282, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 36},	//438 QsciLexerCPP::setFoldComments(bool)
    {57, 1284, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 37},	//439 QsciLexerCPP::setFoldCompact(bool)
    {57, 1296, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 38},	//440 QsciLexerCPP::setFoldPreprocessor(bool)
    {57, 1426, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 39},	//441 QsciLexerCPP::setStylePreprocessor(bool)
    {57, 1135, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 40},	//442 QsciLexerCPP::readProperties(QSettings&, const QString&)
    {57, 1541, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 41},	//443 QsciLexerCPP::writeProperties(QSettings&, const QString&) const
    {57, 1506, 12, 1, Smoke::mf_static, 40, 42},	//444 QsciLexerCPP::tr(const char*)
    {57, 1510, 12, 1, Smoke::mf_static, 40, 43},	//445 QsciLexerCPP::trUtf8(const char*)
    {57, 468, 0, 0, Smoke::mf_ctor, 62, 44},	//446 QsciLexerCPP::QsciLexerCPP()
    {57, 468, 74, 1, Smoke::mf_ctor, 62, 45},	//447 QsciLexerCPP::QsciLexerCPP(QObject*)
    {57, 814, 0, 0, Smoke::mf_const, 213, 46},	//448 QsciLexerCPP::blockEnd() const
    {57, 817, 0, 0, Smoke::mf_const, 213, 47},	//449 QsciLexerCPP::blockStart() const
    {57, 819, 0, 0, Smoke::mf_const, 213, 48},	//450 QsciLexerCPP::blockStartKeyword() const
    {57, 1483, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 49},	//451 QsciLexerCPP::staticMetaObject() const
    {57, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 50},	//452 QsciLexerCPP::Default (enum)
    {57, 262, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 51},	//453 QsciLexerCPP::InactiveDefault (enum)
    {57, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 52},	//454 QsciLexerCPP::Comment (enum)
    {57, 256, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 53},	//455 QsciLexerCPP::InactiveComment (enum)
    {57, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 54},	//456 QsciLexerCPP::CommentLine (enum)
    {57, 260, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 55},	//457 QsciLexerCPP::InactiveCommentLine (enum)
    {57, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 56},	//458 QsciLexerCPP::CommentDoc (enum)
    {57, 257, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 57},	//459 QsciLexerCPP::InactiveCommentDoc (enum)
    {57, 371, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 58},	//460 QsciLexerCPP::Number (enum)
    {57, 269, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 59},	//461 QsciLexerCPP::InactiveNumber (enum)
    {57, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 60},	//462 QsciLexerCPP::Keyword (enum)
    {57, 267, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 61},	//463 QsciLexerCPP::InactiveKeyword (enum)
    {57, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 62},	//464 QsciLexerCPP::DoubleQuotedString (enum)
    {57, 263, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 63},	//465 QsciLexerCPP::InactiveDoubleQuotedString (enum)
    {57, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 64},	//466 QsciLexerCPP::SingleQuotedString (enum)
    {57, 276, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 65},	//467 QsciLexerCPP::InactiveSingleQuotedString (enum)
    {57, 714, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 66},	//468 QsciLexerCPP::UUID (enum)
    {57, 278, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 67},	//469 QsciLexerCPP::InactiveUUID (enum)
    {57, 423, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 68},	//470 QsciLexerCPP::PreProcessor (enum)
    {57, 271, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 69},	//471 QsciLexerCPP::InactivePreProcessor (enum)
    {57, 375, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 70},	//472 QsciLexerCPP::Operator (enum)
    {57, 270, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 71},	//473 QsciLexerCPP::InactiveOperator (enum)
    {57, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 72},	//474 QsciLexerCPP::Identifier (enum)
    {57, 266, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 73},	//475 QsciLexerCPP::InactiveIdentifier (enum)
    {57, 715, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 74},	//476 QsciLexerCPP::UnclosedString (enum)
    {57, 279, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 75},	//477 QsciLexerCPP::InactiveUnclosedString (enum)
    {57, 739, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 76},	//478 QsciLexerCPP::VerbatimString (enum)
    {57, 280, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 77},	//479 QsciLexerCPP::InactiveVerbatimString (enum)
    {57, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 78},	//480 QsciLexerCPP::Regex (enum)
    {57, 275, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 79},	//481 QsciLexerCPP::InactiveRegex (enum)
    {57, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 80},	//482 QsciLexerCPP::CommentLineDoc (enum)
    {57, 261, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 81},	//483 QsciLexerCPP::InactiveCommentLineDoc (enum)
    {57, 303, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 82},	//484 QsciLexerCPP::KeywordSet2 (enum)
    {57, 268, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 83},	//485 QsciLexerCPP::InactiveKeywordSet2 (enum)
    {57, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 84},	//486 QsciLexerCPP::CommentDocKeyword (enum)
    {57, 258, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 85},	//487 QsciLexerCPP::InactiveCommentDocKeyword (enum)
    {57, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 86},	//488 QsciLexerCPP::CommentDocKeywordError (enum)
    {57, 259, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 87},	//489 QsciLexerCPP::InactiveCommentDocKeywordError (enum)
    {57, 221, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 88},	//490 QsciLexerCPP::GlobalClass (enum)
    {57, 264, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 89},	//491 QsciLexerCPP::InactiveGlobalClass (enum)
    {57, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 90},	//492 QsciLexerCPP::RawString (enum)
    {57, 274, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 91},	//493 QsciLexerCPP::InactiveRawString (enum)
    {57, 710, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 92},	//494 QsciLexerCPP::TripleQuotedVerbatimString (enum)
    {57, 277, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 93},	//495 QsciLexerCPP::InactiveTripleQuotedVerbatimString (enum)
    {57, 232, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 94},	//496 QsciLexerCPP::HashQuotedString (enum)
    {57, 265, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 95},	//497 QsciLexerCPP::InactiveHashQuotedString (enum)
    {57, 424, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 96},	//498 QsciLexerCPP::PreProcessorComment (enum)
    {57, 272, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 97},	//499 QsciLexerCPP::InactivePreProcessorComment (enum)
    {57, 425, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 98},	//500 QsciLexerCPP::PreProcessorCommentLineDoc (enum)
    {57, 273, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 99},	//501 QsciLexerCPP::InactivePreProcessorCommentLineDoc (enum)
    {57, 1561, 0, 0, Smoke::mf_dtor, 0, 100 },	//502 QsciLexerCPP::~QsciLexerCPP()
    {58, 1087, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//503 QsciLexerCSS::metaObject() const
    {58, 1130, 12, 1, Smoke::mf_virtual, 221, 2},	//504 QsciLexerCSS::qt_metacast(const char*)
    {58, 1506, 42, 2, Smoke::mf_static, 40, 3},	//505 QsciLexerCSS::tr(const char*, const char*)
    {58, 1510, 42, 2, Smoke::mf_static, 40, 4},	//506 QsciLexerCSS::trUtf8(const char*, const char*)
    {58, 1506, 45, 3, Smoke::mf_static, 40, 5},	//507 QsciLexerCSS::tr(const char*, const char*, int)
    {58, 1510, 45, 3, Smoke::mf_static, 40, 6},	//508 QsciLexerCSS::trUtf8(const char*, const char*, int)
    {58, 1128, 49, 3, Smoke::mf_virtual, 215, 7},	//509 QsciLexerCSS::qt_metacall(QMetaObject::Call, int, void**)
    {58, 471, 74, 1, Smoke::mf_ctor, 63, 8},	//510 QsciLexerCSS::QsciLexerCSS(QObject*)
    {58, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//511 QsciLexerCSS::language() const
    {58, 1036, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//512 QsciLexerCSS::lexer() const
    {58, 814, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 11},	//513 QsciLexerCSS::blockEnd(int*) const
    {58, 817, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 12},	//514 QsciLexerCSS::blockStart(int*) const
    {58, 1536, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 13},	//515 QsciLexerCSS::wordCharacters() const
    {58, 874, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 14},	//516 QsciLexerCSS::defaultColor(int) const
    {58, 878, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 15},	//517 QsciLexerCSS::defaultFont(int) const
    {58, 1029, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 16},	//518 QsciLexerCSS::keywords(int) const
    {58, 884, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 17},	//519 QsciLexerCSS::description(int) const
    {58, 1145, 0, 0, Smoke::mf_virtual, 0, 18},	//520 QsciLexerCSS::refreshProperties()
    {58, 952, 0, 0, Smoke::mf_const, 189, 19},	//521 QsciLexerCSS::foldComments() const
    {58, 953, 0, 0, Smoke::mf_const, 189, 20},	//522 QsciLexerCSS::foldCompact() const
    {58, 1310, 16, 1, 0, 0, 21},	//523 QsciLexerCSS::setHSSLanguage(bool)
    {58, 225, 0, 0, Smoke::mf_const, 189, 22},	//524 QsciLexerCSS::HSSLanguage() const
    {58, 1349, 16, 1, 0, 0, 23},	//525 QsciLexerCSS::setLessLanguage(bool)
    {58, 320, 0, 0, Smoke::mf_const, 189, 24},	//526 QsciLexerCSS::LessLanguage() const
    {58, 1409, 16, 1, 0, 0, 25},	//527 QsciLexerCSS::setSCSSLanguage(bool)
    {58, 609, 0, 0, Smoke::mf_const, 189, 26},	//528 QsciLexerCSS::SCSSLanguage() const
    {58, 1282, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 27},	//529 QsciLexerCSS::setFoldComments(bool)
    {58, 1284, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//530 QsciLexerCSS::setFoldCompact(bool)
    {58, 1135, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 29},	//531 QsciLexerCSS::readProperties(QSettings&, const QString&)
    {58, 1541, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 30},	//532 QsciLexerCSS::writeProperties(QSettings&, const QString&) const
    {58, 1506, 12, 1, Smoke::mf_static, 40, 31},	//533 QsciLexerCSS::tr(const char*)
    {58, 1510, 12, 1, Smoke::mf_static, 40, 32},	//534 QsciLexerCSS::trUtf8(const char*)
    {58, 471, 0, 0, Smoke::mf_ctor, 63, 33},	//535 QsciLexerCSS::QsciLexerCSS()
    {58, 814, 0, 0, Smoke::mf_const, 213, 34},	//536 QsciLexerCSS::blockEnd() const
    {58, 817, 0, 0, Smoke::mf_const, 213, 35},	//537 QsciLexerCSS::blockStart() const
    {58, 1483, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 36},	//538 QsciLexerCSS::staticMetaObject() const
    {58, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 37},	//539 QsciLexerCSS::Default (enum)
    {58, 696, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 38},	//540 QsciLexerCSS::Tag (enum)
    {58, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 39},	//541 QsciLexerCSS::ClassSelector (enum)
    {58, 432, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 40},	//542 QsciLexerCSS::PseudoClass (enum)
    {58, 720, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 41},	//543 QsciLexerCSS::UnknownPseudoClass (enum)
    {58, 375, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 42},	//544 QsciLexerCSS::Operator (enum)
    {58, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 43},	//545 QsciLexerCSS::CSS1Property (enum)
    {58, 719, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 44},	//546 QsciLexerCSS::UnknownProperty (enum)
    {58, 737, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 45},	//547 QsciLexerCSS::Value (enum)
    {58, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 46},	//548 QsciLexerCSS::Comment (enum)
    {58, 249, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 47},	//549 QsciLexerCSS::IDSelector (enum)
    {58, 255, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 48},	//550 QsciLexerCSS::Important (enum)
    {58, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 49},	//551 QsciLexerCSS::AtRule (enum)
    {58, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 50},	//552 QsciLexerCSS::DoubleQuotedString (enum)
    {58, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 51},	//553 QsciLexerCSS::SingleQuotedString (enum)
    {58, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 52},	//554 QsciLexerCSS::CSS2Property (enum)
    {58, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 53},	//555 QsciLexerCSS::Attribute (enum)
    {58, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 54},	//556 QsciLexerCSS::CSS3Property (enum)
    {58, 433, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 55},	//557 QsciLexerCSS::PseudoElement (enum)
    {58, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 56},	//558 QsciLexerCSS::ExtendedCSSProperty (enum)
    {58, 208, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 57},	//559 QsciLexerCSS::ExtendedPseudoClass (enum)
    {58, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 58},	//560 QsciLexerCSS::ExtendedPseudoElement (enum)
    {58, 352, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 59},	//561 QsciLexerCSS::MediaRule (enum)
    {58, 738, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 60},	//562 QsciLexerCSS::Variable (enum)
    {58, 1562, 0, 0, Smoke::mf_dtor, 0, 61 },	//563 QsciLexerCSS::~QsciLexerCSS()
    {59, 1087, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//564 QsciLexerCSharp::metaObject() const
    {59, 1130, 12, 1, Smoke::mf_virtual, 221, 2},	//565 QsciLexerCSharp::qt_metacast(const char*)
    {59, 1506, 42, 2, Smoke::mf_static, 40, 3},	//566 QsciLexerCSharp::tr(const char*, const char*)
    {59, 1510, 42, 2, Smoke::mf_static, 40, 4},	//567 QsciLexerCSharp::trUtf8(const char*, const char*)
    {59, 1506, 45, 3, Smoke::mf_static, 40, 5},	//568 QsciLexerCSharp::tr(const char*, const char*, int)
    {59, 1510, 45, 3, Smoke::mf_static, 40, 6},	//569 QsciLexerCSharp::trUtf8(const char*, const char*, int)
    {59, 1128, 49, 3, Smoke::mf_virtual, 215, 7},	//570 QsciLexerCSharp::qt_metacall(QMetaObject::Call, int, void**)
    {59, 473, 74, 1, Smoke::mf_ctor, 64, 8},	//571 QsciLexerCSharp::QsciLexerCSharp(QObject*)
    {59, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//572 QsciLexerCSharp::language() const
    {59, 874, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 10},	//573 QsciLexerCSharp::defaultColor(int) const
    {59, 876, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 11},	//574 QsciLexerCSharp::defaultEolFill(int) const
    {59, 878, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 12},	//575 QsciLexerCSharp::defaultFont(int) const
    {59, 880, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//576 QsciLexerCSharp::defaultPaper(int) const
    {59, 1029, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 14},	//577 QsciLexerCSharp::keywords(int) const
    {59, 884, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 15},	//578 QsciLexerCSharp::description(int) const
    {59, 1506, 12, 1, Smoke::mf_static, 40, 16},	//579 QsciLexerCSharp::tr(const char*)
    {59, 1510, 12, 1, Smoke::mf_static, 40, 17},	//580 QsciLexerCSharp::trUtf8(const char*)
    {59, 473, 0, 0, Smoke::mf_ctor, 64, 18},	//581 QsciLexerCSharp::QsciLexerCSharp()
    {59, 1483, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 19},	//582 QsciLexerCSharp::staticMetaObject() const
    {59, 1563, 0, 0, Smoke::mf_dtor, 0, 20 },	//583 QsciLexerCSharp::~QsciLexerCSharp()
    {60, 1087, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//584 QsciLexerCustom::metaObject() const
    {60, 1130, 12, 1, Smoke::mf_virtual, 221, 2},	//585 QsciLexerCustom::qt_metacast(const char*)
    {60, 1506, 42, 2, Smoke::mf_static, 40, 3},	//586 QsciLexerCustom::tr(const char*, const char*)
    {60, 1510, 42, 2, Smoke::mf_static, 40, 4},	//587 QsciLexerCustom::trUtf8(const char*, const char*)
    {60, 1506, 45, 3, Smoke::mf_static, 40, 5},	//588 QsciLexerCustom::tr(const char*, const char*, int)
    {60, 1510, 45, 3, Smoke::mf_static, 40, 6},	//589 QsciLexerCustom::trUtf8(const char*, const char*, int)
    {60, 1128, 49, 3, Smoke::mf_virtual, 215, 7},	//590 QsciLexerCustom::qt_metacall(QMetaObject::Call, int, void**)
    {60, 475, 74, 1, Smoke::mf_ctor, 65, 8},	//591 QsciLexerCustom::QsciLexerCustom(QObject*)
    {60, 1428, 99, 2, 0, 0, 9},	//592 QsciLexerCustom::setStyling(int, int)
    {60, 1428, 102, 2, 0, 0, 10},	//593 QsciLexerCustom::setStyling(int, const QsciStyle&)
    {60, 1480, 99, 2, 0, 0, 11},	//594 QsciLexerCustom::startStyling(int, int)
    {60, 1489, 99, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 12},	//595 QsciLexerCustom::styleText(int, int) [pure virtual]
    {60, 1261, 82, 1, Smoke::mf_virtual, 0, 13},	//596 QsciLexerCustom::setEditor(QsciScintilla*)
    {60, 1486, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 14},	//597 QsciLexerCustom::styleBitsNeeded() const
    {60, 1506, 12, 1, Smoke::mf_static, 40, 15},	//598 QsciLexerCustom::tr(const char*)
    {60, 1510, 12, 1, Smoke::mf_static, 40, 16},	//599 QsciLexerCustom::trUtf8(const char*)
    {60, 475, 0, 0, Smoke::mf_ctor, 65, 17},	//600 QsciLexerCustom::QsciLexerCustom()
    {60, 1480, 18, 1, 0, 0, 18},	//601 QsciLexerCustom::startStyling(int)
    {60, 1483, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 19},	//602 QsciLexerCustom::staticMetaObject() const
    {60, 1564, 0, 0, Smoke::mf_dtor, 0, 20 },	//603 QsciLexerCustom::~QsciLexerCustom()
    {61, 1087, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//604 QsciLexerD::metaObject() const
    {61, 1130, 12, 1, Smoke::mf_virtual, 221, 2},	//605 QsciLexerD::qt_metacast(const char*)
    {61, 1506, 42, 2, Smoke::mf_static, 40, 3},	//606 QsciLexerD::tr(const char*, const char*)
    {61, 1510, 42, 2, Smoke::mf_static, 40, 4},	//607 QsciLexerD::trUtf8(const char*, const char*)
    {61, 1506, 45, 3, Smoke::mf_static, 40, 5},	//608 QsciLexerD::tr(const char*, const char*, int)
    {61, 1510, 45, 3, Smoke::mf_static, 40, 6},	//609 QsciLexerD::trUtf8(const char*, const char*, int)
    {61, 1128, 49, 3, Smoke::mf_virtual, 215, 7},	//610 QsciLexerD::qt_metacall(QMetaObject::Call, int, void**)
    {61, 477, 74, 1, Smoke::mf_ctor, 66, 8},	//611 QsciLexerD::QsciLexerD(QObject*)
    {61, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//612 QsciLexerD::language() const
    {61, 1036, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//613 QsciLexerD::lexer() const
    {61, 808, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 41, 11},	//614 QsciLexerD::autoCompletionWordSeparators() const
    {61, 814, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 12},	//615 QsciLexerD::blockEnd(int*) const
    {61, 817, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 13},	//616 QsciLexerD::blockStart(int*) const
    {61, 819, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 14},	//617 QsciLexerD::blockStartKeyword(int*) const
    {61, 824, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 15},	//618 QsciLexerD::braceStyle() const
    {61, 1536, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 16},	//619 QsciLexerD::wordCharacters() const
    {61, 874, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 17},	//620 QsciLexerD::defaultColor(int) const
    {61, 876, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 18},	//621 QsciLexerD::defaultEolFill(int) const
    {61, 878, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 19},	//622 QsciLexerD::defaultFont(int) const
    {61, 880, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 20},	//623 QsciLexerD::defaultPaper(int) const
    {61, 1029, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 21},	//624 QsciLexerD::keywords(int) const
    {61, 884, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 22},	//625 QsciLexerD::description(int) const
    {61, 1145, 0, 0, Smoke::mf_virtual, 0, 23},	//626 QsciLexerD::refreshProperties()
    {61, 950, 0, 0, Smoke::mf_const, 189, 24},	//627 QsciLexerD::foldAtElse() const
    {61, 952, 0, 0, Smoke::mf_const, 189, 25},	//628 QsciLexerD::foldComments() const
    {61, 953, 0, 0, Smoke::mf_const, 189, 26},	//629 QsciLexerD::foldCompact() const
    {61, 1278, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 27},	//630 QsciLexerD::setFoldAtElse(bool)
    {61, 1282, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//631 QsciLexerD::setFoldComments(bool)
    {61, 1284, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 29},	//632 QsciLexerD::setFoldCompact(bool)
    {61, 1135, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 30},	//633 QsciLexerD::readProperties(QSettings&, const QString&)
    {61, 1541, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 31},	//634 QsciLexerD::writeProperties(QSettings&, const QString&) const
    {61, 1506, 12, 1, Smoke::mf_static, 40, 32},	//635 QsciLexerD::tr(const char*)
    {61, 1510, 12, 1, Smoke::mf_static, 40, 33},	//636 QsciLexerD::trUtf8(const char*)
    {61, 477, 0, 0, Smoke::mf_ctor, 66, 34},	//637 QsciLexerD::QsciLexerD()
    {61, 814, 0, 0, Smoke::mf_const, 213, 35},	//638 QsciLexerD::blockEnd() const
    {61, 817, 0, 0, Smoke::mf_const, 213, 36},	//639 QsciLexerD::blockStart() const
    {61, 819, 0, 0, Smoke::mf_const, 213, 37},	//640 QsciLexerD::blockStartKeyword() const
    {61, 1483, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 38},	//641 QsciLexerD::staticMetaObject() const
    {61, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 39},	//642 QsciLexerD::Default (enum)
    {61, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 40},	//643 QsciLexerD::Comment (enum)
    {61, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 41},	//644 QsciLexerD::CommentLine (enum)
    {61, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 42},	//645 QsciLexerD::CommentDoc (enum)
    {61, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 43},	//646 QsciLexerD::CommentNested (enum)
    {61, 371, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 44},	//647 QsciLexerD::Number (enum)
    {61, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 45},	//648 QsciLexerD::Keyword (enum)
    {61, 302, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 46},	//649 QsciLexerD::KeywordSecondary (enum)
    {61, 301, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 47},	//650 QsciLexerD::KeywordDoc (enum)
    {61, 712, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 48},	//651 QsciLexerD::Typedefs (enum)
    {61, 669, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 49},	//652 QsciLexerD::String (enum)
    {61, 715, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 50},	//653 QsciLexerD::UnclosedString (enum)
    {61, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 51},	//654 QsciLexerD::Character (enum)
    {61, 375, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 52},	//655 QsciLexerD::Operator (enum)
    {61, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 53},	//656 QsciLexerD::Identifier (enum)
    {61, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 54},	//657 QsciLexerD::CommentLineDoc (enum)
    {61, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 55},	//658 QsciLexerD::CommentDocKeyword (enum)
    {61, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 56},	//659 QsciLexerD::CommentDocKeywordError (enum)
    {61, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 57},	//660 QsciLexerD::BackquoteString (enum)
    {61, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 58},	//661 QsciLexerD::RawString (enum)
    {61, 305, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 59},	//662 QsciLexerD::KeywordSet5 (enum)
    {61, 306, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 60},	//663 QsciLexerD::KeywordSet6 (enum)
    {61, 307, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 61},	//664 QsciLexerD::KeywordSet7 (enum)
    {61, 1565, 0, 0, Smoke::mf_dtor, 0, 62 },	//665 QsciLexerD::~QsciLexerD()
    {62, 1087, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//666 QsciLexerDiff::metaObject() const
    {62, 1130, 12, 1, Smoke::mf_virtual, 221, 2},	//667 QsciLexerDiff::qt_metacast(const char*)
    {62, 1506, 42, 2, Smoke::mf_static, 40, 3},	//668 QsciLexerDiff::tr(const char*, const char*)
    {62, 1510, 42, 2, Smoke::mf_static, 40, 4},	//669 QsciLexerDiff::trUtf8(const char*, const char*)
    {62, 1506, 45, 3, Smoke::mf_static, 40, 5},	//670 QsciLexerDiff::tr(const char*, const char*, int)
    {62, 1510, 45, 3, Smoke::mf_static, 40, 6},	//671 QsciLexerDiff::trUtf8(const char*, const char*, int)
    {62, 1128, 49, 3, Smoke::mf_virtual, 215, 7},	//672 QsciLexerDiff::qt_metacall(QMetaObject::Call, int, void**)
    {62, 479, 74, 1, Smoke::mf_ctor, 67, 8},	//673 QsciLexerDiff::QsciLexerDiff(QObject*)
    {62, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//674 QsciLexerDiff::language() const
    {62, 1036, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//675 QsciLexerDiff::lexer() const
    {62, 1536, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 11},	//676 QsciLexerDiff::wordCharacters() const
    {62, 874, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//677 QsciLexerDiff::defaultColor(int) const
    {62, 884, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 13},	//678 QsciLexerDiff::description(int) const
    {62, 1506, 12, 1, Smoke::mf_static, 40, 14},	//679 QsciLexerDiff::tr(const char*)
    {62, 1510, 12, 1, Smoke::mf_static, 40, 15},	//680 QsciLexerDiff::trUtf8(const char*)
    {62, 479, 0, 0, Smoke::mf_ctor, 67, 16},	//681 QsciLexerDiff::QsciLexerDiff()
    {62, 1483, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 17},	//682 QsciLexerDiff::staticMetaObject() const
    {62, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 18},	//683 QsciLexerDiff::Default (enum)
    {62, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 19},	//684 QsciLexerDiff::Comment (enum)
    {62, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 20},	//685 QsciLexerDiff::Command (enum)
    {62, 233, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 21},	//686 QsciLexerDiff::Header (enum)
    {62, 421, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 22},	//687 QsciLexerDiff::Position (enum)
    {62, 339, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 23},	//688 QsciLexerDiff::LineRemoved (enum)
    {62, 322, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 24},	//689 QsciLexerDiff::LineAdded (enum)
    {62, 323, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 25},	//690 QsciLexerDiff::LineChanged (enum)
    {62, 1566, 0, 0, Smoke::mf_dtor, 0, 26 },	//691 QsciLexerDiff::~QsciLexerDiff()
    {63, 1087, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//692 QsciLexerFortran::metaObject() const
    {63, 1130, 12, 1, Smoke::mf_virtual, 221, 2},	//693 QsciLexerFortran::qt_metacast(const char*)
    {63, 1506, 42, 2, Smoke::mf_static, 40, 3},	//694 QsciLexerFortran::tr(const char*, const char*)
    {63, 1510, 42, 2, Smoke::mf_static, 40, 4},	//695 QsciLexerFortran::trUtf8(const char*, const char*)
    {63, 1506, 45, 3, Smoke::mf_static, 40, 5},	//696 QsciLexerFortran::tr(const char*, const char*, int)
    {63, 1510, 45, 3, Smoke::mf_static, 40, 6},	//697 QsciLexerFortran::trUtf8(const char*, const char*, int)
    {63, 1128, 49, 3, Smoke::mf_virtual, 215, 7},	//698 QsciLexerFortran::qt_metacall(QMetaObject::Call, int, void**)
    {63, 481, 74, 1, Smoke::mf_ctor, 68, 8},	//699 QsciLexerFortran::QsciLexerFortran(QObject*)
    {63, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//700 QsciLexerFortran::language() const
    {63, 1036, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//701 QsciLexerFortran::lexer() const
    {63, 1029, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 11},	//702 QsciLexerFortran::keywords(int) const
    {63, 1506, 12, 1, Smoke::mf_static, 40, 12},	//703 QsciLexerFortran::tr(const char*)
    {63, 1510, 12, 1, Smoke::mf_static, 40, 13},	//704 QsciLexerFortran::trUtf8(const char*)
    {63, 481, 0, 0, Smoke::mf_ctor, 68, 14},	//705 QsciLexerFortran::QsciLexerFortran()
    {63, 1483, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 15},	//706 QsciLexerFortran::staticMetaObject() const
    {63, 1567, 0, 0, Smoke::mf_dtor, 0, 16 },	//707 QsciLexerFortran::~QsciLexerFortran()
    {64, 1087, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//708 QsciLexerFortran77::metaObject() const
    {64, 1130, 12, 1, Smoke::mf_virtual, 221, 2},	//709 QsciLexerFortran77::qt_metacast(const char*)
    {64, 1506, 42, 2, Smoke::mf_static, 40, 3},	//710 QsciLexerFortran77::tr(const char*, const char*)
    {64, 1510, 42, 2, Smoke::mf_static, 40, 4},	//711 QsciLexerFortran77::trUtf8(const char*, const char*)
    {64, 1506, 45, 3, Smoke::mf_static, 40, 5},	//712 QsciLexerFortran77::tr(const char*, const char*, int)
    {64, 1510, 45, 3, Smoke::mf_static, 40, 6},	//713 QsciLexerFortran77::trUtf8(const char*, const char*, int)
    {64, 1128, 49, 3, Smoke::mf_virtual, 215, 7},	//714 QsciLexerFortran77::qt_metacall(QMetaObject::Call, int, void**)
    {64, 483, 74, 1, Smoke::mf_ctor, 69, 8},	//715 QsciLexerFortran77::QsciLexerFortran77(QObject*)
    {64, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//716 QsciLexerFortran77::language() const
    {64, 1036, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//717 QsciLexerFortran77::lexer() const
    {64, 824, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 11},	//718 QsciLexerFortran77::braceStyle() const
    {64, 874, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//719 QsciLexerFortran77::defaultColor(int) const
    {64, 876, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 13},	//720 QsciLexerFortran77::defaultEolFill(int) const
    {64, 878, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 14},	//721 QsciLexerFortran77::defaultFont(int) const
    {64, 880, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//722 QsciLexerFortran77::defaultPaper(int) const
    {64, 1029, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 16},	//723 QsciLexerFortran77::keywords(int) const
    {64, 884, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 17},	//724 QsciLexerFortran77::description(int) const
    {64, 1145, 0, 0, Smoke::mf_virtual, 0, 18},	//725 QsciLexerFortran77::refreshProperties()
    {64, 953, 0, 0, Smoke::mf_const, 189, 19},	//726 QsciLexerFortran77::foldCompact() const
    {64, 1284, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 20},	//727 QsciLexerFortran77::setFoldCompact(bool)
    {64, 1135, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 21},	//728 QsciLexerFortran77::readProperties(QSettings&, const QString&)
    {64, 1541, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 22},	//729 QsciLexerFortran77::writeProperties(QSettings&, const QString&) const
    {64, 1506, 12, 1, Smoke::mf_static, 40, 23},	//730 QsciLexerFortran77::tr(const char*)
    {64, 1510, 12, 1, Smoke::mf_static, 40, 24},	//731 QsciLexerFortran77::trUtf8(const char*)
    {64, 483, 0, 0, Smoke::mf_ctor, 69, 25},	//732 QsciLexerFortran77::QsciLexerFortran77()
    {64, 1483, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 26},	//733 QsciLexerFortran77::staticMetaObject() const
    {64, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 27},	//734 QsciLexerFortran77::Default (enum)
    {64, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 28},	//735 QsciLexerFortran77::Comment (enum)
    {64, 371, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 29},	//736 QsciLexerFortran77::Number (enum)
    {64, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 30},	//737 QsciLexerFortran77::SingleQuotedString (enum)
    {64, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 31},	//738 QsciLexerFortran77::DoubleQuotedString (enum)
    {64, 715, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 32},	//739 QsciLexerFortran77::UnclosedString (enum)
    {64, 375, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 33},	//740 QsciLexerFortran77::Operator (enum)
    {64, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 34},	//741 QsciLexerFortran77::Identifier (enum)
    {64, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 35},	//742 QsciLexerFortran77::Keyword (enum)
    {64, 284, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 36},	//743 QsciLexerFortran77::IntrinsicFunction (enum)
    {64, 207, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 37},	//744 QsciLexerFortran77::ExtendedFunction (enum)
    {64, 423, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 38},	//745 QsciLexerFortran77::PreProcessor (enum)
    {64, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 39},	//746 QsciLexerFortran77::DottedOperator (enum)
    {64, 310, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 40},	//747 QsciLexerFortran77::Label (enum)
    {64, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 41},	//748 QsciLexerFortran77::Continuation (enum)
    {64, 1568, 0, 0, Smoke::mf_dtor, 0, 42 },	//749 QsciLexerFortran77::~QsciLexerFortran77()
    {65, 1087, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//750 QsciLexerHTML::metaObject() const
    {65, 1130, 12, 1, Smoke::mf_virtual, 221, 2},	//751 QsciLexerHTML::qt_metacast(const char*)
    {65, 1506, 42, 2, Smoke::mf_static, 40, 3},	//752 QsciLexerHTML::tr(const char*, const char*)
    {65, 1510, 42, 2, Smoke::mf_static, 40, 4},	//753 QsciLexerHTML::trUtf8(const char*, const char*)
    {65, 1506, 45, 3, Smoke::mf_static, 40, 5},	//754 QsciLexerHTML::tr(const char*, const char*, int)
    {65, 1510, 45, 3, Smoke::mf_static, 40, 6},	//755 QsciLexerHTML::trUtf8(const char*, const char*, int)
    {65, 1128, 49, 3, Smoke::mf_virtual, 215, 7},	//756 QsciLexerHTML::qt_metacall(QMetaObject::Call, int, void**)
    {65, 485, 74, 1, Smoke::mf_ctor, 70, 8},	//757 QsciLexerHTML::QsciLexerHTML(QObject*)
    {65, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//758 QsciLexerHTML::language() const
    {65, 1036, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//759 QsciLexerHTML::lexer() const
    {65, 799, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 11},	//760 QsciLexerHTML::autoCompletionFillups() const
    {65, 1536, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 12},	//761 QsciLexerHTML::wordCharacters() const
    {65, 874, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//762 QsciLexerHTML::defaultColor(int) const
    {65, 876, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 14},	//763 QsciLexerHTML::defaultEolFill(int) const
    {65, 878, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 15},	//764 QsciLexerHTML::defaultFont(int) const
    {65, 880, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 16},	//765 QsciLexerHTML::defaultPaper(int) const
    {65, 1029, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 17},	//766 QsciLexerHTML::keywords(int) const
    {65, 884, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 18},	//767 QsciLexerHTML::description(int) const
    {65, 1145, 0, 0, Smoke::mf_virtual, 0, 19},	//768 QsciLexerHTML::refreshProperties()
    {65, 838, 0, 0, Smoke::mf_const, 189, 20},	//769 QsciLexerHTML::caseSensitiveTags() const
    {65, 1247, 16, 1, 0, 0, 21},	//770 QsciLexerHTML::setDjangoTemplates(bool)
    {65, 888, 0, 0, Smoke::mf_const, 189, 22},	//771 QsciLexerHTML::djangoTemplates() const
    {65, 953, 0, 0, Smoke::mf_const, 189, 23},	//772 QsciLexerHTML::foldCompact() const
    {65, 960, 0, 0, Smoke::mf_const, 189, 24},	//773 QsciLexerHTML::foldPreprocessor() const
    {65, 1300, 16, 1, 0, 0, 25},	//774 QsciLexerHTML::setFoldScriptComments(bool)
    {65, 962, 0, 0, Smoke::mf_const, 189, 26},	//775 QsciLexerHTML::foldScriptComments() const
    {65, 1302, 16, 1, 0, 0, 27},	//776 QsciLexerHTML::setFoldScriptHeredocs(bool)
    {65, 963, 0, 0, Smoke::mf_const, 189, 28},	//777 QsciLexerHTML::foldScriptHeredocs() const
    {65, 1357, 16, 1, 0, 0, 29},	//778 QsciLexerHTML::setMakoTemplates(bool)
    {65, 1051, 0, 0, Smoke::mf_const, 189, 30},	//779 QsciLexerHTML::makoTemplates() const
    {65, 1284, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 31},	//780 QsciLexerHTML::setFoldCompact(bool)
    {65, 1296, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 32},	//781 QsciLexerHTML::setFoldPreprocessor(bool)
    {65, 1228, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 33},	//782 QsciLexerHTML::setCaseSensitiveTags(bool)
    {65, 1135, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 34},	//783 QsciLexerHTML::readProperties(QSettings&, const QString&)
    {65, 1541, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 35},	//784 QsciLexerHTML::writeProperties(QSettings&, const QString&) const
    {65, 1506, 12, 1, Smoke::mf_static, 40, 36},	//785 QsciLexerHTML::tr(const char*)
    {65, 1510, 12, 1, Smoke::mf_static, 40, 37},	//786 QsciLexerHTML::trUtf8(const char*)
    {65, 485, 0, 0, Smoke::mf_ctor, 70, 38},	//787 QsciLexerHTML::QsciLexerHTML()
    {65, 1483, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 39},	//788 QsciLexerHTML::staticMetaObject() const
    {65, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 40},	//789 QsciLexerHTML::Default (enum)
    {65, 696, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 41},	//790 QsciLexerHTML::Tag (enum)
    {65, 721, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 42},	//791 QsciLexerHTML::UnknownTag (enum)
    {65, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 43},	//792 QsciLexerHTML::Attribute (enum)
    {65, 718, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 44},	//793 QsciLexerHTML::UnknownAttribute (enum)
    {65, 228, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 45},	//794 QsciLexerHTML::HTMLNumber (enum)
    {65, 227, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 46},	//795 QsciLexerHTML::HTMLDoubleQuotedString (enum)
    {65, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 47},	//796 QsciLexerHTML::HTMLSingleQuotedString (enum)
    {65, 377, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 48},	//797 QsciLexerHTML::OtherInTag (enum)
    {65, 226, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 49},	//798 QsciLexerHTML::HTMLComment (enum)
    {65, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 50},	//799 QsciLexerHTML::Entity (enum)
    {65, 770, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 51},	//800 QsciLexerHTML::XMLTagEnd (enum)
    {65, 769, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 52},	//801 QsciLexerHTML::XMLStart (enum)
    {65, 768, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 53},	//802 QsciLexerHTML::XMLEnd (enum)
    {65, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 54},	//803 QsciLexerHTML::Script (enum)
    {65, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 55},	//804 QsciLexerHTML::ASPAtStart (enum)
    {65, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 56},	//805 QsciLexerHTML::ASPStart (enum)
    {65, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 57},	//806 QsciLexerHTML::CDATA (enum)
    {65, 387, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 58},	//807 QsciLexerHTML::PHPStart (enum)
    {65, 230, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 59},	//808 QsciLexerHTML::HTMLValue (enum)
    {65, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 60},	//809 QsciLexerHTML::ASPXCComment (enum)
    {65, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 61},	//810 QsciLexerHTML::SGMLDefault (enum)
    {65, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 62},	//811 QsciLexerHTML::SGMLCommand (enum)
    {65, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 63},	//812 QsciLexerHTML::SGMLParameter (enum)
    {65, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 64},	//813 QsciLexerHTML::SGMLDoubleQuotedString (enum)
    {65, 622, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 65},	//814 QsciLexerHTML::SGMLSingleQuotedString (enum)
    {65, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 66},	//815 QsciLexerHTML::SGMLError (enum)
    {65, 623, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 67},	//816 QsciLexerHTML::SGMLSpecial (enum)
    {65, 618, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 68},	//817 QsciLexerHTML::SGMLEntity (enum)
    {65, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 69},	//818 QsciLexerHTML::SGMLComment (enum)
    {65, 621, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 70},	//819 QsciLexerHTML::SGMLParameterComment (enum)
    {65, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 71},	//820 QsciLexerHTML::SGMLBlockDefault (enum)
    {65, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 72},	//821 QsciLexerHTML::JavaScriptStart (enum)
    {65, 289, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 73},	//822 QsciLexerHTML::JavaScriptDefault (enum)
    {65, 286, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 74},	//823 QsciLexerHTML::JavaScriptComment (enum)
    {65, 288, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 75},	//824 QsciLexerHTML::JavaScriptCommentLine (enum)
    {65, 287, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 76},	//825 QsciLexerHTML::JavaScriptCommentDoc (enum)
    {65, 292, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 77},	//826 QsciLexerHTML::JavaScriptNumber (enum)
    {65, 298, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 78},	//827 QsciLexerHTML::JavaScriptWord (enum)
    {65, 291, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 79},	//828 QsciLexerHTML::JavaScriptKeyword (enum)
    {65, 290, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 80},	//829 QsciLexerHTML::JavaScriptDoubleQuotedString (enum)
    {65, 294, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 81},	//830 QsciLexerHTML::JavaScriptSingleQuotedString (enum)
    {65, 296, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 82},	//831 QsciLexerHTML::JavaScriptSymbol (enum)
    {65, 297, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 83},	//832 QsciLexerHTML::JavaScriptUnclosedString (enum)
    {65, 293, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 84},	//833 QsciLexerHTML::JavaScriptRegex (enum)
    {65, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 85},	//834 QsciLexerHTML::ASPJavaScriptStart (enum)
    {65, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 86},	//835 QsciLexerHTML::ASPJavaScriptDefault (enum)
    {65, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 87},	//836 QsciLexerHTML::ASPJavaScriptComment (enum)
    {65, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 88},	//837 QsciLexerHTML::ASPJavaScriptCommentLine (enum)
    {65, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 89},	//838 QsciLexerHTML::ASPJavaScriptCommentDoc (enum)
    {65, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 90},	//839 QsciLexerHTML::ASPJavaScriptNumber (enum)
    {65, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 91},	//840 QsciLexerHTML::ASPJavaScriptWord (enum)
    {65, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 92},	//841 QsciLexerHTML::ASPJavaScriptKeyword (enum)
    {65, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 93},	//842 QsciLexerHTML::ASPJavaScriptDoubleQuotedString (enum)
    {65, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 94},	//843 QsciLexerHTML::ASPJavaScriptSingleQuotedString (enum)
    {65, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 95},	//844 QsciLexerHTML::ASPJavaScriptSymbol (enum)
    {65, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 96},	//845 QsciLexerHTML::ASPJavaScriptUnclosedString (enum)
    {65, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 97},	//846 QsciLexerHTML::ASPJavaScriptRegex (enum)
    {65, 728, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 98},	//847 QsciLexerHTML::VBScriptStart (enum)
    {65, 724, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 99},	//848 QsciLexerHTML::VBScriptDefault (enum)
    {65, 723, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 100},	//849 QsciLexerHTML::VBScriptComment (enum)
    {65, 727, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 101},	//850 QsciLexerHTML::VBScriptNumber (enum)
    {65, 726, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 102},	//851 QsciLexerHTML::VBScriptKeyword (enum)
    {65, 729, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 103},	//852 QsciLexerHTML::VBScriptString (enum)
    {65, 725, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 104},	//853 QsciLexerHTML::VBScriptIdentifier (enum)
    {65, 730, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 105},	//854 QsciLexerHTML::VBScriptUnclosedString (enum)
    {65, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 106},	//855 QsciLexerHTML::ASPVBScriptStart (enum)
    {65, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 107},	//856 QsciLexerHTML::ASPVBScriptDefault (enum)
    {65, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 108},	//857 QsciLexerHTML::ASPVBScriptComment (enum)
    {65, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 109},	//858 QsciLexerHTML::ASPVBScriptNumber (enum)
    {65, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 110},	//859 QsciLexerHTML::ASPVBScriptKeyword (enum)
    {65, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 111},	//860 QsciLexerHTML::ASPVBScriptString (enum)
    {65, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 112},	//861 QsciLexerHTML::ASPVBScriptIdentifier (enum)
    {65, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 113},	//862 QsciLexerHTML::ASPVBScriptUnclosedString (enum)
    {65, 444, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 114},	//863 QsciLexerHTML::PythonStart (enum)
    {65, 436, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 115},	//864 QsciLexerHTML::PythonDefault (enum)
    {65, 435, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 116},	//865 QsciLexerHTML::PythonComment (enum)
    {65, 441, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 117},	//866 QsciLexerHTML::PythonNumber (enum)
    {65, 437, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 118},	//867 QsciLexerHTML::PythonDoubleQuotedString (enum)
    {65, 443, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 119},	//868 QsciLexerHTML::PythonSingleQuotedString (enum)
    {65, 440, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 120},	//869 QsciLexerHTML::PythonKeyword (enum)
    {65, 446, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 121},	//870 QsciLexerHTML::PythonTripleSingleQuotedString (enum)
    {65, 445, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 122},	//871 QsciLexerHTML::PythonTripleDoubleQuotedString (enum)
    {65, 434, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 123},	//872 QsciLexerHTML::PythonClassName (enum)
    {65, 438, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 124},	//873 QsciLexerHTML::PythonFunctionMethodName (enum)
    {65, 442, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 125},	//874 QsciLexerHTML::PythonOperator (enum)
    {65, 439, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 126},	//875 QsciLexerHTML::PythonIdentifier (enum)
    {65, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 127},	//876 QsciLexerHTML::ASPPythonStart (enum)
    {65, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 128},	//877 QsciLexerHTML::ASPPythonDefault (enum)
    {65, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 129},	//878 QsciLexerHTML::ASPPythonComment (enum)
    {65, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 130},	//879 QsciLexerHTML::ASPPythonNumber (enum)
    {65, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 131},	//880 QsciLexerHTML::ASPPythonDoubleQuotedString (enum)
    {65, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 132},	//881 QsciLexerHTML::ASPPythonSingleQuotedString (enum)
    {65, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 133},	//882 QsciLexerHTML::ASPPythonKeyword (enum)
    {65, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 134},	//883 QsciLexerHTML::ASPPythonTripleSingleQuotedString (enum)
    {65, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 135},	//884 QsciLexerHTML::ASPPythonTripleDoubleQuotedString (enum)
    {65, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 136},	//885 QsciLexerHTML::ASPPythonClassName (enum)
    {65, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 137},	//886 QsciLexerHTML::ASPPythonFunctionMethodName (enum)
    {65, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 138},	//887 QsciLexerHTML::ASPPythonOperator (enum)
    {65, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 139},	//888 QsciLexerHTML::ASPPythonIdentifier (enum)
    {65, 380, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 140},	//889 QsciLexerHTML::PHPDefault (enum)
    {65, 381, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 141},	//890 QsciLexerHTML::PHPDoubleQuotedString (enum)
    {65, 386, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 142},	//891 QsciLexerHTML::PHPSingleQuotedString (enum)
    {65, 383, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 143},	//892 QsciLexerHTML::PHPKeyword (enum)
    {65, 384, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 144},	//893 QsciLexerHTML::PHPNumber (enum)
    {65, 388, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 145},	//894 QsciLexerHTML::PHPVariable (enum)
    {65, 378, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 146},	//895 QsciLexerHTML::PHPComment (enum)
    {65, 379, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 147},	//896 QsciLexerHTML::PHPCommentLine (enum)
    {65, 382, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 148},	//897 QsciLexerHTML::PHPDoubleQuotedVariable (enum)
    {65, 385, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 149},	//898 QsciLexerHTML::PHPOperator (enum)
    {65, 1569, 0, 0, Smoke::mf_dtor, 0, 150 },	//899 QsciLexerHTML::~QsciLexerHTML()
    {66, 1087, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//900 QsciLexerIDL::metaObject() const
    {66, 1130, 12, 1, Smoke::mf_virtual, 221, 2},	//901 QsciLexerIDL::qt_metacast(const char*)
    {66, 1506, 42, 2, Smoke::mf_static, 40, 3},	//902 QsciLexerIDL::tr(const char*, const char*)
    {66, 1510, 42, 2, Smoke::mf_static, 40, 4},	//903 QsciLexerIDL::trUtf8(const char*, const char*)
    {66, 1506, 45, 3, Smoke::mf_static, 40, 5},	//904 QsciLexerIDL::tr(const char*, const char*, int)
    {66, 1510, 45, 3, Smoke::mf_static, 40, 6},	//905 QsciLexerIDL::trUtf8(const char*, const char*, int)
    {66, 1128, 49, 3, Smoke::mf_virtual, 215, 7},	//906 QsciLexerIDL::qt_metacall(QMetaObject::Call, int, void**)
    {66, 487, 74, 1, Smoke::mf_ctor, 71, 8},	//907 QsciLexerIDL::QsciLexerIDL(QObject*)
    {66, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//908 QsciLexerIDL::language() const
    {66, 874, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 10},	//909 QsciLexerIDL::defaultColor(int) const
    {66, 1029, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 11},	//910 QsciLexerIDL::keywords(int) const
    {66, 884, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 12},	//911 QsciLexerIDL::description(int) const
    {66, 1506, 12, 1, Smoke::mf_static, 40, 13},	//912 QsciLexerIDL::tr(const char*)
    {66, 1510, 12, 1, Smoke::mf_static, 40, 14},	//913 QsciLexerIDL::trUtf8(const char*)
    {66, 487, 0, 0, Smoke::mf_ctor, 71, 15},	//914 QsciLexerIDL::QsciLexerIDL()
    {66, 1483, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 16},	//915 QsciLexerIDL::staticMetaObject() const
    {66, 1570, 0, 0, Smoke::mf_dtor, 0, 17 },	//916 QsciLexerIDL::~QsciLexerIDL()
    {67, 1087, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//917 QsciLexerJava::metaObject() const
    {67, 1130, 12, 1, Smoke::mf_virtual, 221, 2},	//918 QsciLexerJava::qt_metacast(const char*)
    {67, 1506, 42, 2, Smoke::mf_static, 40, 3},	//919 QsciLexerJava::tr(const char*, const char*)
    {67, 1510, 42, 2, Smoke::mf_static, 40, 4},	//920 QsciLexerJava::trUtf8(const char*, const char*)
    {67, 1506, 45, 3, Smoke::mf_static, 40, 5},	//921 QsciLexerJava::tr(const char*, const char*, int)
    {67, 1510, 45, 3, Smoke::mf_static, 40, 6},	//922 QsciLexerJava::trUtf8(const char*, const char*, int)
    {67, 1128, 49, 3, Smoke::mf_virtual, 215, 7},	//923 QsciLexerJava::qt_metacall(QMetaObject::Call, int, void**)
    {67, 489, 74, 1, Smoke::mf_ctor, 72, 8},	//924 QsciLexerJava::QsciLexerJava(QObject*)
    {67, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//925 QsciLexerJava::language() const
    {67, 1029, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//926 QsciLexerJava::keywords(int) const
    {67, 1506, 12, 1, Smoke::mf_static, 40, 11},	//927 QsciLexerJava::tr(const char*)
    {67, 1510, 12, 1, Smoke::mf_static, 40, 12},	//928 QsciLexerJava::trUtf8(const char*)
    {67, 489, 0, 0, Smoke::mf_ctor, 72, 13},	//929 QsciLexerJava::QsciLexerJava()
    {67, 1483, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 14},	//930 QsciLexerJava::staticMetaObject() const
    {67, 1571, 0, 0, Smoke::mf_dtor, 0, 15 },	//931 QsciLexerJava::~QsciLexerJava()
    {68, 1087, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//932 QsciLexerJavaScript::metaObject() const
    {68, 1130, 12, 1, Smoke::mf_virtual, 221, 2},	//933 QsciLexerJavaScript::qt_metacast(const char*)
    {68, 1506, 42, 2, Smoke::mf_static, 40, 3},	//934 QsciLexerJavaScript::tr(const char*, const char*)
    {68, 1510, 42, 2, Smoke::mf_static, 40, 4},	//935 QsciLexerJavaScript::trUtf8(const char*, const char*)
    {68, 1506, 45, 3, Smoke::mf_static, 40, 5},	//936 QsciLexerJavaScript::tr(const char*, const char*, int)
    {68, 1510, 45, 3, Smoke::mf_static, 40, 6},	//937 QsciLexerJavaScript::trUtf8(const char*, const char*, int)
    {68, 1128, 49, 3, Smoke::mf_virtual, 215, 7},	//938 QsciLexerJavaScript::qt_metacall(QMetaObject::Call, int, void**)
    {68, 491, 74, 1, Smoke::mf_ctor, 73, 8},	//939 QsciLexerJavaScript::QsciLexerJavaScript(QObject*)
    {68, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//940 QsciLexerJavaScript::language() const
    {68, 874, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 10},	//941 QsciLexerJavaScript::defaultColor(int) const
    {68, 876, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 11},	//942 QsciLexerJavaScript::defaultEolFill(int) const
    {68, 878, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 12},	//943 QsciLexerJavaScript::defaultFont(int) const
    {68, 880, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//944 QsciLexerJavaScript::defaultPaper(int) const
    {68, 1029, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 14},	//945 QsciLexerJavaScript::keywords(int) const
    {68, 884, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 15},	//946 QsciLexerJavaScript::description(int) const
    {68, 1506, 12, 1, Smoke::mf_static, 40, 16},	//947 QsciLexerJavaScript::tr(const char*)
    {68, 1510, 12, 1, Smoke::mf_static, 40, 17},	//948 QsciLexerJavaScript::trUtf8(const char*)
    {68, 491, 0, 0, Smoke::mf_ctor, 73, 18},	//949 QsciLexerJavaScript::QsciLexerJavaScript()
    {68, 1483, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 19},	//950 QsciLexerJavaScript::staticMetaObject() const
    {68, 1572, 0, 0, Smoke::mf_dtor, 0, 20 },	//951 QsciLexerJavaScript::~QsciLexerJavaScript()
    {69, 1087, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//952 QsciLexerLua::metaObject() const
    {69, 1130, 12, 1, Smoke::mf_virtual, 221, 2},	//953 QsciLexerLua::qt_metacast(const char*)
    {69, 1506, 42, 2, Smoke::mf_static, 40, 3},	//954 QsciLexerLua::tr(const char*, const char*)
    {69, 1510, 42, 2, Smoke::mf_static, 40, 4},	//955 QsciLexerLua::trUtf8(const char*, const char*)
    {69, 1506, 45, 3, Smoke::mf_static, 40, 5},	//956 QsciLexerLua::tr(const char*, const char*, int)
    {69, 1510, 45, 3, Smoke::mf_static, 40, 6},	//957 QsciLexerLua::trUtf8(const char*, const char*, int)
    {69, 1128, 49, 3, Smoke::mf_virtual, 215, 7},	//958 QsciLexerLua::qt_metacall(QMetaObject::Call, int, void**)
    {69, 493, 74, 1, Smoke::mf_ctor, 74, 8},	//959 QsciLexerLua::QsciLexerLua(QObject*)
    {69, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//960 QsciLexerLua::language() const
    {69, 1036, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//961 QsciLexerLua::lexer() const
    {69, 808, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 41, 11},	//962 QsciLexerLua::autoCompletionWordSeparators() const
    {69, 817, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 12},	//963 QsciLexerLua::blockStart(int*) const
    {69, 824, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 13},	//964 QsciLexerLua::braceStyle() const
    {69, 874, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 14},	//965 QsciLexerLua::defaultColor(int) const
    {69, 876, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 15},	//966 QsciLexerLua::defaultEolFill(int) const
    {69, 878, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 16},	//967 QsciLexerLua::defaultFont(int) const
    {69, 880, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 17},	//968 QsciLexerLua::defaultPaper(int) const
    {69, 1029, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 18},	//969 QsciLexerLua::keywords(int) const
    {69, 884, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 19},	//970 QsciLexerLua::description(int) const
    {69, 1145, 0, 0, Smoke::mf_virtual, 0, 20},	//971 QsciLexerLua::refreshProperties()
    {69, 953, 0, 0, Smoke::mf_const, 189, 21},	//972 QsciLexerLua::foldCompact() const
    {69, 1284, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//973 QsciLexerLua::setFoldCompact(bool)
    {69, 1135, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 23},	//974 QsciLexerLua::readProperties(QSettings&, const QString&)
    {69, 1541, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 24},	//975 QsciLexerLua::writeProperties(QSettings&, const QString&) const
    {69, 1506, 12, 1, Smoke::mf_static, 40, 25},	//976 QsciLexerLua::tr(const char*)
    {69, 1510, 12, 1, Smoke::mf_static, 40, 26},	//977 QsciLexerLua::trUtf8(const char*)
    {69, 493, 0, 0, Smoke::mf_ctor, 74, 27},	//978 QsciLexerLua::QsciLexerLua()
    {69, 817, 0, 0, Smoke::mf_const, 213, 28},	//979 QsciLexerLua::blockStart() const
    {69, 1483, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 29},	//980 QsciLexerLua::staticMetaObject() const
    {69, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 30},	//981 QsciLexerLua::Default (enum)
    {69, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 31},	//982 QsciLexerLua::Comment (enum)
    {69, 324, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 32},	//983 QsciLexerLua::LineComment (enum)
    {69, 371, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 33},	//984 QsciLexerLua::Number (enum)
    {69, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 34},	//985 QsciLexerLua::Keyword (enum)
    {69, 669, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 35},	//986 QsciLexerLua::String (enum)
    {69, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 36},	//987 QsciLexerLua::Character (enum)
    {69, 347, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 37},	//988 QsciLexerLua::LiteralString (enum)
    {69, 429, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 38},	//989 QsciLexerLua::Preprocessor (enum)
    {69, 375, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 39},	//990 QsciLexerLua::Operator (enum)
    {69, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 40},	//991 QsciLexerLua::Identifier (enum)
    {69, 715, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 41},	//992 QsciLexerLua::UnclosedString (enum)
    {69, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 42},	//993 QsciLexerLua::BasicFunctions (enum)
    {69, 672, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 43},	//994 QsciLexerLua::StringTableMathsFunctions (enum)
    {69, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 44},	//995 QsciLexerLua::CoroutinesIOSystemFacilities (enum)
    {69, 305, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 45},	//996 QsciLexerLua::KeywordSet5 (enum)
    {69, 306, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 46},	//997 QsciLexerLua::KeywordSet6 (enum)
    {69, 307, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 47},	//998 QsciLexerLua::KeywordSet7 (enum)
    {69, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 48},	//999 QsciLexerLua::KeywordSet8 (enum)
    {69, 310, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 49},	//1000 QsciLexerLua::Label (enum)
    {69, 1573, 0, 0, Smoke::mf_dtor, 0, 50 },	//1001 QsciLexerLua::~QsciLexerLua()
    {70, 1087, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//1002 QsciLexerMakefile::metaObject() const
    {70, 1130, 12, 1, Smoke::mf_virtual, 221, 2},	//1003 QsciLexerMakefile::qt_metacast(const char*)
    {70, 1506, 42, 2, Smoke::mf_static, 40, 3},	//1004 QsciLexerMakefile::tr(const char*, const char*)
    {70, 1510, 42, 2, Smoke::mf_static, 40, 4},	//1005 QsciLexerMakefile::trUtf8(const char*, const char*)
    {70, 1506, 45, 3, Smoke::mf_static, 40, 5},	//1006 QsciLexerMakefile::tr(const char*, const char*, int)
    {70, 1510, 45, 3, Smoke::mf_static, 40, 6},	//1007 QsciLexerMakefile::trUtf8(const char*, const char*, int)
    {70, 1128, 49, 3, Smoke::mf_virtual, 215, 7},	//1008 QsciLexerMakefile::qt_metacall(QMetaObject::Call, int, void**)
    {70, 495, 74, 1, Smoke::mf_ctor, 75, 8},	//1009 QsciLexerMakefile::QsciLexerMakefile(QObject*)
    {70, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//1010 QsciLexerMakefile::language() const
    {70, 1036, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//1011 QsciLexerMakefile::lexer() const
    {70, 1536, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 11},	//1012 QsciLexerMakefile::wordCharacters() const
    {70, 874, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//1013 QsciLexerMakefile::defaultColor(int) const
    {70, 876, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 13},	//1014 QsciLexerMakefile::defaultEolFill(int) const
    {70, 878, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 14},	//1015 QsciLexerMakefile::defaultFont(int) const
    {70, 880, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//1016 QsciLexerMakefile::defaultPaper(int) const
    {70, 884, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 16},	//1017 QsciLexerMakefile::description(int) const
    {70, 1506, 12, 1, Smoke::mf_static, 40, 17},	//1018 QsciLexerMakefile::tr(const char*)
    {70, 1510, 12, 1, Smoke::mf_static, 40, 18},	//1019 QsciLexerMakefile::trUtf8(const char*)
    {70, 495, 0, 0, Smoke::mf_ctor, 75, 19},	//1020 QsciLexerMakefile::QsciLexerMakefile()
    {70, 1483, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 20},	//1021 QsciLexerMakefile::staticMetaObject() const
    {70, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 21},	//1022 QsciLexerMakefile::Default (enum)
    {70, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 22},	//1023 QsciLexerMakefile::Comment (enum)
    {70, 429, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 23},	//1024 QsciLexerMakefile::Preprocessor (enum)
    {70, 738, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 24},	//1025 QsciLexerMakefile::Variable (enum)
    {70, 375, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 25},	//1026 QsciLexerMakefile::Operator (enum)
    {70, 697, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 26},	//1027 QsciLexerMakefile::Target (enum)
    {70, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 27},	//1028 QsciLexerMakefile::Error (enum)
    {70, 1574, 0, 0, Smoke::mf_dtor, 0, 28 },	//1029 QsciLexerMakefile::~QsciLexerMakefile()
    {71, 1087, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//1030 QsciLexerPOV::metaObject() const
    {71, 1130, 12, 1, Smoke::mf_virtual, 221, 2},	//1031 QsciLexerPOV::qt_metacast(const char*)
    {71, 1506, 42, 2, Smoke::mf_static, 40, 3},	//1032 QsciLexerPOV::tr(const char*, const char*)
    {71, 1510, 42, 2, Smoke::mf_static, 40, 4},	//1033 QsciLexerPOV::trUtf8(const char*, const char*)
    {71, 1506, 45, 3, Smoke::mf_static, 40, 5},	//1034 QsciLexerPOV::tr(const char*, const char*, int)
    {71, 1510, 45, 3, Smoke::mf_static, 40, 6},	//1035 QsciLexerPOV::trUtf8(const char*, const char*, int)
    {71, 1128, 49, 3, Smoke::mf_virtual, 215, 7},	//1036 QsciLexerPOV::qt_metacall(QMetaObject::Call, int, void**)
    {71, 497, 74, 1, Smoke::mf_ctor, 76, 8},	//1037 QsciLexerPOV::QsciLexerPOV(QObject*)
    {71, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//1038 QsciLexerPOV::language() const
    {71, 1036, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//1039 QsciLexerPOV::lexer() const
    {71, 824, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 11},	//1040 QsciLexerPOV::braceStyle() const
    {71, 1536, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 12},	//1041 QsciLexerPOV::wordCharacters() const
    {71, 874, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//1042 QsciLexerPOV::defaultColor(int) const
    {71, 876, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 14},	//1043 QsciLexerPOV::defaultEolFill(int) const
    {71, 878, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 15},	//1044 QsciLexerPOV::defaultFont(int) const
    {71, 880, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 16},	//1045 QsciLexerPOV::defaultPaper(int) const
    {71, 1029, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 17},	//1046 QsciLexerPOV::keywords(int) const
    {71, 884, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 18},	//1047 QsciLexerPOV::description(int) const
    {71, 1145, 0, 0, Smoke::mf_virtual, 0, 19},	//1048 QsciLexerPOV::refreshProperties()
    {71, 952, 0, 0, Smoke::mf_const, 189, 20},	//1049 QsciLexerPOV::foldComments() const
    {71, 953, 0, 0, Smoke::mf_const, 189, 21},	//1050 QsciLexerPOV::foldCompact() const
    {71, 954, 0, 0, Smoke::mf_const, 189, 22},	//1051 QsciLexerPOV::foldDirectives() const
    {71, 1282, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 23},	//1052 QsciLexerPOV::setFoldComments(bool)
    {71, 1284, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 24},	//1053 QsciLexerPOV::setFoldCompact(bool)
    {71, 1286, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 25},	//1054 QsciLexerPOV::setFoldDirectives(bool)
    {71, 1135, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 26},	//1055 QsciLexerPOV::readProperties(QSettings&, const QString&)
    {71, 1541, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 27},	//1056 QsciLexerPOV::writeProperties(QSettings&, const QString&) const
    {71, 1506, 12, 1, Smoke::mf_static, 40, 28},	//1057 QsciLexerPOV::tr(const char*)
    {71, 1510, 12, 1, Smoke::mf_static, 40, 29},	//1058 QsciLexerPOV::trUtf8(const char*)
    {71, 497, 0, 0, Smoke::mf_ctor, 76, 30},	//1059 QsciLexerPOV::QsciLexerPOV()
    {71, 1483, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 31},	//1060 QsciLexerPOV::staticMetaObject() const
    {71, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 32},	//1061 QsciLexerPOV::Default (enum)
    {71, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 33},	//1062 QsciLexerPOV::Comment (enum)
    {71, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 34},	//1063 QsciLexerPOV::CommentLine (enum)
    {71, 371, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 35},	//1064 QsciLexerPOV::Number (enum)
    {71, 375, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 36},	//1065 QsciLexerPOV::Operator (enum)
    {71, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 37},	//1066 QsciLexerPOV::Identifier (enum)
    {71, 669, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 38},	//1067 QsciLexerPOV::String (enum)
    {71, 715, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 39},	//1068 QsciLexerPOV::UnclosedString (enum)
    {71, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 40},	//1069 QsciLexerPOV::Directive (enum)
    {71, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 41},	//1070 QsciLexerPOV::BadDirective (enum)
    {71, 373, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 42},	//1071 QsciLexerPOV::ObjectsCSGAppearance (enum)
    {71, 713, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 43},	//1072 QsciLexerPOV::TypesModifiersItems (enum)
    {71, 428, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 44},	//1073 QsciLexerPOV::PredefinedIdentifiers (enum)
    {71, 427, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 45},	//1074 QsciLexerPOV::PredefinedFunctions (enum)
    {71, 306, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 46},	//1075 QsciLexerPOV::KeywordSet6 (enum)
    {71, 307, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 47},	//1076 QsciLexerPOV::KeywordSet7 (enum)
    {71, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 48},	//1077 QsciLexerPOV::KeywordSet8 (enum)
    {71, 1575, 0, 0, Smoke::mf_dtor, 0, 49 },	//1078 QsciLexerPOV::~QsciLexerPOV()
    {72, 1087, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//1079 QsciLexerPascal::metaObject() const
    {72, 1130, 12, 1, Smoke::mf_virtual, 221, 2},	//1080 QsciLexerPascal::qt_metacast(const char*)
    {72, 1506, 42, 2, Smoke::mf_static, 40, 3},	//1081 QsciLexerPascal::tr(const char*, const char*)
    {72, 1510, 42, 2, Smoke::mf_static, 40, 4},	//1082 QsciLexerPascal::trUtf8(const char*, const char*)
    {72, 1506, 45, 3, Smoke::mf_static, 40, 5},	//1083 QsciLexerPascal::tr(const char*, const char*, int)
    {72, 1510, 45, 3, Smoke::mf_static, 40, 6},	//1084 QsciLexerPascal::trUtf8(const char*, const char*, int)
    {72, 1128, 49, 3, Smoke::mf_virtual, 215, 7},	//1085 QsciLexerPascal::qt_metacall(QMetaObject::Call, int, void**)
    {72, 499, 74, 1, Smoke::mf_ctor, 77, 8},	//1086 QsciLexerPascal::QsciLexerPascal(QObject*)
    {72, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//1087 QsciLexerPascal::language() const
    {72, 1036, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//1088 QsciLexerPascal::lexer() const
    {72, 808, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 41, 11},	//1089 QsciLexerPascal::autoCompletionWordSeparators() const
    {72, 814, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 12},	//1090 QsciLexerPascal::blockEnd(int*) const
    {72, 817, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 13},	//1091 QsciLexerPascal::blockStart(int*) const
    {72, 819, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 14},	//1092 QsciLexerPascal::blockStartKeyword(int*) const
    {72, 824, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 15},	//1093 QsciLexerPascal::braceStyle() const
    {72, 874, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 16},	//1094 QsciLexerPascal::defaultColor(int) const
    {72, 876, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 17},	//1095 QsciLexerPascal::defaultEolFill(int) const
    {72, 878, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 18},	//1096 QsciLexerPascal::defaultFont(int) const
    {72, 880, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 19},	//1097 QsciLexerPascal::defaultPaper(int) const
    {72, 1029, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 20},	//1098 QsciLexerPascal::keywords(int) const
    {72, 884, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 21},	//1099 QsciLexerPascal::description(int) const
    {72, 1145, 0, 0, Smoke::mf_virtual, 0, 22},	//1100 QsciLexerPascal::refreshProperties()
    {72, 952, 0, 0, Smoke::mf_const, 189, 23},	//1101 QsciLexerPascal::foldComments() const
    {72, 953, 0, 0, Smoke::mf_const, 189, 24},	//1102 QsciLexerPascal::foldCompact() const
    {72, 960, 0, 0, Smoke::mf_const, 189, 25},	//1103 QsciLexerPascal::foldPreprocessor() const
    {72, 1422, 16, 1, 0, 0, 26},	//1104 QsciLexerPascal::setSmartHighlighting(bool)
    {72, 1477, 0, 0, Smoke::mf_const, 189, 27},	//1105 QsciLexerPascal::smartHighlighting() const
    {72, 1282, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//1106 QsciLexerPascal::setFoldComments(bool)
    {72, 1284, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 29},	//1107 QsciLexerPascal::setFoldCompact(bool)
    {72, 1296, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 30},	//1108 QsciLexerPascal::setFoldPreprocessor(bool)
    {72, 1135, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 31},	//1109 QsciLexerPascal::readProperties(QSettings&, const QString&)
    {72, 1541, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 32},	//1110 QsciLexerPascal::writeProperties(QSettings&, const QString&) const
    {72, 1506, 12, 1, Smoke::mf_static, 40, 33},	//1111 QsciLexerPascal::tr(const char*)
    {72, 1510, 12, 1, Smoke::mf_static, 40, 34},	//1112 QsciLexerPascal::trUtf8(const char*)
    {72, 499, 0, 0, Smoke::mf_ctor, 77, 35},	//1113 QsciLexerPascal::QsciLexerPascal()
    {72, 814, 0, 0, Smoke::mf_const, 213, 36},	//1114 QsciLexerPascal::blockEnd() const
    {72, 817, 0, 0, Smoke::mf_const, 213, 37},	//1115 QsciLexerPascal::blockStart() const
    {72, 819, 0, 0, Smoke::mf_const, 213, 38},	//1116 QsciLexerPascal::blockStartKeyword() const
    {72, 1483, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 39},	//1117 QsciLexerPascal::staticMetaObject() const
    {72, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 40},	//1118 QsciLexerPascal::Default (enum)
    {72, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 41},	//1119 QsciLexerPascal::Identifier (enum)
    {72, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 42},	//1120 QsciLexerPascal::Comment (enum)
    {72, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 43},	//1121 QsciLexerPascal::CommentParenthesis (enum)
    {72, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 44},	//1122 QsciLexerPascal::CommentLine (enum)
    {72, 423, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 45},	//1123 QsciLexerPascal::PreProcessor (enum)
    {72, 426, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 46},	//1124 QsciLexerPascal::PreProcessorParenthesis (enum)
    {72, 371, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 47},	//1125 QsciLexerPascal::Number (enum)
    {72, 236, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 48},	//1126 QsciLexerPascal::HexNumber (enum)
    {72, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 49},	//1127 QsciLexerPascal::Keyword (enum)
    {72, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 50},	//1128 QsciLexerPascal::SingleQuotedString (enum)
    {72, 715, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 51},	//1129 QsciLexerPascal::UnclosedString (enum)
    {72, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 52},	//1130 QsciLexerPascal::Character (enum)
    {72, 375, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 53},	//1131 QsciLexerPascal::Operator (enum)
    {72, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 54},	//1132 QsciLexerPascal::Asm (enum)
    {72, 1576, 0, 0, Smoke::mf_dtor, 0, 55 },	//1133 QsciLexerPascal::~QsciLexerPascal()
    {73, 1087, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//1134 QsciLexerPerl::metaObject() const
    {73, 1130, 12, 1, Smoke::mf_virtual, 221, 2},	//1135 QsciLexerPerl::qt_metacast(const char*)
    {73, 1506, 42, 2, Smoke::mf_static, 40, 3},	//1136 QsciLexerPerl::tr(const char*, const char*)
    {73, 1510, 42, 2, Smoke::mf_static, 40, 4},	//1137 QsciLexerPerl::trUtf8(const char*, const char*)
    {73, 1506, 45, 3, Smoke::mf_static, 40, 5},	//1138 QsciLexerPerl::tr(const char*, const char*, int)
    {73, 1510, 45, 3, Smoke::mf_static, 40, 6},	//1139 QsciLexerPerl::trUtf8(const char*, const char*, int)
    {73, 1128, 49, 3, Smoke::mf_virtual, 215, 7},	//1140 QsciLexerPerl::qt_metacall(QMetaObject::Call, int, void**)
    {73, 501, 74, 1, Smoke::mf_ctor, 78, 8},	//1141 QsciLexerPerl::QsciLexerPerl(QObject*)
    {73, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//1142 QsciLexerPerl::language() const
    {73, 1036, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//1143 QsciLexerPerl::lexer() const
    {73, 808, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 41, 11},	//1144 QsciLexerPerl::autoCompletionWordSeparators() const
    {73, 814, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 12},	//1145 QsciLexerPerl::blockEnd(int*) const
    {73, 817, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 13},	//1146 QsciLexerPerl::blockStart(int*) const
    {73, 824, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 14},	//1147 QsciLexerPerl::braceStyle() const
    {73, 1536, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 15},	//1148 QsciLexerPerl::wordCharacters() const
    {73, 874, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 16},	//1149 QsciLexerPerl::defaultColor(int) const
    {73, 876, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 17},	//1150 QsciLexerPerl::defaultEolFill(int) const
    {73, 878, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 18},	//1151 QsciLexerPerl::defaultFont(int) const
    {73, 880, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 19},	//1152 QsciLexerPerl::defaultPaper(int) const
    {73, 1029, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 20},	//1153 QsciLexerPerl::keywords(int) const
    {73, 884, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 21},	//1154 QsciLexerPerl::description(int) const
    {73, 1145, 0, 0, Smoke::mf_virtual, 0, 22},	//1155 QsciLexerPerl::refreshProperties()
    {73, 1278, 16, 1, 0, 0, 23},	//1156 QsciLexerPerl::setFoldAtElse(bool)
    {73, 950, 0, 0, Smoke::mf_const, 189, 24},	//1157 QsciLexerPerl::foldAtElse() const
    {73, 952, 0, 0, Smoke::mf_const, 189, 25},	//1158 QsciLexerPerl::foldComments() const
    {73, 953, 0, 0, Smoke::mf_const, 189, 26},	//1159 QsciLexerPerl::foldCompact() const
    {73, 1294, 16, 1, 0, 0, 27},	//1160 QsciLexerPerl::setFoldPackages(bool)
    {73, 959, 0, 0, Smoke::mf_const, 189, 28},	//1161 QsciLexerPerl::foldPackages() const
    {73, 1292, 16, 1, 0, 0, 29},	//1162 QsciLexerPerl::setFoldPODBlocks(bool)
    {73, 958, 0, 0, Smoke::mf_const, 189, 30},	//1163 QsciLexerPerl::foldPODBlocks() const
    {73, 1282, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 31},	//1164 QsciLexerPerl::setFoldComments(bool)
    {73, 1284, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 32},	//1165 QsciLexerPerl::setFoldCompact(bool)
    {73, 1135, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 33},	//1166 QsciLexerPerl::readProperties(QSettings&, const QString&)
    {73, 1541, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 34},	//1167 QsciLexerPerl::writeProperties(QSettings&, const QString&) const
    {73, 1506, 12, 1, Smoke::mf_static, 40, 35},	//1168 QsciLexerPerl::tr(const char*)
    {73, 1510, 12, 1, Smoke::mf_static, 40, 36},	//1169 QsciLexerPerl::trUtf8(const char*)
    {73, 501, 0, 0, Smoke::mf_ctor, 78, 37},	//1170 QsciLexerPerl::QsciLexerPerl()
    {73, 814, 0, 0, Smoke::mf_const, 213, 38},	//1171 QsciLexerPerl::blockEnd() const
    {73, 817, 0, 0, Smoke::mf_const, 213, 39},	//1172 QsciLexerPerl::blockStart() const
    {73, 1483, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 40},	//1173 QsciLexerPerl::staticMetaObject() const
    {73, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 41},	//1174 QsciLexerPerl::Default (enum)
    {73, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 42},	//1175 QsciLexerPerl::Error (enum)
    {73, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 43},	//1176 QsciLexerPerl::Comment (enum)
    {73, 389, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 44},	//1177 QsciLexerPerl::POD (enum)
    {73, 371, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 45},	//1178 QsciLexerPerl::Number (enum)
    {73, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 46},	//1179 QsciLexerPerl::Keyword (enum)
    {73, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 47},	//1180 QsciLexerPerl::DoubleQuotedString (enum)
    {73, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 48},	//1181 QsciLexerPerl::SingleQuotedString (enum)
    {73, 375, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 49},	//1182 QsciLexerPerl::Operator (enum)
    {73, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 50},	//1183 QsciLexerPerl::Identifier (enum)
    {73, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 51},	//1184 QsciLexerPerl::Scalar (enum)
    {73, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 52},	//1185 QsciLexerPerl::Array (enum)
    {73, 231, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 53},	//1186 QsciLexerPerl::Hash (enum)
    {73, 688, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 54},	//1187 QsciLexerPerl::SymbolTable (enum)
    {73, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 55},	//1188 QsciLexerPerl::Regex (enum)
    {73, 680, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 56},	//1189 QsciLexerPerl::Substitution (enum)
    {73, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 57},	//1190 QsciLexerPerl::Backticks (enum)
    {73, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 58},	//1191 QsciLexerPerl::DataSection (enum)
    {73, 235, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 59},	//1192 QsciLexerPerl::HereDocumentDelimiter (enum)
    {73, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 60},	//1193 QsciLexerPerl::SingleQuotedHereDocument (enum)
    {73, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 61},	//1194 QsciLexerPerl::DoubleQuotedHereDocument (enum)
    {73, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 62},	//1195 QsciLexerPerl::BacktickHereDocument (enum)
    {73, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 63},	//1196 QsciLexerPerl::QuotedStringQ (enum)
    {73, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 64},	//1197 QsciLexerPerl::QuotedStringQQ (enum)
    {73, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 65},	//1198 QsciLexerPerl::QuotedStringQX (enum)
    {73, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 66},	//1199 QsciLexerPerl::QuotedStringQR (enum)
    {73, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 67},	//1200 QsciLexerPerl::QuotedStringQW (enum)
    {73, 390, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 68},	//1201 QsciLexerPerl::PODVerbatim (enum)
    {73, 679, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 69},	//1202 QsciLexerPerl::SubroutinePrototype (enum)
    {73, 215, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 70},	//1203 QsciLexerPerl::FormatIdentifier (enum)
    {73, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 71},	//1204 QsciLexerPerl::FormatBody (enum)
    {73, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 72},	//1205 QsciLexerPerl::DoubleQuotedStringVar (enum)
    {73, 708, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 73},	//1206 QsciLexerPerl::Translation (enum)
    {73, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 74},	//1207 QsciLexerPerl::RegexVar (enum)
    {73, 682, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 75},	//1208 QsciLexerPerl::SubstitutionVar (enum)
    {73, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 76},	//1209 QsciLexerPerl::BackticksVar (enum)
    {73, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 77},	//1210 QsciLexerPerl::DoubleQuotedHereDocumentVar (enum)
    {73, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 78},	//1211 QsciLexerPerl::BacktickHereDocumentVar (enum)
    {73, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 79},	//1212 QsciLexerPerl::QuotedStringQQVar (enum)
    {73, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 80},	//1213 QsciLexerPerl::QuotedStringQXVar (enum)
    {73, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 81},	//1214 QsciLexerPerl::QuotedStringQRVar (enum)
    {73, 1577, 0, 0, Smoke::mf_dtor, 0, 82 },	//1215 QsciLexerPerl::~QsciLexerPerl()
    {74, 1087, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//1216 QsciLexerPostScript::metaObject() const
    {74, 1130, 12, 1, Smoke::mf_virtual, 221, 2},	//1217 QsciLexerPostScript::qt_metacast(const char*)
    {74, 1506, 42, 2, Smoke::mf_static, 40, 3},	//1218 QsciLexerPostScript::tr(const char*, const char*)
    {74, 1510, 42, 2, Smoke::mf_static, 40, 4},	//1219 QsciLexerPostScript::trUtf8(const char*, const char*)
    {74, 1506, 45, 3, Smoke::mf_static, 40, 5},	//1220 QsciLexerPostScript::tr(const char*, const char*, int)
    {74, 1510, 45, 3, Smoke::mf_static, 40, 6},	//1221 QsciLexerPostScript::trUtf8(const char*, const char*, int)
    {74, 1128, 49, 3, Smoke::mf_virtual, 215, 7},	//1222 QsciLexerPostScript::qt_metacall(QMetaObject::Call, int, void**)
    {74, 503, 74, 1, Smoke::mf_ctor, 79, 8},	//1223 QsciLexerPostScript::QsciLexerPostScript(QObject*)
    {74, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//1224 QsciLexerPostScript::language() const
    {74, 1036, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//1225 QsciLexerPostScript::lexer() const
    {74, 824, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 11},	//1226 QsciLexerPostScript::braceStyle() const
    {74, 874, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//1227 QsciLexerPostScript::defaultColor(int) const
    {74, 878, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 13},	//1228 QsciLexerPostScript::defaultFont(int) const
    {74, 880, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 14},	//1229 QsciLexerPostScript::defaultPaper(int) const
    {74, 1029, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 15},	//1230 QsciLexerPostScript::keywords(int) const
    {74, 884, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 16},	//1231 QsciLexerPostScript::description(int) const
    {74, 1145, 0, 0, Smoke::mf_virtual, 0, 17},	//1232 QsciLexerPostScript::refreshProperties()
    {74, 1505, 0, 0, Smoke::mf_const, 189, 18},	//1233 QsciLexerPostScript::tokenize() const
    {74, 1035, 0, 0, Smoke::mf_const, 215, 19},	//1234 QsciLexerPostScript::level() const
    {74, 953, 0, 0, Smoke::mf_const, 189, 20},	//1235 QsciLexerPostScript::foldCompact() const
    {74, 950, 0, 0, Smoke::mf_const, 189, 21},	//1236 QsciLexerPostScript::foldAtElse() const
    {74, 1439, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//1237 QsciLexerPostScript::setTokenize(bool)
    {74, 1351, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 23},	//1238 QsciLexerPostScript::setLevel(int)
    {74, 1284, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 24},	//1239 QsciLexerPostScript::setFoldCompact(bool)
    {74, 1278, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 25},	//1240 QsciLexerPostScript::setFoldAtElse(bool)
    {74, 1135, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 26},	//1241 QsciLexerPostScript::readProperties(QSettings&, const QString&)
    {74, 1541, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 27},	//1242 QsciLexerPostScript::writeProperties(QSettings&, const QString&) const
    {74, 1506, 12, 1, Smoke::mf_static, 40, 28},	//1243 QsciLexerPostScript::tr(const char*)
    {74, 1510, 12, 1, Smoke::mf_static, 40, 29},	//1244 QsciLexerPostScript::trUtf8(const char*)
    {74, 503, 0, 0, Smoke::mf_ctor, 79, 30},	//1245 QsciLexerPostScript::QsciLexerPostScript()
    {74, 1483, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 31},	//1246 QsciLexerPostScript::staticMetaObject() const
    {74, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 32},	//1247 QsciLexerPostScript::Default (enum)
    {74, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 33},	//1248 QsciLexerPostScript::Comment (enum)
    {74, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 34},	//1249 QsciLexerPostScript::DSCComment (enum)
    {74, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 35},	//1250 QsciLexerPostScript::DSCCommentValue (enum)
    {74, 371, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 36},	//1251 QsciLexerPostScript::Number (enum)
    {74, 364, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 37},	//1252 QsciLexerPostScript::Name (enum)
    {74, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 38},	//1253 QsciLexerPostScript::Keyword (enum)
    {74, 346, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 39},	//1254 QsciLexerPostScript::Literal (enum)
    {74, 254, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 40},	//1255 QsciLexerPostScript::ImmediateEvalLiteral (enum)
    {74, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 41},	//1256 QsciLexerPostScript::ArrayParenthesis (enum)
    {74, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 42},	//1257 QsciLexerPostScript::DictionaryParenthesis (enum)
    {74, 431, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 43},	//1258 QsciLexerPostScript::ProcedureParenthesis (enum)
    {74, 698, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 44},	//1259 QsciLexerPostScript::Text (enum)
    {74, 237, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 45},	//1260 QsciLexerPostScript::HexString (enum)
    {74, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 46},	//1261 QsciLexerPostScript::Base85String (enum)
    {74, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 47},	//1262 QsciLexerPostScript::BadStringCharacter (enum)
    {74, 1578, 0, 0, Smoke::mf_dtor, 0, 48 },	//1263 QsciLexerPostScript::~QsciLexerPostScript()
    {75, 1087, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//1264 QsciLexerProperties::metaObject() const
    {75, 1130, 12, 1, Smoke::mf_virtual, 221, 2},	//1265 QsciLexerProperties::qt_metacast(const char*)
    {75, 1506, 42, 2, Smoke::mf_static, 40, 3},	//1266 QsciLexerProperties::tr(const char*, const char*)
    {75, 1510, 42, 2, Smoke::mf_static, 40, 4},	//1267 QsciLexerProperties::trUtf8(const char*, const char*)
    {75, 1506, 45, 3, Smoke::mf_static, 40, 5},	//1268 QsciLexerProperties::tr(const char*, const char*, int)
    {75, 1510, 45, 3, Smoke::mf_static, 40, 6},	//1269 QsciLexerProperties::trUtf8(const char*, const char*, int)
    {75, 1128, 49, 3, Smoke::mf_virtual, 215, 7},	//1270 QsciLexerProperties::qt_metacall(QMetaObject::Call, int, void**)
    {75, 505, 74, 1, Smoke::mf_ctor, 80, 8},	//1271 QsciLexerProperties::QsciLexerProperties(QObject*)
    {75, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//1272 QsciLexerProperties::language() const
    {75, 1036, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//1273 QsciLexerProperties::lexer() const
    {75, 1536, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 11},	//1274 QsciLexerProperties::wordCharacters() const
    {75, 874, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//1275 QsciLexerProperties::defaultColor(int) const
    {75, 876, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 13},	//1276 QsciLexerProperties::defaultEolFill(int) const
    {75, 878, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 14},	//1277 QsciLexerProperties::defaultFont(int) const
    {75, 880, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//1278 QsciLexerProperties::defaultPaper(int) const
    {75, 884, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 16},	//1279 QsciLexerProperties::description(int) const
    {75, 1145, 0, 0, Smoke::mf_virtual, 0, 17},	//1280 QsciLexerProperties::refreshProperties()
    {75, 953, 0, 0, Smoke::mf_const, 189, 18},	//1281 QsciLexerProperties::foldCompact() const
    {75, 1345, 16, 1, 0, 0, 19},	//1282 QsciLexerProperties::setInitialSpaces(bool)
    {75, 1004, 0, 0, Smoke::mf_const, 189, 20},	//1283 QsciLexerProperties::initialSpaces() const
    {75, 1284, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 21},	//1284 QsciLexerProperties::setFoldCompact(bool)
    {75, 1135, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 22},	//1285 QsciLexerProperties::readProperties(QSettings&, const QString&)
    {75, 1541, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 23},	//1286 QsciLexerProperties::writeProperties(QSettings&, const QString&) const
    {75, 1506, 12, 1, Smoke::mf_static, 40, 24},	//1287 QsciLexerProperties::tr(const char*)
    {75, 1510, 12, 1, Smoke::mf_static, 40, 25},	//1288 QsciLexerProperties::trUtf8(const char*)
    {75, 505, 0, 0, Smoke::mf_ctor, 80, 26},	//1289 QsciLexerProperties::QsciLexerProperties()
    {75, 1483, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 27},	//1290 QsciLexerProperties::staticMetaObject() const
    {75, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 28},	//1291 QsciLexerProperties::Default (enum)
    {75, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 29},	//1292 QsciLexerProperties::Comment (enum)
    {75, 629, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 30},	//1293 QsciLexerProperties::Section (enum)
    {75, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 31},	//1294 QsciLexerProperties::Assignment (enum)
    {75, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 32},	//1295 QsciLexerProperties::DefaultValue (enum)
    {75, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 33},	//1296 QsciLexerProperties::Key (enum)
    {75, 1579, 0, 0, Smoke::mf_dtor, 0, 34 },	//1297 QsciLexerProperties::~QsciLexerProperties()
    {76, 1087, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//1298 QsciLexerPython::metaObject() const
    {76, 1130, 12, 1, Smoke::mf_virtual, 221, 2},	//1299 QsciLexerPython::qt_metacast(const char*)
    {76, 1506, 42, 2, Smoke::mf_static, 40, 3},	//1300 QsciLexerPython::tr(const char*, const char*)
    {76, 1510, 42, 2, Smoke::mf_static, 40, 4},	//1301 QsciLexerPython::trUtf8(const char*, const char*)
    {76, 1506, 45, 3, Smoke::mf_static, 40, 5},	//1302 QsciLexerPython::tr(const char*, const char*, int)
    {76, 1510, 45, 3, Smoke::mf_static, 40, 6},	//1303 QsciLexerPython::trUtf8(const char*, const char*, int)
    {76, 1128, 49, 3, Smoke::mf_virtual, 215, 7},	//1304 QsciLexerPython::qt_metacall(QMetaObject::Call, int, void**)
    {76, 507, 74, 1, Smoke::mf_ctor, 81, 8},	//1305 QsciLexerPython::QsciLexerPython(QObject*)
    {76, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//1306 QsciLexerPython::language() const
    {76, 1036, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//1307 QsciLexerPython::lexer() const
    {76, 808, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 41, 11},	//1308 QsciLexerPython::autoCompletionWordSeparators() const
    {76, 816, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 12},	//1309 QsciLexerPython::blockLookback() const
    {76, 817, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 13},	//1310 QsciLexerPython::blockStart(int*) const
    {76, 824, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 14},	//1311 QsciLexerPython::braceStyle() const
    {76, 874, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//1312 QsciLexerPython::defaultColor(int) const
    {76, 876, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 16},	//1313 QsciLexerPython::defaultEolFill(int) const
    {76, 878, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 17},	//1314 QsciLexerPython::defaultFont(int) const
    {76, 880, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 18},	//1315 QsciLexerPython::defaultPaper(int) const
    {76, 990, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 19},	//1316 QsciLexerPython::indentationGuideView() const
    {76, 1029, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 20},	//1317 QsciLexerPython::keywords(int) const
    {76, 884, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 21},	//1318 QsciLexerPython::description(int) const
    {76, 1145, 0, 0, Smoke::mf_virtual, 0, 22},	//1319 QsciLexerPython::refreshProperties()
    {76, 952, 0, 0, Smoke::mf_const, 189, 23},	//1320 QsciLexerPython::foldComments() const
    {76, 1284, 16, 1, 0, 0, 24},	//1321 QsciLexerPython::setFoldCompact(bool)
    {76, 953, 0, 0, Smoke::mf_const, 189, 25},	//1322 QsciLexerPython::foldCompact() const
    {76, 961, 0, 0, Smoke::mf_const, 189, 26},	//1323 QsciLexerPython::foldQuotes() const
    {76, 992, 0, 0, Smoke::mf_const, 82, 27},	//1324 QsciLexerPython::indentationWarning() const
    {76, 1316, 16, 1, 0, 0, 28},	//1325 QsciLexerPython::setHighlightSubidentifiers(bool)
    {76, 983, 0, 0, Smoke::mf_const, 189, 29},	//1326 QsciLexerPython::highlightSubidentifiers() const
    {76, 1424, 16, 1, 0, 0, 30},	//1327 QsciLexerPython::setStringsOverNewlineAllowed(bool)
    {76, 1484, 0, 0, Smoke::mf_const, 189, 31},	//1328 QsciLexerPython::stringsOverNewlineAllowed() const
    {76, 1449, 16, 1, 0, 0, 32},	//1329 QsciLexerPython::setV2UnicodeAllowed(bool)
    {76, 1521, 0, 0, Smoke::mf_const, 189, 33},	//1330 QsciLexerPython::v2UnicodeAllowed() const
    {76, 1451, 16, 1, 0, 0, 34},	//1331 QsciLexerPython::setV3BinaryOctalAllowed(bool)
    {76, 1522, 0, 0, Smoke::mf_const, 189, 35},	//1332 QsciLexerPython::v3BinaryOctalAllowed() const
    {76, 1453, 16, 1, 0, 0, 36},	//1333 QsciLexerPython::setV3BytesAllowed(bool)
    {76, 1523, 0, 0, Smoke::mf_const, 189, 37},	//1334 QsciLexerPython::v3BytesAllowed() const
    {76, 1282, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 38},	//1335 QsciLexerPython::setFoldComments(bool)
    {76, 1298, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 39},	//1336 QsciLexerPython::setFoldQuotes(bool)
    {76, 1330, 105, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 40},	//1337 QsciLexerPython::setIndentationWarning(QsciLexerPython::IndentationWarning)
    {76, 1135, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 41},	//1338 QsciLexerPython::readProperties(QSettings&, const QString&)
    {76, 1541, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 42},	//1339 QsciLexerPython::writeProperties(QSettings&, const QString&) const
    {76, 1506, 12, 1, Smoke::mf_static, 40, 43},	//1340 QsciLexerPython::tr(const char*)
    {76, 1510, 12, 1, Smoke::mf_static, 40, 44},	//1341 QsciLexerPython::trUtf8(const char*)
    {76, 507, 0, 0, Smoke::mf_ctor, 81, 45},	//1342 QsciLexerPython::QsciLexerPython()
    {76, 817, 0, 0, Smoke::mf_const, 213, 46},	//1343 QsciLexerPython::blockStart() const
    {76, 1483, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 47},	//1344 QsciLexerPython::staticMetaObject() const
    {76, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 48},	//1345 QsciLexerPython::Default (enum)
    {76, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 49},	//1346 QsciLexerPython::Comment (enum)
    {76, 371, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 50},	//1347 QsciLexerPython::Number (enum)
    {76, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 51},	//1348 QsciLexerPython::DoubleQuotedString (enum)
    {76, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 52},	//1349 QsciLexerPython::SingleQuotedString (enum)
    {76, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 53},	//1350 QsciLexerPython::Keyword (enum)
    {76, 711, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 54},	//1351 QsciLexerPython::TripleSingleQuotedString (enum)
    {76, 709, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 55},	//1352 QsciLexerPython::TripleDoubleQuotedString (enum)
    {76, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 56},	//1353 QsciLexerPython::ClassName (enum)
    {76, 219, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 57},	//1354 QsciLexerPython::FunctionMethodName (enum)
    {76, 375, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 58},	//1355 QsciLexerPython::Operator (enum)
    {76, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 59},	//1356 QsciLexerPython::Identifier (enum)
    {76, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 60},	//1357 QsciLexerPython::CommentBlock (enum)
    {76, 715, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 61},	//1358 QsciLexerPython::UnclosedString (enum)
    {76, 241, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 62},	//1359 QsciLexerPython::HighlightedIdentifier (enum)
    {76, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 63},	//1360 QsciLexerPython::Decorator (enum)
    {76, 370, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 64},	//1361 QsciLexerPython::NoWarning (enum)
    {76, 282, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 65},	//1362 QsciLexerPython::Inconsistent (enum)
    {76, 695, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 66},	//1363 QsciLexerPython::TabsAfterSpaces (enum)
    {76, 654, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 67},	//1364 QsciLexerPython::Spaces (enum)
    {76, 694, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 68},	//1365 QsciLexerPython::Tabs (enum)
    {76, 1580, 0, 0, Smoke::mf_dtor, 0, 69 },	//1366 QsciLexerPython::~QsciLexerPython()
    {77, 1087, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//1367 QsciLexerRuby::metaObject() const
    {77, 1130, 12, 1, Smoke::mf_virtual, 221, 2},	//1368 QsciLexerRuby::qt_metacast(const char*)
    {77, 1506, 42, 2, Smoke::mf_static, 40, 3},	//1369 QsciLexerRuby::tr(const char*, const char*)
    {77, 1510, 42, 2, Smoke::mf_static, 40, 4},	//1370 QsciLexerRuby::trUtf8(const char*, const char*)
    {77, 1506, 45, 3, Smoke::mf_static, 40, 5},	//1371 QsciLexerRuby::tr(const char*, const char*, int)
    {77, 1510, 45, 3, Smoke::mf_static, 40, 6},	//1372 QsciLexerRuby::trUtf8(const char*, const char*, int)
    {77, 1128, 49, 3, Smoke::mf_virtual, 215, 7},	//1373 QsciLexerRuby::qt_metacall(QMetaObject::Call, int, void**)
    {77, 509, 74, 1, Smoke::mf_ctor, 83, 8},	//1374 QsciLexerRuby::QsciLexerRuby(QObject*)
    {77, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//1375 QsciLexerRuby::language() const
    {77, 1036, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//1376 QsciLexerRuby::lexer() const
    {77, 814, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 11},	//1377 QsciLexerRuby::blockEnd(int*) const
    {77, 817, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 12},	//1378 QsciLexerRuby::blockStart(int*) const
    {77, 819, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 13},	//1379 QsciLexerRuby::blockStartKeyword(int*) const
    {77, 824, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 14},	//1380 QsciLexerRuby::braceStyle() const
    {77, 874, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//1381 QsciLexerRuby::defaultColor(int) const
    {77, 876, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 16},	//1382 QsciLexerRuby::defaultEolFill(int) const
    {77, 878, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 17},	//1383 QsciLexerRuby::defaultFont(int) const
    {77, 880, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 18},	//1384 QsciLexerRuby::defaultPaper(int) const
    {77, 1029, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 19},	//1385 QsciLexerRuby::keywords(int) const
    {77, 884, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 20},	//1386 QsciLexerRuby::description(int) const
    {77, 1145, 0, 0, Smoke::mf_virtual, 0, 21},	//1387 QsciLexerRuby::refreshProperties()
    {77, 1282, 16, 1, 0, 0, 22},	//1388 QsciLexerRuby::setFoldComments(bool)
    {77, 952, 0, 0, Smoke::mf_const, 189, 23},	//1389 QsciLexerRuby::foldComments() const
    {77, 1284, 16, 1, 0, 0, 24},	//1390 QsciLexerRuby::setFoldCompact(bool)
    {77, 953, 0, 0, Smoke::mf_const, 189, 25},	//1391 QsciLexerRuby::foldCompact() const
    {77, 1135, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 26},	//1392 QsciLexerRuby::readProperties(QSettings&, const QString&)
    {77, 1541, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 27},	//1393 QsciLexerRuby::writeProperties(QSettings&, const QString&) const
    {77, 1506, 12, 1, Smoke::mf_static, 40, 28},	//1394 QsciLexerRuby::tr(const char*)
    {77, 1510, 12, 1, Smoke::mf_static, 40, 29},	//1395 QsciLexerRuby::trUtf8(const char*)
    {77, 509, 0, 0, Smoke::mf_ctor, 83, 30},	//1396 QsciLexerRuby::QsciLexerRuby()
    {77, 814, 0, 0, Smoke::mf_const, 213, 31},	//1397 QsciLexerRuby::blockEnd() const
    {77, 817, 0, 0, Smoke::mf_const, 213, 32},	//1398 QsciLexerRuby::blockStart() const
    {77, 819, 0, 0, Smoke::mf_const, 213, 33},	//1399 QsciLexerRuby::blockStartKeyword() const
    {77, 1483, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 34},	//1400 QsciLexerRuby::staticMetaObject() const
    {77, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 35},	//1401 QsciLexerRuby::Default (enum)
    {77, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 36},	//1402 QsciLexerRuby::Error (enum)
    {77, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 37},	//1403 QsciLexerRuby::Comment (enum)
    {77, 389, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 38},	//1404 QsciLexerRuby::POD (enum)
    {77, 371, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 39},	//1405 QsciLexerRuby::Number (enum)
    {77, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 40},	//1406 QsciLexerRuby::Keyword (enum)
    {77, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 41},	//1407 QsciLexerRuby::DoubleQuotedString (enum)
    {77, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 42},	//1408 QsciLexerRuby::SingleQuotedString (enum)
    {77, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 43},	//1409 QsciLexerRuby::ClassName (enum)
    {77, 219, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 44},	//1410 QsciLexerRuby::FunctionMethodName (enum)
    {77, 375, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 45},	//1411 QsciLexerRuby::Operator (enum)
    {77, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 46},	//1412 QsciLexerRuby::Identifier (enum)
    {77, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 47},	//1413 QsciLexerRuby::Regex (enum)
    {77, 220, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 48},	//1414 QsciLexerRuby::Global (enum)
    {77, 684, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 49},	//1415 QsciLexerRuby::Symbol (enum)
    {77, 359, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 50},	//1416 QsciLexerRuby::ModuleName (enum)
    {77, 283, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 51},	//1417 QsciLexerRuby::InstanceVariable (enum)
    {77, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 52},	//1418 QsciLexerRuby::ClassVariable (enum)
    {77, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 53},	//1419 QsciLexerRuby::Backticks (enum)
    {77, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 54},	//1420 QsciLexerRuby::DataSection (enum)
    {77, 235, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 55},	//1421 QsciLexerRuby::HereDocumentDelimiter (enum)
    {77, 234, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 56},	//1422 QsciLexerRuby::HereDocument (enum)
    {77, 407, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 57},	//1423 QsciLexerRuby::PercentStringq (enum)
    {77, 406, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 58},	//1424 QsciLexerRuby::PercentStringQ (enum)
    {77, 410, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 59},	//1425 QsciLexerRuby::PercentStringx (enum)
    {77, 408, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 60},	//1426 QsciLexerRuby::PercentStringr (enum)
    {77, 409, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 61},	//1427 QsciLexerRuby::PercentStringw (enum)
    {77, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 62},	//1428 QsciLexerRuby::DemotedKeyword (enum)
    {77, 664, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 63},	//1429 QsciLexerRuby::Stdin (enum)
    {77, 665, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 64},	//1430 QsciLexerRuby::Stdout (enum)
    {77, 663, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 65},	//1431 QsciLexerRuby::Stderr (enum)
    {77, 1581, 0, 0, Smoke::mf_dtor, 0, 66 },	//1432 QsciLexerRuby::~QsciLexerRuby()
    {78, 1087, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//1433 QsciLexerSQL::metaObject() const
    {78, 1130, 12, 1, Smoke::mf_virtual, 221, 2},	//1434 QsciLexerSQL::qt_metacast(const char*)
    {78, 1506, 42, 2, Smoke::mf_static, 40, 3},	//1435 QsciLexerSQL::tr(const char*, const char*)
    {78, 1510, 42, 2, Smoke::mf_static, 40, 4},	//1436 QsciLexerSQL::trUtf8(const char*, const char*)
    {78, 1506, 45, 3, Smoke::mf_static, 40, 5},	//1437 QsciLexerSQL::tr(const char*, const char*, int)
    {78, 1510, 45, 3, Smoke::mf_static, 40, 6},	//1438 QsciLexerSQL::trUtf8(const char*, const char*, int)
    {78, 1128, 49, 3, Smoke::mf_virtual, 215, 7},	//1439 QsciLexerSQL::qt_metacall(QMetaObject::Call, int, void**)
    {78, 511, 74, 1, Smoke::mf_ctor, 84, 8},	//1440 QsciLexerSQL::QsciLexerSQL(QObject*)
    {78, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//1441 QsciLexerSQL::language() const
    {78, 1036, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//1442 QsciLexerSQL::lexer() const
    {78, 824, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 11},	//1443 QsciLexerSQL::braceStyle() const
    {78, 874, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//1444 QsciLexerSQL::defaultColor(int) const
    {78, 876, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 13},	//1445 QsciLexerSQL::defaultEolFill(int) const
    {78, 878, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 14},	//1446 QsciLexerSQL::defaultFont(int) const
    {78, 880, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//1447 QsciLexerSQL::defaultPaper(int) const
    {78, 1029, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 16},	//1448 QsciLexerSQL::keywords(int) const
    {78, 884, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 17},	//1449 QsciLexerSQL::description(int) const
    {78, 1145, 0, 0, Smoke::mf_virtual, 0, 18},	//1450 QsciLexerSQL::refreshProperties()
    {78, 811, 0, 0, Smoke::mf_const, 189, 19},	//1451 QsciLexerSQL::backslashEscapes() const
    {78, 1253, 16, 1, 0, 0, 20},	//1452 QsciLexerSQL::setDottedWords(bool)
    {78, 891, 0, 0, Smoke::mf_const, 189, 21},	//1453 QsciLexerSQL::dottedWords() const
    {78, 1278, 16, 1, 0, 0, 22},	//1454 QsciLexerSQL::setFoldAtElse(bool)
    {78, 950, 0, 0, Smoke::mf_const, 189, 23},	//1455 QsciLexerSQL::foldAtElse() const
    {78, 952, 0, 0, Smoke::mf_const, 189, 24},	//1456 QsciLexerSQL::foldComments() const
    {78, 953, 0, 0, Smoke::mf_const, 189, 25},	//1457 QsciLexerSQL::foldCompact() const
    {78, 1290, 16, 1, 0, 0, 26},	//1458 QsciLexerSQL::setFoldOnlyBegin(bool)
    {78, 957, 0, 0, Smoke::mf_const, 189, 27},	//1459 QsciLexerSQL::foldOnlyBegin() const
    {78, 1312, 16, 1, 0, 0, 28},	//1460 QsciLexerSQL::setHashComments(bool)
    {78, 979, 0, 0, Smoke::mf_const, 189, 29},	//1461 QsciLexerSQL::hashComments() const
    {78, 1405, 16, 1, 0, 0, 30},	//1462 QsciLexerSQL::setQuotedIdentifiers(bool)
    {78, 1132, 0, 0, Smoke::mf_const, 189, 31},	//1463 QsciLexerSQL::quotedIdentifiers() const
    {78, 1202, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 32},	//1464 QsciLexerSQL::setBackslashEscapes(bool)
    {78, 1282, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 33},	//1465 QsciLexerSQL::setFoldComments(bool)
    {78, 1284, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 34},	//1466 QsciLexerSQL::setFoldCompact(bool)
    {78, 1135, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 35},	//1467 QsciLexerSQL::readProperties(QSettings&, const QString&)
    {78, 1541, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 36},	//1468 QsciLexerSQL::writeProperties(QSettings&, const QString&) const
    {78, 1506, 12, 1, Smoke::mf_static, 40, 37},	//1469 QsciLexerSQL::tr(const char*)
    {78, 1510, 12, 1, Smoke::mf_static, 40, 38},	//1470 QsciLexerSQL::trUtf8(const char*)
    {78, 511, 0, 0, Smoke::mf_ctor, 84, 39},	//1471 QsciLexerSQL::QsciLexerSQL()
    {78, 1483, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 40},	//1472 QsciLexerSQL::staticMetaObject() const
    {78, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 41},	//1473 QsciLexerSQL::Default (enum)
    {78, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 42},	//1474 QsciLexerSQL::Comment (enum)
    {78, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 43},	//1475 QsciLexerSQL::CommentLine (enum)
    {78, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 44},	//1476 QsciLexerSQL::CommentDoc (enum)
    {78, 371, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 45},	//1477 QsciLexerSQL::Number (enum)
    {78, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 46},	//1478 QsciLexerSQL::Keyword (enum)
    {78, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 47},	//1479 QsciLexerSQL::DoubleQuotedString (enum)
    {78, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 48},	//1480 QsciLexerSQL::SingleQuotedString (enum)
    {78, 417, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 49},	//1481 QsciLexerSQL::PlusKeyword (enum)
    {78, 418, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 50},	//1482 QsciLexerSQL::PlusPrompt (enum)
    {78, 375, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 51},	//1483 QsciLexerSQL::Operator (enum)
    {78, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 52},	//1484 QsciLexerSQL::Identifier (enum)
    {78, 416, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 53},	//1485 QsciLexerSQL::PlusComment (enum)
    {78, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 54},	//1486 QsciLexerSQL::CommentLineHash (enum)
    {78, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 55},	//1487 QsciLexerSQL::CommentDocKeyword (enum)
    {78, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 56},	//1488 QsciLexerSQL::CommentDocKeywordError (enum)
    {78, 305, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 57},	//1489 QsciLexerSQL::KeywordSet5 (enum)
    {78, 306, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 58},	//1490 QsciLexerSQL::KeywordSet6 (enum)
    {78, 307, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 59},	//1491 QsciLexerSQL::KeywordSet7 (enum)
    {78, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 60},	//1492 QsciLexerSQL::KeywordSet8 (enum)
    {78, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 61},	//1493 QsciLexerSQL::QuotedIdentifier (enum)
    {78, 1582, 0, 0, Smoke::mf_dtor, 0, 62 },	//1494 QsciLexerSQL::~QsciLexerSQL()
    {79, 1087, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//1495 QsciLexerTCL::metaObject() const
    {79, 1130, 12, 1, Smoke::mf_virtual, 221, 2},	//1496 QsciLexerTCL::qt_metacast(const char*)
    {79, 1506, 42, 2, Smoke::mf_static, 40, 3},	//1497 QsciLexerTCL::tr(const char*, const char*)
    {79, 1510, 42, 2, Smoke::mf_static, 40, 4},	//1498 QsciLexerTCL::trUtf8(const char*, const char*)
    {79, 1506, 45, 3, Smoke::mf_static, 40, 5},	//1499 QsciLexerTCL::tr(const char*, const char*, int)
    {79, 1510, 45, 3, Smoke::mf_static, 40, 6},	//1500 QsciLexerTCL::trUtf8(const char*, const char*, int)
    {79, 1128, 49, 3, Smoke::mf_virtual, 215, 7},	//1501 QsciLexerTCL::qt_metacall(QMetaObject::Call, int, void**)
    {79, 513, 74, 1, Smoke::mf_ctor, 85, 8},	//1502 QsciLexerTCL::QsciLexerTCL(QObject*)
    {79, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//1503 QsciLexerTCL::language() const
    {79, 1036, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//1504 QsciLexerTCL::lexer() const
    {79, 824, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 11},	//1505 QsciLexerTCL::braceStyle() const
    {79, 874, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//1506 QsciLexerTCL::defaultColor(int) const
    {79, 876, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 13},	//1507 QsciLexerTCL::defaultEolFill(int) const
    {79, 878, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 14},	//1508 QsciLexerTCL::defaultFont(int) const
    {79, 880, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//1509 QsciLexerTCL::defaultPaper(int) const
    {79, 1029, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 16},	//1510 QsciLexerTCL::keywords(int) const
    {79, 884, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 17},	//1511 QsciLexerTCL::description(int) const
    {79, 1145, 0, 0, Smoke::mf_virtual, 0, 18},	//1512 QsciLexerTCL::refreshProperties()
    {79, 1282, 16, 1, 0, 0, 19},	//1513 QsciLexerTCL::setFoldComments(bool)
    {79, 952, 0, 0, Smoke::mf_const, 189, 20},	//1514 QsciLexerTCL::foldComments() const
    {79, 1135, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 21},	//1515 QsciLexerTCL::readProperties(QSettings&, const QString&)
    {79, 1541, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 22},	//1516 QsciLexerTCL::writeProperties(QSettings&, const QString&) const
    {79, 1506, 12, 1, Smoke::mf_static, 40, 23},	//1517 QsciLexerTCL::tr(const char*)
    {79, 1510, 12, 1, Smoke::mf_static, 40, 24},	//1518 QsciLexerTCL::trUtf8(const char*)
    {79, 513, 0, 0, Smoke::mf_ctor, 85, 25},	//1519 QsciLexerTCL::QsciLexerTCL()
    {79, 1483, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 26},	//1520 QsciLexerTCL::staticMetaObject() const
    {79, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 27},	//1521 QsciLexerTCL::Default (enum)
    {79, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 28},	//1522 QsciLexerTCL::Comment (enum)
    {79, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 29},	//1523 QsciLexerTCL::CommentLine (enum)
    {79, 371, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 30},	//1524 QsciLexerTCL::Number (enum)
    {79, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 31},	//1525 QsciLexerTCL::QuotedKeyword (enum)
    {79, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 32},	//1526 QsciLexerTCL::QuotedString (enum)
    {79, 375, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 33},	//1527 QsciLexerTCL::Operator (enum)
    {79, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 34},	//1528 QsciLexerTCL::Identifier (enum)
    {79, 680, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 35},	//1529 QsciLexerTCL::Substitution (enum)
    {79, 681, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 36},	//1530 QsciLexerTCL::SubstitutionBrace (enum)
    {79, 358, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 37},	//1531 QsciLexerTCL::Modifier (enum)
    {79, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 38},	//1532 QsciLexerTCL::ExpandKeyword (enum)
    {79, 690, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 39},	//1533 QsciLexerTCL::TCLKeyword (enum)
    {79, 706, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 40},	//1534 QsciLexerTCL::TkKeyword (enum)
    {79, 250, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 41},	//1535 QsciLexerTCL::ITCLKeyword (enum)
    {79, 705, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 42},	//1536 QsciLexerTCL::TkCommand (enum)
    {79, 306, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 43},	//1537 QsciLexerTCL::KeywordSet6 (enum)
    {79, 307, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 44},	//1538 QsciLexerTCL::KeywordSet7 (enum)
    {79, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 45},	//1539 QsciLexerTCL::KeywordSet8 (enum)
    {79, 309, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 46},	//1540 QsciLexerTCL::KeywordSet9 (enum)
    {79, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 47},	//1541 QsciLexerTCL::CommentBox (enum)
    {79, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 48},	//1542 QsciLexerTCL::CommentBlock (enum)
    {79, 1583, 0, 0, Smoke::mf_dtor, 0, 49 },	//1543 QsciLexerTCL::~QsciLexerTCL()
    {80, 1087, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//1544 QsciLexerTeX::metaObject() const
    {80, 1130, 12, 1, Smoke::mf_virtual, 221, 2},	//1545 QsciLexerTeX::qt_metacast(const char*)
    {80, 1506, 42, 2, Smoke::mf_static, 40, 3},	//1546 QsciLexerTeX::tr(const char*, const char*)
    {80, 1510, 42, 2, Smoke::mf_static, 40, 4},	//1547 QsciLexerTeX::trUtf8(const char*, const char*)
    {80, 1506, 45, 3, Smoke::mf_static, 40, 5},	//1548 QsciLexerTeX::tr(const char*, const char*, int)
    {80, 1510, 45, 3, Smoke::mf_static, 40, 6},	//1549 QsciLexerTeX::trUtf8(const char*, const char*, int)
    {80, 1128, 49, 3, Smoke::mf_virtual, 215, 7},	//1550 QsciLexerTeX::qt_metacall(QMetaObject::Call, int, void**)
    {80, 515, 74, 1, Smoke::mf_ctor, 86, 8},	//1551 QsciLexerTeX::QsciLexerTeX(QObject*)
    {80, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//1552 QsciLexerTeX::language() const
    {80, 1036, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//1553 QsciLexerTeX::lexer() const
    {80, 1536, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 11},	//1554 QsciLexerTeX::wordCharacters() const
    {80, 874, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//1555 QsciLexerTeX::defaultColor(int) const
    {80, 1029, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 13},	//1556 QsciLexerTeX::keywords(int) const
    {80, 884, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 14},	//1557 QsciLexerTeX::description(int) const
    {80, 1145, 0, 0, Smoke::mf_virtual, 0, 15},	//1558 QsciLexerTeX::refreshProperties()
    {80, 1282, 16, 1, 0, 0, 16},	//1559 QsciLexerTeX::setFoldComments(bool)
    {80, 952, 0, 0, Smoke::mf_const, 189, 17},	//1560 QsciLexerTeX::foldComments() const
    {80, 1284, 16, 1, 0, 0, 18},	//1561 QsciLexerTeX::setFoldCompact(bool)
    {80, 953, 0, 0, Smoke::mf_const, 189, 19},	//1562 QsciLexerTeX::foldCompact() const
    {80, 1401, 16, 1, 0, 0, 20},	//1563 QsciLexerTeX::setProcessComments(bool)
    {80, 1124, 0, 0, Smoke::mf_const, 189, 21},	//1564 QsciLexerTeX::processComments() const
    {80, 1403, 16, 1, 0, 0, 22},	//1565 QsciLexerTeX::setProcessIf(bool)
    {80, 1125, 0, 0, Smoke::mf_const, 189, 23},	//1566 QsciLexerTeX::processIf() const
    {80, 1135, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 24},	//1567 QsciLexerTeX::readProperties(QSettings&, const QString&)
    {80, 1541, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 25},	//1568 QsciLexerTeX::writeProperties(QSettings&, const QString&) const
    {80, 1506, 12, 1, Smoke::mf_static, 40, 26},	//1569 QsciLexerTeX::tr(const char*)
    {80, 1510, 12, 1, Smoke::mf_static, 40, 27},	//1570 QsciLexerTeX::trUtf8(const char*)
    {80, 515, 0, 0, Smoke::mf_ctor, 86, 28},	//1571 QsciLexerTeX::QsciLexerTeX()
    {80, 1483, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 29},	//1572 QsciLexerTeX::staticMetaObject() const
    {80, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 30},	//1573 QsciLexerTeX::Default (enum)
    {80, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 31},	//1574 QsciLexerTeX::Special (enum)
    {80, 223, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 32},	//1575 QsciLexerTeX::Group (enum)
    {80, 684, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 33},	//1576 QsciLexerTeX::Symbol (enum)
    {80, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 34},	//1577 QsciLexerTeX::Command (enum)
    {80, 698, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 35},	//1578 QsciLexerTeX::Text (enum)
    {80, 1584, 0, 0, Smoke::mf_dtor, 0, 36 },	//1579 QsciLexerTeX::~QsciLexerTeX()
    {81, 1087, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//1580 QsciLexerVHDL::metaObject() const
    {81, 1130, 12, 1, Smoke::mf_virtual, 221, 2},	//1581 QsciLexerVHDL::qt_metacast(const char*)
    {81, 1506, 42, 2, Smoke::mf_static, 40, 3},	//1582 QsciLexerVHDL::tr(const char*, const char*)
    {81, 1510, 42, 2, Smoke::mf_static, 40, 4},	//1583 QsciLexerVHDL::trUtf8(const char*, const char*)
    {81, 1506, 45, 3, Smoke::mf_static, 40, 5},	//1584 QsciLexerVHDL::tr(const char*, const char*, int)
    {81, 1510, 45, 3, Smoke::mf_static, 40, 6},	//1585 QsciLexerVHDL::trUtf8(const char*, const char*, int)
    {81, 1128, 49, 3, Smoke::mf_virtual, 215, 7},	//1586 QsciLexerVHDL::qt_metacall(QMetaObject::Call, int, void**)
    {81, 517, 74, 1, Smoke::mf_ctor, 87, 8},	//1587 QsciLexerVHDL::QsciLexerVHDL(QObject*)
    {81, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//1588 QsciLexerVHDL::language() const
    {81, 1036, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//1589 QsciLexerVHDL::lexer() const
    {81, 824, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 11},	//1590 QsciLexerVHDL::braceStyle() const
    {81, 874, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//1591 QsciLexerVHDL::defaultColor(int) const
    {81, 876, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 13},	//1592 QsciLexerVHDL::defaultEolFill(int) const
    {81, 878, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 14},	//1593 QsciLexerVHDL::defaultFont(int) const
    {81, 880, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//1594 QsciLexerVHDL::defaultPaper(int) const
    {81, 1029, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 16},	//1595 QsciLexerVHDL::keywords(int) const
    {81, 884, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 17},	//1596 QsciLexerVHDL::description(int) const
    {81, 1145, 0, 0, Smoke::mf_virtual, 0, 18},	//1597 QsciLexerVHDL::refreshProperties()
    {81, 952, 0, 0, Smoke::mf_const, 189, 19},	//1598 QsciLexerVHDL::foldComments() const
    {81, 953, 0, 0, Smoke::mf_const, 189, 20},	//1599 QsciLexerVHDL::foldCompact() const
    {81, 950, 0, 0, Smoke::mf_const, 189, 21},	//1600 QsciLexerVHDL::foldAtElse() const
    {81, 949, 0, 0, Smoke::mf_const, 189, 22},	//1601 QsciLexerVHDL::foldAtBegin() const
    {81, 951, 0, 0, Smoke::mf_const, 189, 23},	//1602 QsciLexerVHDL::foldAtParenthesis() const
    {81, 1282, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 24},	//1603 QsciLexerVHDL::setFoldComments(bool)
    {81, 1284, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 25},	//1604 QsciLexerVHDL::setFoldCompact(bool)
    {81, 1278, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 26},	//1605 QsciLexerVHDL::setFoldAtElse(bool)
    {81, 1276, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 27},	//1606 QsciLexerVHDL::setFoldAtBegin(bool)
    {81, 1280, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//1607 QsciLexerVHDL::setFoldAtParenthesis(bool)
    {81, 1135, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 29},	//1608 QsciLexerVHDL::readProperties(QSettings&, const QString&)
    {81, 1541, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 30},	//1609 QsciLexerVHDL::writeProperties(QSettings&, const QString&) const
    {81, 1506, 12, 1, Smoke::mf_static, 40, 31},	//1610 QsciLexerVHDL::tr(const char*)
    {81, 1510, 12, 1, Smoke::mf_static, 40, 32},	//1611 QsciLexerVHDL::trUtf8(const char*)
    {81, 517, 0, 0, Smoke::mf_ctor, 87, 33},	//1612 QsciLexerVHDL::QsciLexerVHDL()
    {81, 1483, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 34},	//1613 QsciLexerVHDL::staticMetaObject() const
    {81, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 35},	//1614 QsciLexerVHDL::Default (enum)
    {81, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 36},	//1615 QsciLexerVHDL::Comment (enum)
    {81, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 37},	//1616 QsciLexerVHDL::CommentLine (enum)
    {81, 371, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 38},	//1617 QsciLexerVHDL::Number (enum)
    {81, 669, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 39},	//1618 QsciLexerVHDL::String (enum)
    {81, 375, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 40},	//1619 QsciLexerVHDL::Operator (enum)
    {81, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 41},	//1620 QsciLexerVHDL::Identifier (enum)
    {81, 715, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 42},	//1621 QsciLexerVHDL::UnclosedString (enum)
    {81, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 43},	//1622 QsciLexerVHDL::Keyword (enum)
    {81, 660, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 44},	//1623 QsciLexerVHDL::StandardOperator (enum)
    {81, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 45},	//1624 QsciLexerVHDL::Attribute (enum)
    {81, 659, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 46},	//1625 QsciLexerVHDL::StandardFunction (enum)
    {81, 661, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 47},	//1626 QsciLexerVHDL::StandardPackage (enum)
    {81, 662, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 48},	//1627 QsciLexerVHDL::StandardType (enum)
    {81, 307, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 49},	//1628 QsciLexerVHDL::KeywordSet7 (enum)
    {81, 1585, 0, 0, Smoke::mf_dtor, 0, 50 },	//1629 QsciLexerVHDL::~QsciLexerVHDL()
    {82, 1087, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//1630 QsciLexerXML::metaObject() const
    {82, 1130, 12, 1, Smoke::mf_virtual, 221, 2},	//1631 QsciLexerXML::qt_metacast(const char*)
    {82, 1506, 42, 2, Smoke::mf_static, 40, 3},	//1632 QsciLexerXML::tr(const char*, const char*)
    {82, 1510, 42, 2, Smoke::mf_static, 40, 4},	//1633 QsciLexerXML::trUtf8(const char*, const char*)
    {82, 1506, 45, 3, Smoke::mf_static, 40, 5},	//1634 QsciLexerXML::tr(const char*, const char*, int)
    {82, 1510, 45, 3, Smoke::mf_static, 40, 6},	//1635 QsciLexerXML::trUtf8(const char*, const char*, int)
    {82, 1128, 49, 3, Smoke::mf_virtual, 215, 7},	//1636 QsciLexerXML::qt_metacall(QMetaObject::Call, int, void**)
    {82, 519, 74, 1, Smoke::mf_ctor, 88, 8},	//1637 QsciLexerXML::QsciLexerXML(QObject*)
    {82, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//1638 QsciLexerXML::language() const
    {82, 1036, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//1639 QsciLexerXML::lexer() const
    {82, 874, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 11},	//1640 QsciLexerXML::defaultColor(int) const
    {82, 876, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 12},	//1641 QsciLexerXML::defaultEolFill(int) const
    {82, 878, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 13},	//1642 QsciLexerXML::defaultFont(int) const
    {82, 880, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 14},	//1643 QsciLexerXML::defaultPaper(int) const
    {82, 1029, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 15},	//1644 QsciLexerXML::keywords(int) const
    {82, 1145, 0, 0, Smoke::mf_virtual, 0, 16},	//1645 QsciLexerXML::refreshProperties()
    {82, 1411, 16, 1, 0, 0, 17},	//1646 QsciLexerXML::setScriptsStyled(bool)
    {82, 1165, 0, 0, Smoke::mf_const, 189, 18},	//1647 QsciLexerXML::scriptsStyled() const
    {82, 1135, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 19},	//1648 QsciLexerXML::readProperties(QSettings&, const QString&)
    {82, 1541, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 20},	//1649 QsciLexerXML::writeProperties(QSettings&, const QString&) const
    {82, 1506, 12, 1, Smoke::mf_static, 40, 21},	//1650 QsciLexerXML::tr(const char*)
    {82, 1510, 12, 1, Smoke::mf_static, 40, 22},	//1651 QsciLexerXML::trUtf8(const char*)
    {82, 519, 0, 0, Smoke::mf_ctor, 88, 23},	//1652 QsciLexerXML::QsciLexerXML()
    {82, 1483, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 24},	//1653 QsciLexerXML::staticMetaObject() const
    {82, 1586, 0, 0, Smoke::mf_dtor, 0, 25 },	//1654 QsciLexerXML::~QsciLexerXML()
    {83, 1087, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//1655 QsciLexerYAML::metaObject() const
    {83, 1130, 12, 1, Smoke::mf_virtual, 221, 2},	//1656 QsciLexerYAML::qt_metacast(const char*)
    {83, 1506, 42, 2, Smoke::mf_static, 40, 3},	//1657 QsciLexerYAML::tr(const char*, const char*)
    {83, 1510, 42, 2, Smoke::mf_static, 40, 4},	//1658 QsciLexerYAML::trUtf8(const char*, const char*)
    {83, 1506, 45, 3, Smoke::mf_static, 40, 5},	//1659 QsciLexerYAML::tr(const char*, const char*, int)
    {83, 1510, 45, 3, Smoke::mf_static, 40, 6},	//1660 QsciLexerYAML::trUtf8(const char*, const char*, int)
    {83, 1128, 49, 3, Smoke::mf_virtual, 215, 7},	//1661 QsciLexerYAML::qt_metacall(QMetaObject::Call, int, void**)
    {83, 521, 74, 1, Smoke::mf_ctor, 89, 8},	//1662 QsciLexerYAML::QsciLexerYAML(QObject*)
    {83, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//1663 QsciLexerYAML::language() const
    {83, 1036, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//1664 QsciLexerYAML::lexer() const
    {83, 874, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 11},	//1665 QsciLexerYAML::defaultColor(int) const
    {83, 876, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 12},	//1666 QsciLexerYAML::defaultEolFill(int) const
    {83, 878, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 13},	//1667 QsciLexerYAML::defaultFont(int) const
    {83, 880, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 14},	//1668 QsciLexerYAML::defaultPaper(int) const
    {83, 1029, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 15},	//1669 QsciLexerYAML::keywords(int) const
    {83, 884, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 16},	//1670 QsciLexerYAML::description(int) const
    {83, 1145, 0, 0, Smoke::mf_virtual, 0, 17},	//1671 QsciLexerYAML::refreshProperties()
    {83, 952, 0, 0, Smoke::mf_const, 189, 18},	//1672 QsciLexerYAML::foldComments() const
    {83, 1282, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 19},	//1673 QsciLexerYAML::setFoldComments(bool)
    {83, 1135, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 20},	//1674 QsciLexerYAML::readProperties(QSettings&, const QString&)
    {83, 1541, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 21},	//1675 QsciLexerYAML::writeProperties(QSettings&, const QString&) const
    {83, 1506, 12, 1, Smoke::mf_static, 40, 22},	//1676 QsciLexerYAML::tr(const char*)
    {83, 1510, 12, 1, Smoke::mf_static, 40, 23},	//1677 QsciLexerYAML::trUtf8(const char*)
    {83, 521, 0, 0, Smoke::mf_ctor, 89, 24},	//1678 QsciLexerYAML::QsciLexerYAML()
    {83, 1483, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 25},	//1679 QsciLexerYAML::staticMetaObject() const
    {83, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 26},	//1680 QsciLexerYAML::Default (enum)
    {83, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 27},	//1681 QsciLexerYAML::Comment (enum)
    {83, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 28},	//1682 QsciLexerYAML::Identifier (enum)
    {83, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 29},	//1683 QsciLexerYAML::Keyword (enum)
    {83, 371, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 30},	//1684 QsciLexerYAML::Number (enum)
    {83, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 31},	//1685 QsciLexerYAML::Reference (enum)
    {83, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 32},	//1686 QsciLexerYAML::DocumentDelimiter (enum)
    {83, 699, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 33},	//1687 QsciLexerYAML::TextBlockMarker (enum)
    {83, 689, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 34},	//1688 QsciLexerYAML::SyntaxErrorMarker (enum)
    {83, 375, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 35},	//1689 QsciLexerYAML::Operator (enum)
    {83, 1587, 0, 0, Smoke::mf_dtor, 0, 36 },	//1690 QsciLexerYAML::~QsciLexerYAML()
    {84, 1087, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//1691 QsciMacro::metaObject() const
    {84, 1130, 12, 1, Smoke::mf_virtual, 221, 2},	//1692 QsciMacro::qt_metacast(const char*)
    {84, 1506, 42, 2, Smoke::mf_static, 40, 3},	//1693 QsciMacro::tr(const char*, const char*)
    {84, 1510, 42, 2, Smoke::mf_static, 40, 4},	//1694 QsciMacro::trUtf8(const char*, const char*)
    {84, 1506, 45, 3, Smoke::mf_static, 40, 5},	//1695 QsciMacro::tr(const char*, const char*, int)
    {84, 1510, 45, 3, Smoke::mf_static, 40, 6},	//1696 QsciMacro::trUtf8(const char*, const char*, int)
    {84, 1128, 49, 3, Smoke::mf_virtual, 215, 7},	//1697 QsciMacro::qt_metacall(QMetaObject::Call, int, void**)
    {84, 523, 82, 1, Smoke::mf_ctor, 90, 8},	//1698 QsciMacro::QsciMacro(QsciScintilla*)
    {84, 523, 107, 2, Smoke::mf_ctor, 90, 9},	//1699 QsciMacro::QsciMacro(const QString&, QsciScintilla*)
    {84, 842, 0, 0, 0, 0, 10},	//1700 QsciMacro::clear()
    {84, 1046, 55, 1, 0, 189, 11},	//1701 QsciMacro::load(const QString&)
    {84, 1162, 0, 0, Smoke::mf_const, 40, 12},	//1702 QsciMacro::save() const
    {84, 1115, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 13},	//1703 QsciMacro::play()
    {84, 1479, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 14},	//1704 QsciMacro::startRecording()
    {84, 905, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 15},	//1705 QsciMacro::endRecording()
    {84, 1506, 12, 1, Smoke::mf_static, 40, 16},	//1706 QsciMacro::tr(const char*)
    {84, 1510, 12, 1, Smoke::mf_static, 40, 17},	//1707 QsciMacro::trUtf8(const char*)
    {84, 1483, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 18},	//1708 QsciMacro::staticMetaObject() const
    {84, 1588, 0, 0, Smoke::mf_dtor, 0, 19 },	//1709 QsciMacro::~QsciMacro()
    {85, 526, 110, 1, Smoke::mf_ctor, 91, 1},	//1710 QsciPrinter::QsciPrinter(QPrinter::PrinterMode)
    {85, 970, 112, 4, Smoke::mf_virtual, 0, 2},	//1711 QsciPrinter::formatPage(QPainter&, bool, QRect&, int)
    {85, 1050, 0, 0, Smoke::mf_const, 215, 3},	//1712 QsciPrinter::magnification() const
    {85, 1355, 18, 1, Smoke::mf_virtual, 0, 4},	//1713 QsciPrinter::setMagnification(int)
    {85, 1120, 117, 3, Smoke::mf_virtual, 215, 5},	//1714 QsciPrinter::printRange(QsciScintillaBase*, int, int)
    {85, 1538, 0, 0, Smoke::mf_const, 108, 6},	//1715 QsciPrinter::wrapMode() const
    {85, 1467, 121, 1, Smoke::mf_virtual, 0, 7},	//1716 QsciPrinter::setWrapMode(QsciScintilla::WrapMode)
    {85, 526, 0, 0, Smoke::mf_ctor, 91, 8},	//1717 QsciPrinter::QsciPrinter()
    {85, 1120, 123, 1, 0, 215, 9},	//1718 QsciPrinter::printRange(QsciScintillaBase*)
    {85, 1120, 125, 2, 0, 215, 10},	//1719 QsciPrinter::printRange(QsciScintillaBase*, int)
    {85, 1589, 0, 0, Smoke::mf_dtor, 0, 11 },	//1720 QsciPrinter::~QsciPrinter()
    {86, 1087, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//1721 QsciScintilla::metaObject() const
    {86, 1130, 12, 1, Smoke::mf_virtual, 221, 2},	//1722 QsciScintilla::qt_metacast(const char*)
    {86, 1506, 42, 2, Smoke::mf_static, 40, 3},	//1723 QsciScintilla::tr(const char*, const char*)
    {86, 1510, 42, 2, Smoke::mf_static, 40, 4},	//1724 QsciScintilla::trUtf8(const char*, const char*)
    {86, 1506, 45, 3, Smoke::mf_static, 40, 5},	//1725 QsciScintilla::tr(const char*, const char*, int)
    {86, 1510, 45, 3, Smoke::mf_static, 40, 6},	//1726 QsciScintilla::trUtf8(const char*, const char*, int)
    {86, 1128, 49, 3, Smoke::mf_virtual, 215, 7},	//1727 QsciScintilla::qt_metacall(QMetaObject::Call, int, void**)
    {86, 528, 128, 1, Smoke::mf_ctor, 92, 8},	//1728 QsciScintilla::QsciScintilla(QWidget*)
    {86, 785, 130, 3, Smoke::mf_virtual, 41, 9},	//1729 QsciScintilla::apiContext(int, int&, int&)
    {86, 777, 134, 3, 0, 0, 10},	//1730 QsciScintilla::annotate(int, const QString&, int)
    {86, 777, 138, 3, 0, 0, 11},	//1731 QsciScintilla::annotate(int, const QString&, const QsciStyle&)
    {86, 777, 142, 2, 0, 0, 12},	//1732 QsciScintilla::annotate(int, const QsciStyledText&)
    {86, 777, 145, 2, 0, 0, 13},	//1733 QsciScintilla::annotate(int, const QList<QsciStyledText>&)
    {86, 782, 18, 1, Smoke::mf_const, 40, 14},	//1734 QsciScintilla::annotation(int) const
    {86, 784, 0, 0, Smoke::mf_const, 93, 15},	//1735 QsciScintilla::annotationDisplay() const
    {86, 844, 18, 1, 0, 0, 16},	//1736 QsciScintilla::clearAnnotations(int)
    {86, 798, 0, 0, Smoke::mf_const, 189, 17},	//1737 QsciScintilla::autoCompletionCaseSensitivity() const
    {86, 800, 0, 0, Smoke::mf_const, 189, 18},	//1738 QsciScintilla::autoCompletionFillupsEnabled() const
    {86, 801, 0, 0, Smoke::mf_const, 189, 19},	//1739 QsciScintilla::autoCompletionReplaceWord() const
    {86, 804, 0, 0, Smoke::mf_const, 189, 20},	//1740 QsciScintilla::autoCompletionShowSingle() const
    {86, 805, 0, 0, Smoke::mf_const, 94, 21},	//1741 QsciScintilla::autoCompletionSource() const
    {86, 806, 0, 0, Smoke::mf_const, 215, 22},	//1742 QsciScintilla::autoCompletionThreshold() const
    {86, 807, 0, 0, Smoke::mf_const, 95, 23},	//1743 QsciScintilla::autoCompletionUseSingle() const
    {86, 809, 0, 0, Smoke::mf_const, 189, 24},	//1744 QsciScintilla::autoIndent() const
    {86, 812, 0, 0, Smoke::mf_const, 189, 25},	//1745 QsciScintilla::backspaceUnindents() const
    {86, 813, 0, 0, 0, 0, 26},	//1746 QsciScintilla::beginUndoAction()
    {86, 823, 0, 0, Smoke::mf_const, 96, 27},	//1747 QsciScintilla::braceMatching() const
    {86, 830, 0, 0, Smoke::mf_const, 97, 28},	//1748 QsciScintilla::callTipsPosition() const
    {86, 831, 0, 0, Smoke::mf_const, 98, 29},	//1749 QsciScintilla::callTipsStyle() const
    {86, 832, 0, 0, Smoke::mf_const, 215, 30},	//1750 QsciScintilla::callTipsVisible() const
    {86, 835, 0, 0, 0, 0, 31},	//1751 QsciScintilla::cancelList()
    {86, 837, 0, 0, Smoke::mf_const, 189, 32},	//1752 QsciScintilla::caseSensitive() const
    {86, 846, 0, 0, 0, 0, 33},	//1753 QsciScintilla::clearFolds()
    {86, 847, 148, 5, 0, 0, 34},	//1754 QsciScintilla::clearIndicatorRange(int, int, int, int, int)
    {86, 852, 0, 0, 0, 0, 35},	//1755 QsciScintilla::clearRegisteredImages()
    {86, 854, 0, 0, Smoke::mf_const, 6, 36},	//1756 QsciScintilla::color() const
    {86, 863, 0, 0, Smoke::mf_const, 20, 37},	//1757 QsciScintilla::contractedFolds() const
    {86, 864, 154, 1, 0, 0, 38},	//1758 QsciScintilla::convertEols(QsciScintilla::EolMode)
    {86, 869, 0, 0, 0, 22, 39},	//1759 QsciScintilla::createStandardContextMenu()
    {86, 889, 0, 0, Smoke::mf_const, 55, 40},	//1760 QsciScintilla::document() const
    {86, 906, 0, 0, 0, 0, 41},	//1761 QsciScintilla::endUndoAction()
    {86, 900, 0, 0, Smoke::mf_const, 6, 42},	//1762 QsciScintilla::edgeColor() const
    {86, 901, 0, 0, Smoke::mf_const, 215, 43},	//1763 QsciScintilla::edgeColumn() const
    {86, 902, 0, 0, Smoke::mf_const, 99, 44},	//1764 QsciScintilla::edgeMode() const
    {86, 1307, 40, 1, 0, 0, 45},	//1765 QsciScintilla::setFont(const QFont&)
    {86, 915, 0, 0, Smoke::mf_const, 100, 46},	//1766 QsciScintilla::eolMode() const
    {86, 916, 0, 0, Smoke::mf_const, 189, 47},	//1767 QsciScintilla::eolVisibility() const
    {86, 921, 0, 0, Smoke::mf_const, 215, 48},	//1768 QsciScintilla::extraAscent() const
    {86, 922, 0, 0, Smoke::mf_const, 215, 49},	//1769 QsciScintilla::extraDescent() const
    {86, 923, 148, 5, 0, 0, 50},	//1770 QsciScintilla::fillIndicatorRange(int, int, int, int, int)
    {86, 927, 156, 10, Smoke::mf_virtual, 189, 51},	//1771 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool, int, int, bool, bool)
    {86, 934, 167, 7, Smoke::mf_virtual, 189, 52},	//1772 QsciScintilla::findFirstInSelection(const QString&, bool, bool, bool, bool, bool, bool)
    {86, 939, 0, 0, Smoke::mf_virtual, 189, 53},	//1773 QsciScintilla::findNext()
    {86, 940, 0, 0, Smoke::mf_const, 215, 54},	//1774 QsciScintilla::firstVisibleLine() const
    {86, 964, 0, 0, Smoke::mf_const, 101, 55},	//1775 QsciScintilla::folding() const
    {86, 974, 175, 2, Smoke::mf_const, 0, 56},	//1776 QsciScintilla::getCursorPosition(int*, int*) const
    {86, 976, 178, 4, Smoke::mf_const, 0, 57},	//1777 QsciScintilla::getSelection(int*, int*, int*, int*) const
    {86, 978, 0, 0, Smoke::mf_const, 189, 58},	//1778 QsciScintilla::hasSelectedText() const
    {86, 988, 18, 1, Smoke::mf_const, 215, 59},	//1779 QsciScintilla::indentation(int) const
    {86, 991, 0, 0, Smoke::mf_const, 189, 60},	//1780 QsciScintilla::indentationGuides() const
    {86, 994, 0, 0, Smoke::mf_const, 189, 61},	//1781 QsciScintilla::indentationsUseTabs() const
    {86, 993, 0, 0, Smoke::mf_const, 215, 62},	//1782 QsciScintilla::indentationWidth() const
    {86, 997, 183, 2, 0, 215, 63},	//1783 QsciScintilla::indicatorDefine(QsciScintilla::IndicatorStyle, int)
    {86, 1000, 18, 1, Smoke::mf_const, 189, 64},	//1784 QsciScintilla::indicatorDrawUnder(int) const
    {86, 1014, 0, 0, Smoke::mf_const, 189, 65},	//1785 QsciScintilla::isCallTipActive() const
    {86, 1015, 0, 0, Smoke::mf_const, 189, 66},	//1786 QsciScintilla::isListActive() const
    {86, 1016, 0, 0, Smoke::mf_const, 189, 67},	//1787 QsciScintilla::isModified() const
    {86, 1019, 0, 0, Smoke::mf_const, 189, 68},	//1788 QsciScintilla::isReadOnly() const
    {86, 1020, 0, 0, Smoke::mf_const, 189, 69},	//1789 QsciScintilla::isRedoAvailable() const
    {86, 1021, 0, 0, Smoke::mf_const, 189, 70},	//1790 QsciScintilla::isUndoAvailable() const
    {86, 1022, 0, 0, Smoke::mf_const, 189, 71},	//1791 QsciScintilla::isUtf8() const
    {86, 1023, 186, 1, Smoke::mf_const, 189, 72},	//1792 QsciScintilla::isWordCharacter(char) const
    {86, 1038, 188, 1, Smoke::mf_const, 215, 73},	//1793 QsciScintilla::lineAt(const QPoint&) const
    {86, 1040, 190, 3, Smoke::mf_const, 0, 74},	//1794 QsciScintilla::lineIndexFromPosition(int, int*, int*) const
    {86, 1042, 18, 1, Smoke::mf_const, 215, 75},	//1795 QsciScintilla::lineLength(int) const
    {86, 1044, 0, 0, Smoke::mf_const, 215, 76},	//1796 QsciScintilla::lines() const
    {86, 1034, 0, 0, Smoke::mf_const, 215, 77},	//1797 QsciScintilla::length() const
    {86, 1036, 0, 0, Smoke::mf_const, 58, 78},	//1798 QsciScintilla::lexer() const
    {86, 1054, 18, 1, Smoke::mf_const, 189, 79},	//1799 QsciScintilla::marginLineNumbers(int) const
    {86, 1056, 18, 1, Smoke::mf_const, 215, 80},	//1800 QsciScintilla::marginMarkerMask(int) const
    {86, 1058, 0, 0, Smoke::mf_const, 215, 81},	//1801 QsciScintilla::marginOptions() const
    {86, 1059, 18, 1, Smoke::mf_const, 189, 82},	//1802 QsciScintilla::marginSensitivity(int) const
    {86, 1061, 18, 1, Smoke::mf_const, 104, 83},	//1803 QsciScintilla::marginType(int) const
    {86, 1063, 18, 1, Smoke::mf_const, 215, 84},	//1804 QsciScintilla::marginWidth(int) const
    {86, 1067, 194, 2, 0, 215, 85},	//1805 QsciScintilla::markerDefine(QsciScintilla::MarkerSymbol, int)
    {86, 1067, 197, 2, 0, 215, 86},	//1806 QsciScintilla::markerDefine(char, int)
    {86, 1067, 200, 2, 0, 215, 87},	//1807 QsciScintilla::markerDefine(const QPixmap&, int)
    {86, 1067, 203, 2, 0, 215, 88},	//1808 QsciScintilla::markerDefine(const QImage&, int)
    {86, 1065, 99, 2, 0, 215, 89},	//1809 QsciScintilla::markerAdd(int, int)
    {86, 1085, 18, 1, Smoke::mf_const, 219, 90},	//1810 QsciScintilla::markersAtLine(int) const
    {86, 1072, 99, 2, 0, 0, 91},	//1811 QsciScintilla::markerDelete(int, int)
    {86, 1075, 18, 1, 0, 0, 92},	//1812 QsciScintilla::markerDeleteAll(int)
    {86, 1077, 18, 1, 0, 0, 93},	//1813 QsciScintilla::markerDeleteHandle(int)
    {86, 1083, 18, 1, Smoke::mf_const, 215, 94},	//1814 QsciScintilla::markerLine(int) const
    {86, 1079, 206, 2, Smoke::mf_const, 215, 95},	//1815 QsciScintilla::markerFindNext(int, unsigned int) const
    {86, 1081, 206, 2, Smoke::mf_const, 215, 96},	//1816 QsciScintilla::markerFindPrevious(int, unsigned int) const
    {86, 1105, 0, 0, Smoke::mf_const, 189, 97},	//1817 QsciScintilla::overwriteMode() const
    {86, 1110, 0, 0, Smoke::mf_const, 6, 98},	//1818 QsciScintilla::paper() const
    {86, 1117, 99, 2, Smoke::mf_const, 215, 99},	//1819 QsciScintilla::positionFromLineIndex(int, int) const
    {86, 1133, 209, 1, 0, 189, 100},	//1820 QsciScintilla::read(QIODevice*)
    {86, 1140, 99, 2, Smoke::mf_virtual, 0, 101},	//1821 QsciScintilla::recolor(int, int)
    {86, 1146, 211, 2, 0, 0, 102},	//1822 QsciScintilla::registerImage(int, const QPixmap&)
    {86, 1146, 214, 2, 0, 0, 103},	//1823 QsciScintilla::registerImage(int, const QImage&)
    {86, 1151, 55, 1, Smoke::mf_virtual, 0, 104},	//1824 QsciScintilla::replace(const QString&)
    {86, 1155, 0, 0, 0, 0, 105},	//1825 QsciScintilla::resetFoldMarginColors()
    {86, 1288, 217, 2, 0, 0, 106},	//1826 QsciScintilla::setFoldMarginColors(const QColor&, const QColor&)
    {86, 1178, 220, 1, 0, 0, 107},	//1827 QsciScintilla::setAnnotationDisplay(QsciScintilla::AnnotationDisplay)
    {86, 1184, 16, 1, 0, 0, 108},	//1828 QsciScintilla::setAutoCompletionFillupsEnabled(bool)
    {86, 1182, 12, 1, 0, 0, 109},	//1829 QsciScintilla::setAutoCompletionFillups(const char*)
    {86, 1196, 222, 1, 0, 0, 110},	//1830 QsciScintilla::setAutoCompletionWordSeparators(const QStringList&)
    {86, 1208, 80, 1, 0, 0, 111},	//1831 QsciScintilla::setCallTipsBackgroundColor(const QColor&)
    {86, 1210, 80, 1, 0, 0, 112},	//1832 QsciScintilla::setCallTipsForegroundColor(const QColor&)
    {86, 1212, 80, 1, 0, 0, 113},	//1833 QsciScintilla::setCallTipsHighlightColor(const QColor&)
    {86, 1214, 224, 1, 0, 0, 114},	//1834 QsciScintilla::setCallTipsPosition(QsciScintilla::CallTipsPosition)
    {86, 1216, 226, 1, 0, 0, 115},	//1835 QsciScintilla::setCallTipsStyle(QsciScintilla::CallTipsStyle)
    {86, 1218, 18, 1, 0, 0, 116},	//1836 QsciScintilla::setCallTipsVisible(int)
    {86, 1235, 228, 1, 0, 0, 117},	//1837 QsciScintilla::setContractedFolds(const QList<int>&)
    {86, 1249, 72, 1, 0, 0, 118},	//1838 QsciScintilla::setDocument(const QsciDocument&)
    {86, 1255, 80, 1, 0, 0, 119},	//1839 QsciScintilla::setEdgeColor(const QColor&)
    {86, 1257, 18, 1, 0, 0, 120},	//1840 QsciScintilla::setEdgeColumn(int)
    {86, 1259, 230, 1, 0, 0, 121},	//1841 QsciScintilla::setEdgeMode(QsciScintilla::EdgeMode)
    {86, 1274, 18, 1, 0, 0, 122},	//1842 QsciScintilla::setFirstVisibleLine(int)
    {86, 1336, 87, 2, 0, 0, 123},	//1843 QsciScintilla::setIndicatorDrawUnder(bool, int)
    {86, 1339, 84, 2, 0, 0, 124},	//1844 QsciScintilla::setIndicatorForegroundColor(const QColor&, int)
    {86, 1342, 84, 2, 0, 0, 125},	//1845 QsciScintilla::setIndicatorOutlineColor(const QColor&, int)
    {86, 1363, 18, 1, 0, 0, 126},	//1846 QsciScintilla::setMarginOptions(int)
    {86, 1367, 134, 3, 0, 0, 127},	//1847 QsciScintilla::setMarginText(int, const QString&, int)
    {86, 1367, 138, 3, 0, 0, 128},	//1848 QsciScintilla::setMarginText(int, const QString&, const QsciStyle&)
    {86, 1367, 142, 2, 0, 0, 129},	//1849 QsciScintilla::setMarginText(int, const QsciStyledText&)
    {86, 1367, 145, 2, 0, 0, 130},	//1850 QsciScintilla::setMarginText(int, const QList<QsciStyledText>&)
    {86, 1372, 232, 2, 0, 0, 131},	//1851 QsciScintilla::setMarginType(int, QsciScintilla::MarginType)
    {86, 850, 18, 1, 0, 0, 132},	//1852 QsciScintilla::clearMarginText(int)
    {86, 1382, 84, 2, 0, 0, 133},	//1853 QsciScintilla::setMarkerBackgroundColor(const QColor&, int)
    {86, 1385, 84, 2, 0, 0, 134},	//1854 QsciScintilla::setMarkerForegroundColor(const QColor&, int)
    {86, 1388, 80, 1, 0, 0, 135},	//1855 QsciScintilla::setMatchedBraceBackgroundColor(const QColor&)
    {86, 1390, 80, 1, 0, 0, 136},	//1856 QsciScintilla::setMatchedBraceForegroundColor(const QColor&)
    {86, 1392, 18, 1, 0, 0, 137},	//1857 QsciScintilla::setMatchedBraceIndicator(int)
    {86, 1156, 0, 0, 0, 0, 138},	//1858 QsciScintilla::resetMatchedBraceIndicator()
    {86, 1441, 80, 1, 0, 0, 139},	//1859 QsciScintilla::setUnmatchedBraceBackgroundColor(const QColor&)
    {86, 1443, 80, 1, 0, 0, 140},	//1860 QsciScintilla::setUnmatchedBraceForegroundColor(const QColor&)
    {86, 1445, 18, 1, 0, 0, 141},	//1861 QsciScintilla::setUnmatchedBraceIndicator(int)
    {86, 1159, 0, 0, 0, 0, 142},	//1862 QsciScintilla::resetUnmatchedBraceIndicator()
    {86, 1469, 235, 3, 0, 0, 143},	//1863 QsciScintilla::setWrapVisualFlags(QsciScintilla::WrapVisualFlag, QsciScintilla::WrapVisualFlag, int)
    {86, 1171, 0, 0, Smoke::mf_const, 40, 144},	//1864 QsciScintilla::selectedText() const
    {86, 1173, 0, 0, Smoke::mf_const, 189, 145},	//1865 QsciScintilla::selectionToEol() const
    {86, 1420, 16, 1, 0, 0, 146},	//1866 QsciScintilla::setSelectionToEol(bool)
    {86, 1270, 18, 1, 0, 0, 147},	//1867 QsciScintilla::setExtraAscent(int)
    {86, 1272, 18, 1, 0, 0, 148},	//1868 QsciScintilla::setExtraDescent(int)
    {86, 1396, 16, 1, 0, 0, 149},	//1869 QsciScintilla::setOverwriteMode(bool)
    {86, 1457, 80, 1, 0, 0, 150},	//1870 QsciScintilla::setWhitespaceBackgroundColor(const QColor&)
    {86, 1459, 80, 1, 0, 0, 151},	//1871 QsciScintilla::setWhitespaceForegroundColor(const QColor&)
    {86, 1461, 18, 1, 0, 0, 152},	//1872 QsciScintilla::setWhitespaceSize(int)
    {86, 1465, 239, 1, 0, 0, 153},	//1873 QsciScintilla::setWrapIndentMode(QsciScintilla::WrapIndentMode)
    {86, 1474, 241, 2, 0, 0, 154},	//1874 QsciScintilla::showUserList(int, const QStringList&)
    {86, 1478, 0, 0, Smoke::mf_const, 54, 155},	//1875 QsciScintilla::standardCommands() const
    {86, 1491, 0, 0, Smoke::mf_const, 189, 156},	//1876 QsciScintilla::tabIndents() const
    {86, 1492, 0, 0, Smoke::mf_const, 215, 157},	//1877 QsciScintilla::tabWidth() const
    {86, 1494, 0, 0, Smoke::mf_const, 40, 158},	//1878 QsciScintilla::text() const
    {86, 1494, 18, 1, Smoke::mf_const, 40, 159},	//1879 QsciScintilla::text(int) const
    {86, 1500, 18, 1, Smoke::mf_const, 215, 160},	//1880 QsciScintilla::textHeight(int) const
    {86, 1529, 0, 0, Smoke::mf_const, 215, 161},	//1881 QsciScintilla::whitespaceSize() const
    {86, 1530, 0, 0, Smoke::mf_const, 106, 162},	//1882 QsciScintilla::whitespaceVisibility() const
    {86, 1532, 99, 2, Smoke::mf_const, 40, 163},	//1883 QsciScintilla::wordAtLineIndex(int, int) const
    {86, 1534, 188, 1, Smoke::mf_const, 40, 164},	//1884 QsciScintilla::wordAtPoint(const QPoint&) const
    {86, 1536, 0, 0, Smoke::mf_const, 213, 165},	//1885 QsciScintilla::wordCharacters() const
    {86, 1538, 0, 0, Smoke::mf_const, 108, 166},	//1886 QsciScintilla::wrapMode() const
    {86, 1537, 0, 0, Smoke::mf_const, 107, 167},	//1887 QsciScintilla::wrapIndentMode() const
    {86, 1539, 209, 1, Smoke::mf_const, 189, 168},	//1888 QsciScintilla::write(QIODevice*) const
    {86, 791, 55, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 169},	//1889 QsciScintilla::append(const QString&)
    {86, 796, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 170},	//1890 QsciScintilla::autoCompleteFromAll()
    {86, 795, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 171},	//1891 QsciScintilla::autoCompleteFromAPIs()
    {86, 797, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 172},	//1892 QsciScintilla::autoCompleteFromDocument()
    {86, 827, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 173},	//1893 QsciScintilla::callTip()
    {86, 842, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 174},	//1894 QsciScintilla::clear()
    {86, 866, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 175},	//1895 QsciScintilla::copy()
    {86, 873, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 176},	//1896 QsciScintilla::cut()
    {86, 907, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 177},	//1897 QsciScintilla::ensureCursorVisible()
    {86, 908, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 178},	//1898 QsciScintilla::ensureLineVisible(int)
    {86, 947, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 179},	//1899 QsciScintilla::foldAll(bool)
    {86, 955, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 180},	//1900 QsciScintilla::foldLine(int)
    {86, 986, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 181},	//1901 QsciScintilla::indent(int)
    {86, 1009, 55, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 182},	//1902 QsciScintilla::insert(const QString&)
    {86, 1011, 244, 3, Smoke::mf_virtual|Smoke::mf_slot, 0, 183},	//1903 QsciScintilla::insertAt(const QString&, int, int)
    {86, 1102, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 184},	//1904 QsciScintilla::moveToMatchingBrace()
    {86, 1114, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 185},	//1905 QsciScintilla::paste()
    {86, 1143, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 186},	//1906 QsciScintilla::redo()
    {86, 1150, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 187},	//1907 QsciScintilla::removeSelectedText()
    {86, 1153, 55, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 188},	//1908 QsciScintilla::replaceSelectedText(const QString&)
    {86, 1157, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 189},	//1909 QsciScintilla::resetSelectionBackgroundColor()
    {86, 1158, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 190},	//1910 QsciScintilla::resetSelectionForegroundColor()
    {86, 1168, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 191},	//1911 QsciScintilla::selectAll(bool)
    {86, 1170, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 192},	//1912 QsciScintilla::selectToMatchingBrace()
    {86, 1180, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 193},	//1913 QsciScintilla::setAutoCompletionCaseSensitivity(bool)
    {86, 1186, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 194},	//1914 QsciScintilla::setAutoCompletionReplaceWord(bool)
    {86, 1188, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 195},	//1915 QsciScintilla::setAutoCompletionShowSingle(bool)
    {86, 1190, 248, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 196},	//1916 QsciScintilla::setAutoCompletionSource(QsciScintilla::AutoCompletionSource)
    {86, 1192, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 197},	//1917 QsciScintilla::setAutoCompletionThreshold(int)
    {86, 1194, 250, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 198},	//1918 QsciScintilla::setAutoCompletionUseSingle(QsciScintilla::AutoCompletionUseSingle)
    {86, 1198, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 199},	//1919 QsciScintilla::setAutoIndent(bool)
    {86, 1206, 252, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 200},	//1920 QsciScintilla::setBraceMatching(QsciScintilla::BraceMatch)
    {86, 1204, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 201},	//1921 QsciScintilla::setBackspaceUnindents(bool)
    {86, 1220, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 202},	//1922 QsciScintilla::setCaretForegroundColor(const QColor&)
    {86, 1222, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 203},	//1923 QsciScintilla::setCaretLineBackgroundColor(const QColor&)
    {86, 1224, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 204},	//1924 QsciScintilla::setCaretLineVisible(bool)
    {86, 1226, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 205},	//1925 QsciScintilla::setCaretWidth(int)
    {86, 1232, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 206},	//1926 QsciScintilla::setColor(const QColor&)
    {86, 1237, 99, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 207},	//1927 QsciScintilla::setCursorPosition(int, int)
    {86, 1266, 154, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 208},	//1928 QsciScintilla::setEolMode(QsciScintilla::EolMode)
    {86, 1268, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 209},	//1929 QsciScintilla::setEolVisibility(bool)
    {86, 1304, 254, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 210},	//1930 QsciScintilla::setFolding(QsciScintilla::FoldStyle, int)
    {86, 1322, 99, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 211},	//1931 QsciScintilla::setIndentation(int, int)
    {86, 1324, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 212},	//1932 QsciScintilla::setIndentationGuides(bool)
    {86, 1326, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 213},	//1933 QsciScintilla::setIndentationGuidesBackgroundColor(const QColor&)
    {86, 1328, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 214},	//1934 QsciScintilla::setIndentationGuidesForegroundColor(const QColor&)
    {86, 1334, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 215},	//1935 QsciScintilla::setIndentationsUseTabs(bool)
    {86, 1332, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 216},	//1936 QsciScintilla::setIndentationWidth(int)
    {86, 1353, 53, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 217},	//1937 QsciScintilla::setLexer(QsciLexer*)
    {86, 1376, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 218},	//1938 QsciScintilla::setMarginsBackgroundColor(const QColor&)
    {86, 1378, 40, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 219},	//1939 QsciScintilla::setMarginsFont(const QFont&)
    {86, 1380, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 220},	//1940 QsciScintilla::setMarginsForegroundColor(const QColor&)
    {86, 1359, 257, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 221},	//1941 QsciScintilla::setMarginLineNumbers(int, bool)
    {86, 1361, 99, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 222},	//1942 QsciScintilla::setMarginMarkerMask(int, int)
    {86, 1365, 257, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 223},	//1943 QsciScintilla::setMarginSensitivity(int, bool)
    {86, 1374, 99, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 224},	//1944 QsciScintilla::setMarginWidth(int, int)
    {86, 1374, 260, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 225},	//1945 QsciScintilla::setMarginWidth(int, const QString&)
    {86, 1394, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 226},	//1946 QsciScintilla::setModified(bool)
    {86, 1398, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 227},	//1947 QsciScintilla::setPaper(const QColor&)
    {86, 1407, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 228},	//1948 QsciScintilla::setReadOnly(bool)
    {86, 1414, 263, 4, Smoke::mf_virtual|Smoke::mf_slot, 0, 229},	//1949 QsciScintilla::setSelection(int, int, int, int)
    {86, 1416, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 230},	//1950 QsciScintilla::setSelectionBackgroundColor(const QColor&)
    {86, 1418, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 231},	//1951 QsciScintilla::setSelectionForegroundColor(const QColor&)
    {86, 1431, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 232},	//1952 QsciScintilla::setTabIndents(bool)
    {86, 1433, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 233},	//1953 QsciScintilla::setTabWidth(int)
    {86, 1435, 55, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 234},	//1954 QsciScintilla::setText(const QString&)
    {86, 1447, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 235},	//1955 QsciScintilla::setUtf8(bool)
    {86, 1463, 268, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 236},	//1956 QsciScintilla::setWhitespaceVisibility(QsciScintilla::WhitespaceVisibility)
    {86, 1467, 121, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 237},	//1957 QsciScintilla::setWrapMode(QsciScintilla::WrapMode)
    {86, 1514, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 238},	//1958 QsciScintilla::undo()
    {86, 1515, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 239},	//1959 QsciScintilla::unindent(int)
    {86, 1547, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 240},	//1960 QsciScintilla::zoomIn(int)
    {86, 1547, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 241},	//1961 QsciScintilla::zoomIn()
    {86, 1549, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 242},	//1962 QsciScintilla::zoomOut(int)
    {86, 1549, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 243},	//1963 QsciScintilla::zoomOut()
    {86, 1551, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 244},	//1964 QsciScintilla::zoomTo(int)
    {86, 870, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 245},	//1965 QsciScintilla::cursorPositionChanged(int, int)
    {86, 867, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 246},	//1966 QsciScintilla::copyAvailable(bool)
    {86, 995, 270, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 247},	//1967 QsciScintilla::indicatorClicked(int, int, Qt::KeyboardModifiers)
    {86, 1002, 270, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 248},	//1968 QsciScintilla::indicatorReleased(int, int, Qt::KeyboardModifiers)
    {86, 1045, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 249},	//1969 QsciScintilla::linesChanged()
    {86, 1052, 270, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 250},	//1970 QsciScintilla::marginClicked(int, int, Qt::KeyboardModifiers)
    {86, 1090, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 251},	//1971 QsciScintilla::modificationAttempted()
    {86, 1091, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 252},	//1972 QsciScintilla::modificationChanged(bool)
    {86, 1172, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 253},	//1973 QsciScintilla::selectionChanged()
    {86, 1499, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 254},	//1974 QsciScintilla::textChanged()
    {86, 1519, 260, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 255},	//1975 QsciScintilla::userListActivated(int, const QString&)
    {86, 917, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 189, 256},	//1976 QsciScintilla::event(QEvent*)
    {86, 861, 274, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 257},	//1977 QsciScintilla::contextMenuEvent(QContextMenuEvent*)
    {86, 1506, 12, 1, Smoke::mf_static, 40, 258},	//1978 QsciScintilla::tr(const char*)
    {86, 1510, 12, 1, Smoke::mf_static, 40, 259},	//1979 QsciScintilla::trUtf8(const char*)
    {86, 528, 0, 0, Smoke::mf_ctor, 92, 260},	//1980 QsciScintilla::QsciScintilla()
    {86, 844, 0, 0, 0, 0, 261},	//1981 QsciScintilla::clearAnnotations()
    {86, 927, 276, 5, 0, 189, 262},	//1982 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool)
    {86, 927, 282, 6, 0, 189, 263},	//1983 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool)
    {86, 927, 289, 7, 0, 189, 264},	//1984 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool, int)
    {86, 927, 297, 8, 0, 189, 265},	//1985 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool, int, int)
    {86, 927, 306, 9, 0, 189, 266},	//1986 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool, int, int, bool)
    {86, 934, 316, 4, 0, 189, 267},	//1987 QsciScintilla::findFirstInSelection(const QString&, bool, bool, bool)
    {86, 934, 276, 5, 0, 189, 268},	//1988 QsciScintilla::findFirstInSelection(const QString&, bool, bool, bool, bool)
    {86, 934, 282, 6, 0, 189, 269},	//1989 QsciScintilla::findFirstInSelection(const QString&, bool, bool, bool, bool, bool)
    {86, 997, 321, 1, 0, 215, 270},	//1990 QsciScintilla::indicatorDefine(QsciScintilla::IndicatorStyle)
    {86, 1067, 323, 1, 0, 215, 271},	//1991 QsciScintilla::markerDefine(QsciScintilla::MarkerSymbol)
    {86, 1067, 186, 1, 0, 215, 272},	//1992 QsciScintilla::markerDefine(char)
    {86, 1067, 325, 1, 0, 215, 273},	//1993 QsciScintilla::markerDefine(const QPixmap&)
    {86, 1067, 327, 1, 0, 215, 274},	//1994 QsciScintilla::markerDefine(const QImage&)
    {86, 1072, 18, 1, 0, 0, 275},	//1995 QsciScintilla::markerDelete(int)
    {86, 1075, 0, 0, 0, 0, 276},	//1996 QsciScintilla::markerDeleteAll()
    {86, 1140, 0, 0, 0, 0, 277},	//1997 QsciScintilla::recolor()
    {86, 1140, 18, 1, 0, 0, 278},	//1998 QsciScintilla::recolor(int)
    {86, 1336, 16, 1, 0, 0, 279},	//1999 QsciScintilla::setIndicatorDrawUnder(bool)
    {86, 1339, 80, 1, 0, 0, 280},	//2000 QsciScintilla::setIndicatorForegroundColor(const QColor&)
    {86, 1342, 80, 1, 0, 0, 281},	//2001 QsciScintilla::setIndicatorOutlineColor(const QColor&)
    {86, 850, 0, 0, 0, 0, 282},	//2002 QsciScintilla::clearMarginText()
    {86, 1382, 80, 1, 0, 0, 283},	//2003 QsciScintilla::setMarkerBackgroundColor(const QColor&)
    {86, 1385, 80, 1, 0, 0, 284},	//2004 QsciScintilla::setMarkerForegroundColor(const QColor&)
    {86, 1469, 329, 1, 0, 0, 285},	//2005 QsciScintilla::setWrapVisualFlags(QsciScintilla::WrapVisualFlag)
    {86, 1469, 331, 2, 0, 0, 286},	//2006 QsciScintilla::setWrapVisualFlags(QsciScintilla::WrapVisualFlag, QsciScintilla::WrapVisualFlag)
    {86, 947, 0, 0, Smoke::mf_slot, 0, 287},	//2007 QsciScintilla::foldAll()
    {86, 1168, 0, 0, Smoke::mf_slot, 0, 288},	//2008 QsciScintilla::selectAll()
    {86, 1304, 334, 1, Smoke::mf_slot, 0, 289},	//2009 QsciScintilla::setFolding(QsciScintilla::FoldStyle)
    {86, 1353, 0, 0, Smoke::mf_slot, 0, 290},	//2010 QsciScintilla::setLexer()
    {86, 1483, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 291},	//2011 QsciScintilla::staticMetaObject() const
    {86, 356, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 292},	//2012 QsciScintilla::MoNone (enum)
    {86, 357, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 293},	//2013 QsciScintilla::MoSublineSelect (enum)
    {86, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 294},	//2014 QsciScintilla::AnnotationHidden (enum)
    {86, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 295},	//2015 QsciScintilla::AnnotationStandard (enum)
    {86, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 296},	//2016 QsciScintilla::AnnotationBoxed (enum)
    {86, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 297},	//2017 QsciScintilla::AcusNever (enum)
    {86, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 298},	//2018 QsciScintilla::AcusExplicit (enum)
    {86, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 299},	//2019 QsciScintilla::AcusAlways (enum)
    {86, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 300},	//2020 QsciScintilla::AcsNone (enum)
    {86, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 301},	//2021 QsciScintilla::AcsAll (enum)
    {86, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 302},	//2022 QsciScintilla::AcsDocument (enum)
    {86, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 303},	//2023 QsciScintilla::AcsAPIs (enum)
    {86, 367, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 304},	//2024 QsciScintilla::NoBraceMatch (enum)
    {86, 667, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 305},	//2025 QsciScintilla::StrictBraceMatch (enum)
    {86, 651, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 306},	//2026 QsciScintilla::SloppyBraceMatch (enum)
    {86, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 307},	//2027 QsciScintilla::CallTipsBelowText (enum)
    {86, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 308},	//2028 QsciScintilla::CallTipsAboveText (enum)
    {86, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 309},	//2029 QsciScintilla::CallTipsNone (enum)
    {86, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 310},	//2030 QsciScintilla::CallTipsNoContext (enum)
    {86, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 311},	//2031 QsciScintilla::CallTipsNoAutoCompletionContext (enum)
    {86, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 312},	//2032 QsciScintilla::CallTipsContext (enum)
    {86, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 313},	//2033 QsciScintilla::EdgeNone (enum)
    {86, 194, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 314},	//2034 QsciScintilla::EdgeLine (enum)
    {86, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 315},	//2035 QsciScintilla::EdgeBackground (enum)
    {86, 202, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 316},	//2036 QsciScintilla::EolWindows (enum)
    {86, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 317},	//2037 QsciScintilla::EolUnix (enum)
    {86, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 318},	//2038 QsciScintilla::EolMac (enum)
    {86, 368, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 319},	//2039 QsciScintilla::NoFoldStyle (enum)
    {86, 413, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 320},	//2040 QsciScintilla::PlainFoldStyle (enum)
    {86, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 321},	//2041 QsciScintilla::CircledFoldStyle (enum)
    {86, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 322},	//2042 QsciScintilla::BoxedFoldStyle (enum)
    {86, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 323},	//2043 QsciScintilla::CircledTreeFoldStyle (enum)
    {86, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 324},	//2044 QsciScintilla::BoxedTreeFoldStyle (enum)
    {86, 414, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 325},	//2045 QsciScintilla::PlainIndicator (enum)
    {86, 656, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 326},	//2046 QsciScintilla::SquiggleIndicator (enum)
    {86, 691, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 327},	//2047 QsciScintilla::TTIndicator (enum)
    {86, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 328},	//2048 QsciScintilla::DiagonalIndicator (enum)
    {86, 668, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 329},	//2049 QsciScintilla::StrikeIndicator (enum)
    {86, 238, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 330},	//2050 QsciScintilla::HiddenIndicator (enum)
    {86, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 331},	//2051 QsciScintilla::BoxIndicator (enum)
    {86, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 332},	//2052 QsciScintilla::RoundBoxIndicator (enum)
    {86, 666, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 333},	//2053 QsciScintilla::StraightBoxIndicator (enum)
    {86, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 334},	//2054 QsciScintilla::DashesIndicator (enum)
    {86, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 335},	//2055 QsciScintilla::DotsIndicator (enum)
    {86, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 336},	//2056 QsciScintilla::SquiggleLowIndicator (enum)
    {86, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 337},	//2057 QsciScintilla::DotBoxIndicator (enum)
    {86, 658, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 338},	//2058 QsciScintilla::SquigglePixmapIndicator (enum)
    {86, 702, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 339},	//2059 QsciScintilla::ThickCompositionIndicator (enum)
    {86, 356, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 340},	//2060 QsciScintilla::MoNone (enum)
    {86, 357, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 341},	//2061 QsciScintilla::MoSublineSelect (enum)
    {86, 685, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 342},	//2062 QsciScintilla::SymbolMargin (enum)
    {86, 687, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 343},	//2063 QsciScintilla::SymbolMarginDefaultForegroundColor (enum)
    {86, 686, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 344},	//2064 QsciScintilla::SymbolMarginDefaultBackgroundColor (enum)
    {86, 372, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 345},	//2065 QsciScintilla::NumberMargin (enum)
    {86, 700, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 346},	//2066 QsciScintilla::TextMargin (enum)
    {86, 701, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 347},	//2067 QsciScintilla::TextMarginRightJustified (enum)
    {86, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 348},	//2068 QsciScintilla::Circle (enum)
    {86, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 349},	//2069 QsciScintilla::Rectangle (enum)
    {86, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 350},	//2070 QsciScintilla::RightTriangle (enum)
    {86, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 351},	//2071 QsciScintilla::SmallRectangle (enum)
    {86, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 352},	//2072 QsciScintilla::RightArrow (enum)
    {86, 285, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 353},	//2073 QsciScintilla::Invisible (enum)
    {86, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 354},	//2074 QsciScintilla::DownTriangle (enum)
    {86, 355, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 355},	//2075 QsciScintilla::Minus (enum)
    {86, 415, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 356},	//2076 QsciScintilla::Plus (enum)
    {86, 741, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 357},	//2077 QsciScintilla::VerticalLine (enum)
    {86, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 358},	//2078 QsciScintilla::BottomLeftCorner (enum)
    {86, 318, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 359},	//2079 QsciScintilla::LeftSideSplitter (enum)
    {86, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 360},	//2080 QsciScintilla::BoxedPlus (enum)
    {86, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 361},	//2081 QsciScintilla::BoxedPlusConnected (enum)
    {86, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 362},	//2082 QsciScintilla::BoxedMinus (enum)
    {86, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 363},	//2083 QsciScintilla::BoxedMinusConnected (enum)
    {86, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 364},	//2084 QsciScintilla::RoundedBottomLeftCorner (enum)
    {86, 317, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 365},	//2085 QsciScintilla::LeftSideRoundedSplitter (enum)
    {86, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 366},	//2086 QsciScintilla::CircledPlus (enum)
    {86, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 367},	//2087 QsciScintilla::CircledPlusConnected (enum)
    {86, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 368},	//2088 QsciScintilla::CircledMinus (enum)
    {86, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 369},	//2089 QsciScintilla::CircledMinusConnected (enum)
    {86, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 370},	//2090 QsciScintilla::Background (enum)
    {86, 703, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 371},	//2091 QsciScintilla::ThreeDots (enum)
    {86, 704, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 372},	//2092 QsciScintilla::ThreeRightArrows (enum)
    {86, 217, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 373},	//2093 QsciScintilla::FullRectangle (enum)
    {86, 316, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 374},	//2094 QsciScintilla::LeftRectangle (enum)
    {86, 716, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 375},	//2095 QsciScintilla::Underline (enum)
    {86, 765, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 376},	//2096 QsciScintilla::WsInvisible (enum)
    {86, 766, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 377},	//2097 QsciScintilla::WsVisible (enum)
    {86, 767, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 378},	//2098 QsciScintilla::WsVisibleAfterIndent (enum)
    {86, 763, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 379},	//2099 QsciScintilla::WrapNone (enum)
    {86, 764, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 380},	//2100 QsciScintilla::WrapWord (enum)
    {86, 755, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 381},	//2101 QsciScintilla::WrapCharacter (enum)
    {86, 759, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 382},	//2102 QsciScintilla::WrapFlagNone (enum)
    {86, 757, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 383},	//2103 QsciScintilla::WrapFlagByText (enum)
    {86, 756, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 384},	//2104 QsciScintilla::WrapFlagByBorder (enum)
    {86, 758, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 385},	//2105 QsciScintilla::WrapFlagInMargin (enum)
    {86, 760, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 386},	//2106 QsciScintilla::WrapIndentFixed (enum)
    {86, 762, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 387},	//2107 QsciScintilla::WrapIndentSame (enum)
    {86, 761, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 388},	//2108 QsciScintilla::WrapIndentIndented (enum)
    {86, 1590, 0, 0, Smoke::mf_dtor, 0, 389 },	//2109 QsciScintilla::~QsciScintilla()
    {87, 1087, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//2110 QsciScintillaBase::metaObject() const
    {87, 1130, 12, 1, Smoke::mf_virtual, 221, 2},	//2111 QsciScintillaBase::qt_metacast(const char*)
    {87, 1506, 42, 2, Smoke::mf_static, 40, 3},	//2112 QsciScintillaBase::tr(const char*, const char*)
    {87, 1510, 42, 2, Smoke::mf_static, 40, 4},	//2113 QsciScintillaBase::trUtf8(const char*, const char*)
    {87, 1506, 45, 3, Smoke::mf_static, 40, 5},	//2114 QsciScintillaBase::tr(const char*, const char*, int)
    {87, 1510, 45, 3, Smoke::mf_static, 40, 6},	//2115 QsciScintillaBase::trUtf8(const char*, const char*, int)
    {87, 1128, 49, 3, Smoke::mf_virtual, 215, 7},	//2116 QsciScintillaBase::qt_metacall(QMetaObject::Call, int, void**)
    {87, 530, 128, 1, Smoke::mf_ctor, 110, 8},	//2117 QsciScintillaBase::QsciScintillaBase(QWidget*)
    {87, 1116, 0, 0, Smoke::mf_static, 110, 9},	//2118 QsciScintillaBase::pool()
    {87, 637, 336, 3, Smoke::mf_const, 218, 10},	//2119 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, long) const
    {87, 637, 340, 3, Smoke::mf_const, 218, 11},	//2120 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, void*) const
    {87, 637, 344, 3, Smoke::mf_const, 218, 12},	//2121 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const char*) const
    {87, 637, 348, 2, Smoke::mf_const, 218, 13},	//2122 QsciScintillaBase::SendScintilla(unsigned int, const char*) const
    {87, 637, 351, 3, Smoke::mf_const, 218, 14},	//2123 QsciScintillaBase::SendScintilla(unsigned int, const char*, const char*) const
    {87, 637, 355, 2, Smoke::mf_const, 218, 15},	//2124 QsciScintillaBase::SendScintilla(unsigned int, long) const
    {87, 637, 358, 2, Smoke::mf_const, 218, 16},	//2125 QsciScintillaBase::SendScintilla(unsigned int, int) const
    {87, 637, 361, 4, Smoke::mf_const, 218, 17},	//2126 QsciScintillaBase::SendScintilla(unsigned int, long, long, char*) const
    {87, 637, 366, 3, Smoke::mf_const, 218, 18},	//2127 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QColor&) const
    {87, 637, 370, 2, Smoke::mf_const, 218, 19},	//2128 QsciScintillaBase::SendScintilla(unsigned int, const QColor&) const
    {87, 637, 373, 6, Smoke::mf_const, 218, 20},	//2129 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, QPainter*, const QRect&, long, long) const
    {87, 637, 380, 3, Smoke::mf_const, 218, 21},	//2130 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QPixmap&) const
    {87, 637, 384, 3, Smoke::mf_const, 218, 22},	//2131 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QImage&) const
    {87, 645, 388, 1, Smoke::mf_const, 221, 23},	//2132 QsciScintillaBase::SendScintillaPtrResult(unsigned int) const
    {87, 447, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//2133 QsciScintillaBase::QSCN_SELCHANGED(bool)
    {87, 564, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//2134 QsciScintillaBase::SCN_AUTOCCANCELLED()
    {87, 565, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//2135 QsciScintillaBase::SCN_AUTOCCHARDELETED()
    {87, 566, 390, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//2136 QsciScintillaBase::SCN_AUTOCSELECTION(const char*, int)
    {87, 563, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//2137 QsciScintillaBase::SCEN_CHANGE()
    {87, 568, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//2138 QsciScintillaBase::SCN_CALLTIPCLICK(int)
    {87, 570, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//2139 QsciScintillaBase::SCN_CHARADDED(int)
    {87, 572, 393, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//2140 QsciScintillaBase::SCN_DOUBLECLICK(int, int, int)
    {87, 574, 393, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//2141 QsciScintillaBase::SCN_DWELLEND(int, int, int)
    {87, 576, 393, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//2142 QsciScintillaBase::SCN_DWELLSTART(int, int, int)
    {87, 578, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//2143 QsciScintillaBase::SCN_FOCUSIN()
    {87, 579, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 35},	//2144 QsciScintillaBase::SCN_FOCUSOUT()
    {87, 580, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//2145 QsciScintillaBase::SCN_HOTSPOTCLICK(int, int)
    {87, 582, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 37},	//2146 QsciScintillaBase::SCN_HOTSPOTDOUBLECLICK(int, int)
    {87, 584, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//2147 QsciScintillaBase::SCN_HOTSPOTRELEASECLICK(int, int)
    {87, 586, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 39},	//2148 QsciScintillaBase::SCN_INDICATORCLICK(int, int)
    {87, 588, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//2149 QsciScintillaBase::SCN_INDICATORRELEASE(int, int)
    {87, 590, 340, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//2150 QsciScintillaBase::SCN_MACRORECORD(unsigned int, unsigned long, void*)
    {87, 592, 393, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//2151 QsciScintillaBase::SCN_MARGINCLICK(int, int, int)
    {87, 594, 397, 10, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//2152 QsciScintillaBase::SCN_MODIFIED(int, int, const char*, int, int, int, int, int, int, int)
    {87, 596, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//2153 QsciScintillaBase::SCN_MODIFYATTEMPTRO()
    {87, 597, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//2154 QsciScintillaBase::SCN_NEEDSHOWN(int, int)
    {87, 599, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//2155 QsciScintillaBase::SCN_PAINTED()
    {87, 600, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//2156 QsciScintillaBase::SCN_SAVEPOINTLEFT()
    {87, 601, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//2157 QsciScintillaBase::SCN_SAVEPOINTREACHED()
    {87, 602, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//2158 QsciScintillaBase::SCN_STYLENEEDED(int)
    {87, 604, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//2159 QsciScintillaBase::SCN_UPDATEUI(int)
    {87, 606, 390, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 51},	//2160 QsciScintillaBase::SCN_USERLISTSELECTION(const char*, int)
    {87, 608, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 52},	//2161 QsciScintillaBase::SCN_ZOOM()
    {87, 833, 408, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 53},	//2162 QsciScintillaBase::canInsertFromMimeData(const QMimeData*) const
    {87, 972, 410, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 3, 54},	//2163 QsciScintillaBase::fromMimeData(const QMimeData*, bool&) const
    {87, 1503, 413, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 24, 55},	//2164 QsciScintillaBase::toMimeData(const QByteArray&, bool) const
    {87, 861, 274, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 56},	//2165 QsciScintillaBase::contextMenuEvent(QContextMenuEvent*)
    {87, 892, 416, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 57},	//2166 QsciScintillaBase::dragEnterEvent(QDragEnterEvent*)
    {87, 894, 418, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 58},	//2167 QsciScintillaBase::dragLeaveEvent(QDragLeaveEvent*)
    {87, 896, 420, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 59},	//2168 QsciScintillaBase::dragMoveEvent(QDragMoveEvent*)
    {87, 898, 422, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 60},	//2169 QsciScintillaBase::dropEvent(QDropEvent*)
    {87, 941, 424, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 61},	//2170 QsciScintillaBase::focusInEvent(QFocusEvent*)
    {87, 945, 424, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 62},	//2171 QsciScintillaBase::focusOutEvent(QFocusEvent*)
    {87, 943, 16, 1, Smoke::mf_protected|Smoke::mf_virtual, 189, 63},	//2172 QsciScintillaBase::focusNextPrevChild(bool)
    {87, 1026, 20, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 64},	//2173 QsciScintillaBase::keyPressEvent(QKeyEvent*)
    {87, 1005, 426, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 65},	//2174 QsciScintillaBase::inputMethodEvent(QInputMethodEvent*)
    {87, 1007, 428, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 47, 66},	//2175 QsciScintillaBase::inputMethodQuery(Qt::InputMethodQuery) const
    {87, 1093, 430, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 67},	//2176 QsciScintillaBase::mouseDoubleClickEvent(QMouseEvent*)
    {87, 1095, 430, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 68},	//2177 QsciScintillaBase::mouseMoveEvent(QMouseEvent*)
    {87, 1097, 430, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 69},	//2178 QsciScintillaBase::mousePressEvent(QMouseEvent*)
    {87, 1099, 430, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 70},	//2179 QsciScintillaBase::mouseReleaseEvent(QMouseEvent*)
    {87, 1107, 432, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 71},	//2180 QsciScintillaBase::paintEvent(QPaintEvent*)
    {87, 1160, 434, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 72},	//2181 QsciScintillaBase::resizeEvent(QResizeEvent*)
    {87, 1166, 99, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 73},	//2182 QsciScintillaBase::scrollContentsBy(int, int)
    {87, 1413, 0, 0, Smoke::mf_protected, 0, 74},	//2183 QsciScintillaBase::setScrollBars()
    {87, 1496, 55, 1, Smoke::mf_const|Smoke::mf_protected, 3, 75},	//2184 QsciScintillaBase::textAsBytes(const QString&) const
    {87, 825, 12, 1, Smoke::mf_const|Smoke::mf_protected, 40, 76},	//2185 QsciScintillaBase::bytesAsText(const char*) const
    {87, 1506, 12, 1, Smoke::mf_static, 40, 77},	//2186 QsciScintillaBase::tr(const char*)
    {87, 1510, 12, 1, Smoke::mf_static, 40, 78},	//2187 QsciScintillaBase::trUtf8(const char*)
    {87, 530, 0, 0, Smoke::mf_ctor, 110, 79},	//2188 QsciScintillaBase::QsciScintillaBase()
    {87, 637, 388, 1, Smoke::mf_const, 218, 80},	//2189 QsciScintillaBase::SendScintilla(unsigned int) const
    {87, 637, 436, 2, Smoke::mf_const, 218, 81},	//2190 QsciScintillaBase::SendScintilla(unsigned int, unsigned long) const
    {87, 1483, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 82},	//2191 QsciScintillaBase::staticMetaObject() const
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 83},	//2192 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 84},	//2193 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 85},	//2194 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 86},	//2195 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 87},	//2196 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 88},	//2197 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 89},	//2198 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 90},	//2199 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 91},	//2200 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 92},	//2201 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 93},	//2202 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 94},	//2203 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 95},	//2204 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 96},	//2205 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 97},	//2206 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 98},	//2207 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 99},	//2208 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 100},	//2209 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 101},	//2210 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 102},	//2211 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 103},	//2212 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 104},	//2213 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 105},	//2214 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 106},	//2215 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 107},	//2216 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 108},	//2217 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 109},	//2218 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 110},	//2219 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 111},	//2220 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 112},	//2221 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 113},	//2222 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 114},	//2223 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 115},	//2224 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 116},	//2225 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 117},	//2226 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 118},	//2227 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 119},	//2228 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 120},	//2229 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 121},	//2230 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 122},	//2231 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 123},	//2232 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 124},	//2233 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 125},	//2234 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 126},	//2235 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 127},	//2236 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 128},	//2237 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 129},	//2238 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 130},	//2239 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 131},	//2240 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 132},	//2241 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 133},	//2242 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 134},	//2243 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 135},	//2244 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 136},	//2245 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 137},	//2246 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 138},	//2247 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 139},	//2248 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 140},	//2249 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 141},	//2250 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 142},	//2251 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 143},	//2252 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 144},	//2253 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 145},	//2254 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 146},	//2255 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 147},	//2256 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 148},	//2257 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 149},	//2258 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 150},	//2259 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 151},	//2260 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 152},	//2261 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 153},	//2262 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 154},	//2263 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 155},	//2264 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 156},	//2265 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 157},	//2266 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 158},	//2267 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 159},	//2268 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 160},	//2269 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 161},	//2270 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 162},	//2271 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 163},	//2272 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 164},	//2273 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 165},	//2274 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 166},	//2275 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 167},	//2276 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 168},	//2277 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 169},	//2278 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 170},	//2279 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 171},	//2280 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 172},	//2281 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 173},	//2282 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 174},	//2283 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 175},	//2284 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 176},	//2285 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 177},	//2286 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 178},	//2287 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 179},	//2288 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 180},	//2289 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 181},	//2290 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 182},	//2291 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 183},	//2292 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 184},	//2293 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 185},	//2294 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 186},	//2295 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 187},	//2296 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 188},	//2297 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 189},	//2298 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 190},	//2299 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 191},	//2300 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 192},	//2301 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 193},	//2302 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 194},	//2303 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 195},	//2304 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 196},	//2305 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 197},	//2306 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 198},	//2307 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 199},	//2308 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 200},	//2309 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 201},	//2310 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 202},	//2311 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 203},	//2312 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 204},	//2313 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 205},	//2314 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 206},	//2315 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 207},	//2316 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 208},	//2317 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 209},	//2318 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 210},	//2319 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 211},	//2320 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 212},	//2321 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 213},	//2322 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 214},	//2323 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 215},	//2324 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 216},	//2325 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 217},	//2326 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 218},	//2327 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 219},	//2328 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 220},	//2329 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 221},	//2330 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 222},	//2331 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 223},	//2332 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 224},	//2333 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 225},	//2334 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 226},	//2335 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 227},	//2336 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 228},	//2337 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 229},	//2338 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 1591, 0, 0, Smoke::mf_dtor, 0, 230 },	//2339 QsciScintillaBase::~QsciScintillaBase()
    {88, 532, 18, 1, Smoke::mf_ctor, 111, 1},	//2340 QsciStyle::QsciStyle(int)
    {88, 532, 439, 6, Smoke::mf_ctor, 111, 2},	//2341 QsciStyle::QsciStyle(int, const QString&, const QColor&, const QColor&, const QFont&, bool)
    {88, 793, 123, 1, Smoke::mf_const, 0, 3},	//2342 QsciStyle::apply(QsciScintillaBase*) const
    {88, 1485, 0, 0, Smoke::mf_const, 215, 4},	//2343 QsciStyle::style() const
    {88, 1245, 55, 1, 0, 0, 5},	//2344 QsciStyle::setDescription(const QString&)
    {88, 884, 0, 0, Smoke::mf_const, 40, 6},	//2345 QsciStyle::description() const
    {88, 1232, 80, 1, 0, 0, 7},	//2346 QsciStyle::setColor(const QColor&)
    {88, 854, 0, 0, Smoke::mf_const, 6, 8},	//2347 QsciStyle::color() const
    {88, 1398, 80, 1, 0, 0, 9},	//2348 QsciStyle::setPaper(const QColor&)
    {88, 1110, 0, 0, Smoke::mf_const, 6, 10},	//2349 QsciStyle::paper() const
    {88, 1307, 40, 1, 0, 0, 11},	//2350 QsciStyle::setFont(const QFont&)
    {88, 965, 0, 0, Smoke::mf_const, 14, 12},	//2351 QsciStyle::font() const
    {88, 1263, 16, 1, 0, 0, 13},	//2352 QsciStyle::setEolFill(bool)
    {88, 911, 0, 0, Smoke::mf_const, 189, 14},	//2353 QsciStyle::eolFill() const
    {88, 1437, 446, 1, 0, 0, 15},	//2354 QsciStyle::setTextCase(QsciStyle::TextCase)
    {88, 1498, 0, 0, Smoke::mf_const, 112, 16},	//2355 QsciStyle::textCase() const
    {88, 1455, 16, 1, 0, 0, 17},	//2356 QsciStyle::setVisible(bool)
    {88, 1527, 0, 0, Smoke::mf_const, 189, 18},	//2357 QsciStyle::visible() const
    {88, 1230, 16, 1, 0, 0, 19},	//2358 QsciStyle::setChangeable(bool)
    {88, 840, 0, 0, Smoke::mf_const, 189, 20},	//2359 QsciStyle::changeable() const
    {88, 1320, 16, 1, 0, 0, 21},	//2360 QsciStyle::setHotspot(bool)
    {88, 985, 0, 0, Smoke::mf_const, 189, 22},	//2361 QsciStyle::hotspot() const
    {88, 1144, 0, 0, 0, 0, 23},	//2362 QsciStyle::refresh()
    {88, 532, 448, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 111, 24},	//2363 QsciStyle::QsciStyle(const QsciStyle&)
    {88, 532, 0, 0, Smoke::mf_ctor, 111, 25},	//2364 QsciStyle::QsciStyle()
    {88, 532, 450, 5, Smoke::mf_ctor, 111, 26},	//2365 QsciStyle::QsciStyle(int, const QString&, const QColor&, const QColor&, const QFont&)
    {88, 376, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 27},	//2366 QsciStyle::OriginalCase (enum)
    {88, 722, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 28},	//2367 QsciStyle::UpperCase (enum)
    {88, 349, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 29},	//2368 QsciStyle::LowerCase (enum)
    {88, 1592, 0, 0, Smoke::mf_dtor, 0, 30 },	//2369 QsciStyle::~QsciStyle()
    {89, 537, 456, 2, Smoke::mf_ctor, 114, 1},	//2370 QsciStyledText::QsciStyledText(const QString&, int)
    {89, 537, 459, 2, Smoke::mf_ctor, 114, 2},	//2371 QsciStyledText::QsciStyledText(const QString&, const QsciStyle&)
    {89, 793, 123, 1, Smoke::mf_const, 0, 3},	//2372 QsciStyledText::apply(QsciScintillaBase*) const
    {89, 1494, 0, 0, Smoke::mf_const, 207, 4},	//2373 QsciStyledText::text() const
    {89, 1485, 0, 0, Smoke::mf_const, 215, 5},	//2374 QsciStyledText::style() const
    {89, 537, 462, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 114, 6},	//2375 QsciStyledText::QsciStyledText(const QsciStyledText&)
    {89, 1593, 0, 0, Smoke::mf_dtor, 0, 7 },	//2376 QsciStyledText::~QsciStyledText()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    2060,  // QsciScintilla::MoNone
    2060,  // QsciScintilla::MoNone
    0,
    2061,  // QsciScintilla::MoSublineSelect
    2061,  // QsciScintilla::MoSublineSelect
    0,
    1993,  // QsciScintilla::markerDefine(const QPixmap&)
    1994,  // QsciScintilla::markerDefine(const QImage&)
    0,
    1807,  // QsciScintilla::markerDefine(const QPixmap&, int)
    1808,  // QsciScintilla::markerDefine(const QImage&, int)
    0,
    1991,  // QsciScintilla::markerDefine(QsciScintilla::MarkerSymbol)
    1992,  // QsciScintilla::markerDefine(char)
    0,
    1805,  // QsciScintilla::markerDefine(QsciScintilla::MarkerSymbol, int)
    1806,  // QsciScintilla::markerDefine(char, int)
    0,
    1822,  // QsciScintilla::registerImage(int, const QPixmap&)
    1823,  // QsciScintilla::registerImage(int, const QImage&)
    0,
    1944,  // QsciScintilla::setMarginWidth(int, int)
    1945,  // QsciScintilla::setMarginWidth(int, const QString&)
    0,
    2338,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2338,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2338,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2338,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2338,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2338,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2338,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2338,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2338,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2338,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2338,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2338,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2338,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2338,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2338,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2338,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2338,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2338,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2338,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2338,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2338,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2338,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2338,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2338,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2338,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2338,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2338,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2338,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2338,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2338,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2338,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2338,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2338,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2338,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2338,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2338,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2338,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2338,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2338,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2338,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2338,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2338,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2338,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2338,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2338,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2338,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2338,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2338,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2338,  // QsciScintillaBase::SC_ORDER_CUSTOM
    0,
    2337,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2337,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2337,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2337,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2337,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2337,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2337,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2337,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2337,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2337,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2337,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2337,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2337,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2337,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2337,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2337,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2337,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2337,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2337,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2337,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2337,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2337,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2337,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2337,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2337,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2337,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2337,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2337,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2337,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2337,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2337,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2337,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2337,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2337,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2337,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2337,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2337,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2337,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2337,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2337,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2337,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2337,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2337,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2337,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2337,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2337,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2337,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2337,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2337,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    0,
    2336,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2336,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2336,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2336,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2336,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2336,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2336,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2336,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2336,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2336,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2336,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2336,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2336,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2336,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2336,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2336,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2336,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2336,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2336,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2336,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2336,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2336,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2336,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2336,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2336,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2336,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2336,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2336,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2336,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2336,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2336,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2336,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2336,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2336,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2336,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2336,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2336,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2336,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2336,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2336,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2336,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2336,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2336,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2336,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2336,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2336,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2336,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2336,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2336,  // QsciScintillaBase::SC_ORDER_PRESORTED
    0,
    2122,  // QsciScintillaBase::SendScintilla(unsigned int, const char*) const
    2124,  // QsciScintillaBase::SendScintilla(unsigned int, long) const
    2125,  // QsciScintillaBase::SendScintilla(unsigned int, int) const
    2190,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long) const
    0,
    2127,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QColor&) const
    2130,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QPixmap&) const
    2131,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QImage&) const
    0,
    2119,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, long) const
    2120,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, void*) const
    2121,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const char*) const
    2123,  // QsciScintillaBase::SendScintilla(unsigned int, const char*, const char*) const
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {17, 449, 7},	// QGlobalSpace::Q_COMPLEX_TYPE
    {17, 450, 11},	// QGlobalSpace::Q_DUMMY_TYPE
    {17, 451, 10},	// QGlobalSpace::Q_MOVABLE_TYPE
    {17, 452, 8},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {17, 453, 9},	// QGlobalSpace::Q_STATIC_TYPE
    {48, 455, 53},	// QsciAPIs::QsciAPIs#
    {48, 775, 54},	// QsciAPIs::add$
    {48, 787, 69},	// QsciAPIs::apiPreparationCancelled
    {48, 788, 71},	// QsciAPIs::apiPreparationFinished
    {48, 789, 70},	// QsciAPIs::apiPreparationStarted
    {48, 803, 65},	// QsciAPIs::autoCompletionSelected$
    {48, 829, 66},	// QsciAPIs::callTips?$$?
    {48, 836, 59},	// QsciAPIs::cancelPreparation
    {48, 842, 55},	// QsciAPIs::clear
    {48, 882, 60},	// QsciAPIs::defaultPreparedName
    {48, 918, 67},	// QsciAPIs::event#
    {48, 1013, 68},	// QsciAPIs::installedAPIFiles
    {48, 1017, 74},	// QsciAPIs::isPrepared
    {48, 1018, 61},	// QsciAPIs::isPrepared$
    {48, 1047, 56},	// QsciAPIs::load$
    {48, 1048, 75},	// QsciAPIs::loadPrepared
    {48, 1049, 62},	// QsciAPIs::loadPrepared$
    {48, 1087, 46},	// QsciAPIs::metaObject
    {48, 1119, 58},	// QsciAPIs::prepare
    {48, 1129, 52},	// QsciAPIs::qt_metacall$$?
    {48, 1131, 47},	// QsciAPIs::qt_metacast$
    {48, 1149, 57},	// QsciAPIs::remove$
    {48, 1163, 76},	// QsciAPIs::savePrepared
    {48, 1164, 63},	// QsciAPIs::savePrepared$
    {48, 1483, 77},	// QsciAPIs::staticMetaObject
    {48, 1507, 72},	// QsciAPIs::tr$
    {48, 1508, 48},	// QsciAPIs::tr$$
    {48, 1509, 50},	// QsciAPIs::tr$$$
    {48, 1511, 73},	// QsciAPIs::trUtf8$
    {48, 1512, 49},	// QsciAPIs::trUtf8$$
    {48, 1513, 51},	// QsciAPIs::trUtf8$$$
    {48, 1518, 64},	// QsciAPIs::updateAutoCompletionList??
    {48, 1553, 78},	// QsciAPIs::~QsciAPIs
    {49, 457, 86},	// QsciAbstractAPIs::QsciAbstractAPIs#
    {49, 803, 89},	// QsciAbstractAPIs::autoCompletionSelected$
    {49, 829, 90},	// QsciAbstractAPIs::callTips?$$?
    {49, 1036, 87},	// QsciAbstractAPIs::lexer
    {49, 1087, 79},	// QsciAbstractAPIs::metaObject
    {49, 1129, 85},	// QsciAbstractAPIs::qt_metacall$$?
    {49, 1131, 80},	// QsciAbstractAPIs::qt_metacast$
    {49, 1483, 93},	// QsciAbstractAPIs::staticMetaObject
    {49, 1507, 91},	// QsciAbstractAPIs::tr$
    {49, 1508, 81},	// QsciAbstractAPIs::tr$$
    {49, 1509, 83},	// QsciAbstractAPIs::tr$$$
    {49, 1511, 92},	// QsciAbstractAPIs::trUtf8$
    {49, 1512, 82},	// QsciAbstractAPIs::trUtf8$$
    {49, 1513, 84},	// QsciAbstractAPIs::trUtf8$$$
    {49, 1518, 88},	// QsciAbstractAPIs::updateAutoCompletionList??
    {49, 1554, 94},	// QsciAbstractAPIs::~QsciAbstractAPIs
    {50, 81, 195},	// QsciCommand::Backtab
    {50, 114, 196},	// QsciCommand::Cancel
    {50, 116, 118},	// QsciCommand::CharLeft
    {50, 117, 119},	// QsciCommand::CharLeftExtend
    {50, 118, 120},	// QsciCommand::CharLeftRectExtend
    {50, 119, 121},	// QsciCommand::CharRight
    {50, 120, 122},	// QsciCommand::CharRightExtend
    {50, 121, 123},	// QsciCommand::CharRightRectExtend
    {50, 160, 169},	// QsciCommand::Delete
    {50, 161, 170},	// QsciCommand::DeleteBack
    {50, 162, 171},	// QsciCommand::DeleteBackNotLine
    {50, 163, 175},	// QsciCommand::DeleteLineLeft
    {50, 164, 176},	// QsciCommand::DeleteLineRight
    {50, 165, 172},	// QsciCommand::DeleteWordLeft
    {50, 166, 173},	// QsciCommand::DeleteWordRight
    {50, 167, 174},	// QsciCommand::DeleteWordRightEnd
    {50, 175, 157},	// QsciCommand::DocumentEnd
    {50, 176, 158},	// QsciCommand::DocumentEndExtend
    {50, 177, 155},	// QsciCommand::DocumentStart
    {50, 178, 156},	// QsciCommand::DocumentStartExtend
    {50, 196, 191},	// QsciCommand::EditToggleOvertype
    {50, 216, 193},	// QsciCommand::Formfeed
    {50, 242, 136},	// QsciCommand::Home
    {50, 243, 139},	// QsciCommand::HomeDisplay
    {50, 244, 140},	// QsciCommand::HomeDisplayExtend
    {50, 245, 137},	// QsciCommand::HomeExtend
    {50, 246, 138},	// QsciCommand::HomeRectExtend
    {50, 247, 141},	// QsciCommand::HomeWrap
    {50, 248, 142},	// QsciCommand::HomeWrapExtend
    {50, 325, 179},	// QsciCommand::LineCopy
    {50, 326, 178},	// QsciCommand::LineCut
    {50, 327, 177},	// QsciCommand::LineDelete
    {50, 328, 103},	// QsciCommand::LineDown
    {50, 329, 104},	// QsciCommand::LineDownExtend
    {50, 330, 105},	// QsciCommand::LineDownRectExtend
    {50, 331, 181},	// QsciCommand::LineDuplicate
    {50, 332, 148},	// QsciCommand::LineEnd
    {50, 333, 151},	// QsciCommand::LineEndDisplay
    {50, 334, 152},	// QsciCommand::LineEndDisplayExtend
    {50, 335, 149},	// QsciCommand::LineEndExtend
    {50, 336, 150},	// QsciCommand::LineEndRectExtend
    {50, 337, 153},	// QsciCommand::LineEndWrap
    {50, 338, 154},	// QsciCommand::LineEndWrapExtend
    {50, 340, 106},	// QsciCommand::LineScrollDown
    {50, 341, 110},	// QsciCommand::LineScrollUp
    {50, 342, 180},	// QsciCommand::LineTranspose
    {50, 343, 107},	// QsciCommand::LineUp
    {50, 344, 108},	// QsciCommand::LineUpExtend
    {50, 345, 109},	// QsciCommand::LineUpRectExtend
    {50, 360, 184},	// QsciCommand::MoveSelectedLinesDown
    {50, 361, 183},	// QsciCommand::MoveSelectedLinesUp
    {50, 366, 192},	// QsciCommand::Newline
    {50, 391, 162},	// QsciCommand::PageDown
    {50, 392, 163},	// QsciCommand::PageDownExtend
    {50, 393, 164},	// QsciCommand::PageDownRectExtend
    {50, 395, 159},	// QsciCommand::PageUp
    {50, 396, 160},	// QsciCommand::PageUpExtend
    {50, 397, 161},	// QsciCommand::PageUpRectExtend
    {50, 399, 114},	// QsciCommand::ParaDown
    {50, 400, 115},	// QsciCommand::ParaDownExtend
    {50, 401, 116},	// QsciCommand::ParaUp
    {50, 402, 117},	// QsciCommand::ParaUpExtend
    {50, 404, 190},	// QsciCommand::Paste
    {50, 555, 198},	// QsciCommand::Redo
    {50, 627, 112},	// QsciCommand::ScrollToEnd
    {50, 628, 111},	// QsciCommand::ScrollToStart
    {50, 630, 182},	// QsciCommand::SelectAll
    {50, 632, 189},	// QsciCommand::SelectionCopy
    {50, 633, 188},	// QsciCommand::SelectionCut
    {50, 634, 185},	// QsciCommand::SelectionDuplicate
    {50, 635, 186},	// QsciCommand::SelectionLowerCase
    {50, 636, 187},	// QsciCommand::SelectionUpperCase
    {50, 674, 167},	// QsciCommand::StutteredPageDown
    {50, 675, 168},	// QsciCommand::StutteredPageDownExtend
    {50, 676, 165},	// QsciCommand::StutteredPageUp
    {50, 677, 166},	// QsciCommand::StutteredPageUpExtend
    {50, 692, 194},	// QsciCommand::Tab
    {50, 717, 197},	// QsciCommand::Undo
    {50, 731, 143},	// QsciCommand::VCHome
    {50, 732, 144},	// QsciCommand::VCHomeExtend
    {50, 733, 145},	// QsciCommand::VCHomeRectExtend
    {50, 734, 146},	// QsciCommand::VCHomeWrap
    {50, 735, 147},	// QsciCommand::VCHomeWrapExtend
    {50, 740, 113},	// QsciCommand::VerticalCentreCaret
    {50, 743, 124},	// QsciCommand::WordLeft
    {50, 744, 128},	// QsciCommand::WordLeftEnd
    {50, 745, 129},	// QsciCommand::WordLeftEndExtend
    {50, 746, 125},	// QsciCommand::WordLeftExtend
    {50, 747, 132},	// QsciCommand::WordPartLeft
    {50, 748, 133},	// QsciCommand::WordPartLeftExtend
    {50, 749, 134},	// QsciCommand::WordPartRight
    {50, 750, 135},	// QsciCommand::WordPartRightExtend
    {50, 751, 126},	// QsciCommand::WordRight
    {50, 752, 130},	// QsciCommand::WordRightEnd
    {50, 753, 131},	// QsciCommand::WordRightEndExtend
    {50, 754, 127},	// QsciCommand::WordRightExtend
    {50, 771, 199},	// QsciCommand::ZoomIn
    {50, 772, 200},	// QsciCommand::ZoomOut
    {50, 776, 100},	// QsciCommand::alternateKey
    {50, 858, 95},	// QsciCommand::command
    {50, 884, 102},	// QsciCommand::description
    {50, 920, 96},	// QsciCommand::execute
    {50, 1025, 99},	// QsciCommand::key
    {50, 1177, 98},	// QsciCommand::setAlternateKey$
    {50, 1348, 97},	// QsciCommand::setKey$
    {50, 1525, 101},	// QsciCommand::validKey$
    {50, 1555, 201},	// QsciCommand::~QsciCommand
    {51, 822, 207},	// QsciCommandSet::boundTo$
    {51, 843, 206},	// QsciCommandSet::clearAlternateKeys
    {51, 849, 205},	// QsciCommandSet::clearKeys
    {51, 859, 204},	// QsciCommandSet::commands
    {51, 926, 208},	// QsciCommandSet::find$
    {51, 1138, 209},	// QsciCommandSet::readSettings#
    {51, 1139, 202},	// QsciCommandSet::readSettings#$
    {51, 1544, 210},	// QsciCommandSet::writeSettings#
    {51, 1545, 203},	// QsciCommandSet::writeSettings#$
    {52, 458, 211},	// QsciDocument::QsciDocument
    {52, 459, 212},	// QsciDocument::QsciDocument#
    {52, 1104, 213},	// QsciDocument::operator=#
    {52, 1556, 214},	// QsciDocument::~QsciDocument
    {53, 460, 276},	// QsciLexer::QsciLexer
    {53, 461, 222},	// QsciLexer::QsciLexer#
    {53, 790, 226},	// QsciLexer::apis
    {53, 799, 227},	// QsciLexer::autoCompletionFillups
    {53, 808, 228},	// QsciLexer::autoCompletionWordSeparators
    {53, 810, 229},	// QsciLexer::autoIndentStyle
    {53, 814, 277},	// QsciLexer::blockEnd
    {53, 815, 230},	// QsciLexer::blockEnd$
    {53, 816, 231},	// QsciLexer::blockLookback
    {53, 817, 278},	// QsciLexer::blockStart
    {53, 818, 232},	// QsciLexer::blockStart$
    {53, 819, 279},	// QsciLexer::blockStartKeyword
    {53, 820, 233},	// QsciLexer::blockStartKeyword$
    {53, 824, 234},	// QsciLexer::braceStyle
    {53, 837, 235},	// QsciLexer::caseSensitive
    {53, 855, 236},	// QsciLexer::color$
    {53, 857, 267},	// QsciLexer::colorChanged#$
    {53, 874, 244},	// QsciLexer::defaultColor
    {53, 875, 245},	// QsciLexer::defaultColor$
    {53, 877, 246},	// QsciLexer::defaultEolFill$
    {53, 878, 247},	// QsciLexer::defaultFont
    {53, 879, 248},	// QsciLexer::defaultFont$
    {53, 880, 249},	// QsciLexer::defaultPaper
    {53, 881, 250},	// QsciLexer::defaultPaper$
    {53, 883, 241},	// QsciLexer::defaultStyle
    {53, 885, 242},	// QsciLexer::description$
    {53, 903, 251},	// QsciLexer::editor
    {53, 912, 237},	// QsciLexer::eolFill$
    {53, 914, 268},	// QsciLexer::eolFillChanged$$
    {53, 966, 238},	// QsciLexer::font$
    {53, 969, 269},	// QsciLexer::fontChanged#$
    {53, 990, 239},	// QsciLexer::indentationGuideView
    {53, 1030, 240},	// QsciLexer::keywords$
    {53, 1031, 223},	// QsciLexer::language
    {53, 1036, 224},	// QsciLexer::lexer
    {53, 1037, 225},	// QsciLexer::lexerId
    {53, 1087, 215},	// QsciLexer::metaObject
    {53, 1111, 243},	// QsciLexer::paper$
    {53, 1113, 270},	// QsciLexer::paperChanged#$
    {53, 1127, 271},	// QsciLexer::propertyChanged$$
    {53, 1129, 221},	// QsciLexer::qt_metacall$$?
    {53, 1131, 216},	// QsciLexer::qt_metacast$
    {53, 1136, 272},	// QsciLexer::readProperties#$
    {53, 1138, 280},	// QsciLexer::readSettings#
    {53, 1139, 257},	// QsciLexer::readSettings#$
    {53, 1145, 258},	// QsciLexer::refreshProperties
    {53, 1175, 252},	// QsciLexer::setAPIs#
    {53, 1201, 262},	// QsciLexer::setAutoIndentStyle$
    {53, 1233, 282},	// QsciLexer::setColor#
    {53, 1234, 263},	// QsciLexer::setColor#$
    {53, 1240, 253},	// QsciLexer::setDefaultColor#
    {53, 1242, 254},	// QsciLexer::setDefaultFont#
    {53, 1244, 255},	// QsciLexer::setDefaultPaper#
    {53, 1262, 256},	// QsciLexer::setEditor#
    {53, 1264, 283},	// QsciLexer::setEolFill$
    {53, 1265, 264},	// QsciLexer::setEolFill$$
    {53, 1308, 284},	// QsciLexer::setFont#
    {53, 1309, 265},	// QsciLexer::setFont#$
    {53, 1399, 285},	// QsciLexer::setPaper#
    {53, 1400, 266},	// QsciLexer::setPaper#$
    {53, 1483, 286},	// QsciLexer::staticMetaObject
    {53, 1486, 259},	// QsciLexer::styleBitsNeeded
    {53, 1507, 274},	// QsciLexer::tr$
    {53, 1508, 217},	// QsciLexer::tr$$
    {53, 1509, 219},	// QsciLexer::tr$$$
    {53, 1511, 275},	// QsciLexer::trUtf8$
    {53, 1512, 218},	// QsciLexer::trUtf8$$
    {53, 1513, 220},	// QsciLexer::trUtf8$$$
    {53, 1536, 260},	// QsciLexer::wordCharacters
    {53, 1542, 273},	// QsciLexer::writeProperties#$
    {53, 1544, 281},	// QsciLexer::writeSettings#
    {53, 1545, 261},	// QsciLexer::writeSettings#$
    {53, 1557, 287},	// QsciLexer::~QsciLexer
    {54, 84, 328},	// QsciLexerBash::Backticks
    {54, 137, 319},	// QsciLexerBash::Comment
    {54, 158, 317},	// QsciLexerBash::Default
    {54, 184, 322},	// QsciLexerBash::DoubleQuotedString
    {54, 203, 318},	// QsciLexerBash::Error
    {54, 235, 329},	// QsciLexerBash::HereDocumentDelimiter
    {54, 251, 325},	// QsciLexerBash::Identifier
    {54, 300, 321},	// QsciLexerBash::Keyword
    {54, 371, 320},	// QsciLexerBash::Number
    {54, 375, 324},	// QsciLexerBash::Operator
    {54, 403, 327},	// QsciLexerBash::ParameterExpansion
    {54, 462, 315},	// QsciLexerBash::QsciLexerBash
    {54, 463, 295},	// QsciLexerBash::QsciLexerBash#
    {54, 624, 326},	// QsciLexerBash::Scalar
    {54, 649, 330},	// QsciLexerBash::SingleQuotedHereDocument
    {54, 650, 323},	// QsciLexerBash::SingleQuotedString
    {54, 824, 298},	// QsciLexerBash::braceStyle
    {54, 875, 300},	// QsciLexerBash::defaultColor$
    {54, 877, 301},	// QsciLexerBash::defaultEolFill$
    {54, 879, 302},	// QsciLexerBash::defaultFont$
    {54, 881, 303},	// QsciLexerBash::defaultPaper$
    {54, 885, 305},	// QsciLexerBash::description$
    {54, 952, 307},	// QsciLexerBash::foldComments
    {54, 953, 308},	// QsciLexerBash::foldCompact
    {54, 1030, 304},	// QsciLexerBash::keywords$
    {54, 1031, 296},	// QsciLexerBash::language
    {54, 1036, 297},	// QsciLexerBash::lexer
    {54, 1087, 288},	// QsciLexerBash::metaObject
    {54, 1129, 294},	// QsciLexerBash::qt_metacall$$?
    {54, 1131, 289},	// QsciLexerBash::qt_metacast$
    {54, 1136, 311},	// QsciLexerBash::readProperties#$
    {54, 1145, 306},	// QsciLexerBash::refreshProperties
    {54, 1283, 309},	// QsciLexerBash::setFoldComments$
    {54, 1285, 310},	// QsciLexerBash::setFoldCompact$
    {54, 1483, 316},	// QsciLexerBash::staticMetaObject
    {54, 1507, 313},	// QsciLexerBash::tr$
    {54, 1508, 290},	// QsciLexerBash::tr$$
    {54, 1509, 292},	// QsciLexerBash::tr$$$
    {54, 1511, 314},	// QsciLexerBash::trUtf8$
    {54, 1512, 291},	// QsciLexerBash::trUtf8$$
    {54, 1513, 293},	// QsciLexerBash::trUtf8$$$
    {54, 1536, 299},	// QsciLexerBash::wordCharacters
    {54, 1542, 312},	// QsciLexerBash::writeProperties#$
    {54, 1558, 331},	// QsciLexerBash::~QsciLexerBash
    {55, 137, 355},	// QsciLexerBatch::Comment
    {55, 158, 354},	// QsciLexerBatch::Default
    {55, 210, 359},	// QsciLexerBatch::ExternalCommand
    {55, 239, 358},	// QsciLexerBatch::HideCommandChar
    {55, 300, 356},	// QsciLexerBatch::Keyword
    {55, 310, 357},	// QsciLexerBatch::Label
    {55, 375, 361},	// QsciLexerBatch::Operator
    {55, 464, 352},	// QsciLexerBatch::QsciLexerBatch
    {55, 465, 339},	// QsciLexerBatch::QsciLexerBatch#
    {55, 738, 360},	// QsciLexerBatch::Variable
    {55, 837, 343},	// QsciLexerBatch::caseSensitive
    {55, 875, 344},	// QsciLexerBatch::defaultColor$
    {55, 877, 345},	// QsciLexerBatch::defaultEolFill$
    {55, 879, 346},	// QsciLexerBatch::defaultFont$
    {55, 881, 347},	// QsciLexerBatch::defaultPaper$
    {55, 885, 349},	// QsciLexerBatch::description$
    {55, 1030, 348},	// QsciLexerBatch::keywords$
    {55, 1031, 340},	// QsciLexerBatch::language
    {55, 1036, 341},	// QsciLexerBatch::lexer
    {55, 1087, 332},	// QsciLexerBatch::metaObject
    {55, 1129, 338},	// QsciLexerBatch::qt_metacall$$?
    {55, 1131, 333},	// QsciLexerBatch::qt_metacast$
    {55, 1483, 353},	// QsciLexerBatch::staticMetaObject
    {55, 1507, 350},	// QsciLexerBatch::tr$
    {55, 1508, 334},	// QsciLexerBatch::tr$$
    {55, 1509, 336},	// QsciLexerBatch::tr$$$
    {55, 1511, 351},	// QsciLexerBatch::trUtf8$
    {55, 1512, 335},	// QsciLexerBatch::trUtf8$$
    {55, 1513, 337},	// QsciLexerBatch::trUtf8$$$
    {55, 1536, 342},	// QsciLexerBatch::wordCharacters
    {55, 1559, 362},	// QsciLexerBatch::~QsciLexerBatch
    {56, 90, 397},	// QsciLexerCMake::BlockForeach
    {56, 91, 398},	// QsciLexerCMake::BlockIf
    {56, 92, 399},	// QsciLexerCMake::BlockMacro
    {56, 93, 396},	// QsciLexerCMake::BlockWhile
    {56, 137, 388},	// QsciLexerCMake::Comment
    {56, 158, 387},	// QsciLexerCMake::Default
    {56, 218, 392},	// QsciLexerCMake::Function
    {56, 304, 395},	// QsciLexerCMake::KeywordSet3
    {56, 310, 394},	// QsciLexerCMake::Label
    {56, 371, 401},	// QsciLexerCMake::Number
    {56, 466, 385},	// QsciLexerCMake::QsciLexerCMake
    {56, 467, 370},	// QsciLexerCMake::QsciLexerCMake#
    {56, 669, 389},	// QsciLexerCMake::String
    {56, 670, 390},	// QsciLexerCMake::StringLeftQuote
    {56, 671, 391},	// QsciLexerCMake::StringRightQuote
    {56, 673, 400},	// QsciLexerCMake::StringVariable
    {56, 738, 393},	// QsciLexerCMake::Variable
    {56, 875, 373},	// QsciLexerCMake::defaultColor$
    {56, 879, 374},	// QsciLexerCMake::defaultFont$
    {56, 881, 375},	// QsciLexerCMake::defaultPaper$
    {56, 885, 377},	// QsciLexerCMake::description$
    {56, 950, 379},	// QsciLexerCMake::foldAtElse
    {56, 1030, 376},	// QsciLexerCMake::keywords$
    {56, 1031, 371},	// QsciLexerCMake::language
    {56, 1036, 372},	// QsciLexerCMake::lexer
    {56, 1087, 363},	// QsciLexerCMake::metaObject
    {56, 1129, 369},	// QsciLexerCMake::qt_metacall$$?
    {56, 1131, 364},	// QsciLexerCMake::qt_metacast$
    {56, 1136, 381},	// QsciLexerCMake::readProperties#$
    {56, 1145, 378},	// QsciLexerCMake::refreshProperties
    {56, 1279, 380},	// QsciLexerCMake::setFoldAtElse$
    {56, 1483, 386},	// QsciLexerCMake::staticMetaObject
    {56, 1507, 383},	// QsciLexerCMake::tr$
    {56, 1508, 365},	// QsciLexerCMake::tr$$
    {56, 1509, 367},	// QsciLexerCMake::tr$$$
    {56, 1511, 384},	// QsciLexerCMake::trUtf8$
    {56, 1512, 366},	// QsciLexerCMake::trUtf8$$
    {56, 1513, 368},	// QsciLexerCMake::trUtf8$$$
    {56, 1542, 382},	// QsciLexerCMake::writeProperties#$
    {56, 1560, 402},	// QsciLexerCMake::~QsciLexerCMake
    {57, 137, 454},	// QsciLexerCPP::Comment
    {57, 140, 458},	// QsciLexerCPP::CommentDoc
    {57, 141, 486},	// QsciLexerCPP::CommentDocKeyword
    {57, 142, 488},	// QsciLexerCPP::CommentDocKeywordError
    {57, 143, 456},	// QsciLexerCPP::CommentLine
    {57, 144, 482},	// QsciLexerCPP::CommentLineDoc
    {57, 158, 452},	// QsciLexerCPP::Default
    {57, 184, 464},	// QsciLexerCPP::DoubleQuotedString
    {57, 221, 490},	// QsciLexerCPP::GlobalClass
    {57, 232, 496},	// QsciLexerCPP::HashQuotedString
    {57, 251, 474},	// QsciLexerCPP::Identifier
    {57, 256, 455},	// QsciLexerCPP::InactiveComment
    {57, 257, 459},	// QsciLexerCPP::InactiveCommentDoc
    {57, 258, 487},	// QsciLexerCPP::InactiveCommentDocKeyword
    {57, 259, 489},	// QsciLexerCPP::InactiveCommentDocKeywordError
    {57, 260, 457},	// QsciLexerCPP::InactiveCommentLine
    {57, 261, 483},	// QsciLexerCPP::InactiveCommentLineDoc
    {57, 262, 453},	// QsciLexerCPP::InactiveDefault
    {57, 263, 465},	// QsciLexerCPP::InactiveDoubleQuotedString
    {57, 264, 491},	// QsciLexerCPP::InactiveGlobalClass
    {57, 265, 497},	// QsciLexerCPP::InactiveHashQuotedString
    {57, 266, 475},	// QsciLexerCPP::InactiveIdentifier
    {57, 267, 463},	// QsciLexerCPP::InactiveKeyword
    {57, 268, 485},	// QsciLexerCPP::InactiveKeywordSet2
    {57, 269, 461},	// QsciLexerCPP::InactiveNumber
    {57, 270, 473},	// QsciLexerCPP::InactiveOperator
    {57, 271, 471},	// QsciLexerCPP::InactivePreProcessor
    {57, 272, 499},	// QsciLexerCPP::InactivePreProcessorComment
    {57, 273, 501},	// QsciLexerCPP::InactivePreProcessorCommentLineDoc
    {57, 274, 493},	// QsciLexerCPP::InactiveRawString
    {57, 275, 481},	// QsciLexerCPP::InactiveRegex
    {57, 276, 467},	// QsciLexerCPP::InactiveSingleQuotedString
    {57, 277, 495},	// QsciLexerCPP::InactiveTripleQuotedVerbatimString
    {57, 278, 469},	// QsciLexerCPP::InactiveUUID
    {57, 279, 477},	// QsciLexerCPP::InactiveUnclosedString
    {57, 280, 479},	// QsciLexerCPP::InactiveVerbatimString
    {57, 300, 462},	// QsciLexerCPP::Keyword
    {57, 303, 484},	// QsciLexerCPP::KeywordSet2
    {57, 371, 460},	// QsciLexerCPP::Number
    {57, 375, 472},	// QsciLexerCPP::Operator
    {57, 423, 470},	// QsciLexerCPP::PreProcessor
    {57, 424, 498},	// QsciLexerCPP::PreProcessorComment
    {57, 425, 500},	// QsciLexerCPP::PreProcessorCommentLineDoc
    {57, 468, 446},	// QsciLexerCPP::QsciLexerCPP
    {57, 469, 447},	// QsciLexerCPP::QsciLexerCPP#
    {57, 470, 410},	// QsciLexerCPP::QsciLexerCPP#$
    {57, 553, 492},	// QsciLexerCPP::RawString
    {57, 557, 480},	// QsciLexerCPP::Regex
    {57, 650, 466},	// QsciLexerCPP::SingleQuotedString
    {57, 710, 494},	// QsciLexerCPP::TripleQuotedVerbatimString
    {57, 714, 468},	// QsciLexerCPP::UUID
    {57, 715, 476},	// QsciLexerCPP::UnclosedString
    {57, 739, 478},	// QsciLexerCPP::VerbatimString
    {57, 808, 413},	// QsciLexerCPP::autoCompletionWordSeparators
    {57, 814, 448},	// QsciLexerCPP::blockEnd
    {57, 815, 414},	// QsciLexerCPP::blockEnd$
    {57, 817, 449},	// QsciLexerCPP::blockStart
    {57, 818, 415},	// QsciLexerCPP::blockStart$
    {57, 819, 450},	// QsciLexerCPP::blockStartKeyword
    {57, 820, 416},	// QsciLexerCPP::blockStartKeyword$
    {57, 824, 417},	// QsciLexerCPP::braceStyle
    {57, 875, 419},	// QsciLexerCPP::defaultColor$
    {57, 877, 420},	// QsciLexerCPP::defaultEolFill$
    {57, 879, 421},	// QsciLexerCPP::defaultFont$
    {57, 881, 422},	// QsciLexerCPP::defaultPaper$
    {57, 885, 424},	// QsciLexerCPP::description$
    {57, 890, 432},	// QsciLexerCPP::dollarsAllowed
    {57, 950, 426},	// QsciLexerCPP::foldAtElse
    {57, 952, 427},	// QsciLexerCPP::foldComments
    {57, 953, 428},	// QsciLexerCPP::foldCompact
    {57, 960, 429},	// QsciLexerCPP::foldPreprocessor
    {57, 982, 436},	// QsciLexerCPP::highlightHashQuotedStrings
    {57, 984, 434},	// QsciLexerCPP::highlightTripleQuotedStrings
    {57, 1030, 423},	// QsciLexerCPP::keywords$
    {57, 1031, 411},	// QsciLexerCPP::language
    {57, 1036, 412},	// QsciLexerCPP::lexer
    {57, 1087, 403},	// QsciLexerCPP::metaObject
    {57, 1129, 409},	// QsciLexerCPP::qt_metacall$$?
    {57, 1131, 404},	// QsciLexerCPP::qt_metacast$
    {57, 1136, 442},	// QsciLexerCPP::readProperties#$
    {57, 1145, 425},	// QsciLexerCPP::refreshProperties
    {57, 1252, 431},	// QsciLexerCPP::setDollarsAllowed$
    {57, 1279, 437},	// QsciLexerCPP::setFoldAtElse$
    {57, 1283, 438},	// QsciLexerCPP::setFoldComments$
    {57, 1285, 439},	// QsciLexerCPP::setFoldCompact$
    {57, 1297, 440},	// QsciLexerCPP::setFoldPreprocessor$
    {57, 1315, 435},	// QsciLexerCPP::setHighlightHashQuotedStrings$
    {57, 1319, 433},	// QsciLexerCPP::setHighlightTripleQuotedStrings$
    {57, 1427, 441},	// QsciLexerCPP::setStylePreprocessor$
    {57, 1483, 451},	// QsciLexerCPP::staticMetaObject
    {57, 1488, 430},	// QsciLexerCPP::stylePreprocessor
    {57, 1507, 444},	// QsciLexerCPP::tr$
    {57, 1508, 405},	// QsciLexerCPP::tr$$
    {57, 1509, 407},	// QsciLexerCPP::tr$$$
    {57, 1511, 445},	// QsciLexerCPP::trUtf8$
    {57, 1512, 406},	// QsciLexerCPP::trUtf8$$
    {57, 1513, 408},	// QsciLexerCPP::trUtf8$$$
    {57, 1536, 418},	// QsciLexerCPP::wordCharacters
    {57, 1542, 443},	// QsciLexerCPP::writeProperties#$
    {57, 1561, 502},	// QsciLexerCPP::~QsciLexerCPP
    {58, 65, 551},	// QsciLexerCSS::AtRule
    {58, 66, 555},	// QsciLexerCSS::Attribute
    {58, 105, 545},	// QsciLexerCSS::CSS1Property
    {58, 106, 554},	// QsciLexerCSS::CSS2Property
    {58, 107, 556},	// QsciLexerCSS::CSS3Property
    {58, 132, 541},	// QsciLexerCSS::ClassSelector
    {58, 137, 548},	// QsciLexerCSS::Comment
    {58, 158, 539},	// QsciLexerCSS::Default
    {58, 184, 552},	// QsciLexerCSS::DoubleQuotedString
    {58, 206, 558},	// QsciLexerCSS::ExtendedCSSProperty
    {58, 208, 559},	// QsciLexerCSS::ExtendedPseudoClass
    {58, 209, 560},	// QsciLexerCSS::ExtendedPseudoElement
    {58, 225, 524},	// QsciLexerCSS::HSSLanguage
    {58, 249, 549},	// QsciLexerCSS::IDSelector
    {58, 255, 550},	// QsciLexerCSS::Important
    {58, 320, 526},	// QsciLexerCSS::LessLanguage
    {58, 352, 561},	// QsciLexerCSS::MediaRule
    {58, 375, 544},	// QsciLexerCSS::Operator
    {58, 432, 542},	// QsciLexerCSS::PseudoClass
    {58, 433, 557},	// QsciLexerCSS::PseudoElement
    {58, 471, 535},	// QsciLexerCSS::QsciLexerCSS
    {58, 472, 510},	// QsciLexerCSS::QsciLexerCSS#
    {58, 609, 528},	// QsciLexerCSS::SCSSLanguage
    {58, 650, 553},	// QsciLexerCSS::SingleQuotedString
    {58, 696, 540},	// QsciLexerCSS::Tag
    {58, 719, 546},	// QsciLexerCSS::UnknownProperty
    {58, 720, 543},	// QsciLexerCSS::UnknownPseudoClass
    {58, 737, 547},	// QsciLexerCSS::Value
    {58, 738, 562},	// QsciLexerCSS::Variable
    {58, 814, 536},	// QsciLexerCSS::blockEnd
    {58, 815, 513},	// QsciLexerCSS::blockEnd$
    {58, 817, 537},	// QsciLexerCSS::blockStart
    {58, 818, 514},	// QsciLexerCSS::blockStart$
    {58, 875, 516},	// QsciLexerCSS::defaultColor$
    {58, 879, 517},	// QsciLexerCSS::defaultFont$
    {58, 885, 519},	// QsciLexerCSS::description$
    {58, 952, 521},	// QsciLexerCSS::foldComments
    {58, 953, 522},	// QsciLexerCSS::foldCompact
    {58, 1030, 518},	// QsciLexerCSS::keywords$
    {58, 1031, 511},	// QsciLexerCSS::language
    {58, 1036, 512},	// QsciLexerCSS::lexer
    {58, 1087, 503},	// QsciLexerCSS::metaObject
    {58, 1129, 509},	// QsciLexerCSS::qt_metacall$$?
    {58, 1131, 504},	// QsciLexerCSS::qt_metacast$
    {58, 1136, 531},	// QsciLexerCSS::readProperties#$
    {58, 1145, 520},	// QsciLexerCSS::refreshProperties
    {58, 1283, 529},	// QsciLexerCSS::setFoldComments$
    {58, 1285, 530},	// QsciLexerCSS::setFoldCompact$
    {58, 1311, 523},	// QsciLexerCSS::setHSSLanguage$
    {58, 1350, 525},	// QsciLexerCSS::setLessLanguage$
    {58, 1410, 527},	// QsciLexerCSS::setSCSSLanguage$
    {58, 1483, 538},	// QsciLexerCSS::staticMetaObject
    {58, 1507, 533},	// QsciLexerCSS::tr$
    {58, 1508, 505},	// QsciLexerCSS::tr$$
    {58, 1509, 507},	// QsciLexerCSS::tr$$$
    {58, 1511, 534},	// QsciLexerCSS::trUtf8$
    {58, 1512, 506},	// QsciLexerCSS::trUtf8$$
    {58, 1513, 508},	// QsciLexerCSS::trUtf8$$$
    {58, 1536, 515},	// QsciLexerCSS::wordCharacters
    {58, 1542, 532},	// QsciLexerCSS::writeProperties#$
    {58, 1562, 563},	// QsciLexerCSS::~QsciLexerCSS
    {59, 473, 581},	// QsciLexerCSharp::QsciLexerCSharp
    {59, 474, 571},	// QsciLexerCSharp::QsciLexerCSharp#
    {59, 875, 573},	// QsciLexerCSharp::defaultColor$
    {59, 877, 574},	// QsciLexerCSharp::defaultEolFill$
    {59, 879, 575},	// QsciLexerCSharp::defaultFont$
    {59, 881, 576},	// QsciLexerCSharp::defaultPaper$
    {59, 885, 578},	// QsciLexerCSharp::description$
    {59, 1030, 577},	// QsciLexerCSharp::keywords$
    {59, 1031, 572},	// QsciLexerCSharp::language
    {59, 1087, 564},	// QsciLexerCSharp::metaObject
    {59, 1129, 570},	// QsciLexerCSharp::qt_metacall$$?
    {59, 1131, 565},	// QsciLexerCSharp::qt_metacast$
    {59, 1483, 582},	// QsciLexerCSharp::staticMetaObject
    {59, 1507, 579},	// QsciLexerCSharp::tr$
    {59, 1508, 566},	// QsciLexerCSharp::tr$$
    {59, 1509, 568},	// QsciLexerCSharp::tr$$$
    {59, 1511, 580},	// QsciLexerCSharp::trUtf8$
    {59, 1512, 567},	// QsciLexerCSharp::trUtf8$$
    {59, 1513, 569},	// QsciLexerCSharp::trUtf8$$$
    {59, 1563, 583},	// QsciLexerCSharp::~QsciLexerCSharp
    {60, 475, 600},	// QsciLexerCustom::QsciLexerCustom
    {60, 476, 591},	// QsciLexerCustom::QsciLexerCustom#
    {60, 1087, 584},	// QsciLexerCustom::metaObject
    {60, 1129, 590},	// QsciLexerCustom::qt_metacall$$?
    {60, 1131, 585},	// QsciLexerCustom::qt_metacast$
    {60, 1262, 596},	// QsciLexerCustom::setEditor#
    {60, 1429, 593},	// QsciLexerCustom::setStyling$#
    {60, 1430, 592},	// QsciLexerCustom::setStyling$$
    {60, 1481, 601},	// QsciLexerCustom::startStyling$
    {60, 1482, 594},	// QsciLexerCustom::startStyling$$
    {60, 1483, 602},	// QsciLexerCustom::staticMetaObject
    {60, 1486, 597},	// QsciLexerCustom::styleBitsNeeded
    {60, 1490, 595},	// QsciLexerCustom::styleText$$
    {60, 1507, 598},	// QsciLexerCustom::tr$
    {60, 1508, 586},	// QsciLexerCustom::tr$$
    {60, 1509, 588},	// QsciLexerCustom::tr$$$
    {60, 1511, 599},	// QsciLexerCustom::trUtf8$
    {60, 1512, 587},	// QsciLexerCustom::trUtf8$$
    {60, 1513, 589},	// QsciLexerCustom::trUtf8$$$
    {60, 1564, 603},	// QsciLexerCustom::~QsciLexerCustom
    {61, 80, 660},	// QsciLexerD::BackquoteString
    {61, 122, 654},	// QsciLexerD::Character
    {61, 137, 643},	// QsciLexerD::Comment
    {61, 140, 645},	// QsciLexerD::CommentDoc
    {61, 141, 658},	// QsciLexerD::CommentDocKeyword
    {61, 142, 659},	// QsciLexerD::CommentDocKeywordError
    {61, 143, 644},	// QsciLexerD::CommentLine
    {61, 144, 657},	// QsciLexerD::CommentLineDoc
    {61, 146, 646},	// QsciLexerD::CommentNested
    {61, 158, 642},	// QsciLexerD::Default
    {61, 251, 656},	// QsciLexerD::Identifier
    {61, 300, 648},	// QsciLexerD::Keyword
    {61, 301, 650},	// QsciLexerD::KeywordDoc
    {61, 302, 649},	// QsciLexerD::KeywordSecondary
    {61, 305, 662},	// QsciLexerD::KeywordSet5
    {61, 306, 663},	// QsciLexerD::KeywordSet6
    {61, 307, 664},	// QsciLexerD::KeywordSet7
    {61, 371, 647},	// QsciLexerD::Number
    {61, 375, 655},	// QsciLexerD::Operator
    {61, 477, 637},	// QsciLexerD::QsciLexerD
    {61, 478, 611},	// QsciLexerD::QsciLexerD#
    {61, 553, 661},	// QsciLexerD::RawString
    {61, 669, 652},	// QsciLexerD::String
    {61, 712, 651},	// QsciLexerD::Typedefs
    {61, 715, 653},	// QsciLexerD::UnclosedString
    {61, 808, 614},	// QsciLexerD::autoCompletionWordSeparators
    {61, 814, 638},	// QsciLexerD::blockEnd
    {61, 815, 615},	// QsciLexerD::blockEnd$
    {61, 817, 639},	// QsciLexerD::blockStart
    {61, 818, 616},	// QsciLexerD::blockStart$
    {61, 819, 640},	// QsciLexerD::blockStartKeyword
    {61, 820, 617},	// QsciLexerD::blockStartKeyword$
    {61, 824, 618},	// QsciLexerD::braceStyle
    {61, 875, 620},	// QsciLexerD::defaultColor$
    {61, 877, 621},	// QsciLexerD::defaultEolFill$
    {61, 879, 622},	// QsciLexerD::defaultFont$
    {61, 881, 623},	// QsciLexerD::defaultPaper$
    {61, 885, 625},	// QsciLexerD::description$
    {61, 950, 627},	// QsciLexerD::foldAtElse
    {61, 952, 628},	// QsciLexerD::foldComments
    {61, 953, 629},	// QsciLexerD::foldCompact
    {61, 1030, 624},	// QsciLexerD::keywords$
    {61, 1031, 612},	// QsciLexerD::language
    {61, 1036, 613},	// QsciLexerD::lexer
    {61, 1087, 604},	// QsciLexerD::metaObject
    {61, 1129, 610},	// QsciLexerD::qt_metacall$$?
    {61, 1131, 605},	// QsciLexerD::qt_metacast$
    {61, 1136, 633},	// QsciLexerD::readProperties#$
    {61, 1145, 626},	// QsciLexerD::refreshProperties
    {61, 1279, 630},	// QsciLexerD::setFoldAtElse$
    {61, 1283, 631},	// QsciLexerD::setFoldComments$
    {61, 1285, 632},	// QsciLexerD::setFoldCompact$
    {61, 1483, 641},	// QsciLexerD::staticMetaObject
    {61, 1507, 635},	// QsciLexerD::tr$
    {61, 1508, 606},	// QsciLexerD::tr$$
    {61, 1509, 608},	// QsciLexerD::tr$$$
    {61, 1511, 636},	// QsciLexerD::trUtf8$
    {61, 1512, 607},	// QsciLexerD::trUtf8$$
    {61, 1513, 609},	// QsciLexerD::trUtf8$$$
    {61, 1536, 619},	// QsciLexerD::wordCharacters
    {61, 1542, 634},	// QsciLexerD::writeProperties#$
    {61, 1565, 665},	// QsciLexerD::~QsciLexerD
    {62, 136, 685},	// QsciLexerDiff::Command
    {62, 137, 684},	// QsciLexerDiff::Comment
    {62, 158, 683},	// QsciLexerDiff::Default
    {62, 233, 686},	// QsciLexerDiff::Header
    {62, 322, 689},	// QsciLexerDiff::LineAdded
    {62, 323, 690},	// QsciLexerDiff::LineChanged
    {62, 339, 688},	// QsciLexerDiff::LineRemoved
    {62, 421, 687},	// QsciLexerDiff::Position
    {62, 479, 681},	// QsciLexerDiff::QsciLexerDiff
    {62, 480, 673},	// QsciLexerDiff::QsciLexerDiff#
    {62, 875, 677},	// QsciLexerDiff::defaultColor$
    {62, 885, 678},	// QsciLexerDiff::description$
    {62, 1031, 674},	// QsciLexerDiff::language
    {62, 1036, 675},	// QsciLexerDiff::lexer
    {62, 1087, 666},	// QsciLexerDiff::metaObject
    {62, 1129, 672},	// QsciLexerDiff::qt_metacall$$?
    {62, 1131, 667},	// QsciLexerDiff::qt_metacast$
    {62, 1483, 682},	// QsciLexerDiff::staticMetaObject
    {62, 1507, 679},	// QsciLexerDiff::tr$
    {62, 1508, 668},	// QsciLexerDiff::tr$$
    {62, 1509, 670},	// QsciLexerDiff::tr$$$
    {62, 1511, 680},	// QsciLexerDiff::trUtf8$
    {62, 1512, 669},	// QsciLexerDiff::trUtf8$$
    {62, 1513, 671},	// QsciLexerDiff::trUtf8$$$
    {62, 1536, 676},	// QsciLexerDiff::wordCharacters
    {62, 1566, 691},	// QsciLexerDiff::~QsciLexerDiff
    {63, 481, 705},	// QsciLexerFortran::QsciLexerFortran
    {63, 482, 699},	// QsciLexerFortran::QsciLexerFortran#
    {63, 1030, 702},	// QsciLexerFortran::keywords$
    {63, 1031, 700},	// QsciLexerFortran::language
    {63, 1036, 701},	// QsciLexerFortran::lexer
    {63, 1087, 692},	// QsciLexerFortran::metaObject
    {63, 1129, 698},	// QsciLexerFortran::qt_metacall$$?
    {63, 1131, 693},	// QsciLexerFortran::qt_metacast$
    {63, 1483, 706},	// QsciLexerFortran::staticMetaObject
    {63, 1507, 703},	// QsciLexerFortran::tr$
    {63, 1508, 694},	// QsciLexerFortran::tr$$
    {63, 1509, 696},	// QsciLexerFortran::tr$$$
    {63, 1511, 704},	// QsciLexerFortran::trUtf8$
    {63, 1512, 695},	// QsciLexerFortran::trUtf8$$
    {63, 1513, 697},	// QsciLexerFortran::trUtf8$$$
    {63, 1567, 707},	// QsciLexerFortran::~QsciLexerFortran
    {64, 137, 735},	// QsciLexerFortran77::Comment
    {64, 148, 748},	// QsciLexerFortran77::Continuation
    {64, 158, 734},	// QsciLexerFortran77::Default
    {64, 181, 746},	// QsciLexerFortran77::DottedOperator
    {64, 184, 738},	// QsciLexerFortran77::DoubleQuotedString
    {64, 207, 744},	// QsciLexerFortran77::ExtendedFunction
    {64, 251, 741},	// QsciLexerFortran77::Identifier
    {64, 284, 743},	// QsciLexerFortran77::IntrinsicFunction
    {64, 300, 742},	// QsciLexerFortran77::Keyword
    {64, 310, 747},	// QsciLexerFortran77::Label
    {64, 371, 736},	// QsciLexerFortran77::Number
    {64, 375, 740},	// QsciLexerFortran77::Operator
    {64, 423, 745},	// QsciLexerFortran77::PreProcessor
    {64, 483, 732},	// QsciLexerFortran77::QsciLexerFortran77
    {64, 484, 715},	// QsciLexerFortran77::QsciLexerFortran77#
    {64, 650, 737},	// QsciLexerFortran77::SingleQuotedString
    {64, 715, 739},	// QsciLexerFortran77::UnclosedString
    {64, 824, 718},	// QsciLexerFortran77::braceStyle
    {64, 875, 719},	// QsciLexerFortran77::defaultColor$
    {64, 877, 720},	// QsciLexerFortran77::defaultEolFill$
    {64, 879, 721},	// QsciLexerFortran77::defaultFont$
    {64, 881, 722},	// QsciLexerFortran77::defaultPaper$
    {64, 885, 724},	// QsciLexerFortran77::description$
    {64, 953, 726},	// QsciLexerFortran77::foldCompact
    {64, 1030, 723},	// QsciLexerFortran77::keywords$
    {64, 1031, 716},	// QsciLexerFortran77::language
    {64, 1036, 717},	// QsciLexerFortran77::lexer
    {64, 1087, 708},	// QsciLexerFortran77::metaObject
    {64, 1129, 714},	// QsciLexerFortran77::qt_metacall$$?
    {64, 1131, 709},	// QsciLexerFortran77::qt_metacast$
    {64, 1136, 728},	// QsciLexerFortran77::readProperties#$
    {64, 1145, 725},	// QsciLexerFortran77::refreshProperties
    {64, 1285, 727},	// QsciLexerFortran77::setFoldCompact$
    {64, 1483, 733},	// QsciLexerFortran77::staticMetaObject
    {64, 1507, 730},	// QsciLexerFortran77::tr$
    {64, 1508, 710},	// QsciLexerFortran77::tr$$
    {64, 1509, 712},	// QsciLexerFortran77::tr$$$
    {64, 1511, 731},	// QsciLexerFortran77::trUtf8$
    {64, 1512, 711},	// QsciLexerFortran77::trUtf8$$
    {64, 1513, 713},	// QsciLexerFortran77::trUtf8$$$
    {64, 1542, 729},	// QsciLexerFortran77::writeProperties#$
    {64, 1568, 749},	// QsciLexerFortran77::~QsciLexerFortran77
    {65, 11, 804},	// QsciLexerHTML::ASPAtStart
    {65, 12, 836},	// QsciLexerHTML::ASPJavaScriptComment
    {65, 13, 838},	// QsciLexerHTML::ASPJavaScriptCommentDoc
    {65, 14, 837},	// QsciLexerHTML::ASPJavaScriptCommentLine
    {65, 15, 835},	// QsciLexerHTML::ASPJavaScriptDefault
    {65, 16, 842},	// QsciLexerHTML::ASPJavaScriptDoubleQuotedString
    {65, 17, 841},	// QsciLexerHTML::ASPJavaScriptKeyword
    {65, 18, 839},	// QsciLexerHTML::ASPJavaScriptNumber
    {65, 19, 846},	// QsciLexerHTML::ASPJavaScriptRegex
    {65, 20, 843},	// QsciLexerHTML::ASPJavaScriptSingleQuotedString
    {65, 21, 834},	// QsciLexerHTML::ASPJavaScriptStart
    {65, 22, 844},	// QsciLexerHTML::ASPJavaScriptSymbol
    {65, 23, 845},	// QsciLexerHTML::ASPJavaScriptUnclosedString
    {65, 24, 840},	// QsciLexerHTML::ASPJavaScriptWord
    {65, 25, 885},	// QsciLexerHTML::ASPPythonClassName
    {65, 26, 878},	// QsciLexerHTML::ASPPythonComment
    {65, 27, 877},	// QsciLexerHTML::ASPPythonDefault
    {65, 28, 880},	// QsciLexerHTML::ASPPythonDoubleQuotedString
    {65, 29, 886},	// QsciLexerHTML::ASPPythonFunctionMethodName
    {65, 30, 888},	// QsciLexerHTML::ASPPythonIdentifier
    {65, 31, 882},	// QsciLexerHTML::ASPPythonKeyword
    {65, 32, 879},	// QsciLexerHTML::ASPPythonNumber
    {65, 33, 887},	// QsciLexerHTML::ASPPythonOperator
    {65, 34, 881},	// QsciLexerHTML::ASPPythonSingleQuotedString
    {65, 35, 876},	// QsciLexerHTML::ASPPythonStart
    {65, 36, 884},	// QsciLexerHTML::ASPPythonTripleDoubleQuotedString
    {65, 37, 883},	// QsciLexerHTML::ASPPythonTripleSingleQuotedString
    {65, 38, 805},	// QsciLexerHTML::ASPStart
    {65, 39, 857},	// QsciLexerHTML::ASPVBScriptComment
    {65, 40, 856},	// QsciLexerHTML::ASPVBScriptDefault
    {65, 41, 861},	// QsciLexerHTML::ASPVBScriptIdentifier
    {65, 42, 859},	// QsciLexerHTML::ASPVBScriptKeyword
    {65, 43, 858},	// QsciLexerHTML::ASPVBScriptNumber
    {65, 44, 855},	// QsciLexerHTML::ASPVBScriptStart
    {65, 45, 860},	// QsciLexerHTML::ASPVBScriptString
    {65, 46, 862},	// QsciLexerHTML::ASPVBScriptUnclosedString
    {65, 47, 809},	// QsciLexerHTML::ASPXCComment
    {65, 66, 792},	// QsciLexerHTML::Attribute
    {65, 104, 806},	// QsciLexerHTML::CDATA
    {65, 158, 789},	// QsciLexerHTML::Default
    {65, 197, 799},	// QsciLexerHTML::Entity
    {65, 226, 798},	// QsciLexerHTML::HTMLComment
    {65, 227, 795},	// QsciLexerHTML::HTMLDoubleQuotedString
    {65, 228, 794},	// QsciLexerHTML::HTMLNumber
    {65, 229, 796},	// QsciLexerHTML::HTMLSingleQuotedString
    {65, 230, 808},	// QsciLexerHTML::HTMLValue
    {65, 286, 823},	// QsciLexerHTML::JavaScriptComment
    {65, 287, 825},	// QsciLexerHTML::JavaScriptCommentDoc
    {65, 288, 824},	// QsciLexerHTML::JavaScriptCommentLine
    {65, 289, 822},	// QsciLexerHTML::JavaScriptDefault
    {65, 290, 829},	// QsciLexerHTML::JavaScriptDoubleQuotedString
    {65, 291, 828},	// QsciLexerHTML::JavaScriptKeyword
    {65, 292, 826},	// QsciLexerHTML::JavaScriptNumber
    {65, 293, 833},	// QsciLexerHTML::JavaScriptRegex
    {65, 294, 830},	// QsciLexerHTML::JavaScriptSingleQuotedString
    {65, 295, 821},	// QsciLexerHTML::JavaScriptStart
    {65, 296, 831},	// QsciLexerHTML::JavaScriptSymbol
    {65, 297, 832},	// QsciLexerHTML::JavaScriptUnclosedString
    {65, 298, 827},	// QsciLexerHTML::JavaScriptWord
    {65, 377, 797},	// QsciLexerHTML::OtherInTag
    {65, 378, 895},	// QsciLexerHTML::PHPComment
    {65, 379, 896},	// QsciLexerHTML::PHPCommentLine
    {65, 380, 889},	// QsciLexerHTML::PHPDefault
    {65, 381, 890},	// QsciLexerHTML::PHPDoubleQuotedString
    {65, 382, 897},	// QsciLexerHTML::PHPDoubleQuotedVariable
    {65, 383, 892},	// QsciLexerHTML::PHPKeyword
    {65, 384, 893},	// QsciLexerHTML::PHPNumber
    {65, 385, 898},	// QsciLexerHTML::PHPOperator
    {65, 386, 891},	// QsciLexerHTML::PHPSingleQuotedString
    {65, 387, 807},	// QsciLexerHTML::PHPStart
    {65, 388, 894},	// QsciLexerHTML::PHPVariable
    {65, 434, 872},	// QsciLexerHTML::PythonClassName
    {65, 435, 865},	// QsciLexerHTML::PythonComment
    {65, 436, 864},	// QsciLexerHTML::PythonDefault
    {65, 437, 867},	// QsciLexerHTML::PythonDoubleQuotedString
    {65, 438, 873},	// QsciLexerHTML::PythonFunctionMethodName
    {65, 439, 875},	// QsciLexerHTML::PythonIdentifier
    {65, 440, 869},	// QsciLexerHTML::PythonKeyword
    {65, 441, 866},	// QsciLexerHTML::PythonNumber
    {65, 442, 874},	// QsciLexerHTML::PythonOperator
    {65, 443, 868},	// QsciLexerHTML::PythonSingleQuotedString
    {65, 444, 863},	// QsciLexerHTML::PythonStart
    {65, 445, 871},	// QsciLexerHTML::PythonTripleDoubleQuotedString
    {65, 446, 870},	// QsciLexerHTML::PythonTripleSingleQuotedString
    {65, 485, 787},	// QsciLexerHTML::QsciLexerHTML
    {65, 486, 757},	// QsciLexerHTML::QsciLexerHTML#
    {65, 613, 820},	// QsciLexerHTML::SGMLBlockDefault
    {65, 614, 811},	// QsciLexerHTML::SGMLCommand
    {65, 615, 818},	// QsciLexerHTML::SGMLComment
    {65, 616, 810},	// QsciLexerHTML::SGMLDefault
    {65, 617, 813},	// QsciLexerHTML::SGMLDoubleQuotedString
    {65, 618, 817},	// QsciLexerHTML::SGMLEntity
    {65, 619, 815},	// QsciLexerHTML::SGMLError
    {65, 620, 812},	// QsciLexerHTML::SGMLParameter
    {65, 621, 819},	// QsciLexerHTML::SGMLParameterComment
    {65, 622, 814},	// QsciLexerHTML::SGMLSingleQuotedString
    {65, 623, 816},	// QsciLexerHTML::SGMLSpecial
    {65, 626, 803},	// QsciLexerHTML::Script
    {65, 696, 790},	// QsciLexerHTML::Tag
    {65, 718, 793},	// QsciLexerHTML::UnknownAttribute
    {65, 721, 791},	// QsciLexerHTML::UnknownTag
    {65, 723, 849},	// QsciLexerHTML::VBScriptComment
    {65, 724, 848},	// QsciLexerHTML::VBScriptDefault
    {65, 725, 853},	// QsciLexerHTML::VBScriptIdentifier
    {65, 726, 851},	// QsciLexerHTML::VBScriptKeyword
    {65, 727, 850},	// QsciLexerHTML::VBScriptNumber
    {65, 728, 847},	// QsciLexerHTML::VBScriptStart
    {65, 729, 852},	// QsciLexerHTML::VBScriptString
    {65, 730, 854},	// QsciLexerHTML::VBScriptUnclosedString
    {65, 768, 802},	// QsciLexerHTML::XMLEnd
    {65, 769, 801},	// QsciLexerHTML::XMLStart
    {65, 770, 800},	// QsciLexerHTML::XMLTagEnd
    {65, 799, 760},	// QsciLexerHTML::autoCompletionFillups
    {65, 838, 769},	// QsciLexerHTML::caseSensitiveTags
    {65, 875, 762},	// QsciLexerHTML::defaultColor$
    {65, 877, 763},	// QsciLexerHTML::defaultEolFill$
    {65, 879, 764},	// QsciLexerHTML::defaultFont$
    {65, 881, 765},	// QsciLexerHTML::defaultPaper$
    {65, 885, 767},	// QsciLexerHTML::description$
    {65, 888, 771},	// QsciLexerHTML::djangoTemplates
    {65, 953, 772},	// QsciLexerHTML::foldCompact
    {65, 960, 773},	// QsciLexerHTML::foldPreprocessor
    {65, 962, 775},	// QsciLexerHTML::foldScriptComments
    {65, 963, 777},	// QsciLexerHTML::foldScriptHeredocs
    {65, 1030, 766},	// QsciLexerHTML::keywords$
    {65, 1031, 758},	// QsciLexerHTML::language
    {65, 1036, 759},	// QsciLexerHTML::lexer
    {65, 1051, 779},	// QsciLexerHTML::makoTemplates
    {65, 1087, 750},	// QsciLexerHTML::metaObject
    {65, 1129, 756},	// QsciLexerHTML::qt_metacall$$?
    {65, 1131, 751},	// QsciLexerHTML::qt_metacast$
    {65, 1136, 783},	// QsciLexerHTML::readProperties#$
    {65, 1145, 768},	// QsciLexerHTML::refreshProperties
    {65, 1229, 782},	// QsciLexerHTML::setCaseSensitiveTags$
    {65, 1248, 770},	// QsciLexerHTML::setDjangoTemplates$
    {65, 1285, 780},	// QsciLexerHTML::setFoldCompact$
    {65, 1297, 781},	// QsciLexerHTML::setFoldPreprocessor$
    {65, 1301, 774},	// QsciLexerHTML::setFoldScriptComments$
    {65, 1303, 776},	// QsciLexerHTML::setFoldScriptHeredocs$
    {65, 1358, 778},	// QsciLexerHTML::setMakoTemplates$
    {65, 1483, 788},	// QsciLexerHTML::staticMetaObject
    {65, 1507, 785},	// QsciLexerHTML::tr$
    {65, 1508, 752},	// QsciLexerHTML::tr$$
    {65, 1509, 754},	// QsciLexerHTML::tr$$$
    {65, 1511, 786},	// QsciLexerHTML::trUtf8$
    {65, 1512, 753},	// QsciLexerHTML::trUtf8$$
    {65, 1513, 755},	// QsciLexerHTML::trUtf8$$$
    {65, 1536, 761},	// QsciLexerHTML::wordCharacters
    {65, 1542, 784},	// QsciLexerHTML::writeProperties#$
    {65, 1569, 899},	// QsciLexerHTML::~QsciLexerHTML
    {66, 487, 914},	// QsciLexerIDL::QsciLexerIDL
    {66, 488, 907},	// QsciLexerIDL::QsciLexerIDL#
    {66, 875, 909},	// QsciLexerIDL::defaultColor$
    {66, 885, 911},	// QsciLexerIDL::description$
    {66, 1030, 910},	// QsciLexerIDL::keywords$
    {66, 1031, 908},	// QsciLexerIDL::language
    {66, 1087, 900},	// QsciLexerIDL::metaObject
    {66, 1129, 906},	// QsciLexerIDL::qt_metacall$$?
    {66, 1131, 901},	// QsciLexerIDL::qt_metacast$
    {66, 1483, 915},	// QsciLexerIDL::staticMetaObject
    {66, 1507, 912},	// QsciLexerIDL::tr$
    {66, 1508, 902},	// QsciLexerIDL::tr$$
    {66, 1509, 904},	// QsciLexerIDL::tr$$$
    {66, 1511, 913},	// QsciLexerIDL::trUtf8$
    {66, 1512, 903},	// QsciLexerIDL::trUtf8$$
    {66, 1513, 905},	// QsciLexerIDL::trUtf8$$$
    {66, 1570, 916},	// QsciLexerIDL::~QsciLexerIDL
    {67, 489, 929},	// QsciLexerJava::QsciLexerJava
    {67, 490, 924},	// QsciLexerJava::QsciLexerJava#
    {67, 1030, 926},	// QsciLexerJava::keywords$
    {67, 1031, 925},	// QsciLexerJava::language
    {67, 1087, 917},	// QsciLexerJava::metaObject
    {67, 1129, 923},	// QsciLexerJava::qt_metacall$$?
    {67, 1131, 918},	// QsciLexerJava::qt_metacast$
    {67, 1483, 930},	// QsciLexerJava::staticMetaObject
    {67, 1507, 927},	// QsciLexerJava::tr$
    {67, 1508, 919},	// QsciLexerJava::tr$$
    {67, 1509, 921},	// QsciLexerJava::tr$$$
    {67, 1511, 928},	// QsciLexerJava::trUtf8$
    {67, 1512, 920},	// QsciLexerJava::trUtf8$$
    {67, 1513, 922},	// QsciLexerJava::trUtf8$$$
    {67, 1571, 931},	// QsciLexerJava::~QsciLexerJava
    {68, 491, 949},	// QsciLexerJavaScript::QsciLexerJavaScript
    {68, 492, 939},	// QsciLexerJavaScript::QsciLexerJavaScript#
    {68, 875, 941},	// QsciLexerJavaScript::defaultColor$
    {68, 877, 942},	// QsciLexerJavaScript::defaultEolFill$
    {68, 879, 943},	// QsciLexerJavaScript::defaultFont$
    {68, 881, 944},	// QsciLexerJavaScript::defaultPaper$
    {68, 885, 946},	// QsciLexerJavaScript::description$
    {68, 1030, 945},	// QsciLexerJavaScript::keywords$
    {68, 1031, 940},	// QsciLexerJavaScript::language
    {68, 1087, 932},	// QsciLexerJavaScript::metaObject
    {68, 1129, 938},	// QsciLexerJavaScript::qt_metacall$$?
    {68, 1131, 933},	// QsciLexerJavaScript::qt_metacast$
    {68, 1483, 950},	// QsciLexerJavaScript::staticMetaObject
    {68, 1507, 947},	// QsciLexerJavaScript::tr$
    {68, 1508, 934},	// QsciLexerJavaScript::tr$$
    {68, 1509, 936},	// QsciLexerJavaScript::tr$$$
    {68, 1511, 948},	// QsciLexerJavaScript::trUtf8$
    {68, 1512, 935},	// QsciLexerJavaScript::trUtf8$$
    {68, 1513, 937},	// QsciLexerJavaScript::trUtf8$$$
    {68, 1572, 951},	// QsciLexerJavaScript::~QsciLexerJavaScript
    {69, 89, 993},	// QsciLexerLua::BasicFunctions
    {69, 122, 987},	// QsciLexerLua::Character
    {69, 137, 982},	// QsciLexerLua::Comment
    {69, 149, 995},	// QsciLexerLua::CoroutinesIOSystemFacilities
    {69, 158, 981},	// QsciLexerLua::Default
    {69, 251, 991},	// QsciLexerLua::Identifier
    {69, 300, 985},	// QsciLexerLua::Keyword
    {69, 305, 996},	// QsciLexerLua::KeywordSet5
    {69, 306, 997},	// QsciLexerLua::KeywordSet6
    {69, 307, 998},	// QsciLexerLua::KeywordSet7
    {69, 308, 999},	// QsciLexerLua::KeywordSet8
    {69, 310, 1000},	// QsciLexerLua::Label
    {69, 324, 983},	// QsciLexerLua::LineComment
    {69, 347, 988},	// QsciLexerLua::LiteralString
    {69, 371, 984},	// QsciLexerLua::Number
    {69, 375, 990},	// QsciLexerLua::Operator
    {69, 429, 989},	// QsciLexerLua::Preprocessor
    {69, 493, 978},	// QsciLexerLua::QsciLexerLua
    {69, 494, 959},	// QsciLexerLua::QsciLexerLua#
    {69, 669, 986},	// QsciLexerLua::String
    {69, 672, 994},	// QsciLexerLua::StringTableMathsFunctions
    {69, 715, 992},	// QsciLexerLua::UnclosedString
    {69, 808, 962},	// QsciLexerLua::autoCompletionWordSeparators
    {69, 817, 979},	// QsciLexerLua::blockStart
    {69, 818, 963},	// QsciLexerLua::blockStart$
    {69, 824, 964},	// QsciLexerLua::braceStyle
    {69, 875, 965},	// QsciLexerLua::defaultColor$
    {69, 877, 966},	// QsciLexerLua::defaultEolFill$
    {69, 879, 967},	// QsciLexerLua::defaultFont$
    {69, 881, 968},	// QsciLexerLua::defaultPaper$
    {69, 885, 970},	// QsciLexerLua::description$
    {69, 953, 972},	// QsciLexerLua::foldCompact
    {69, 1030, 969},	// QsciLexerLua::keywords$
    {69, 1031, 960},	// QsciLexerLua::language
    {69, 1036, 961},	// QsciLexerLua::lexer
    {69, 1087, 952},	// QsciLexerLua::metaObject
    {69, 1129, 958},	// QsciLexerLua::qt_metacall$$?
    {69, 1131, 953},	// QsciLexerLua::qt_metacast$
    {69, 1136, 974},	// QsciLexerLua::readProperties#$
    {69, 1145, 971},	// QsciLexerLua::refreshProperties
    {69, 1285, 973},	// QsciLexerLua::setFoldCompact$
    {69, 1483, 980},	// QsciLexerLua::staticMetaObject
    {69, 1507, 976},	// QsciLexerLua::tr$
    {69, 1508, 954},	// QsciLexerLua::tr$$
    {69, 1509, 956},	// QsciLexerLua::tr$$$
    {69, 1511, 977},	// QsciLexerLua::trUtf8$
    {69, 1512, 955},	// QsciLexerLua::trUtf8$$
    {69, 1513, 957},	// QsciLexerLua::trUtf8$$$
    {69, 1542, 975},	// QsciLexerLua::writeProperties#$
    {69, 1573, 1001},	// QsciLexerLua::~QsciLexerLua
    {70, 137, 1023},	// QsciLexerMakefile::Comment
    {70, 158, 1022},	// QsciLexerMakefile::Default
    {70, 203, 1028},	// QsciLexerMakefile::Error
    {70, 375, 1026},	// QsciLexerMakefile::Operator
    {70, 429, 1024},	// QsciLexerMakefile::Preprocessor
    {70, 495, 1020},	// QsciLexerMakefile::QsciLexerMakefile
    {70, 496, 1009},	// QsciLexerMakefile::QsciLexerMakefile#
    {70, 697, 1027},	// QsciLexerMakefile::Target
    {70, 738, 1025},	// QsciLexerMakefile::Variable
    {70, 875, 1013},	// QsciLexerMakefile::defaultColor$
    {70, 877, 1014},	// QsciLexerMakefile::defaultEolFill$
    {70, 879, 1015},	// QsciLexerMakefile::defaultFont$
    {70, 881, 1016},	// QsciLexerMakefile::defaultPaper$
    {70, 885, 1017},	// QsciLexerMakefile::description$
    {70, 1031, 1010},	// QsciLexerMakefile::language
    {70, 1036, 1011},	// QsciLexerMakefile::lexer
    {70, 1087, 1002},	// QsciLexerMakefile::metaObject
    {70, 1129, 1008},	// QsciLexerMakefile::qt_metacall$$?
    {70, 1131, 1003},	// QsciLexerMakefile::qt_metacast$
    {70, 1483, 1021},	// QsciLexerMakefile::staticMetaObject
    {70, 1507, 1018},	// QsciLexerMakefile::tr$
    {70, 1508, 1004},	// QsciLexerMakefile::tr$$
    {70, 1509, 1006},	// QsciLexerMakefile::tr$$$
    {70, 1511, 1019},	// QsciLexerMakefile::trUtf8$
    {70, 1512, 1005},	// QsciLexerMakefile::trUtf8$$
    {70, 1513, 1007},	// QsciLexerMakefile::trUtf8$$$
    {70, 1536, 1012},	// QsciLexerMakefile::wordCharacters
    {70, 1574, 1029},	// QsciLexerMakefile::~QsciLexerMakefile
    {71, 86, 1070},	// QsciLexerPOV::BadDirective
    {71, 137, 1062},	// QsciLexerPOV::Comment
    {71, 143, 1063},	// QsciLexerPOV::CommentLine
    {71, 158, 1061},	// QsciLexerPOV::Default
    {71, 173, 1069},	// QsciLexerPOV::Directive
    {71, 251, 1066},	// QsciLexerPOV::Identifier
    {71, 306, 1075},	// QsciLexerPOV::KeywordSet6
    {71, 307, 1076},	// QsciLexerPOV::KeywordSet7
    {71, 308, 1077},	// QsciLexerPOV::KeywordSet8
    {71, 371, 1064},	// QsciLexerPOV::Number
    {71, 373, 1071},	// QsciLexerPOV::ObjectsCSGAppearance
    {71, 375, 1065},	// QsciLexerPOV::Operator
    {71, 427, 1074},	// QsciLexerPOV::PredefinedFunctions
    {71, 428, 1073},	// QsciLexerPOV::PredefinedIdentifiers
    {71, 497, 1059},	// QsciLexerPOV::QsciLexerPOV
    {71, 498, 1037},	// QsciLexerPOV::QsciLexerPOV#
    {71, 669, 1067},	// QsciLexerPOV::String
    {71, 713, 1072},	// QsciLexerPOV::TypesModifiersItems
    {71, 715, 1068},	// QsciLexerPOV::UnclosedString
    {71, 824, 1040},	// QsciLexerPOV::braceStyle
    {71, 875, 1042},	// QsciLexerPOV::defaultColor$
    {71, 877, 1043},	// QsciLexerPOV::defaultEolFill$
    {71, 879, 1044},	// QsciLexerPOV::defaultFont$
    {71, 881, 1045},	// QsciLexerPOV::defaultPaper$
    {71, 885, 1047},	// QsciLexerPOV::description$
    {71, 952, 1049},	// QsciLexerPOV::foldComments
    {71, 953, 1050},	// QsciLexerPOV::foldCompact
    {71, 954, 1051},	// QsciLexerPOV::foldDirectives
    {71, 1030, 1046},	// QsciLexerPOV::keywords$
    {71, 1031, 1038},	// QsciLexerPOV::language
    {71, 1036, 1039},	// QsciLexerPOV::lexer
    {71, 1087, 1030},	// QsciLexerPOV::metaObject
    {71, 1129, 1036},	// QsciLexerPOV::qt_metacall$$?
    {71, 1131, 1031},	// QsciLexerPOV::qt_metacast$
    {71, 1136, 1055},	// QsciLexerPOV::readProperties#$
    {71, 1145, 1048},	// QsciLexerPOV::refreshProperties
    {71, 1283, 1052},	// QsciLexerPOV::setFoldComments$
    {71, 1285, 1053},	// QsciLexerPOV::setFoldCompact$
    {71, 1287, 1054},	// QsciLexerPOV::setFoldDirectives$
    {71, 1483, 1060},	// QsciLexerPOV::staticMetaObject
    {71, 1507, 1057},	// QsciLexerPOV::tr$
    {71, 1508, 1032},	// QsciLexerPOV::tr$$
    {71, 1509, 1034},	// QsciLexerPOV::tr$$$
    {71, 1511, 1058},	// QsciLexerPOV::trUtf8$
    {71, 1512, 1033},	// QsciLexerPOV::trUtf8$$
    {71, 1513, 1035},	// QsciLexerPOV::trUtf8$$$
    {71, 1536, 1041},	// QsciLexerPOV::wordCharacters
    {71, 1542, 1056},	// QsciLexerPOV::writeProperties#$
    {71, 1575, 1078},	// QsciLexerPOV::~QsciLexerPOV
    {72, 63, 1132},	// QsciLexerPascal::Asm
    {72, 122, 1130},	// QsciLexerPascal::Character
    {72, 137, 1120},	// QsciLexerPascal::Comment
    {72, 143, 1122},	// QsciLexerPascal::CommentLine
    {72, 147, 1121},	// QsciLexerPascal::CommentParenthesis
    {72, 158, 1118},	// QsciLexerPascal::Default
    {72, 236, 1126},	// QsciLexerPascal::HexNumber
    {72, 251, 1119},	// QsciLexerPascal::Identifier
    {72, 300, 1127},	// QsciLexerPascal::Keyword
    {72, 371, 1125},	// QsciLexerPascal::Number
    {72, 375, 1131},	// QsciLexerPascal::Operator
    {72, 423, 1123},	// QsciLexerPascal::PreProcessor
    {72, 426, 1124},	// QsciLexerPascal::PreProcessorParenthesis
    {72, 499, 1113},	// QsciLexerPascal::QsciLexerPascal
    {72, 500, 1086},	// QsciLexerPascal::QsciLexerPascal#
    {72, 650, 1128},	// QsciLexerPascal::SingleQuotedString
    {72, 715, 1129},	// QsciLexerPascal::UnclosedString
    {72, 808, 1089},	// QsciLexerPascal::autoCompletionWordSeparators
    {72, 814, 1114},	// QsciLexerPascal::blockEnd
    {72, 815, 1090},	// QsciLexerPascal::blockEnd$
    {72, 817, 1115},	// QsciLexerPascal::blockStart
    {72, 818, 1091},	// QsciLexerPascal::blockStart$
    {72, 819, 1116},	// QsciLexerPascal::blockStartKeyword
    {72, 820, 1092},	// QsciLexerPascal::blockStartKeyword$
    {72, 824, 1093},	// QsciLexerPascal::braceStyle
    {72, 875, 1094},	// QsciLexerPascal::defaultColor$
    {72, 877, 1095},	// QsciLexerPascal::defaultEolFill$
    {72, 879, 1096},	// QsciLexerPascal::defaultFont$
    {72, 881, 1097},	// QsciLexerPascal::defaultPaper$
    {72, 885, 1099},	// QsciLexerPascal::description$
    {72, 952, 1101},	// QsciLexerPascal::foldComments
    {72, 953, 1102},	// QsciLexerPascal::foldCompact
    {72, 960, 1103},	// QsciLexerPascal::foldPreprocessor
    {72, 1030, 1098},	// QsciLexerPascal::keywords$
    {72, 1031, 1087},	// QsciLexerPascal::language
    {72, 1036, 1088},	// QsciLexerPascal::lexer
    {72, 1087, 1079},	// QsciLexerPascal::metaObject
    {72, 1129, 1085},	// QsciLexerPascal::qt_metacall$$?
    {72, 1131, 1080},	// QsciLexerPascal::qt_metacast$
    {72, 1136, 1109},	// QsciLexerPascal::readProperties#$
    {72, 1145, 1100},	// QsciLexerPascal::refreshProperties
    {72, 1283, 1106},	// QsciLexerPascal::setFoldComments$
    {72, 1285, 1107},	// QsciLexerPascal::setFoldCompact$
    {72, 1297, 1108},	// QsciLexerPascal::setFoldPreprocessor$
    {72, 1423, 1104},	// QsciLexerPascal::setSmartHighlighting$
    {72, 1477, 1105},	// QsciLexerPascal::smartHighlighting
    {72, 1483, 1117},	// QsciLexerPascal::staticMetaObject
    {72, 1507, 1111},	// QsciLexerPascal::tr$
    {72, 1508, 1081},	// QsciLexerPascal::tr$$
    {72, 1509, 1083},	// QsciLexerPascal::tr$$$
    {72, 1511, 1112},	// QsciLexerPascal::trUtf8$
    {72, 1512, 1082},	// QsciLexerPascal::trUtf8$$
    {72, 1513, 1084},	// QsciLexerPascal::trUtf8$$$
    {72, 1542, 1110},	// QsciLexerPascal::writeProperties#$
    {72, 1576, 1133},	// QsciLexerPascal::~QsciLexerPascal
    {73, 61, 1185},	// QsciLexerPerl::Array
    {73, 82, 1195},	// QsciLexerPerl::BacktickHereDocument
    {73, 83, 1211},	// QsciLexerPerl::BacktickHereDocumentVar
    {73, 84, 1190},	// QsciLexerPerl::Backticks
    {73, 85, 1209},	// QsciLexerPerl::BackticksVar
    {73, 137, 1176},	// QsciLexerPerl::Comment
    {73, 156, 1191},	// QsciLexerPerl::DataSection
    {73, 158, 1174},	// QsciLexerPerl::Default
    {73, 182, 1194},	// QsciLexerPerl::DoubleQuotedHereDocument
    {73, 183, 1210},	// QsciLexerPerl::DoubleQuotedHereDocumentVar
    {73, 184, 1180},	// QsciLexerPerl::DoubleQuotedString
    {73, 185, 1205},	// QsciLexerPerl::DoubleQuotedStringVar
    {73, 203, 1175},	// QsciLexerPerl::Error
    {73, 214, 1204},	// QsciLexerPerl::FormatBody
    {73, 215, 1203},	// QsciLexerPerl::FormatIdentifier
    {73, 231, 1186},	// QsciLexerPerl::Hash
    {73, 235, 1192},	// QsciLexerPerl::HereDocumentDelimiter
    {73, 251, 1183},	// QsciLexerPerl::Identifier
    {73, 300, 1179},	// QsciLexerPerl::Keyword
    {73, 371, 1178},	// QsciLexerPerl::Number
    {73, 375, 1182},	// QsciLexerPerl::Operator
    {73, 389, 1177},	// QsciLexerPerl::POD
    {73, 390, 1201},	// QsciLexerPerl::PODVerbatim
    {73, 501, 1170},	// QsciLexerPerl::QsciLexerPerl
    {73, 502, 1141},	// QsciLexerPerl::QsciLexerPerl#
    {73, 544, 1196},	// QsciLexerPerl::QuotedStringQ
    {73, 545, 1197},	// QsciLexerPerl::QuotedStringQQ
    {73, 546, 1212},	// QsciLexerPerl::QuotedStringQQVar
    {73, 547, 1199},	// QsciLexerPerl::QuotedStringQR
    {73, 548, 1214},	// QsciLexerPerl::QuotedStringQRVar
    {73, 549, 1200},	// QsciLexerPerl::QuotedStringQW
    {73, 550, 1198},	// QsciLexerPerl::QuotedStringQX
    {73, 551, 1213},	// QsciLexerPerl::QuotedStringQXVar
    {73, 557, 1188},	// QsciLexerPerl::Regex
    {73, 558, 1207},	// QsciLexerPerl::RegexVar
    {73, 624, 1184},	// QsciLexerPerl::Scalar
    {73, 649, 1193},	// QsciLexerPerl::SingleQuotedHereDocument
    {73, 650, 1181},	// QsciLexerPerl::SingleQuotedString
    {73, 679, 1202},	// QsciLexerPerl::SubroutinePrototype
    {73, 680, 1189},	// QsciLexerPerl::Substitution
    {73, 682, 1208},	// QsciLexerPerl::SubstitutionVar
    {73, 688, 1187},	// QsciLexerPerl::SymbolTable
    {73, 708, 1206},	// QsciLexerPerl::Translation
    {73, 808, 1144},	// QsciLexerPerl::autoCompletionWordSeparators
    {73, 814, 1171},	// QsciLexerPerl::blockEnd
    {73, 815, 1145},	// QsciLexerPerl::blockEnd$
    {73, 817, 1172},	// QsciLexerPerl::blockStart
    {73, 818, 1146},	// QsciLexerPerl::blockStart$
    {73, 824, 1147},	// QsciLexerPerl::braceStyle
    {73, 875, 1149},	// QsciLexerPerl::defaultColor$
    {73, 877, 1150},	// QsciLexerPerl::defaultEolFill$
    {73, 879, 1151},	// QsciLexerPerl::defaultFont$
    {73, 881, 1152},	// QsciLexerPerl::defaultPaper$
    {73, 885, 1154},	// QsciLexerPerl::description$
    {73, 950, 1157},	// QsciLexerPerl::foldAtElse
    {73, 952, 1158},	// QsciLexerPerl::foldComments
    {73, 953, 1159},	// QsciLexerPerl::foldCompact
    {73, 958, 1163},	// QsciLexerPerl::foldPODBlocks
    {73, 959, 1161},	// QsciLexerPerl::foldPackages
    {73, 1030, 1153},	// QsciLexerPerl::keywords$
    {73, 1031, 1142},	// QsciLexerPerl::language
    {73, 1036, 1143},	// QsciLexerPerl::lexer
    {73, 1087, 1134},	// QsciLexerPerl::metaObject
    {73, 1129, 1140},	// QsciLexerPerl::qt_metacall$$?
    {73, 1131, 1135},	// QsciLexerPerl::qt_metacast$
    {73, 1136, 1166},	// QsciLexerPerl::readProperties#$
    {73, 1145, 1155},	// QsciLexerPerl::refreshProperties
    {73, 1279, 1156},	// QsciLexerPerl::setFoldAtElse$
    {73, 1283, 1164},	// QsciLexerPerl::setFoldComments$
    {73, 1285, 1165},	// QsciLexerPerl::setFoldCompact$
    {73, 1293, 1162},	// QsciLexerPerl::setFoldPODBlocks$
    {73, 1295, 1160},	// QsciLexerPerl::setFoldPackages$
    {73, 1483, 1173},	// QsciLexerPerl::staticMetaObject
    {73, 1507, 1168},	// QsciLexerPerl::tr$
    {73, 1508, 1136},	// QsciLexerPerl::tr$$
    {73, 1509, 1138},	// QsciLexerPerl::tr$$$
    {73, 1511, 1169},	// QsciLexerPerl::trUtf8$
    {73, 1512, 1137},	// QsciLexerPerl::trUtf8$$
    {73, 1513, 1139},	// QsciLexerPerl::trUtf8$$$
    {73, 1536, 1148},	// QsciLexerPerl::wordCharacters
    {73, 1542, 1167},	// QsciLexerPerl::writeProperties#$
    {73, 1577, 1215},	// QsciLexerPerl::~QsciLexerPerl
    {74, 62, 1256},	// QsciLexerPostScript::ArrayParenthesis
    {74, 87, 1262},	// QsciLexerPostScript::BadStringCharacter
    {74, 88, 1261},	// QsciLexerPostScript::Base85String
    {74, 137, 1248},	// QsciLexerPostScript::Comment
    {74, 153, 1249},	// QsciLexerPostScript::DSCComment
    {74, 154, 1250},	// QsciLexerPostScript::DSCCommentValue
    {74, 158, 1247},	// QsciLexerPostScript::Default
    {74, 171, 1257},	// QsciLexerPostScript::DictionaryParenthesis
    {74, 237, 1260},	// QsciLexerPostScript::HexString
    {74, 254, 1255},	// QsciLexerPostScript::ImmediateEvalLiteral
    {74, 300, 1253},	// QsciLexerPostScript::Keyword
    {74, 346, 1254},	// QsciLexerPostScript::Literal
    {74, 364, 1252},	// QsciLexerPostScript::Name
    {74, 371, 1251},	// QsciLexerPostScript::Number
    {74, 431, 1258},	// QsciLexerPostScript::ProcedureParenthesis
    {74, 503, 1245},	// QsciLexerPostScript::QsciLexerPostScript
    {74, 504, 1223},	// QsciLexerPostScript::QsciLexerPostScript#
    {74, 698, 1259},	// QsciLexerPostScript::Text
    {74, 824, 1226},	// QsciLexerPostScript::braceStyle
    {74, 875, 1227},	// QsciLexerPostScript::defaultColor$
    {74, 879, 1228},	// QsciLexerPostScript::defaultFont$
    {74, 881, 1229},	// QsciLexerPostScript::defaultPaper$
    {74, 885, 1231},	// QsciLexerPostScript::description$
    {74, 950, 1236},	// QsciLexerPostScript::foldAtElse
    {74, 953, 1235},	// QsciLexerPostScript::foldCompact
    {74, 1030, 1230},	// QsciLexerPostScript::keywords$
    {74, 1031, 1224},	// QsciLexerPostScript::language
    {74, 1035, 1234},	// QsciLexerPostScript::level
    {74, 1036, 1225},	// QsciLexerPostScript::lexer
    {74, 1087, 1216},	// QsciLexerPostScript::metaObject
    {74, 1129, 1222},	// QsciLexerPostScript::qt_metacall$$?
    {74, 1131, 1217},	// QsciLexerPostScript::qt_metacast$
    {74, 1136, 1241},	// QsciLexerPostScript::readProperties#$
    {74, 1145, 1232},	// QsciLexerPostScript::refreshProperties
    {74, 1279, 1240},	// QsciLexerPostScript::setFoldAtElse$
    {74, 1285, 1239},	// QsciLexerPostScript::setFoldCompact$
    {74, 1352, 1238},	// QsciLexerPostScript::setLevel$
    {74, 1440, 1237},	// QsciLexerPostScript::setTokenize$
    {74, 1483, 1246},	// QsciLexerPostScript::staticMetaObject
    {74, 1505, 1233},	// QsciLexerPostScript::tokenize
    {74, 1507, 1243},	// QsciLexerPostScript::tr$
    {74, 1508, 1218},	// QsciLexerPostScript::tr$$
    {74, 1509, 1220},	// QsciLexerPostScript::tr$$$
    {74, 1511, 1244},	// QsciLexerPostScript::trUtf8$
    {74, 1512, 1219},	// QsciLexerPostScript::trUtf8$$
    {74, 1513, 1221},	// QsciLexerPostScript::trUtf8$$$
    {74, 1542, 1242},	// QsciLexerPostScript::writeProperties#$
    {74, 1578, 1263},	// QsciLexerPostScript::~QsciLexerPostScript
    {75, 64, 1294},	// QsciLexerProperties::Assignment
    {75, 137, 1292},	// QsciLexerProperties::Comment
    {75, 158, 1291},	// QsciLexerProperties::Default
    {75, 159, 1295},	// QsciLexerProperties::DefaultValue
    {75, 299, 1296},	// QsciLexerProperties::Key
    {75, 505, 1289},	// QsciLexerProperties::QsciLexerProperties
    {75, 506, 1271},	// QsciLexerProperties::QsciLexerProperties#
    {75, 629, 1293},	// QsciLexerProperties::Section
    {75, 875, 1275},	// QsciLexerProperties::defaultColor$
    {75, 877, 1276},	// QsciLexerProperties::defaultEolFill$
    {75, 879, 1277},	// QsciLexerProperties::defaultFont$
    {75, 881, 1278},	// QsciLexerProperties::defaultPaper$
    {75, 885, 1279},	// QsciLexerProperties::description$
    {75, 953, 1281},	// QsciLexerProperties::foldCompact
    {75, 1004, 1283},	// QsciLexerProperties::initialSpaces
    {75, 1031, 1272},	// QsciLexerProperties::language
    {75, 1036, 1273},	// QsciLexerProperties::lexer
    {75, 1087, 1264},	// QsciLexerProperties::metaObject
    {75, 1129, 1270},	// QsciLexerProperties::qt_metacall$$?
    {75, 1131, 1265},	// QsciLexerProperties::qt_metacast$
    {75, 1136, 1285},	// QsciLexerProperties::readProperties#$
    {75, 1145, 1280},	// QsciLexerProperties::refreshProperties
    {75, 1285, 1284},	// QsciLexerProperties::setFoldCompact$
    {75, 1346, 1282},	// QsciLexerProperties::setInitialSpaces$
    {75, 1483, 1290},	// QsciLexerProperties::staticMetaObject
    {75, 1507, 1287},	// QsciLexerProperties::tr$
    {75, 1508, 1266},	// QsciLexerProperties::tr$$
    {75, 1509, 1268},	// QsciLexerProperties::tr$$$
    {75, 1511, 1288},	// QsciLexerProperties::trUtf8$
    {75, 1512, 1267},	// QsciLexerProperties::trUtf8$$
    {75, 1513, 1269},	// QsciLexerProperties::trUtf8$$$
    {75, 1536, 1274},	// QsciLexerProperties::wordCharacters
    {75, 1542, 1286},	// QsciLexerProperties::writeProperties#$
    {75, 1579, 1297},	// QsciLexerProperties::~QsciLexerProperties
    {76, 131, 1353},	// QsciLexerPython::ClassName
    {76, 137, 1346},	// QsciLexerPython::Comment
    {76, 138, 1357},	// QsciLexerPython::CommentBlock
    {76, 157, 1360},	// QsciLexerPython::Decorator
    {76, 158, 1345},	// QsciLexerPython::Default
    {76, 184, 1348},	// QsciLexerPython::DoubleQuotedString
    {76, 219, 1354},	// QsciLexerPython::FunctionMethodName
    {76, 241, 1359},	// QsciLexerPython::HighlightedIdentifier
    {76, 251, 1356},	// QsciLexerPython::Identifier
    {76, 282, 1362},	// QsciLexerPython::Inconsistent
    {76, 300, 1350},	// QsciLexerPython::Keyword
    {76, 370, 1361},	// QsciLexerPython::NoWarning
    {76, 371, 1347},	// QsciLexerPython::Number
    {76, 375, 1355},	// QsciLexerPython::Operator
    {76, 507, 1342},	// QsciLexerPython::QsciLexerPython
    {76, 508, 1305},	// QsciLexerPython::QsciLexerPython#
    {76, 650, 1349},	// QsciLexerPython::SingleQuotedString
    {76, 654, 1364},	// QsciLexerPython::Spaces
    {76, 694, 1365},	// QsciLexerPython::Tabs
    {76, 695, 1363},	// QsciLexerPython::TabsAfterSpaces
    {76, 709, 1352},	// QsciLexerPython::TripleDoubleQuotedString
    {76, 711, 1351},	// QsciLexerPython::TripleSingleQuotedString
    {76, 715, 1358},	// QsciLexerPython::UnclosedString
    {76, 808, 1308},	// QsciLexerPython::autoCompletionWordSeparators
    {76, 816, 1309},	// QsciLexerPython::blockLookback
    {76, 817, 1343},	// QsciLexerPython::blockStart
    {76, 818, 1310},	// QsciLexerPython::blockStart$
    {76, 824, 1311},	// QsciLexerPython::braceStyle
    {76, 875, 1312},	// QsciLexerPython::defaultColor$
    {76, 877, 1313},	// QsciLexerPython::defaultEolFill$
    {76, 879, 1314},	// QsciLexerPython::defaultFont$
    {76, 881, 1315},	// QsciLexerPython::defaultPaper$
    {76, 885, 1318},	// QsciLexerPython::description$
    {76, 952, 1320},	// QsciLexerPython::foldComments
    {76, 953, 1322},	// QsciLexerPython::foldCompact
    {76, 961, 1323},	// QsciLexerPython::foldQuotes
    {76, 983, 1326},	// QsciLexerPython::highlightSubidentifiers
    {76, 990, 1316},	// QsciLexerPython::indentationGuideView
    {76, 992, 1324},	// QsciLexerPython::indentationWarning
    {76, 1030, 1317},	// QsciLexerPython::keywords$
    {76, 1031, 1306},	// QsciLexerPython::language
    {76, 1036, 1307},	// QsciLexerPython::lexer
    {76, 1087, 1298},	// QsciLexerPython::metaObject
    {76, 1129, 1304},	// QsciLexerPython::qt_metacall$$?
    {76, 1131, 1299},	// QsciLexerPython::qt_metacast$
    {76, 1136, 1338},	// QsciLexerPython::readProperties#$
    {76, 1145, 1319},	// QsciLexerPython::refreshProperties
    {76, 1283, 1335},	// QsciLexerPython::setFoldComments$
    {76, 1285, 1321},	// QsciLexerPython::setFoldCompact$
    {76, 1299, 1336},	// QsciLexerPython::setFoldQuotes$
    {76, 1317, 1325},	// QsciLexerPython::setHighlightSubidentifiers$
    {76, 1331, 1337},	// QsciLexerPython::setIndentationWarning$
    {76, 1425, 1327},	// QsciLexerPython::setStringsOverNewlineAllowed$
    {76, 1450, 1329},	// QsciLexerPython::setV2UnicodeAllowed$
    {76, 1452, 1331},	// QsciLexerPython::setV3BinaryOctalAllowed$
    {76, 1454, 1333},	// QsciLexerPython::setV3BytesAllowed$
    {76, 1483, 1344},	// QsciLexerPython::staticMetaObject
    {76, 1484, 1328},	// QsciLexerPython::stringsOverNewlineAllowed
    {76, 1507, 1340},	// QsciLexerPython::tr$
    {76, 1508, 1300},	// QsciLexerPython::tr$$
    {76, 1509, 1302},	// QsciLexerPython::tr$$$
    {76, 1511, 1341},	// QsciLexerPython::trUtf8$
    {76, 1512, 1301},	// QsciLexerPython::trUtf8$$
    {76, 1513, 1303},	// QsciLexerPython::trUtf8$$$
    {76, 1521, 1330},	// QsciLexerPython::v2UnicodeAllowed
    {76, 1522, 1332},	// QsciLexerPython::v3BinaryOctalAllowed
    {76, 1523, 1334},	// QsciLexerPython::v3BytesAllowed
    {76, 1542, 1339},	// QsciLexerPython::writeProperties#$
    {76, 1580, 1366},	// QsciLexerPython::~QsciLexerPython
    {77, 84, 1419},	// QsciLexerRuby::Backticks
    {77, 131, 1409},	// QsciLexerRuby::ClassName
    {77, 133, 1418},	// QsciLexerRuby::ClassVariable
    {77, 137, 1403},	// QsciLexerRuby::Comment
    {77, 156, 1420},	// QsciLexerRuby::DataSection
    {77, 158, 1401},	// QsciLexerRuby::Default
    {77, 168, 1428},	// QsciLexerRuby::DemotedKeyword
    {77, 184, 1407},	// QsciLexerRuby::DoubleQuotedString
    {77, 203, 1402},	// QsciLexerRuby::Error
    {77, 219, 1410},	// QsciLexerRuby::FunctionMethodName
    {77, 220, 1414},	// QsciLexerRuby::Global
    {77, 234, 1422},	// QsciLexerRuby::HereDocument
    {77, 235, 1421},	// QsciLexerRuby::HereDocumentDelimiter
    {77, 251, 1412},	// QsciLexerRuby::Identifier
    {77, 283, 1417},	// QsciLexerRuby::InstanceVariable
    {77, 300, 1406},	// QsciLexerRuby::Keyword
    {77, 359, 1416},	// QsciLexerRuby::ModuleName
    {77, 371, 1405},	// QsciLexerRuby::Number
    {77, 375, 1411},	// QsciLexerRuby::Operator
    {77, 389, 1404},	// QsciLexerRuby::POD
    {77, 406, 1424},	// QsciLexerRuby::PercentStringQ
    {77, 407, 1423},	// QsciLexerRuby::PercentStringq
    {77, 408, 1426},	// QsciLexerRuby::PercentStringr
    {77, 409, 1427},	// QsciLexerRuby::PercentStringw
    {77, 410, 1425},	// QsciLexerRuby::PercentStringx
    {77, 509, 1396},	// QsciLexerRuby::QsciLexerRuby
    {77, 510, 1374},	// QsciLexerRuby::QsciLexerRuby#
    {77, 557, 1413},	// QsciLexerRuby::Regex
    {77, 650, 1408},	// QsciLexerRuby::SingleQuotedString
    {77, 663, 1431},	// QsciLexerRuby::Stderr
    {77, 664, 1429},	// QsciLexerRuby::Stdin
    {77, 665, 1430},	// QsciLexerRuby::Stdout
    {77, 684, 1415},	// QsciLexerRuby::Symbol
    {77, 814, 1397},	// QsciLexerRuby::blockEnd
    {77, 815, 1377},	// QsciLexerRuby::blockEnd$
    {77, 817, 1398},	// QsciLexerRuby::blockStart
    {77, 818, 1378},	// QsciLexerRuby::blockStart$
    {77, 819, 1399},	// QsciLexerRuby::blockStartKeyword
    {77, 820, 1379},	// QsciLexerRuby::blockStartKeyword$
    {77, 824, 1380},	// QsciLexerRuby::braceStyle
    {77, 875, 1381},	// QsciLexerRuby::defaultColor$
    {77, 877, 1382},	// QsciLexerRuby::defaultEolFill$
    {77, 879, 1383},	// QsciLexerRuby::defaultFont$
    {77, 881, 1384},	// QsciLexerRuby::defaultPaper$
    {77, 885, 1386},	// QsciLexerRuby::description$
    {77, 952, 1389},	// QsciLexerRuby::foldComments
    {77, 953, 1391},	// QsciLexerRuby::foldCompact
    {77, 1030, 1385},	// QsciLexerRuby::keywords$
    {77, 1031, 1375},	// QsciLexerRuby::language
    {77, 1036, 1376},	// QsciLexerRuby::lexer
    {77, 1087, 1367},	// QsciLexerRuby::metaObject
    {77, 1129, 1373},	// QsciLexerRuby::qt_metacall$$?
    {77, 1131, 1368},	// QsciLexerRuby::qt_metacast$
    {77, 1136, 1392},	// QsciLexerRuby::readProperties#$
    {77, 1145, 1387},	// QsciLexerRuby::refreshProperties
    {77, 1283, 1388},	// QsciLexerRuby::setFoldComments$
    {77, 1285, 1390},	// QsciLexerRuby::setFoldCompact$
    {77, 1483, 1400},	// QsciLexerRuby::staticMetaObject
    {77, 1507, 1394},	// QsciLexerRuby::tr$
    {77, 1508, 1369},	// QsciLexerRuby::tr$$
    {77, 1509, 1371},	// QsciLexerRuby::tr$$$
    {77, 1511, 1395},	// QsciLexerRuby::trUtf8$
    {77, 1512, 1370},	// QsciLexerRuby::trUtf8$$
    {77, 1513, 1372},	// QsciLexerRuby::trUtf8$$$
    {77, 1542, 1393},	// QsciLexerRuby::writeProperties#$
    {77, 1581, 1432},	// QsciLexerRuby::~QsciLexerRuby
    {78, 137, 1474},	// QsciLexerSQL::Comment
    {78, 140, 1476},	// QsciLexerSQL::CommentDoc
    {78, 141, 1487},	// QsciLexerSQL::CommentDocKeyword
    {78, 142, 1488},	// QsciLexerSQL::CommentDocKeywordError
    {78, 143, 1475},	// QsciLexerSQL::CommentLine
    {78, 145, 1486},	// QsciLexerSQL::CommentLineHash
    {78, 158, 1473},	// QsciLexerSQL::Default
    {78, 184, 1479},	// QsciLexerSQL::DoubleQuotedString
    {78, 251, 1484},	// QsciLexerSQL::Identifier
    {78, 300, 1478},	// QsciLexerSQL::Keyword
    {78, 305, 1489},	// QsciLexerSQL::KeywordSet5
    {78, 306, 1490},	// QsciLexerSQL::KeywordSet6
    {78, 307, 1491},	// QsciLexerSQL::KeywordSet7
    {78, 308, 1492},	// QsciLexerSQL::KeywordSet8
    {78, 371, 1477},	// QsciLexerSQL::Number
    {78, 375, 1483},	// QsciLexerSQL::Operator
    {78, 416, 1485},	// QsciLexerSQL::PlusComment
    {78, 417, 1481},	// QsciLexerSQL::PlusKeyword
    {78, 418, 1482},	// QsciLexerSQL::PlusPrompt
    {78, 511, 1471},	// QsciLexerSQL::QsciLexerSQL
    {78, 512, 1440},	// QsciLexerSQL::QsciLexerSQL#
    {78, 541, 1493},	// QsciLexerSQL::QuotedIdentifier
    {78, 650, 1480},	// QsciLexerSQL::SingleQuotedString
    {78, 811, 1451},	// QsciLexerSQL::backslashEscapes
    {78, 824, 1443},	// QsciLexerSQL::braceStyle
    {78, 875, 1444},	// QsciLexerSQL::defaultColor$
    {78, 877, 1445},	// QsciLexerSQL::defaultEolFill$
    {78, 879, 1446},	// QsciLexerSQL::defaultFont$
    {78, 881, 1447},	// QsciLexerSQL::defaultPaper$
    {78, 885, 1449},	// QsciLexerSQL::description$
    {78, 891, 1453},	// QsciLexerSQL::dottedWords
    {78, 950, 1455},	// QsciLexerSQL::foldAtElse
    {78, 952, 1456},	// QsciLexerSQL::foldComments
    {78, 953, 1457},	// QsciLexerSQL::foldCompact
    {78, 957, 1459},	// QsciLexerSQL::foldOnlyBegin
    {78, 979, 1461},	// QsciLexerSQL::hashComments
    {78, 1030, 1448},	// QsciLexerSQL::keywords$
    {78, 1031, 1441},	// QsciLexerSQL::language
    {78, 1036, 1442},	// QsciLexerSQL::lexer
    {78, 1087, 1433},	// QsciLexerSQL::metaObject
    {78, 1129, 1439},	// QsciLexerSQL::qt_metacall$$?
    {78, 1131, 1434},	// QsciLexerSQL::qt_metacast$
    {78, 1132, 1463},	// QsciLexerSQL::quotedIdentifiers
    {78, 1136, 1467},	// QsciLexerSQL::readProperties#$
    {78, 1145, 1450},	// QsciLexerSQL::refreshProperties
    {78, 1203, 1464},	// QsciLexerSQL::setBackslashEscapes$
    {78, 1254, 1452},	// QsciLexerSQL::setDottedWords$
    {78, 1279, 1454},	// QsciLexerSQL::setFoldAtElse$
    {78, 1283, 1465},	// QsciLexerSQL::setFoldComments$
    {78, 1285, 1466},	// QsciLexerSQL::setFoldCompact$
    {78, 1291, 1458},	// QsciLexerSQL::setFoldOnlyBegin$
    {78, 1313, 1460},	// QsciLexerSQL::setHashComments$
    {78, 1406, 1462},	// QsciLexerSQL::setQuotedIdentifiers$
    {78, 1483, 1472},	// QsciLexerSQL::staticMetaObject
    {78, 1507, 1469},	// QsciLexerSQL::tr$
    {78, 1508, 1435},	// QsciLexerSQL::tr$$
    {78, 1509, 1437},	// QsciLexerSQL::tr$$$
    {78, 1511, 1470},	// QsciLexerSQL::trUtf8$
    {78, 1512, 1436},	// QsciLexerSQL::trUtf8$$
    {78, 1513, 1438},	// QsciLexerSQL::trUtf8$$$
    {78, 1542, 1468},	// QsciLexerSQL::writeProperties#$
    {78, 1582, 1494},	// QsciLexerSQL::~QsciLexerSQL
    {79, 137, 1522},	// QsciLexerTCL::Comment
    {79, 138, 1542},	// QsciLexerTCL::CommentBlock
    {79, 139, 1541},	// QsciLexerTCL::CommentBox
    {79, 143, 1523},	// QsciLexerTCL::CommentLine
    {79, 158, 1521},	// QsciLexerTCL::Default
    {79, 205, 1532},	// QsciLexerTCL::ExpandKeyword
    {79, 250, 1535},	// QsciLexerTCL::ITCLKeyword
    {79, 251, 1528},	// QsciLexerTCL::Identifier
    {79, 306, 1537},	// QsciLexerTCL::KeywordSet6
    {79, 307, 1538},	// QsciLexerTCL::KeywordSet7
    {79, 308, 1539},	// QsciLexerTCL::KeywordSet8
    {79, 309, 1540},	// QsciLexerTCL::KeywordSet9
    {79, 358, 1531},	// QsciLexerTCL::Modifier
    {79, 371, 1524},	// QsciLexerTCL::Number
    {79, 375, 1527},	// QsciLexerTCL::Operator
    {79, 513, 1519},	// QsciLexerTCL::QsciLexerTCL
    {79, 514, 1502},	// QsciLexerTCL::QsciLexerTCL#
    {79, 542, 1525},	// QsciLexerTCL::QuotedKeyword
    {79, 543, 1526},	// QsciLexerTCL::QuotedString
    {79, 680, 1529},	// QsciLexerTCL::Substitution
    {79, 681, 1530},	// QsciLexerTCL::SubstitutionBrace
    {79, 690, 1533},	// QsciLexerTCL::TCLKeyword
    {79, 705, 1536},	// QsciLexerTCL::TkCommand
    {79, 706, 1534},	// QsciLexerTCL::TkKeyword
    {79, 824, 1505},	// QsciLexerTCL::braceStyle
    {79, 875, 1506},	// QsciLexerTCL::defaultColor$
    {79, 877, 1507},	// QsciLexerTCL::defaultEolFill$
    {79, 879, 1508},	// QsciLexerTCL::defaultFont$
    {79, 881, 1509},	// QsciLexerTCL::defaultPaper$
    {79, 885, 1511},	// QsciLexerTCL::description$
    {79, 952, 1514},	// QsciLexerTCL::foldComments
    {79, 1030, 1510},	// QsciLexerTCL::keywords$
    {79, 1031, 1503},	// QsciLexerTCL::language
    {79, 1036, 1504},	// QsciLexerTCL::lexer
    {79, 1087, 1495},	// QsciLexerTCL::metaObject
    {79, 1129, 1501},	// QsciLexerTCL::qt_metacall$$?
    {79, 1131, 1496},	// QsciLexerTCL::qt_metacast$
    {79, 1136, 1515},	// QsciLexerTCL::readProperties#$
    {79, 1145, 1512},	// QsciLexerTCL::refreshProperties
    {79, 1283, 1513},	// QsciLexerTCL::setFoldComments$
    {79, 1483, 1520},	// QsciLexerTCL::staticMetaObject
    {79, 1507, 1517},	// QsciLexerTCL::tr$
    {79, 1508, 1497},	// QsciLexerTCL::tr$$
    {79, 1509, 1499},	// QsciLexerTCL::tr$$$
    {79, 1511, 1518},	// QsciLexerTCL::trUtf8$
    {79, 1512, 1498},	// QsciLexerTCL::trUtf8$$
    {79, 1513, 1500},	// QsciLexerTCL::trUtf8$$$
    {79, 1542, 1516},	// QsciLexerTCL::writeProperties#$
    {79, 1583, 1543},	// QsciLexerTCL::~QsciLexerTCL
    {80, 136, 1577},	// QsciLexerTeX::Command
    {80, 158, 1573},	// QsciLexerTeX::Default
    {80, 223, 1575},	// QsciLexerTeX::Group
    {80, 515, 1571},	// QsciLexerTeX::QsciLexerTeX
    {80, 516, 1551},	// QsciLexerTeX::QsciLexerTeX#
    {80, 655, 1574},	// QsciLexerTeX::Special
    {80, 684, 1576},	// QsciLexerTeX::Symbol
    {80, 698, 1578},	// QsciLexerTeX::Text
    {80, 875, 1555},	// QsciLexerTeX::defaultColor$
    {80, 885, 1557},	// QsciLexerTeX::description$
    {80, 952, 1560},	// QsciLexerTeX::foldComments
    {80, 953, 1562},	// QsciLexerTeX::foldCompact
    {80, 1030, 1556},	// QsciLexerTeX::keywords$
    {80, 1031, 1552},	// QsciLexerTeX::language
    {80, 1036, 1553},	// QsciLexerTeX::lexer
    {80, 1087, 1544},	// QsciLexerTeX::metaObject
    {80, 1124, 1564},	// QsciLexerTeX::processComments
    {80, 1125, 1566},	// QsciLexerTeX::processIf
    {80, 1129, 1550},	// QsciLexerTeX::qt_metacall$$?
    {80, 1131, 1545},	// QsciLexerTeX::qt_metacast$
    {80, 1136, 1567},	// QsciLexerTeX::readProperties#$
    {80, 1145, 1558},	// QsciLexerTeX::refreshProperties
    {80, 1283, 1559},	// QsciLexerTeX::setFoldComments$
    {80, 1285, 1561},	// QsciLexerTeX::setFoldCompact$
    {80, 1402, 1563},	// QsciLexerTeX::setProcessComments$
    {80, 1404, 1565},	// QsciLexerTeX::setProcessIf$
    {80, 1483, 1572},	// QsciLexerTeX::staticMetaObject
    {80, 1507, 1569},	// QsciLexerTeX::tr$
    {80, 1508, 1546},	// QsciLexerTeX::tr$$
    {80, 1509, 1548},	// QsciLexerTeX::tr$$$
    {80, 1511, 1570},	// QsciLexerTeX::trUtf8$
    {80, 1512, 1547},	// QsciLexerTeX::trUtf8$$
    {80, 1513, 1549},	// QsciLexerTeX::trUtf8$$$
    {80, 1536, 1554},	// QsciLexerTeX::wordCharacters
    {80, 1542, 1568},	// QsciLexerTeX::writeProperties#$
    {80, 1584, 1579},	// QsciLexerTeX::~QsciLexerTeX
    {81, 66, 1624},	// QsciLexerVHDL::Attribute
    {81, 137, 1615},	// QsciLexerVHDL::Comment
    {81, 143, 1616},	// QsciLexerVHDL::CommentLine
    {81, 158, 1614},	// QsciLexerVHDL::Default
    {81, 251, 1620},	// QsciLexerVHDL::Identifier
    {81, 300, 1622},	// QsciLexerVHDL::Keyword
    {81, 307, 1628},	// QsciLexerVHDL::KeywordSet7
    {81, 371, 1617},	// QsciLexerVHDL::Number
    {81, 375, 1619},	// QsciLexerVHDL::Operator
    {81, 517, 1612},	// QsciLexerVHDL::QsciLexerVHDL
    {81, 518, 1587},	// QsciLexerVHDL::QsciLexerVHDL#
    {81, 659, 1625},	// QsciLexerVHDL::StandardFunction
    {81, 660, 1623},	// QsciLexerVHDL::StandardOperator
    {81, 661, 1626},	// QsciLexerVHDL::StandardPackage
    {81, 662, 1627},	// QsciLexerVHDL::StandardType
    {81, 669, 1618},	// QsciLexerVHDL::String
    {81, 715, 1621},	// QsciLexerVHDL::UnclosedString
    {81, 824, 1590},	// QsciLexerVHDL::braceStyle
    {81, 875, 1591},	// QsciLexerVHDL::defaultColor$
    {81, 877, 1592},	// QsciLexerVHDL::defaultEolFill$
    {81, 879, 1593},	// QsciLexerVHDL::defaultFont$
    {81, 881, 1594},	// QsciLexerVHDL::defaultPaper$
    {81, 885, 1596},	// QsciLexerVHDL::description$
    {81, 949, 1601},	// QsciLexerVHDL::foldAtBegin
    {81, 950, 1600},	// QsciLexerVHDL::foldAtElse
    {81, 951, 1602},	// QsciLexerVHDL::foldAtParenthesis
    {81, 952, 1598},	// QsciLexerVHDL::foldComments
    {81, 953, 1599},	// QsciLexerVHDL::foldCompact
    {81, 1030, 1595},	// QsciLexerVHDL::keywords$
    {81, 1031, 1588},	// QsciLexerVHDL::language
    {81, 1036, 1589},	// QsciLexerVHDL::lexer
    {81, 1087, 1580},	// QsciLexerVHDL::metaObject
    {81, 1129, 1586},	// QsciLexerVHDL::qt_metacall$$?
    {81, 1131, 1581},	// QsciLexerVHDL::qt_metacast$
    {81, 1136, 1608},	// QsciLexerVHDL::readProperties#$
    {81, 1145, 1597},	// QsciLexerVHDL::refreshProperties
    {81, 1277, 1606},	// QsciLexerVHDL::setFoldAtBegin$
    {81, 1279, 1605},	// QsciLexerVHDL::setFoldAtElse$
    {81, 1281, 1607},	// QsciLexerVHDL::setFoldAtParenthesis$
    {81, 1283, 1603},	// QsciLexerVHDL::setFoldComments$
    {81, 1285, 1604},	// QsciLexerVHDL::setFoldCompact$
    {81, 1483, 1613},	// QsciLexerVHDL::staticMetaObject
    {81, 1507, 1610},	// QsciLexerVHDL::tr$
    {81, 1508, 1582},	// QsciLexerVHDL::tr$$
    {81, 1509, 1584},	// QsciLexerVHDL::tr$$$
    {81, 1511, 1611},	// QsciLexerVHDL::trUtf8$
    {81, 1512, 1583},	// QsciLexerVHDL::trUtf8$$
    {81, 1513, 1585},	// QsciLexerVHDL::trUtf8$$$
    {81, 1542, 1609},	// QsciLexerVHDL::writeProperties#$
    {81, 1585, 1629},	// QsciLexerVHDL::~QsciLexerVHDL
    {82, 519, 1652},	// QsciLexerXML::QsciLexerXML
    {82, 520, 1637},	// QsciLexerXML::QsciLexerXML#
    {82, 875, 1640},	// QsciLexerXML::defaultColor$
    {82, 877, 1641},	// QsciLexerXML::defaultEolFill$
    {82, 879, 1642},	// QsciLexerXML::defaultFont$
    {82, 881, 1643},	// QsciLexerXML::defaultPaper$
    {82, 1030, 1644},	// QsciLexerXML::keywords$
    {82, 1031, 1638},	// QsciLexerXML::language
    {82, 1036, 1639},	// QsciLexerXML::lexer
    {82, 1087, 1630},	// QsciLexerXML::metaObject
    {82, 1129, 1636},	// QsciLexerXML::qt_metacall$$?
    {82, 1131, 1631},	// QsciLexerXML::qt_metacast$
    {82, 1136, 1648},	// QsciLexerXML::readProperties#$
    {82, 1145, 1645},	// QsciLexerXML::refreshProperties
    {82, 1165, 1647},	// QsciLexerXML::scriptsStyled
    {82, 1412, 1646},	// QsciLexerXML::setScriptsStyled$
    {82, 1483, 1653},	// QsciLexerXML::staticMetaObject
    {82, 1507, 1650},	// QsciLexerXML::tr$
    {82, 1508, 1632},	// QsciLexerXML::tr$$
    {82, 1509, 1634},	// QsciLexerXML::tr$$$
    {82, 1511, 1651},	// QsciLexerXML::trUtf8$
    {82, 1512, 1633},	// QsciLexerXML::trUtf8$$
    {82, 1513, 1635},	// QsciLexerXML::trUtf8$$$
    {82, 1542, 1649},	// QsciLexerXML::writeProperties#$
    {82, 1586, 1654},	// QsciLexerXML::~QsciLexerXML
    {83, 137, 1681},	// QsciLexerYAML::Comment
    {83, 158, 1680},	// QsciLexerYAML::Default
    {83, 174, 1686},	// QsciLexerYAML::DocumentDelimiter
    {83, 251, 1682},	// QsciLexerYAML::Identifier
    {83, 300, 1683},	// QsciLexerYAML::Keyword
    {83, 371, 1684},	// QsciLexerYAML::Number
    {83, 375, 1689},	// QsciLexerYAML::Operator
    {83, 521, 1678},	// QsciLexerYAML::QsciLexerYAML
    {83, 522, 1662},	// QsciLexerYAML::QsciLexerYAML#
    {83, 556, 1685},	// QsciLexerYAML::Reference
    {83, 689, 1688},	// QsciLexerYAML::SyntaxErrorMarker
    {83, 699, 1687},	// QsciLexerYAML::TextBlockMarker
    {83, 875, 1665},	// QsciLexerYAML::defaultColor$
    {83, 877, 1666},	// QsciLexerYAML::defaultEolFill$
    {83, 879, 1667},	// QsciLexerYAML::defaultFont$
    {83, 881, 1668},	// QsciLexerYAML::defaultPaper$
    {83, 885, 1670},	// QsciLexerYAML::description$
    {83, 952, 1672},	// QsciLexerYAML::foldComments
    {83, 1030, 1669},	// QsciLexerYAML::keywords$
    {83, 1031, 1663},	// QsciLexerYAML::language
    {83, 1036, 1664},	// QsciLexerYAML::lexer
    {83, 1087, 1655},	// QsciLexerYAML::metaObject
    {83, 1129, 1661},	// QsciLexerYAML::qt_metacall$$?
    {83, 1131, 1656},	// QsciLexerYAML::qt_metacast$
    {83, 1136, 1674},	// QsciLexerYAML::readProperties#$
    {83, 1145, 1671},	// QsciLexerYAML::refreshProperties
    {83, 1283, 1673},	// QsciLexerYAML::setFoldComments$
    {83, 1483, 1679},	// QsciLexerYAML::staticMetaObject
    {83, 1507, 1676},	// QsciLexerYAML::tr$
    {83, 1508, 1657},	// QsciLexerYAML::tr$$
    {83, 1509, 1659},	// QsciLexerYAML::tr$$$
    {83, 1511, 1677},	// QsciLexerYAML::trUtf8$
    {83, 1512, 1658},	// QsciLexerYAML::trUtf8$$
    {83, 1513, 1660},	// QsciLexerYAML::trUtf8$$$
    {83, 1542, 1675},	// QsciLexerYAML::writeProperties#$
    {83, 1587, 1690},	// QsciLexerYAML::~QsciLexerYAML
    {84, 524, 1698},	// QsciMacro::QsciMacro#
    {84, 525, 1699},	// QsciMacro::QsciMacro$#
    {84, 842, 1700},	// QsciMacro::clear
    {84, 905, 1705},	// QsciMacro::endRecording
    {84, 1047, 1701},	// QsciMacro::load$
    {84, 1087, 1691},	// QsciMacro::metaObject
    {84, 1115, 1703},	// QsciMacro::play
    {84, 1129, 1697},	// QsciMacro::qt_metacall$$?
    {84, 1131, 1692},	// QsciMacro::qt_metacast$
    {84, 1162, 1702},	// QsciMacro::save
    {84, 1479, 1704},	// QsciMacro::startRecording
    {84, 1483, 1708},	// QsciMacro::staticMetaObject
    {84, 1507, 1706},	// QsciMacro::tr$
    {84, 1508, 1693},	// QsciMacro::tr$$
    {84, 1509, 1695},	// QsciMacro::tr$$$
    {84, 1511, 1707},	// QsciMacro::trUtf8$
    {84, 1512, 1694},	// QsciMacro::trUtf8$$
    {84, 1513, 1696},	// QsciMacro::trUtf8$$$
    {84, 1588, 1709},	// QsciMacro::~QsciMacro
    {85, 526, 1717},	// QsciPrinter::QsciPrinter
    {85, 527, 1710},	// QsciPrinter::QsciPrinter$
    {85, 971, 1711},	// QsciPrinter::formatPage#$#$
    {85, 1050, 1712},	// QsciPrinter::magnification
    {85, 1121, 1718},	// QsciPrinter::printRange#
    {85, 1122, 1719},	// QsciPrinter::printRange#$
    {85, 1123, 1714},	// QsciPrinter::printRange#$$
    {85, 1356, 1713},	// QsciPrinter::setMagnification$
    {85, 1468, 1716},	// QsciPrinter::setWrapMode$
    {85, 1538, 1715},	// QsciPrinter::wrapMode
    {85, 1589, 1720},	// QsciPrinter::~QsciPrinter
    {86, 49, 2023},	// QsciScintilla::AcsAPIs
    {86, 50, 2021},	// QsciScintilla::AcsAll
    {86, 51, 2022},	// QsciScintilla::AcsDocument
    {86, 52, 2020},	// QsciScintilla::AcsNone
    {86, 54, 2019},	// QsciScintilla::AcusAlways
    {86, 55, 2018},	// QsciScintilla::AcusExplicit
    {86, 56, 2017},	// QsciScintilla::AcusNever
    {86, 58, 2016},	// QsciScintilla::AnnotationBoxed
    {86, 59, 2014},	// QsciScintilla::AnnotationHidden
    {86, 60, 2015},	// QsciScintilla::AnnotationStandard
    {86, 79, 2090},	// QsciScintilla::Background
    {86, 94, 2078},	// QsciScintilla::BottomLeftCorner
    {86, 96, 2051},	// QsciScintilla::BoxIndicator
    {86, 97, 2042},	// QsciScintilla::BoxedFoldStyle
    {86, 98, 2082},	// QsciScintilla::BoxedMinus
    {86, 99, 2083},	// QsciScintilla::BoxedMinusConnected
    {86, 100, 2080},	// QsciScintilla::BoxedPlus
    {86, 101, 2081},	// QsciScintilla::BoxedPlusConnected
    {86, 102, 2044},	// QsciScintilla::BoxedTreeFoldStyle
    {86, 108, 2028},	// QsciScintilla::CallTipsAboveText
    {86, 109, 2027},	// QsciScintilla::CallTipsBelowText
    {86, 110, 2032},	// QsciScintilla::CallTipsContext
    {86, 111, 2031},	// QsciScintilla::CallTipsNoAutoCompletionContext
    {86, 112, 2030},	// QsciScintilla::CallTipsNoContext
    {86, 113, 2029},	// QsciScintilla::CallTipsNone
    {86, 124, 2068},	// QsciScintilla::Circle
    {86, 125, 2041},	// QsciScintilla::CircledFoldStyle
    {86, 126, 2088},	// QsciScintilla::CircledMinus
    {86, 127, 2089},	// QsciScintilla::CircledMinusConnected
    {86, 128, 2086},	// QsciScintilla::CircledPlus
    {86, 129, 2087},	// QsciScintilla::CircledPlusConnected
    {86, 130, 2043},	// QsciScintilla::CircledTreeFoldStyle
    {86, 155, 2054},	// QsciScintilla::DashesIndicator
    {86, 170, 2048},	// QsciScintilla::DiagonalIndicator
    {86, 179, 2057},	// QsciScintilla::DotBoxIndicator
    {86, 180, 2055},	// QsciScintilla::DotsIndicator
    {86, 186, 2074},	// QsciScintilla::DownTriangle
    {86, 193, 2035},	// QsciScintilla::EdgeBackground
    {86, 194, 2034},	// QsciScintilla::EdgeLine
    {86, 195, 2033},	// QsciScintilla::EdgeNone
    {86, 200, 2038},	// QsciScintilla::EolMac
    {86, 201, 2037},	// QsciScintilla::EolUnix
    {86, 202, 2036},	// QsciScintilla::EolWindows
    {86, 217, 2093},	// QsciScintilla::FullRectangle
    {86, 238, 2050},	// QsciScintilla::HiddenIndicator
    {86, 285, 2073},	// QsciScintilla::Invisible
    {86, 316, 2094},	// QsciScintilla::LeftRectangle
    {86, 317, 2085},	// QsciScintilla::LeftSideRoundedSplitter
    {86, 318, 2079},	// QsciScintilla::LeftSideSplitter
    {86, 355, 2075},	// QsciScintilla::Minus
    {86, 356, -1},	// QsciScintilla::MoNone
    {86, 357, -4},	// QsciScintilla::MoSublineSelect
    {86, 367, 2024},	// QsciScintilla::NoBraceMatch
    {86, 368, 2039},	// QsciScintilla::NoFoldStyle
    {86, 372, 2065},	// QsciScintilla::NumberMargin
    {86, 413, 2040},	// QsciScintilla::PlainFoldStyle
    {86, 414, 2045},	// QsciScintilla::PlainIndicator
    {86, 415, 2076},	// QsciScintilla::Plus
    {86, 528, 1980},	// QsciScintilla::QsciScintilla
    {86, 529, 1728},	// QsciScintilla::QsciScintilla#
    {86, 554, 2069},	// QsciScintilla::Rectangle
    {86, 559, 2072},	// QsciScintilla::RightArrow
    {86, 560, 2070},	// QsciScintilla::RightTriangle
    {86, 561, 2052},	// QsciScintilla::RoundBoxIndicator
    {86, 562, 2084},	// QsciScintilla::RoundedBottomLeftCorner
    {86, 651, 2026},	// QsciScintilla::SloppyBraceMatch
    {86, 653, 2071},	// QsciScintilla::SmallRectangle
    {86, 656, 2046},	// QsciScintilla::SquiggleIndicator
    {86, 657, 2056},	// QsciScintilla::SquiggleLowIndicator
    {86, 658, 2058},	// QsciScintilla::SquigglePixmapIndicator
    {86, 666, 2053},	// QsciScintilla::StraightBoxIndicator
    {86, 667, 2025},	// QsciScintilla::StrictBraceMatch
    {86, 668, 2049},	// QsciScintilla::StrikeIndicator
    {86, 685, 2062},	// QsciScintilla::SymbolMargin
    {86, 686, 2064},	// QsciScintilla::SymbolMarginDefaultBackgroundColor
    {86, 687, 2063},	// QsciScintilla::SymbolMarginDefaultForegroundColor
    {86, 691, 2047},	// QsciScintilla::TTIndicator
    {86, 700, 2066},	// QsciScintilla::TextMargin
    {86, 701, 2067},	// QsciScintilla::TextMarginRightJustified
    {86, 702, 2059},	// QsciScintilla::ThickCompositionIndicator
    {86, 703, 2091},	// QsciScintilla::ThreeDots
    {86, 704, 2092},	// QsciScintilla::ThreeRightArrows
    {86, 716, 2095},	// QsciScintilla::Underline
    {86, 741, 2077},	// QsciScintilla::VerticalLine
    {86, 755, 2101},	// QsciScintilla::WrapCharacter
    {86, 756, 2104},	// QsciScintilla::WrapFlagByBorder
    {86, 757, 2103},	// QsciScintilla::WrapFlagByText
    {86, 758, 2105},	// QsciScintilla::WrapFlagInMargin
    {86, 759, 2102},	// QsciScintilla::WrapFlagNone
    {86, 760, 2106},	// QsciScintilla::WrapIndentFixed
    {86, 761, 2108},	// QsciScintilla::WrapIndentIndented
    {86, 762, 2107},	// QsciScintilla::WrapIndentSame
    {86, 763, 2099},	// QsciScintilla::WrapNone
    {86, 764, 2100},	// QsciScintilla::WrapWord
    {86, 765, 2096},	// QsciScintilla::WsInvisible
    {86, 766, 2097},	// QsciScintilla::WsVisible
    {86, 767, 2098},	// QsciScintilla::WsVisibleAfterIndent
    {86, 778, 1732},	// QsciScintilla::annotate$#
    {86, 779, 1731},	// QsciScintilla::annotate$$#
    {86, 780, 1730},	// QsciScintilla::annotate$$$
    {86, 781, 1733},	// QsciScintilla::annotate$?
    {86, 783, 1734},	// QsciScintilla::annotation$
    {86, 784, 1735},	// QsciScintilla::annotationDisplay
    {86, 786, 1729},	// QsciScintilla::apiContext$$$
    {86, 792, 1889},	// QsciScintilla::append$
    {86, 795, 1891},	// QsciScintilla::autoCompleteFromAPIs
    {86, 796, 1890},	// QsciScintilla::autoCompleteFromAll
    {86, 797, 1892},	// QsciScintilla::autoCompleteFromDocument
    {86, 798, 1737},	// QsciScintilla::autoCompletionCaseSensitivity
    {86, 800, 1738},	// QsciScintilla::autoCompletionFillupsEnabled
    {86, 801, 1739},	// QsciScintilla::autoCompletionReplaceWord
    {86, 804, 1740},	// QsciScintilla::autoCompletionShowSingle
    {86, 805, 1741},	// QsciScintilla::autoCompletionSource
    {86, 806, 1742},	// QsciScintilla::autoCompletionThreshold
    {86, 807, 1743},	// QsciScintilla::autoCompletionUseSingle
    {86, 809, 1744},	// QsciScintilla::autoIndent
    {86, 812, 1745},	// QsciScintilla::backspaceUnindents
    {86, 813, 1746},	// QsciScintilla::beginUndoAction
    {86, 823, 1747},	// QsciScintilla::braceMatching
    {86, 827, 1893},	// QsciScintilla::callTip
    {86, 830, 1748},	// QsciScintilla::callTipsPosition
    {86, 831, 1749},	// QsciScintilla::callTipsStyle
    {86, 832, 1750},	// QsciScintilla::callTipsVisible
    {86, 835, 1751},	// QsciScintilla::cancelList
    {86, 837, 1752},	// QsciScintilla::caseSensitive
    {86, 842, 1894},	// QsciScintilla::clear
    {86, 844, 1981},	// QsciScintilla::clearAnnotations
    {86, 845, 1736},	// QsciScintilla::clearAnnotations$
    {86, 846, 1753},	// QsciScintilla::clearFolds
    {86, 848, 1754},	// QsciScintilla::clearIndicatorRange$$$$$
    {86, 850, 2002},	// QsciScintilla::clearMarginText
    {86, 851, 1852},	// QsciScintilla::clearMarginText$
    {86, 852, 1755},	// QsciScintilla::clearRegisteredImages
    {86, 854, 1756},	// QsciScintilla::color
    {86, 862, 1977},	// QsciScintilla::contextMenuEvent#
    {86, 863, 1757},	// QsciScintilla::contractedFolds
    {86, 865, 1758},	// QsciScintilla::convertEols$
    {86, 866, 1895},	// QsciScintilla::copy
    {86, 868, 1966},	// QsciScintilla::copyAvailable$
    {86, 869, 1759},	// QsciScintilla::createStandardContextMenu
    {86, 871, 1965},	// QsciScintilla::cursorPositionChanged$$
    {86, 873, 1896},	// QsciScintilla::cut
    {86, 889, 1760},	// QsciScintilla::document
    {86, 900, 1762},	// QsciScintilla::edgeColor
    {86, 901, 1763},	// QsciScintilla::edgeColumn
    {86, 902, 1764},	// QsciScintilla::edgeMode
    {86, 906, 1761},	// QsciScintilla::endUndoAction
    {86, 907, 1897},	// QsciScintilla::ensureCursorVisible
    {86, 909, 1898},	// QsciScintilla::ensureLineVisible$
    {86, 915, 1766},	// QsciScintilla::eolMode
    {86, 916, 1767},	// QsciScintilla::eolVisibility
    {86, 918, 1976},	// QsciScintilla::event#
    {86, 921, 1768},	// QsciScintilla::extraAscent
    {86, 922, 1769},	// QsciScintilla::extraDescent
    {86, 924, 1770},	// QsciScintilla::fillIndicatorRange$$$$$
    {86, 928, 1982},	// QsciScintilla::findFirst$$$$$
    {86, 929, 1983},	// QsciScintilla::findFirst$$$$$$
    {86, 930, 1984},	// QsciScintilla::findFirst$$$$$$$
    {86, 931, 1985},	// QsciScintilla::findFirst$$$$$$$$
    {86, 932, 1986},	// QsciScintilla::findFirst$$$$$$$$$
    {86, 933, 1771},	// QsciScintilla::findFirst$$$$$$$$$$
    {86, 935, 1987},	// QsciScintilla::findFirstInSelection$$$$
    {86, 936, 1988},	// QsciScintilla::findFirstInSelection$$$$$
    {86, 937, 1989},	// QsciScintilla::findFirstInSelection$$$$$$
    {86, 938, 1772},	// QsciScintilla::findFirstInSelection$$$$$$$
    {86, 939, 1773},	// QsciScintilla::findNext
    {86, 940, 1774},	// QsciScintilla::firstVisibleLine
    {86, 947, 2007},	// QsciScintilla::foldAll
    {86, 948, 1899},	// QsciScintilla::foldAll$
    {86, 956, 1900},	// QsciScintilla::foldLine$
    {86, 964, 1775},	// QsciScintilla::folding
    {86, 975, 1776},	// QsciScintilla::getCursorPosition$$
    {86, 977, 1777},	// QsciScintilla::getSelection$$$$
    {86, 978, 1778},	// QsciScintilla::hasSelectedText
    {86, 987, 1901},	// QsciScintilla::indent$
    {86, 989, 1779},	// QsciScintilla::indentation$
    {86, 991, 1780},	// QsciScintilla::indentationGuides
    {86, 993, 1782},	// QsciScintilla::indentationWidth
    {86, 994, 1781},	// QsciScintilla::indentationsUseTabs
    {86, 996, 1967},	// QsciScintilla::indicatorClicked$$$
    {86, 998, 1990},	// QsciScintilla::indicatorDefine$
    {86, 999, 1783},	// QsciScintilla::indicatorDefine$$
    {86, 1001, 1784},	// QsciScintilla::indicatorDrawUnder$
    {86, 1003, 1968},	// QsciScintilla::indicatorReleased$$$
    {86, 1010, 1902},	// QsciScintilla::insert$
    {86, 1012, 1903},	// QsciScintilla::insertAt$$$
    {86, 1014, 1785},	// QsciScintilla::isCallTipActive
    {86, 1015, 1786},	// QsciScintilla::isListActive
    {86, 1016, 1787},	// QsciScintilla::isModified
    {86, 1019, 1788},	// QsciScintilla::isReadOnly
    {86, 1020, 1789},	// QsciScintilla::isRedoAvailable
    {86, 1021, 1790},	// QsciScintilla::isUndoAvailable
    {86, 1022, 1791},	// QsciScintilla::isUtf8
    {86, 1024, 1792},	// QsciScintilla::isWordCharacter$
    {86, 1034, 1797},	// QsciScintilla::length
    {86, 1036, 1798},	// QsciScintilla::lexer
    {86, 1039, 1793},	// QsciScintilla::lineAt#
    {86, 1041, 1794},	// QsciScintilla::lineIndexFromPosition$$$
    {86, 1043, 1795},	// QsciScintilla::lineLength$
    {86, 1044, 1796},	// QsciScintilla::lines
    {86, 1045, 1969},	// QsciScintilla::linesChanged
    {86, 1053, 1970},	// QsciScintilla::marginClicked$$$
    {86, 1055, 1799},	// QsciScintilla::marginLineNumbers$
    {86, 1057, 1800},	// QsciScintilla::marginMarkerMask$
    {86, 1058, 1801},	// QsciScintilla::marginOptions
    {86, 1060, 1802},	// QsciScintilla::marginSensitivity$
    {86, 1062, 1803},	// QsciScintilla::marginType$
    {86, 1064, 1804},	// QsciScintilla::marginWidth$
    {86, 1066, 1809},	// QsciScintilla::markerAdd$$
    {86, 1068, -7},	// QsciScintilla::markerDefine#
    {86, 1069, -10},	// QsciScintilla::markerDefine#$
    {86, 1070, -13},	// QsciScintilla::markerDefine$
    {86, 1071, -16},	// QsciScintilla::markerDefine$$
    {86, 1073, 1995},	// QsciScintilla::markerDelete$
    {86, 1074, 1811},	// QsciScintilla::markerDelete$$
    {86, 1075, 1996},	// QsciScintilla::markerDeleteAll
    {86, 1076, 1812},	// QsciScintilla::markerDeleteAll$
    {86, 1078, 1813},	// QsciScintilla::markerDeleteHandle$
    {86, 1080, 1815},	// QsciScintilla::markerFindNext$$
    {86, 1082, 1816},	// QsciScintilla::markerFindPrevious$$
    {86, 1084, 1814},	// QsciScintilla::markerLine$
    {86, 1086, 1810},	// QsciScintilla::markersAtLine$
    {86, 1087, 1721},	// QsciScintilla::metaObject
    {86, 1090, 1971},	// QsciScintilla::modificationAttempted
    {86, 1092, 1972},	// QsciScintilla::modificationChanged$
    {86, 1102, 1904},	// QsciScintilla::moveToMatchingBrace
    {86, 1105, 1817},	// QsciScintilla::overwriteMode
    {86, 1110, 1818},	// QsciScintilla::paper
    {86, 1114, 1905},	// QsciScintilla::paste
    {86, 1118, 1819},	// QsciScintilla::positionFromLineIndex$$
    {86, 1129, 1727},	// QsciScintilla::qt_metacall$$?
    {86, 1131, 1722},	// QsciScintilla::qt_metacast$
    {86, 1134, 1820},	// QsciScintilla::read#
    {86, 1140, 1997},	// QsciScintilla::recolor
    {86, 1141, 1998},	// QsciScintilla::recolor$
    {86, 1142, 1821},	// QsciScintilla::recolor$$
    {86, 1143, 1906},	// QsciScintilla::redo
    {86, 1147, -19},	// QsciScintilla::registerImage$#
    {86, 1150, 1907},	// QsciScintilla::removeSelectedText
    {86, 1152, 1824},	// QsciScintilla::replace$
    {86, 1154, 1908},	// QsciScintilla::replaceSelectedText$
    {86, 1155, 1825},	// QsciScintilla::resetFoldMarginColors
    {86, 1156, 1858},	// QsciScintilla::resetMatchedBraceIndicator
    {86, 1157, 1909},	// QsciScintilla::resetSelectionBackgroundColor
    {86, 1158, 1910},	// QsciScintilla::resetSelectionForegroundColor
    {86, 1159, 1862},	// QsciScintilla::resetUnmatchedBraceIndicator
    {86, 1168, 2008},	// QsciScintilla::selectAll
    {86, 1169, 1911},	// QsciScintilla::selectAll$
    {86, 1170, 1912},	// QsciScintilla::selectToMatchingBrace
    {86, 1171, 1864},	// QsciScintilla::selectedText
    {86, 1172, 1973},	// QsciScintilla::selectionChanged
    {86, 1173, 1865},	// QsciScintilla::selectionToEol
    {86, 1179, 1827},	// QsciScintilla::setAnnotationDisplay$
    {86, 1181, 1913},	// QsciScintilla::setAutoCompletionCaseSensitivity$
    {86, 1183, 1829},	// QsciScintilla::setAutoCompletionFillups$
    {86, 1185, 1828},	// QsciScintilla::setAutoCompletionFillupsEnabled$
    {86, 1187, 1914},	// QsciScintilla::setAutoCompletionReplaceWord$
    {86, 1189, 1915},	// QsciScintilla::setAutoCompletionShowSingle$
    {86, 1191, 1916},	// QsciScintilla::setAutoCompletionSource$
    {86, 1193, 1917},	// QsciScintilla::setAutoCompletionThreshold$
    {86, 1195, 1918},	// QsciScintilla::setAutoCompletionUseSingle$
    {86, 1197, 1830},	// QsciScintilla::setAutoCompletionWordSeparators?
    {86, 1199, 1919},	// QsciScintilla::setAutoIndent$
    {86, 1205, 1921},	// QsciScintilla::setBackspaceUnindents$
    {86, 1207, 1920},	// QsciScintilla::setBraceMatching$
    {86, 1209, 1831},	// QsciScintilla::setCallTipsBackgroundColor#
    {86, 1211, 1832},	// QsciScintilla::setCallTipsForegroundColor#
    {86, 1213, 1833},	// QsciScintilla::setCallTipsHighlightColor#
    {86, 1215, 1834},	// QsciScintilla::setCallTipsPosition$
    {86, 1217, 1835},	// QsciScintilla::setCallTipsStyle$
    {86, 1219, 1836},	// QsciScintilla::setCallTipsVisible$
    {86, 1221, 1922},	// QsciScintilla::setCaretForegroundColor#
    {86, 1223, 1923},	// QsciScintilla::setCaretLineBackgroundColor#
    {86, 1225, 1924},	// QsciScintilla::setCaretLineVisible$
    {86, 1227, 1925},	// QsciScintilla::setCaretWidth$
    {86, 1233, 1926},	// QsciScintilla::setColor#
    {86, 1236, 1837},	// QsciScintilla::setContractedFolds?
    {86, 1238, 1927},	// QsciScintilla::setCursorPosition$$
    {86, 1250, 1838},	// QsciScintilla::setDocument#
    {86, 1256, 1839},	// QsciScintilla::setEdgeColor#
    {86, 1258, 1840},	// QsciScintilla::setEdgeColumn$
    {86, 1260, 1841},	// QsciScintilla::setEdgeMode$
    {86, 1267, 1928},	// QsciScintilla::setEolMode$
    {86, 1269, 1929},	// QsciScintilla::setEolVisibility$
    {86, 1271, 1867},	// QsciScintilla::setExtraAscent$
    {86, 1273, 1868},	// QsciScintilla::setExtraDescent$
    {86, 1275, 1842},	// QsciScintilla::setFirstVisibleLine$
    {86, 1289, 1826},	// QsciScintilla::setFoldMarginColors##
    {86, 1305, 2009},	// QsciScintilla::setFolding$
    {86, 1306, 1930},	// QsciScintilla::setFolding$$
    {86, 1308, 1765},	// QsciScintilla::setFont#
    {86, 1323, 1931},	// QsciScintilla::setIndentation$$
    {86, 1325, 1932},	// QsciScintilla::setIndentationGuides$
    {86, 1327, 1933},	// QsciScintilla::setIndentationGuidesBackgroundColor#
    {86, 1329, 1934},	// QsciScintilla::setIndentationGuidesForegroundColor#
    {86, 1333, 1936},	// QsciScintilla::setIndentationWidth$
    {86, 1335, 1935},	// QsciScintilla::setIndentationsUseTabs$
    {86, 1337, 1999},	// QsciScintilla::setIndicatorDrawUnder$
    {86, 1338, 1843},	// QsciScintilla::setIndicatorDrawUnder$$
    {86, 1340, 2000},	// QsciScintilla::setIndicatorForegroundColor#
    {86, 1341, 1844},	// QsciScintilla::setIndicatorForegroundColor#$
    {86, 1343, 2001},	// QsciScintilla::setIndicatorOutlineColor#
    {86, 1344, 1845},	// QsciScintilla::setIndicatorOutlineColor#$
    {86, 1353, 2010},	// QsciScintilla::setLexer
    {86, 1354, 1937},	// QsciScintilla::setLexer#
    {86, 1360, 1941},	// QsciScintilla::setMarginLineNumbers$$
    {86, 1362, 1942},	// QsciScintilla::setMarginMarkerMask$$
    {86, 1364, 1846},	// QsciScintilla::setMarginOptions$
    {86, 1366, 1943},	// QsciScintilla::setMarginSensitivity$$
    {86, 1368, 1849},	// QsciScintilla::setMarginText$#
    {86, 1369, 1848},	// QsciScintilla::setMarginText$$#
    {86, 1370, 1847},	// QsciScintilla::setMarginText$$$
    {86, 1371, 1850},	// QsciScintilla::setMarginText$?
    {86, 1373, 1851},	// QsciScintilla::setMarginType$$
    {86, 1375, -22},	// QsciScintilla::setMarginWidth$$
    {86, 1377, 1938},	// QsciScintilla::setMarginsBackgroundColor#
    {86, 1379, 1939},	// QsciScintilla::setMarginsFont#
    {86, 1381, 1940},	// QsciScintilla::setMarginsForegroundColor#
    {86, 1383, 2003},	// QsciScintilla::setMarkerBackgroundColor#
    {86, 1384, 1853},	// QsciScintilla::setMarkerBackgroundColor#$
    {86, 1386, 2004},	// QsciScintilla::setMarkerForegroundColor#
    {86, 1387, 1854},	// QsciScintilla::setMarkerForegroundColor#$
    {86, 1389, 1855},	// QsciScintilla::setMatchedBraceBackgroundColor#
    {86, 1391, 1856},	// QsciScintilla::setMatchedBraceForegroundColor#
    {86, 1393, 1857},	// QsciScintilla::setMatchedBraceIndicator$
    {86, 1395, 1946},	// QsciScintilla::setModified$
    {86, 1397, 1869},	// QsciScintilla::setOverwriteMode$
    {86, 1399, 1947},	// QsciScintilla::setPaper#
    {86, 1408, 1948},	// QsciScintilla::setReadOnly$
    {86, 1415, 1949},	// QsciScintilla::setSelection$$$$
    {86, 1417, 1950},	// QsciScintilla::setSelectionBackgroundColor#
    {86, 1419, 1951},	// QsciScintilla::setSelectionForegroundColor#
    {86, 1421, 1866},	// QsciScintilla::setSelectionToEol$
    {86, 1432, 1952},	// QsciScintilla::setTabIndents$
    {86, 1434, 1953},	// QsciScintilla::setTabWidth$
    {86, 1436, 1954},	// QsciScintilla::setText$
    {86, 1442, 1859},	// QsciScintilla::setUnmatchedBraceBackgroundColor#
    {86, 1444, 1860},	// QsciScintilla::setUnmatchedBraceForegroundColor#
    {86, 1446, 1861},	// QsciScintilla::setUnmatchedBraceIndicator$
    {86, 1448, 1955},	// QsciScintilla::setUtf8$
    {86, 1458, 1870},	// QsciScintilla::setWhitespaceBackgroundColor#
    {86, 1460, 1871},	// QsciScintilla::setWhitespaceForegroundColor#
    {86, 1462, 1872},	// QsciScintilla::setWhitespaceSize$
    {86, 1464, 1956},	// QsciScintilla::setWhitespaceVisibility$
    {86, 1466, 1873},	// QsciScintilla::setWrapIndentMode$
    {86, 1468, 1957},	// QsciScintilla::setWrapMode$
    {86, 1470, 2005},	// QsciScintilla::setWrapVisualFlags$
    {86, 1471, 2006},	// QsciScintilla::setWrapVisualFlags$$
    {86, 1472, 1863},	// QsciScintilla::setWrapVisualFlags$$$
    {86, 1475, 1874},	// QsciScintilla::showUserList$?
    {86, 1478, 1875},	// QsciScintilla::standardCommands
    {86, 1483, 2011},	// QsciScintilla::staticMetaObject
    {86, 1491, 1876},	// QsciScintilla::tabIndents
    {86, 1492, 1877},	// QsciScintilla::tabWidth
    {86, 1494, 1878},	// QsciScintilla::text
    {86, 1495, 1879},	// QsciScintilla::text$
    {86, 1499, 1974},	// QsciScintilla::textChanged
    {86, 1501, 1880},	// QsciScintilla::textHeight$
    {86, 1507, 1978},	// QsciScintilla::tr$
    {86, 1508, 1723},	// QsciScintilla::tr$$
    {86, 1509, 1725},	// QsciScintilla::tr$$$
    {86, 1511, 1979},	// QsciScintilla::trUtf8$
    {86, 1512, 1724},	// QsciScintilla::trUtf8$$
    {86, 1513, 1726},	// QsciScintilla::trUtf8$$$
    {86, 1514, 1958},	// QsciScintilla::undo
    {86, 1516, 1959},	// QsciScintilla::unindent$
    {86, 1520, 1975},	// QsciScintilla::userListActivated$$
    {86, 1529, 1881},	// QsciScintilla::whitespaceSize
    {86, 1530, 1882},	// QsciScintilla::whitespaceVisibility
    {86, 1533, 1883},	// QsciScintilla::wordAtLineIndex$$
    {86, 1535, 1884},	// QsciScintilla::wordAtPoint#
    {86, 1536, 1885},	// QsciScintilla::wordCharacters
    {86, 1537, 1887},	// QsciScintilla::wrapIndentMode
    {86, 1538, 1886},	// QsciScintilla::wrapMode
    {86, 1540, 1888},	// QsciScintilla::write#
    {86, 1547, 1961},	// QsciScintilla::zoomIn
    {86, 1548, 1960},	// QsciScintilla::zoomIn$
    {86, 1549, 1963},	// QsciScintilla::zoomOut
    {86, 1550, 1962},	// QsciScintilla::zoomOut$
    {86, 1552, 1964},	// QsciScintilla::zoomTo$
    {86, 1590, 2109},	// QsciScintilla::~QsciScintilla
    {87, 448, 2133},	// QsciScintillaBase::QSCN_SELCHANGED$
    {87, 530, 2188},	// QsciScintillaBase::QsciScintillaBase
    {87, 531, 2117},	// QsciScintillaBase::QsciScintillaBase#
    {87, 563, 2137},	// QsciScintillaBase::SCEN_CHANGE
    {87, 564, 2134},	// QsciScintillaBase::SCN_AUTOCCANCELLED
    {87, 565, 2135},	// QsciScintillaBase::SCN_AUTOCCHARDELETED
    {87, 567, 2136},	// QsciScintillaBase::SCN_AUTOCSELECTION$$
    {87, 569, 2138},	// QsciScintillaBase::SCN_CALLTIPCLICK$
    {87, 571, 2139},	// QsciScintillaBase::SCN_CHARADDED$
    {87, 573, 2140},	// QsciScintillaBase::SCN_DOUBLECLICK$$$
    {87, 575, 2141},	// QsciScintillaBase::SCN_DWELLEND$$$
    {87, 577, 2142},	// QsciScintillaBase::SCN_DWELLSTART$$$
    {87, 578, 2143},	// QsciScintillaBase::SCN_FOCUSIN
    {87, 579, 2144},	// QsciScintillaBase::SCN_FOCUSOUT
    {87, 581, 2145},	// QsciScintillaBase::SCN_HOTSPOTCLICK$$
    {87, 583, 2146},	// QsciScintillaBase::SCN_HOTSPOTDOUBLECLICK$$
    {87, 585, 2147},	// QsciScintillaBase::SCN_HOTSPOTRELEASECLICK$$
    {87, 587, 2148},	// QsciScintillaBase::SCN_INDICATORCLICK$$
    {87, 589, 2149},	// QsciScintillaBase::SCN_INDICATORRELEASE$$
    {87, 591, 2150},	// QsciScintillaBase::SCN_MACRORECORD$$$
    {87, 593, 2151},	// QsciScintillaBase::SCN_MARGINCLICK$$$
    {87, 595, 2152},	// QsciScintillaBase::SCN_MODIFIED$$$$$$$$$$
    {87, 596, 2153},	// QsciScintillaBase::SCN_MODIFYATTEMPTRO
    {87, 598, 2154},	// QsciScintillaBase::SCN_NEEDSHOWN$$
    {87, 599, 2155},	// QsciScintillaBase::SCN_PAINTED
    {87, 600, 2156},	// QsciScintillaBase::SCN_SAVEPOINTLEFT
    {87, 601, 2157},	// QsciScintillaBase::SCN_SAVEPOINTREACHED
    {87, 603, 2158},	// QsciScintillaBase::SCN_STYLENEEDED$
    {87, 605, 2159},	// QsciScintillaBase::SCN_UPDATEUI$
    {87, 607, 2160},	// QsciScintillaBase::SCN_USERLISTSELECTION$$
    {87, 608, 2161},	// QsciScintillaBase::SCN_ZOOM
    {87, 610, -25},	// QsciScintillaBase::SC_ORDER_CUSTOM
    {87, 611, -75},	// QsciScintillaBase::SC_ORDER_PERFORMSORT
    {87, 612, -125},	// QsciScintillaBase::SC_ORDER_PRESORTED
    {87, 638, 2189},	// QsciScintillaBase::SendScintilla$
    {87, 639, 2128},	// QsciScintillaBase::SendScintilla$#
    {87, 640, -175},	// QsciScintillaBase::SendScintilla$$
    {87, 641, -180},	// QsciScintillaBase::SendScintilla$$#
    {87, 642, 2129},	// QsciScintillaBase::SendScintilla$$##$$
    {87, 643, -184},	// QsciScintillaBase::SendScintilla$$$
    {87, 644, 2126},	// QsciScintillaBase::SendScintilla$$$$
    {87, 646, 2132},	// QsciScintillaBase::SendScintillaPtrResult$
    {87, 826, 2185},	// QsciScintillaBase::bytesAsText$
    {87, 834, 2162},	// QsciScintillaBase::canInsertFromMimeData#
    {87, 862, 2165},	// QsciScintillaBase::contextMenuEvent#
    {87, 893, 2166},	// QsciScintillaBase::dragEnterEvent#
    {87, 895, 2167},	// QsciScintillaBase::dragLeaveEvent#
    {87, 897, 2168},	// QsciScintillaBase::dragMoveEvent#
    {87, 899, 2169},	// QsciScintillaBase::dropEvent#
    {87, 942, 2170},	// QsciScintillaBase::focusInEvent#
    {87, 944, 2172},	// QsciScintillaBase::focusNextPrevChild$
    {87, 946, 2171},	// QsciScintillaBase::focusOutEvent#
    {87, 973, 2163},	// QsciScintillaBase::fromMimeData#$
    {87, 1006, 2174},	// QsciScintillaBase::inputMethodEvent#
    {87, 1008, 2175},	// QsciScintillaBase::inputMethodQuery$
    {87, 1027, 2173},	// QsciScintillaBase::keyPressEvent#
    {87, 1087, 2110},	// QsciScintillaBase::metaObject
    {87, 1094, 2176},	// QsciScintillaBase::mouseDoubleClickEvent#
    {87, 1096, 2177},	// QsciScintillaBase::mouseMoveEvent#
    {87, 1098, 2178},	// QsciScintillaBase::mousePressEvent#
    {87, 1100, 2179},	// QsciScintillaBase::mouseReleaseEvent#
    {87, 1108, 2180},	// QsciScintillaBase::paintEvent#
    {87, 1116, 2118},	// QsciScintillaBase::pool
    {87, 1129, 2116},	// QsciScintillaBase::qt_metacall$$?
    {87, 1131, 2111},	// QsciScintillaBase::qt_metacast$
    {87, 1161, 2181},	// QsciScintillaBase::resizeEvent#
    {87, 1167, 2182},	// QsciScintillaBase::scrollContentsBy$$
    {87, 1413, 2183},	// QsciScintillaBase::setScrollBars
    {87, 1483, 2191},	// QsciScintillaBase::staticMetaObject
    {87, 1497, 2184},	// QsciScintillaBase::textAsBytes$
    {87, 1504, 2164},	// QsciScintillaBase::toMimeData#$
    {87, 1507, 2186},	// QsciScintillaBase::tr$
    {87, 1508, 2112},	// QsciScintillaBase::tr$$
    {87, 1509, 2114},	// QsciScintillaBase::tr$$$
    {87, 1511, 2187},	// QsciScintillaBase::trUtf8$
    {87, 1512, 2113},	// QsciScintillaBase::trUtf8$$
    {87, 1513, 2115},	// QsciScintillaBase::trUtf8$$$
    {87, 1591, 2339},	// QsciScintillaBase::~QsciScintillaBase
    {88, 349, 2368},	// QsciStyle::LowerCase
    {88, 376, 2366},	// QsciStyle::OriginalCase
    {88, 532, 2364},	// QsciStyle::QsciStyle
    {88, 533, 2363},	// QsciStyle::QsciStyle#
    {88, 534, 2340},	// QsciStyle::QsciStyle$
    {88, 535, 2365},	// QsciStyle::QsciStyle$$###
    {88, 536, 2341},	// QsciStyle::QsciStyle$$###$
    {88, 722, 2367},	// QsciStyle::UpperCase
    {88, 794, 2342},	// QsciStyle::apply#
    {88, 840, 2359},	// QsciStyle::changeable
    {88, 854, 2347},	// QsciStyle::color
    {88, 884, 2345},	// QsciStyle::description
    {88, 911, 2353},	// QsciStyle::eolFill
    {88, 965, 2351},	// QsciStyle::font
    {88, 985, 2361},	// QsciStyle::hotspot
    {88, 1110, 2349},	// QsciStyle::paper
    {88, 1144, 2362},	// QsciStyle::refresh
    {88, 1231, 2358},	// QsciStyle::setChangeable$
    {88, 1233, 2346},	// QsciStyle::setColor#
    {88, 1246, 2344},	// QsciStyle::setDescription$
    {88, 1264, 2352},	// QsciStyle::setEolFill$
    {88, 1308, 2350},	// QsciStyle::setFont#
    {88, 1321, 2360},	// QsciStyle::setHotspot$
    {88, 1399, 2348},	// QsciStyle::setPaper#
    {88, 1438, 2354},	// QsciStyle::setTextCase$
    {88, 1456, 2356},	// QsciStyle::setVisible$
    {88, 1485, 2343},	// QsciStyle::style
    {88, 1498, 2355},	// QsciStyle::textCase
    {88, 1527, 2357},	// QsciStyle::visible
    {88, 1592, 2369},	// QsciStyle::~QsciStyle
    {89, 538, 2375},	// QsciStyledText::QsciStyledText#
    {89, 539, 2371},	// QsciStyledText::QsciStyledText$#
    {89, 540, 2370},	// QsciStyledText::QsciStyledText$$
    {89, 794, 2372},	// QsciStyledText::apply#
    {89, 1485, 2374},	// QsciStyledText::style
    {89, 1494, 2373},	// QsciStyledText::text
    {89, 1593, 2376},	// QsciStyledText::~QsciStyledText
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *qsci_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qsci_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    qsci_Smoke = new Smoke(
        "qsci",
        __smokeqsci::classes, 89,
        __smokeqsci::methods, 2377,
        __smokeqsci::methodMaps, 2177,
        __smokeqsci::methodNames, 1593,
        __smokeqsci::types, 223,
        __smokeqsci::inheritanceList,
        __smokeqsci::argumentList,
        __smokeqsci::ambiguousMethodList,
        __smokeqsci::cast );
    initialized = true;
}

void delete_qsci_Smoke() { delete qsci_Smoke; }

}
