#include <qtwebkit_includes.h>

#include <smoke.h>
#include <qtwebkit_smoke.h>

namespace __smokeqtwebkit {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAction
      switch(to) {
        case 1: return (void*)(QAction*)xptr;
        default: return xptr;
      }
    case 2:   //QActionEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QActionEvent*)xptr;
        case 2: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QBool
      switch(to) {
        case 3: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 4:   //QByteArray
      switch(to) {
        case 4: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 5:   //QChildEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 5: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 6:   //QCloseEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QCloseEvent*)xptr;
        case 6: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 7:   //QContextMenuEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QContextMenuEvent*)xptr;
        case 7: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 8:   //QDateTime
      switch(to) {
        case 8: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 9:   //QDragEnterEvent
      switch(to) {
        case 11: return (void*)(QDragMoveEvent*)(QDragEnterEvent*)xptr;
        case 12: return (void*)(QDropEvent*)(QDragEnterEvent*)xptr;
        case 13: return (void*)(QEvent*)(QDragEnterEvent*)xptr;
        case 9: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QDragLeaveEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QDragLeaveEvent*)xptr;
        case 10: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 11:   //QDragMoveEvent
      switch(to) {
        case 12: return (void*)(QDropEvent*)(QDragMoveEvent*)xptr;
        case 13: return (void*)(QEvent*)(QDragMoveEvent*)xptr;
        case 11: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 12:   //QDropEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QDropEvent*)xptr;
        case 12: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 13:   //QEvent
      switch(to) {
        case 13: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 14:   //QFocusEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QFocusEvent*)xptr;
        case 14: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 15:   //QFont
      switch(to) {
        case 15: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 17:   //QHideEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QHideEvent*)xptr;
        case 17: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 18:   //QIcon
      switch(to) {
        case 18: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 19:   //QInputMethodEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QInputMethodEvent*)xptr;
        case 19: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 20:   //QKeyEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QKeyEvent*)xptr;
        case 20: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 21:   //QMenu
      switch(to) {
        case 21: return (void*)(QMenu*)xptr;
        default: return xptr;
      }
    case 22:   //QMetaObject
      switch(to) {
        case 22: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 23:   //QMouseEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QMouseEvent*)xptr;
        case 23: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 24:   //QMoveEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QMoveEvent*)xptr;
        case 24: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 25:   //QNetworkAccessManager
      switch(to) {
        case 28: return (void*)(QObject*)(QNetworkAccessManager*)xptr;
        case 25: return (void*)(QNetworkAccessManager*)xptr;
        default: return xptr;
      }
    case 26:   //QNetworkReply
      switch(to) {
        case 26: return (void*)(QNetworkReply*)xptr;
        default: return xptr;
      }
    case 27:   //QNetworkRequest
      switch(to) {
        case 27: return (void*)(QNetworkRequest*)xptr;
        default: return xptr;
      }
    case 28:   //QObject
      switch(to) {
        case 28: return (void*)(QObject*)xptr;
        case 55: return (void*)(QWebHistoryInterface*)(QObject*)xptr;
        case 59: return (void*)(QWebPage*)(QObject*)xptr;
        case 68: return (void*)(QWebPluginFactory*)(QObject*)xptr;
        case 76: return (void*)(QWebView*)(QObject*)xptr;
        case 58: return (void*)(QWebInspector*)(QObject*)xptr;
        case 53: return (void*)(QWebFrame*)(QObject*)xptr;
        default: return xptr;
      }
    case 29:   //QPaintEngine
      switch(to) {
        case 29: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 30:   //QPaintEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QPaintEvent*)xptr;
        case 30: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 31:   //QPainter
      switch(to) {
        case 31: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 32:   //QPalette
      switch(to) {
        case 32: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 33:   //QPixmap
      switch(to) {
        case 33: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 34:   //QPoint
      switch(to) {
        case 34: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 35:   //QPrinter
      switch(to) {
        case 35: return (void*)(QPrinter*)xptr;
        default: return xptr;
      }
    case 36:   //QRect
      switch(to) {
        case 36: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 37:   //QRegExp
      switch(to) {
        case 37: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 38:   //QRegion
      switch(to) {
        case 38: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 39:   //QResizeEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QResizeEvent*)xptr;
        case 39: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 40:   //QShowEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QShowEvent*)xptr;
        case 40: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 41:   //QSize
      switch(to) {
        case 41: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 42:   //QStyle
      switch(to) {
        case 42: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 43:   //QTabletEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QTabletEvent*)xptr;
        case 43: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 44:   //QTimerEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 44: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 45:   //QUndoStack
      switch(to) {
        case 45: return (void*)(QUndoStack*)xptr;
        default: return xptr;
      }
    case 46:   //QUrl
      switch(to) {
        case 46: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 47:   //QVariant
      switch(to) {
        case 47: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 48:   //QWebDatabase
      switch(to) {
        case 48: return (void*)(QWebDatabase*)xptr;
        default: return xptr;
      }
    case 49:   //QWebElement
      switch(to) {
        case 49: return (void*)(QWebElement*)xptr;
        default: return xptr;
      }
    case 50:   //QWebElementCollection
      switch(to) {
        case 50: return (void*)(QWebElementCollection*)xptr;
        default: return xptr;
      }
    case 51:   //QWebElementCollection::const_iterator
      switch(to) {
        case 51: return (void*)(QWebElementCollection::const_iterator*)xptr;
        default: return xptr;
      }
    case 52:   //QWebElementCollection::iterator
      switch(to) {
        case 52: return (void*)(QWebElementCollection::iterator*)xptr;
        default: return xptr;
      }
    case 53:   //QWebFrame
      switch(to) {
        case 28: return (void*)(QObject*)(QWebFrame*)xptr;
        case 53: return (void*)(QWebFrame*)xptr;
        default: return xptr;
      }
    case 54:   //QWebHistory
      switch(to) {
        case 54: return (void*)(QWebHistory*)xptr;
        default: return xptr;
      }
    case 55:   //QWebHistoryInterface
      switch(to) {
        case 28: return (void*)(QObject*)(QWebHistoryInterface*)xptr;
        case 55: return (void*)(QWebHistoryInterface*)xptr;
        default: return xptr;
      }
    case 56:   //QWebHistoryItem
      switch(to) {
        case 56: return (void*)(QWebHistoryItem*)xptr;
        default: return xptr;
      }
    case 57:   //QWebHitTestResult
      switch(to) {
        case 57: return (void*)(QWebHitTestResult*)xptr;
        default: return xptr;
      }
    case 58:   //QWebInspector
      switch(to) {
        case 78: return (void*)(QWidget*)(QWebInspector*)xptr;
        case 28: return (void*)(QObject*)(QWebInspector*)xptr;
        case 58: return (void*)(QWebInspector*)xptr;
        default: return xptr;
      }
    case 59:   //QWebPage
      switch(to) {
        case 28: return (void*)(QObject*)(QWebPage*)xptr;
        case 59: return (void*)(QWebPage*)xptr;
        default: return xptr;
      }
    case 60:   //QWebPage::ChooseMultipleFilesExtensionOption
      switch(to) {
        case 64: return (void*)(QWebPage::ExtensionOption*)(QWebPage::ChooseMultipleFilesExtensionOption*)xptr;
        case 60: return (void*)(QWebPage::ChooseMultipleFilesExtensionOption*)xptr;
        default: return xptr;
      }
    case 61:   //QWebPage::ChooseMultipleFilesExtensionReturn
      switch(to) {
        case 65: return (void*)(QWebPage::ExtensionReturn*)(QWebPage::ChooseMultipleFilesExtensionReturn*)xptr;
        case 61: return (void*)(QWebPage::ChooseMultipleFilesExtensionReturn*)xptr;
        default: return xptr;
      }
    case 62:   //QWebPage::ErrorPageExtensionOption
      switch(to) {
        case 64: return (void*)(QWebPage::ExtensionOption*)(QWebPage::ErrorPageExtensionOption*)xptr;
        case 62: return (void*)(QWebPage::ErrorPageExtensionOption*)xptr;
        default: return xptr;
      }
    case 63:   //QWebPage::ErrorPageExtensionReturn
      switch(to) {
        case 65: return (void*)(QWebPage::ExtensionReturn*)(QWebPage::ErrorPageExtensionReturn*)xptr;
        case 63: return (void*)(QWebPage::ErrorPageExtensionReturn*)xptr;
        default: return xptr;
      }
    case 64:   //QWebPage::ExtensionOption
      switch(to) {
        case 64: return (void*)(QWebPage::ExtensionOption*)xptr;
        case 62: return (void*)(QWebPage::ErrorPageExtensionOption*)(QWebPage::ExtensionOption*)xptr;
        case 60: return (void*)(QWebPage::ChooseMultipleFilesExtensionOption*)(QWebPage::ExtensionOption*)xptr;
        default: return xptr;
      }
    case 65:   //QWebPage::ExtensionReturn
      switch(to) {
        case 65: return (void*)(QWebPage::ExtensionReturn*)xptr;
        case 61: return (void*)(QWebPage::ChooseMultipleFilesExtensionReturn*)(QWebPage::ExtensionReturn*)xptr;
        case 63: return (void*)(QWebPage::ErrorPageExtensionReturn*)(QWebPage::ExtensionReturn*)xptr;
        default: return xptr;
      }
    case 66:   //QWebPage::ViewportAttributes
      switch(to) {
        case 66: return (void*)(QWebPage::ViewportAttributes*)xptr;
        default: return xptr;
      }
    case 67:   //QWebPagePrivate
      switch(to) {
        case 67: return (void*)(QWebPagePrivate*)xptr;
        default: return xptr;
      }
    case 68:   //QWebPluginFactory
      switch(to) {
        case 28: return (void*)(QObject*)(QWebPluginFactory*)xptr;
        case 68: return (void*)(QWebPluginFactory*)xptr;
        default: return xptr;
      }
    case 69:   //QWebPluginFactory::ExtensionOption
      switch(to) {
        case 69: return (void*)(QWebPluginFactory::ExtensionOption*)xptr;
        default: return xptr;
      }
    case 70:   //QWebPluginFactory::ExtensionReturn
      switch(to) {
        case 70: return (void*)(QWebPluginFactory::ExtensionReturn*)xptr;
        default: return xptr;
      }
    case 71:   //QWebPluginFactory::MimeType
      switch(to) {
        case 71: return (void*)(QWebPluginFactory::MimeType*)xptr;
        default: return xptr;
      }
    case 72:   //QWebPluginFactory::Plugin
      switch(to) {
        case 72: return (void*)(QWebPluginFactory::Plugin*)xptr;
        default: return xptr;
      }
    case 73:   //QWebSecurityOrigin
      switch(to) {
        case 73: return (void*)(QWebSecurityOrigin*)xptr;
        default: return xptr;
      }
    case 74:   //QWebSettings
      switch(to) {
        case 74: return (void*)(QWebSettings*)xptr;
        default: return xptr;
      }
    case 75:   //QWebSettingsPrivate
      switch(to) {
        case 75: return (void*)(QWebSettingsPrivate*)xptr;
        default: return xptr;
      }
    case 76:   //QWebView
      switch(to) {
        case 78: return (void*)(QWidget*)(QWebView*)xptr;
        case 28: return (void*)(QObject*)(QWebView*)xptr;
        case 76: return (void*)(QWebView*)xptr;
        default: return xptr;
      }
    case 77:   //QWheelEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QWheelEvent*)xptr;
        case 77: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 78:   //QWidget
      switch(to) {
        case 28: return (void*)(QObject*)(QWidget*)xptr;
        case 78: return (void*)(QWidget*)xptr;
        case 76: return (void*)(QWebView*)(QWidget*)xptr;
        case 58: return (void*)(QWebInspector*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    28, 0,	// 1: QObject
    78, 0,	// 3: QWidget
    64, 0,	// 5: QWebPage::ExtensionOption
    65, 0,	// 7: QWebPage::ExtensionReturn
};

// These are the xenum functions for manipulating enum pointers
void xenum_QWebSettings(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebPage(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebPluginFactory(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebElement(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebFrame(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebDatabase(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebElement(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebElementCollection(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebElementCollection__const_iterator(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebElementCollection__iterator(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebFrame(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebHistory(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebHistoryInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebHistoryItem(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebHitTestResult(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebInspector(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ChooseMultipleFilesExtensionOption(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ChooseMultipleFilesExtensionReturn(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ErrorPageExtensionOption(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ErrorPageExtensionReturn(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ExtensionOption(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ExtensionReturn(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ViewportAttributes(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory__ExtensionOption(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory__ExtensionReturn(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory__MimeType(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory__Plugin(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebSecurityOrigin(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebSettings(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebView(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAction", true, 0, 0, 0, 0, 0 },	//1
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QBool", true, 0, 0, 0, 0, 0 },	//3
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//4
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//5
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//6
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//7
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//8
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//10
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//11
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//12
    { "QEvent", true, 0, 0, 0, 0, 0 },	//13
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//14
    { "QFont", true, 0, 0, 0, 0, 0 },	//15
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, 0, Smoke::cf_namespace, 0 },	//16
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//17
    { "QIcon", true, 0, 0, 0, 0, 0 },	//18
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//19
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//20
    { "QMenu", true, 0, 0, 0, 0, 0 },	//21
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//22
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//23
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//24
    { "QNetworkAccessManager", true, 0, 0, 0, 0, 0 },	//25
    { "QNetworkReply", true, 0, 0, 0, 0, 0 },	//26
    { "QNetworkRequest", true, 0, 0, 0, 0, 0 },	//27
    { "QObject", true, 0, 0, 0, 0, 0 },	//28
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//29
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//30
    { "QPainter", true, 0, 0, 0, 0, 0 },	//31
    { "QPalette", true, 0, 0, 0, 0, 0 },	//32
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//33
    { "QPoint", true, 0, 0, 0, 0, 0 },	//34
    { "QPrinter", true, 0, 0, 0, 0, 0 },	//35
    { "QRect", true, 0, 0, 0, 0, 0 },	//36
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//37
    { "QRegion", true, 0, 0, 0, 0, 0 },	//38
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//39
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//40
    { "QSize", true, 0, 0, 0, 0, 0 },	//41
    { "QStyle", true, 0, 0, 0, 0, 0 },	//42
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//43
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//44
    { "QUndoStack", true, 0, 0, 0, 0, 0 },	//45
    { "QUrl", true, 0, 0, 0, 0, 0 },	//46
    { "QVariant", true, 0, 0, 0, 0, 0 },	//47
    { "QWebDatabase", false, 0, xcall_QWebDatabase, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebDatabase) },	//48
    { "QWebElement", false, 0, xcall_QWebElement, xenum_QWebElement, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebElement) },	//49
    { "QWebElementCollection", false, 0, xcall_QWebElementCollection, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebElementCollection) },	//50
    { "QWebElementCollection::const_iterator", false, 0, xcall_QWebElementCollection__const_iterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebElementCollection::const_iterator) },	//51
    { "QWebElementCollection::iterator", false, 0, xcall_QWebElementCollection__iterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebElementCollection::iterator) },	//52
    { "QWebFrame", false, 1, xcall_QWebFrame, xenum_QWebFrame, Smoke::cf_virtual, sizeof(QWebFrame) },	//53
    { "QWebHistory", false, 0, xcall_QWebHistory, 0, 0, sizeof(QWebHistory) },	//54
    { "QWebHistoryInterface", false, 1, xcall_QWebHistoryInterface, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebHistoryInterface) },	//55
    { "QWebHistoryItem", false, 0, xcall_QWebHistoryItem, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebHistoryItem) },	//56
    { "QWebHitTestResult", false, 0, xcall_QWebHitTestResult, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebHitTestResult) },	//57
    { "QWebInspector", false, 3, xcall_QWebInspector, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebInspector) },	//58
    { "QWebPage", false, 1, xcall_QWebPage, xenum_QWebPage, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebPage) },	//59
    { "QWebPage::ChooseMultipleFilesExtensionOption", false, 5, xcall_QWebPage__ChooseMultipleFilesExtensionOption, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ChooseMultipleFilesExtensionOption) },	//60
    { "QWebPage::ChooseMultipleFilesExtensionReturn", false, 7, xcall_QWebPage__ChooseMultipleFilesExtensionReturn, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ChooseMultipleFilesExtensionReturn) },	//61
    { "QWebPage::ErrorPageExtensionOption", false, 5, xcall_QWebPage__ErrorPageExtensionOption, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ErrorPageExtensionOption) },	//62
    { "QWebPage::ErrorPageExtensionReturn", false, 7, xcall_QWebPage__ErrorPageExtensionReturn, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ErrorPageExtensionReturn) },	//63
    { "QWebPage::ExtensionOption", false, 0, xcall_QWebPage__ExtensionOption, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ExtensionOption) },	//64
    { "QWebPage::ExtensionReturn", false, 0, xcall_QWebPage__ExtensionReturn, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ExtensionReturn) },	//65
    { "QWebPage::ViewportAttributes", false, 0, xcall_QWebPage__ViewportAttributes, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ViewportAttributes) },	//66
    { "QWebPagePrivate", true, 0, 0, 0, 0, 0 },	//67
    { "QWebPluginFactory", false, 1, xcall_QWebPluginFactory, xenum_QWebPluginFactory, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebPluginFactory) },	//68
    { "QWebPluginFactory::ExtensionOption", false, 0, xcall_QWebPluginFactory__ExtensionOption, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPluginFactory::ExtensionOption) },	//69
    { "QWebPluginFactory::ExtensionReturn", false, 0, xcall_QWebPluginFactory__ExtensionReturn, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPluginFactory::ExtensionReturn) },	//70
    { "QWebPluginFactory::MimeType", false, 0, xcall_QWebPluginFactory__MimeType, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPluginFactory::MimeType) },	//71
    { "QWebPluginFactory::Plugin", false, 0, xcall_QWebPluginFactory__Plugin, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPluginFactory::Plugin) },	//72
    { "QWebSecurityOrigin", false, 0, xcall_QWebSecurityOrigin, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebSecurityOrigin) },	//73
    { "QWebSettings", false, 0, xcall_QWebSettings, xenum_QWebSettings, 0, sizeof(QWebSettings) },	//74
    { "QWebSettingsPrivate", true, 0, 0, 0, 0, 0 },	//75
    { "QWebView", false, 3, xcall_QWebView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebView) },	//76
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//77
    { "QWidget", true, 0, 0, 0, 0, 0 },	//78
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAction*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "QActionEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "QBool", 3, Smoke::t_class|Smoke::tf_stack },	//3
    { "QByteArray&", 4, Smoke::t_class|Smoke::tf_ref },	//4
    { "QChildEvent*", 5, Smoke::t_class|Smoke::tf_ptr },	//5
    { "QCloseEvent*", 6, Smoke::t_class|Smoke::tf_ptr },	//6
    { "QContextMenuEvent*", 7, Smoke::t_class|Smoke::tf_ptr },	//7
    { "QDateTime", 8, Smoke::t_class|Smoke::tf_stack },	//8
    { "QDragEnterEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//9
    { "QDragLeaveEvent*", 10, Smoke::t_class|Smoke::tf_ptr },	//10
    { "QDragMoveEvent*", 11, Smoke::t_class|Smoke::tf_ptr },	//11
    { "QDrawBorderPixmap::DrawingHint", 0, Smoke::t_enum|Smoke::tf_stack },	//12
    { "QDropEvent*", 12, Smoke::t_class|Smoke::tf_ptr },	//13
    { "QEvent*", 13, Smoke::t_class|Smoke::tf_ptr },	//14
    { "QFlags<QPainter::RenderHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//15
    { "QFlags<QWebPage::FindFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//16
    { "QFocusEvent*", 14, Smoke::t_class|Smoke::tf_ptr },	//17
    { "QHideEvent*", 17, Smoke::t_class|Smoke::tf_ptr },	//18
    { "QIcon", 18, Smoke::t_class|Smoke::tf_stack },	//19
    { "QInputMethodEvent*", 19, Smoke::t_class|Smoke::tf_ptr },	//20
    { "QKeyEvent*", 20, Smoke::t_class|Smoke::tf_ptr },	//21
    { "QList<QWebDatabase>", 0, Smoke::t_voidp|Smoke::tf_stack },	//22
    { "QList<QWebElement>", 0, Smoke::t_voidp|Smoke::tf_stack },	//23
    { "QList<QWebFrame*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//24
    { "QList<QWebHistoryItem>", 0, Smoke::t_voidp|Smoke::tf_stack },	//25
    { "QList<QWebPluginFactory::MimeType>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//26
    { "QList<QWebPluginFactory::Plugin>", 0, Smoke::t_voidp|Smoke::tf_stack },	//27
    { "QList<QWebSecurityOrigin>", 0, Smoke::t_voidp|Smoke::tf_stack },	//28
    { "QMenu*", 21, Smoke::t_class|Smoke::tf_ptr },	//29
    { "QMetaObject::Call", 22, Smoke::t_enum|Smoke::tf_stack },	//30
    { "QMouseEvent*", 23, Smoke::t_class|Smoke::tf_ptr },	//31
    { "QMoveEvent*", 24, Smoke::t_class|Smoke::tf_ptr },	//32
    { "QMultiMap<QString,QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//33
    { "QNetworkAccessManager*", 25, Smoke::t_class|Smoke::tf_ptr },	//34
    { "QNetworkAccessManager::Operation", 25, Smoke::t_enum|Smoke::tf_stack },	//35
    { "QNetworkReply*", 26, Smoke::t_class|Smoke::tf_ptr },	//36
    { "QNetworkRequest", 27, Smoke::t_class|Smoke::tf_stack },	//37
    { "QObject*", 28, Smoke::t_class|Smoke::tf_ptr },	//38
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//39
    { "QPaintEngine*", 29, Smoke::t_class|Smoke::tf_ptr },	//40
    { "QPaintEvent*", 30, Smoke::t_class|Smoke::tf_ptr },	//41
    { "QPainter*", 31, Smoke::t_class|Smoke::tf_ptr },	//42
    { "QPainter::RenderHint", 31, Smoke::t_enum|Smoke::tf_stack },	//43
    { "QPalette", 32, Smoke::t_class|Smoke::tf_stack },	//44
    { "QPixmap", 33, Smoke::t_class|Smoke::tf_stack },	//45
    { "QPoint", 34, Smoke::t_class|Smoke::tf_stack },	//46
    { "QPrinter*", 35, Smoke::t_class|Smoke::tf_ptr },	//47
    { "QRect", 36, Smoke::t_class|Smoke::tf_stack },	//48
    { "QRegExp&", 37, Smoke::t_class|Smoke::tf_ref },	//49
    { "QResizeEvent*", 39, Smoke::t_class|Smoke::tf_ptr },	//50
    { "QScriptEngine::ValueOwnership", 0, Smoke::t_enum|Smoke::tf_stack },	//51
    { "QShowEvent*", 40, Smoke::t_class|Smoke::tf_ptr },	//52
    { "QSize", 41, Smoke::t_class|Smoke::tf_stack },	//53
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//54
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//55
    { "QString*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//56
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//57
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//58
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//59
    { "QStyle&", 42, Smoke::t_class|Smoke::tf_ref },	//60
    { "QTabletEvent*", 43, Smoke::t_class|Smoke::tf_ptr },	//61
    { "QTimerEvent*", 44, Smoke::t_class|Smoke::tf_ptr },	//62
    { "QUndoStack*", 45, Smoke::t_class|Smoke::tf_ptr },	//63
    { "QUrl", 46, Smoke::t_class|Smoke::tf_stack },	//64
    { "QUrl&", 46, Smoke::t_class|Smoke::tf_ref },	//65
    { "QVariant", 47, Smoke::t_class|Smoke::tf_stack },	//66
    { "QWebDatabase", 48, Smoke::t_class|Smoke::tf_stack },	//67
    { "QWebDatabase&", 48, Smoke::t_class|Smoke::tf_ref },	//68
    { "QWebDatabase*", 48, Smoke::t_class|Smoke::tf_ptr },	//69
    { "QWebElement", 49, Smoke::t_class|Smoke::tf_stack },	//70
    { "QWebElement&", 49, Smoke::t_class|Smoke::tf_ref },	//71
    { "QWebElement*", 49, Smoke::t_class|Smoke::tf_ptr },	//72
    { "QWebElement::StyleResolveStrategy", 49, Smoke::t_enum|Smoke::tf_stack },	//73
    { "QWebElementCollection", 50, Smoke::t_class|Smoke::tf_stack },	//74
    { "QWebElementCollection&", 50, Smoke::t_class|Smoke::tf_ref },	//75
    { "QWebElementCollection*", 50, Smoke::t_class|Smoke::tf_ptr },	//76
    { "QWebElementCollection::const_iterator", 51, Smoke::t_class|Smoke::tf_stack },	//77
    { "QWebElementCollection::const_iterator&", 51, Smoke::t_class|Smoke::tf_ref },	//78
    { "QWebElementCollection::const_iterator*", 51, Smoke::t_class|Smoke::tf_ptr },	//79
    { "QWebElementCollection::iterator", 52, Smoke::t_class|Smoke::tf_stack },	//80
    { "QWebElementCollection::iterator&", 52, Smoke::t_class|Smoke::tf_ref },	//81
    { "QWebElementCollection::iterator*", 52, Smoke::t_class|Smoke::tf_ptr },	//82
    { "QWebFrame*", 53, Smoke::t_class|Smoke::tf_ptr },	//83
    { "QWebFrame::RenderLayer", 53, Smoke::t_enum|Smoke::tf_stack },	//84
    { "QWebHistory*", 54, Smoke::t_class|Smoke::tf_ptr },	//85
    { "QWebHistoryInterface*", 55, Smoke::t_class|Smoke::tf_ptr },	//86
    { "QWebHistoryItem", 56, Smoke::t_class|Smoke::tf_stack },	//87
    { "QWebHistoryItem&", 56, Smoke::t_class|Smoke::tf_ref },	//88
    { "QWebHistoryItem*", 56, Smoke::t_class|Smoke::tf_ptr },	//89
    { "QWebHitTestResult", 57, Smoke::t_class|Smoke::tf_stack },	//90
    { "QWebHitTestResult&", 57, Smoke::t_class|Smoke::tf_ref },	//91
    { "QWebHitTestResult*", 57, Smoke::t_class|Smoke::tf_ptr },	//92
    { "QWebInspector*", 58, Smoke::t_class|Smoke::tf_ptr },	//93
    { "QWebPage*", 59, Smoke::t_class|Smoke::tf_ptr },	//94
    { "QWebPage::ChooseMultipleFilesExtensionOption*", 60, Smoke::t_class|Smoke::tf_ptr },	//95
    { "QWebPage::ChooseMultipleFilesExtensionReturn*", 61, Smoke::t_class|Smoke::tf_ptr },	//96
    { "QWebPage::ErrorDomain", 59, Smoke::t_enum|Smoke::tf_stack },	//97
    { "QWebPage::ErrorPageExtensionOption*", 62, Smoke::t_class|Smoke::tf_ptr },	//98
    { "QWebPage::ErrorPageExtensionReturn*", 63, Smoke::t_class|Smoke::tf_ptr },	//99
    { "QWebPage::Extension", 59, Smoke::t_enum|Smoke::tf_stack },	//100
    { "QWebPage::ExtensionOption*", 64, Smoke::t_class|Smoke::tf_ptr },	//101
    { "QWebPage::ExtensionReturn*", 65, Smoke::t_class|Smoke::tf_ptr },	//102
    { "QWebPage::Feature", 59, Smoke::t_enum|Smoke::tf_stack },	//103
    { "QWebPage::FindFlag", 59, Smoke::t_enum|Smoke::tf_stack },	//104
    { "QWebPage::LinkDelegationPolicy", 59, Smoke::t_enum|Smoke::tf_stack },	//105
    { "QWebPage::NavigationType", 59, Smoke::t_enum|Smoke::tf_stack },	//106
    { "QWebPage::PermissionPolicy", 59, Smoke::t_enum|Smoke::tf_stack },	//107
    { "QWebPage::ViewportAttributes", 66, Smoke::t_class|Smoke::tf_stack },	//108
    { "QWebPage::ViewportAttributes&", 66, Smoke::t_class|Smoke::tf_ref },	//109
    { "QWebPage::ViewportAttributes*", 66, Smoke::t_class|Smoke::tf_ptr },	//110
    { "QWebPage::WebAction", 59, Smoke::t_enum|Smoke::tf_stack },	//111
    { "QWebPage::WebWindowType", 59, Smoke::t_enum|Smoke::tf_stack },	//112
    { "QWebPagePrivate*", 67, Smoke::t_class|Smoke::tf_ptr },	//113
    { "QWebPluginFactory*", 68, Smoke::t_class|Smoke::tf_ptr },	//114
    { "QWebPluginFactory::Extension", 68, Smoke::t_enum|Smoke::tf_stack },	//115
    { "QWebPluginFactory::ExtensionOption*", 69, Smoke::t_class|Smoke::tf_ptr },	//116
    { "QWebPluginFactory::ExtensionReturn*", 70, Smoke::t_class|Smoke::tf_ptr },	//117
    { "QWebPluginFactory::MimeType", 71, Smoke::t_class|Smoke::tf_stack },	//118
    { "QWebPluginFactory::MimeType*", 71, Smoke::t_class|Smoke::tf_ptr },	//119
    { "QWebPluginFactory::Plugin", 72, Smoke::t_class|Smoke::tf_stack },	//120
    { "QWebPluginFactory::Plugin*", 72, Smoke::t_class|Smoke::tf_ptr },	//121
    { "QWebSecurityOrigin", 73, Smoke::t_class|Smoke::tf_stack },	//122
    { "QWebSecurityOrigin&", 73, Smoke::t_class|Smoke::tf_ref },	//123
    { "QWebSecurityOrigin*", 73, Smoke::t_class|Smoke::tf_ptr },	//124
    { "QWebSettings*", 74, Smoke::t_class|Smoke::tf_ptr },	//125
    { "QWebSettings::FontFamily", 74, Smoke::t_enum|Smoke::tf_stack },	//126
    { "QWebSettings::FontSize", 74, Smoke::t_enum|Smoke::tf_stack },	//127
    { "QWebSettings::ThirdPartyCookiePolicy", 74, Smoke::t_enum|Smoke::tf_stack },	//128
    { "QWebSettings::WebAttribute", 74, Smoke::t_enum|Smoke::tf_stack },	//129
    { "QWebSettings::WebGraphic", 74, Smoke::t_enum|Smoke::tf_stack },	//130
    { "QWebSettingsPrivate*", 75, Smoke::t_class|Smoke::tf_ptr },	//131
    { "QWebView*", 76, Smoke::t_class|Smoke::tf_ptr },	//132
    { "QWheelEvent*", 77, Smoke::t_class|Smoke::tf_ptr },	//133
    { "QWidget*", 78, Smoke::t_class|Smoke::tf_ptr },	//134
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//207
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//208
    { "const QByteArray&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//209
    { "const QFont&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//210
    { "const QList<QWebPluginFactory::MimeType>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//211
    { "const QMetaObject&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//212
    { "const QMetaObject*", 22, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//213
    { "const QNetworkRequest&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//214
    { "const QPalette&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//215
    { "const QPixmap&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//216
    { "const QPoint&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//217
    { "const QRect&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//218
    { "const QRegExp&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//219
    { "const QRegion&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//220
    { "const QSize&", 41, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//221
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//222
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//223
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//224
    { "const QUrl&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//225
    { "const QVariant&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//226
    { "const QWebDatabase&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//227
    { "const QWebElement", 49, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//228
    { "const QWebElement&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//229
    { "const QWebElementCollection&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//230
    { "const QWebElementCollection*", 50, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//231
    { "const QWebElementCollection::const_iterator&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//232
    { "const QWebElementCollection::iterator&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//233
    { "const QWebHistoryItem&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//234
    { "const QWebHitTestResult&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//235
    { "const QWebPage::ChooseMultipleFilesExtensionOption&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//236
    { "const QWebPage::ChooseMultipleFilesExtensionReturn&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//237
    { "const QWebPage::ErrorPageExtensionOption&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//238
    { "const QWebPage::ErrorPageExtensionReturn&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//239
    { "const QWebPage::ExtensionOption&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//240
    { "const QWebPage::ExtensionOption*", 64, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//241
    { "const QWebPage::ExtensionReturn&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//242
    { "const QWebPage::ViewportAttributes&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//243
    { "const QWebPluginFactory::ExtensionOption&", 69, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//244
    { "const QWebPluginFactory::ExtensionOption*", 69, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//245
    { "const QWebPluginFactory::ExtensionReturn&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//246
    { "const QWebPluginFactory::MimeType&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//247
    { "const QWebPluginFactory::Plugin&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//248
    { "const QWebSecurityOrigin&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//249
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//250
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//251
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//252
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//253
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//254
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//255
    { "quint64", 0, Smoke::t_voidp|Smoke::tf_stack },	//256
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//257
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//258
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//259
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//260
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    14, 0,	//1  QEvent*
    38, 14, 0,	//3  QObject*, QEvent*
    62, 0,	//6  QTimerEvent*
    5, 0,	//8  QChildEvent*
    250, 0,	//10  const char*
    227, 0,	//12  const QWebDatabase&
    229, 0,	//14  const QWebElement&
    222, 0,	//16  const QString&
    222, 222, 0,	//18  const QString&, const QString&
    222, 222, 222, 0,	//21  const QString&, const QString&, const QString&
    222, 73, 0,	//25  const QString&, QWebElement::StyleResolveStrategy
    42, 0,	//28  QPainter*
    42, 218, 0,	//30  QPainter*, const QRect&
    229, 222, 0,	//33  const QWebElement&, const QString&
    230, 0,	//36  const QWebElementCollection&
    253, 0,	//38  int
    231, 253, 0,	//40  const QWebElementCollection*, int
    232, 0,	//43  const QWebElementCollection::const_iterator&
    77, 0,	//45  QWebElementCollection::const_iterator
    233, 0,	//47  const QWebElementCollection::iterator&
    80, 0,	//49  QWebElementCollection::iterator
    250, 250, 0,	//51  const char*, const char*
    250, 250, 253, 0,	//54  const char*, const char*, int
    30, 253, 259, 0,	//58  QMetaObject::Call, int, void**
    225, 0,	//62  const QUrl&
    214, 35, 209, 0,	//64  const QNetworkRequest&, QNetworkAccessManager::Operation, const QByteArray&
    222, 225, 0,	//68  const QString&, const QUrl&
    209, 222, 225, 0,	//71  const QByteArray&, const QString&, const QUrl&
    222, 38, 0,	//75  const QString&, QObject*
    222, 38, 51, 0,	//78  const QString&, QObject*, QScriptEngine::ValueOwnership
    181, 0,	//82  Qt::Orientation
    181, 185, 0,	//84  Qt::Orientation, Qt::ScrollBarPolicy
    181, 253, 0,	//87  Qt::Orientation, int
    253, 253, 0,	//90  int, int
    217, 0,	//93  const QPoint&
    42, 220, 0,	//95  QPainter*, const QRegion&
    42, 84, 220, 0,	//98  QPainter*, QWebFrame::RenderLayer, const QRegion&
    252, 0,	//102  float
    47, 0,	//104  QPrinter*
    221, 0,	//106  const QSize&
    208, 0,	//108  bool
    214, 0,	//110  const QNetworkRequest&
    214, 35, 0,	//112  const QNetworkRequest&, QNetworkAccessManager::Operation
    209, 0,	//115  const QByteArray&
    209, 222, 0,	//117  const QByteArray&, const QString&
    42, 84, 0,	//120  QPainter*, QWebFrame::RenderLayer
    234, 0,	//123  const QWebHistoryItem&
    38, 0,	//125  QObject*
    86, 0,	//127  QWebHistoryInterface*
    226, 0,	//129  const QVariant&
    235, 0,	//131  const QWebHitTestResult&
    134, 0,	//133  QWidget*
    94, 0,	//135  QWebPage*
    50, 0,	//137  QResizeEvent*
    52, 0,	//139  QShowEvent*
    18, 0,	//141  QHideEvent*
    6, 0,	//143  QCloseEvent*
    34, 0,	//145  QNetworkAccessManager*
    114, 0,	//147  QWebPluginFactory*
    111, 0,	//149  QWebPage::WebAction
    111, 208, 0,	//151  QWebPage::WebAction, bool
    218, 0,	//154  const QRect&
    169, 0,	//156  Qt::InputMethodQuery
    222, 16, 0,	//158  const QString&, QFlags<QWebPage::FindFlag>
    105, 0,	//161  QWebPage::LinkDelegationPolicy
    215, 0,	//163  const QPalette&
    7, 0,	//165  QContextMenuEvent*
    83, 103, 107, 0,	//167  QWebFrame*, QWebPage::Feature, QWebPage::PermissionPolicy
    100, 241, 102, 0,	//171  QWebPage::Extension, const QWebPage::ExtensionOption*, QWebPage::ExtensionReturn*
    100, 0,	//175  QWebPage::Extension
    83, 0,	//177  QWebFrame*
    253, 253, 218, 0,	//179  int, int, const QRect&
    36, 0,	//183  QNetworkReply*
    83, 54, 0,	//185  QWebFrame*, QString
    124, 256, 0,	//188  QWebSecurityOrigin*, quint64
    124, 256, 256, 0,	//191  QWebSecurityOrigin*, quint64, quint64
    83, 89, 0,	//195  QWebFrame*, QWebHistoryItem*
    83, 103, 0,	//198  QWebFrame*, QWebPage::Feature
    112, 0,	//201  QWebPage::WebWindowType
    222, 225, 223, 223, 0,	//203  const QString&, const QUrl&, const QStringList&, const QStringList&
    83, 214, 106, 0,	//208  QWebFrame*, const QNetworkRequest&, QWebPage::NavigationType
    83, 222, 0,	//212  QWebFrame*, const QString&
    83, 222, 222, 56, 0,	//215  QWebFrame*, const QString&, const QString&, QString*
    222, 253, 222, 0,	//220  const QString&, int, const QString&
    100, 241, 0,	//224  QWebPage::Extension, const QWebPage::ExtensionOption*
    236, 0,	//227  const QWebPage::ChooseMultipleFilesExtensionOption&
    223, 0,	//229  const QStringList&
    237, 0,	//231  const QWebPage::ChooseMultipleFilesExtensionReturn&
    238, 0,	//233  const QWebPage::ErrorPageExtensionOption&
    97, 0,	//235  QWebPage::ErrorDomain
    239, 0,	//237  const QWebPage::ErrorPageExtensionReturn&
    240, 0,	//239  const QWebPage::ExtensionOption&
    242, 0,	//241  const QWebPage::ExtensionReturn&
    243, 0,	//243  const QWebPage::ViewportAttributes&
    115, 245, 117, 0,	//245  QWebPluginFactory::Extension, const QWebPluginFactory::ExtensionOption*, QWebPluginFactory::ExtensionReturn*
    115, 0,	//249  QWebPluginFactory::Extension
    115, 245, 0,	//251  QWebPluginFactory::Extension, const QWebPluginFactory::ExtensionOption*
    244, 0,	//254  const QWebPluginFactory::ExtensionOption&
    246, 0,	//256  const QWebPluginFactory::ExtensionReturn&
    247, 0,	//258  const QWebPluginFactory::MimeType&
    248, 0,	//260  const QWebPluginFactory::Plugin&
    211, 0,	//262  const QList<QWebPluginFactory::MimeType>&
    255, 0,	//264  long long
    249, 0,	//266  const QWebSecurityOrigin&
    126, 222, 0,	//268  QWebSettings::FontFamily, const QString&
    126, 0,	//271  QWebSettings::FontFamily
    127, 253, 0,	//273  QWebSettings::FontSize, int
    127, 0,	//276  QWebSettings::FontSize
    129, 208, 0,	//278  QWebSettings::WebAttribute, bool
    129, 0,	//281  QWebSettings::WebAttribute
    130, 216, 0,	//283  QWebSettings::WebGraphic, const QPixmap&
    130, 0,	//286  QWebSettings::WebGraphic
    253, 253, 253, 0,	//288  int, int, int
    128, 0,	//292  QWebSettings::ThirdPartyCookiePolicy
    15, 0,	//294  QFlags<QPainter::RenderHint>
    43, 208, 0,	//296  QPainter::RenderHint, bool
    41, 0,	//299  QPaintEvent*
    31, 0,	//301  QMouseEvent*
    133, 0,	//303  QWheelEvent*
    21, 0,	//305  QKeyEvent*
    9, 0,	//307  QDragEnterEvent*
    10, 0,	//309  QDragLeaveEvent*
    11, 0,	//311  QDragMoveEvent*
    13, 0,	//313  QDropEvent*
    17, 0,	//315  QFocusEvent*
    20, 0,	//317  QInputMethodEvent*
    43, 0,	//319  QPainter::RenderHint
    32, 0,	//321  QMoveEvent*
    61, 0,	//323  QTabletEvent*
    2, 0,	//325  QActionEvent*
    207, 0,	//327  _XEvent*
    39, 0,	//329  QPaintDevice::PaintDeviceMetric
    60, 0,	//331  QStyle&
    210, 0,	//333  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AcceleratedCompositingEnabled",	//1
    "AlignCenter",	//2
    "AlignJustified",	//3
    "AlignLeft",	//4
    "AlignRight",	//5
    "AllLayers",	//6
    "AllowThirdPartyWithExistingCookies",	//7
    "AlwaysAllowThirdPartyCookies",	//8
    "AlwaysBlockThirdPartyCookies",	//9
    "AutoLoadImages",	//10
    "Back",	//11
    "CSSGridLayoutEnabled",	//12
    "CSSRegionsEnabled",	//13
    "CaretBrowsingEnabled",	//14
    "CascadedStyle",	//15
    "ChooseMultipleFilesExtension",	//16
    "ChooseMultipleFilesExtensionOption",	//17
    "ChooseMultipleFilesExtensionOption#",	//18
    "ChooseMultipleFilesExtensionReturn",	//19
    "ChooseMultipleFilesExtensionReturn#",	//20
    "ComputedStyle",	//21
    "ContentsLayer",	//22
    "Copy",	//23
    "CopyImageToClipboard",	//24
    "CopyImageUrlToClipboard",	//25
    "CopyLinkToClipboard",	//26
    "CursiveFont",	//27
    "Cut",	//28
    "DefaultFixedFontSize",	//29
    "DefaultFontSize",	//30
    "DefaultFrameIconGraphic",	//31
    "DelegateAllLinks",	//32
    "DelegateExternalLinks",	//33
    "DeleteButtonGraphic",	//34
    "DeleteEndOfWord",	//35
    "DeleteStartOfWord",	//36
    "DeveloperExtrasEnabled",	//37
    "DnsPrefetchEnabled",	//38
    "DontDelegateLinks",	//39
    "DownloadImageToDisk",	//40
    "DownloadLinkToDisk",	//41
    "DrawChildren",	//42
    "DrawWindowBackground",	//43
    "ErrorPageExtension",	//44
    "ErrorPageExtensionOption",	//45
    "ErrorPageExtensionOption#",	//46
    "ErrorPageExtensionReturn",	//47
    "ErrorPageExtensionReturn#",	//48
    "ExtensionOption",	//49
    "ExtensionOption#",	//50
    "ExtensionReturn",	//51
    "ExtensionReturn#",	//52
    "FantasyFont",	//53
    "FindBackward",	//54
    "FindCaseSensitively",	//55
    "FindWrapsAroundDocument",	//56
    "FixedFont",	//57
    "Forward",	//58
    "FrameFlatteningEnabled",	//59
    "Geolocation",	//60
    "HighlightAllOccurrences",	//61
    "Http",	//62
    "HyperlinkAuditingEnabled",	//63
    "IgnoreMask",	//64
    "Indent",	//65
    "InlineStyle",	//66
    "InputSpeechButtonGraphic",	//67
    "InsertLineSeparator",	//68
    "InsertOrderedList",	//69
    "InsertParagraphSeparator",	//70
    "InsertUnorderedList",	//71
    "InspectElement",	//72
    "JavaEnabled",	//73
    "JavascriptCanAccessClipboard",	//74
    "JavascriptCanCloseWindows",	//75
    "JavascriptCanOpenWindows",	//76
    "JavascriptEnabled",	//77
    "LinksIncludedInFocusChain",	//78
    "LocalContentCanAccessFileUrls",	//79
    "LocalContentCanAccessRemoteUrls",	//80
    "LocalStorageDatabaseEnabled",	//81
    "LocalStorageEnabled",	//82
    "MimeType",	//83
    "MimeType#",	//84
    "MinimumFontSize",	//85
    "MinimumLogicalFontSize",	//86
    "MissingImageGraphic",	//87
    "MissingPluginGraphic",	//88
    "MoveToEndOfBlock",	//89
    "MoveToEndOfDocument",	//90
    "MoveToEndOfLine",	//91
    "MoveToNextChar",	//92
    "MoveToNextLine",	//93
    "MoveToNextWord",	//94
    "MoveToPreviousChar",	//95
    "MoveToPreviousLine",	//96
    "MoveToPreviousWord",	//97
    "MoveToStartOfBlock",	//98
    "MoveToStartOfDocument",	//99
    "MoveToStartOfLine",	//100
    "NavigationTypeBackOrForward",	//101
    "NavigationTypeFormResubmitted",	//102
    "NavigationTypeFormSubmitted",	//103
    "NavigationTypeLinkClicked",	//104
    "NavigationTypeOther",	//105
    "NavigationTypeReload",	//106
    "NoWebAction",	//107
    "Notifications",	//108
    "NotificationsEnabled",	//109
    "OfflineStorageDatabaseEnabled",	//110
    "OfflineWebApplicationCacheEnabled",	//111
    "OpenFrameInNewWindow",	//112
    "OpenImageInNewWindow",	//113
    "OpenLink",	//114
    "OpenLinkInNewWindow",	//115
    "OpenLinkInThisWindow",	//116
    "Outdent",	//117
    "PanIconLayer",	//118
    "Paste",	//119
    "PasteAndMatchStyle",	//120
    "PermissionDeniedByUser",	//121
    "PermissionGrantedByUser",	//122
    "PermissionUnknown",	//123
    "Plugin",	//124
    "Plugin#",	//125
    "PluginsEnabled",	//126
    "PrintElementBackgrounds",	//127
    "PrivateBrowsingEnabled",	//128
    "QWebDatabase",	//129
    "QWebDatabase#",	//130
    "QWebElement",	//131
    "QWebElement#",	//132
    "QWebElementCollection",	//133
    "QWebElementCollection#",	//134
    "QWebElementCollection#$",	//135
    "QWebHistoryInterface",	//136
    "QWebHistoryInterface#",	//137
    "QWebHistoryItem",	//138
    "QWebHistoryItem#",	//139
    "QWebHitTestResult",	//140
    "QWebHitTestResult#",	//141
    "QWebInspector",	//142
    "QWebInspector#",	//143
    "QWebPage",	//144
    "QWebPage#",	//145
    "QWebPluginFactory",	//146
    "QWebPluginFactory#",	//147
    "QWebSecurityOrigin",	//148
    "QWebSecurityOrigin#",	//149
    "QWebView",	//150
    "QWebView#",	//151
    "Q_COMPLEX_TYPE",	//152
    "Q_DUMMY_TYPE",	//153
    "Q_MOVABLE_TYPE",	//154
    "Q_PRIMITIVE_TYPE",	//155
    "Q_STATIC_TYPE",	//156
    "QtNetwork",	//157
    "Redo",	//158
    "Reload",	//159
    "ReloadAndBypassCache",	//160
    "RemoveFormat",	//161
    "SansSerifFont",	//162
    "ScrollAnimatorEnabled",	//163
    "ScrollBarLayer",	//164
    "SearchCancelButtonGraphic",	//165
    "SearchCancelButtonPressedGraphic",	//166
    "SelectAll",	//167
    "SelectEndOfBlock",	//168
    "SelectEndOfDocument",	//169
    "SelectEndOfLine",	//170
    "SelectNextChar",	//171
    "SelectNextLine",	//172
    "SelectNextWord",	//173
    "SelectPreviousChar",	//174
    "SelectPreviousLine",	//175
    "SelectPreviousWord",	//176
    "SelectStartOfBlock",	//177
    "SelectStartOfDocument",	//178
    "SelectStartOfLine",	//179
    "SerifFont",	//180
    "SetTextDirectionDefault",	//181
    "SetTextDirectionLeftToRight",	//182
    "SetTextDirectionRightToLeft",	//183
    "SiteSpecificQuirksEnabled",	//184
    "SpatialNavigationEnabled",	//185
    "StandardFont",	//186
    "Stop",	//187
    "StopScheduledPageRefresh",	//188
    "TextAreaSizeGripCornerGraphic",	//189
    "TiledBackingStoreEnabled",	//190
    "ToggleBold",	//191
    "ToggleItalic",	//192
    "ToggleStrikethrough",	//193
    "ToggleSubscript",	//194
    "ToggleSuperscript",	//195
    "ToggleUnderline",	//196
    "Undo",	//197
    "ViewportAttributes",	//198
    "ViewportAttributes#",	//199
    "WebActionCount",	//200
    "WebBrowserWindow",	//201
    "WebGLEnabled",	//202
    "WebKit",	//203
    "WebModalDialog",	//204
    "XSSAuditingEnabled",	//205
    "ZoomTextOnly",	//206
    "acceptNavigationRequest",	//207
    "acceptNavigationRequest##$",	//208
    "action",	//209
    "action$",	//210
    "actionEvent",	//211
    "addClass",	//212
    "addClass$",	//213
    "addHistoryEntry",	//214
    "addHistoryEntry$",	//215
    "addLocalScheme",	//216
    "addLocalScheme$",	//217
    "addToJavaScriptWindowObject",	//218
    "addToJavaScriptWindowObject$#",	//219
    "addToJavaScriptWindowObject$#$",	//220
    "allOrigins",	//221
    "alternateText",	//222
    "append",	//223
    "append#",	//224
    "appendInside",	//225
    "appendInside#",	//226
    "appendInside$",	//227
    "appendOutside",	//228
    "appendOutside#",	//229
    "appendOutside$",	//230
    "applicationCacheQuotaExceeded",	//231
    "applicationCacheQuotaExceeded#$",	//232
    "applicationCacheQuotaExceeded#$$",	//233
    "at",	//234
    "at$",	//235
    "attribute",	//236
    "attribute$",	//237
    "attribute$$",	//238
    "attributeNS",	//239
    "attributeNS$$",	//240
    "attributeNS$$$",	//241
    "attributeNames",	//242
    "attributeNames$",	//243
    "back",	//244
    "backItem",	//245
    "backItems",	//246
    "backItems$",	//247
    "baseUrl",	//248
    "begin",	//249
    "boundingRect",	//250
    "bytesReceived",	//251
    "canGoBack",	//252
    "canGoForward",	//253
    "changeEvent",	//254
    "changeEvent#",	//255
    "childEvent",	//256
    "childFrames",	//257
    "chooseFile",	//258
    "chooseFile#$",	//259
    "classes",	//260
    "clear",	//261
    "clearIconDatabase",	//262
    "clearMemoryCaches",	//263
    "clone",	//264
    "closeEvent",	//265
    "closeEvent#",	//266
    "connectNotify",	//267
    "constBegin",	//268
    "constEnd",	//269
    "const_iterator",	//270
    "const_iterator#",	//271
    "const_iterator#$",	//272
    "content",	//273
    "contentType",	//274
    "contentsChanged",	//275
    "contentsSize",	//276
    "contentsSizeChanged",	//277
    "contentsSizeChanged#",	//278
    "contextMenuEvent",	//279
    "contextMenuEvent#",	//280
    "count",	//281
    "create",	//282
    "create$#??",	//283
    "createPlugin",	//284
    "createPlugin$#??",	//285
    "createStandardContextMenu",	//286
    "createWindow",	//287
    "createWindow$",	//288
    "currentFrame",	//289
    "currentItem",	//290
    "currentItemIndex",	//291
    "customEvent",	//292
    "databaseQuota",	//293
    "databaseQuotaExceeded",	//294
    "databaseQuotaExceeded#$",	//295
    "databaseUsage",	//296
    "databases",	//297
    "defaultInterface",	//298
    "defaultTextEncoding",	//299
    "description",	//300
    "devType",	//301
    "devicePixelRatio",	//302
    "disconnectNotify",	//303
    "displayName",	//304
    "document",	//305
    "documentElement",	//306
    "domain",	//307
    "downloadRequested",	//308
    "downloadRequested#",	//309
    "dragEnterEvent",	//310
    "dragEnterEvent#",	//311
    "dragLeaveEvent",	//312
    "dragLeaveEvent#",	//313
    "dragMoveEvent",	//314
    "dragMoveEvent#",	//315
    "dropEvent",	//316
    "dropEvent#",	//317
    "element",	//318
    "enablePersistentStorage",	//319
    "enablePersistentStorage$",	//320
    "enabledChange",	//321
    "encloseContentsWith",	//322
    "encloseContentsWith#",	//323
    "encloseContentsWith$",	//324
    "encloseWith",	//325
    "encloseWith#",	//326
    "encloseWith$",	//327
    "enclosingBlockElement",	//328
    "encoding",	//329
    "end",	//330
    "enterEvent",	//331
    "error",	//332
    "errorString",	//333
    "evaluateJavaScript",	//334
    "evaluateJavaScript$",	//335
    "event",	//336
    "event#",	//337
    "eventFilter",	//338
    "expectedSize",	//339
    "extension",	//340
    "extension$",	//341
    "extension$#",	//342
    "extension$##",	//343
    "featurePermissionRequestCanceled",	//344
    "featurePermissionRequestCanceled#$",	//345
    "featurePermissionRequested",	//346
    "featurePermissionRequested#$",	//347
    "fileExtensions",	//348
    "fileName",	//349
    "fileNames",	//350
    "findAll",	//351
    "findAll$",	//352
    "findAllElements",	//353
    "findAllElements$",	//354
    "findFirst",	//355
    "findFirst$",	//356
    "findFirstElement",	//357
    "findFirstElement$",	//358
    "findText",	//359
    "findText$",	//360
    "findText$$",	//361
    "first",	//362
    "firstChild",	//363
    "focusInEvent",	//364
    "focusInEvent#",	//365
    "focusNextPrevChild",	//366
    "focusNextPrevChild$",	//367
    "focusOutEvent",	//368
    "focusOutEvent#",	//369
    "fontChange",	//370
    "fontFamily",	//371
    "fontFamily$",	//372
    "fontSize",	//373
    "fontSize$",	//374
    "forward",	//375
    "forwardItem",	//376
    "forwardItems",	//377
    "forwardItems$",	//378
    "forwardUnsupportedContent",	//379
    "frame",	//380
    "frameAt",	//381
    "frameAt#",	//382
    "frameCreated",	//383
    "frameCreated#",	//384
    "frameName",	//385
    "geometry",	//386
    "geometryChangeRequested",	//387
    "geometryChangeRequested#",	//388
    "globalSettings",	//389
    "goToItem",	//390
    "goToItem#",	//391
    "handle",	//392
    "hasAttribute",	//393
    "hasAttribute$",	//394
    "hasAttributeNS",	//395
    "hasAttributeNS$$",	//396
    "hasAttributes",	//397
    "hasClass",	//398
    "hasClass$",	//399
    "hasFocus",	//400
    "hasSelection",	//401
    "heightForWidth",	//402
    "hideEvent",	//403
    "hideEvent#",	//404
    "history",	//405
    "historyContains",	//406
    "historyContains$",	//407
    "hitTestContent",	//408
    "hitTestContent#",	//409
    "host",	//410
    "icon",	//411
    "iconChanged",	//412
    "iconDatabasePath",	//413
    "iconForUrl",	//414
    "iconForUrl#",	//415
    "imageUrl",	//416
    "initialLayoutCompleted",	//417
    "initialScaleFactor",	//418
    "inputMethodEvent",	//419
    "inputMethodEvent#",	//420
    "inputMethodQuery",	//421
    "inputMethodQuery$",	//422
    "isContentEditable",	//423
    "isContentSelected",	//424
    "isModified",	//425
    "isNull",	//426
    "isUserScalable",	//427
    "isValid",	//428
    "itemAt",	//429
    "itemAt$",	//430
    "items",	//431
    "iterator",	//432
    "iterator#",	//433
    "iterator#$",	//434
    "javaScriptAlert",	//435
    "javaScriptAlert#$",	//436
    "javaScriptConfirm",	//437
    "javaScriptConfirm#$",	//438
    "javaScriptConsoleMessage",	//439
    "javaScriptConsoleMessage$$$",	//440
    "javaScriptPrompt",	//441
    "javaScriptPrompt#$$$",	//442
    "javaScriptWindowObjectCleared",	//443
    "keyPressEvent",	//444
    "keyPressEvent#",	//445
    "keyReleaseEvent",	//446
    "keyReleaseEvent#",	//447
    "languageChange",	//448
    "last",	//449
    "lastChild",	//450
    "lastVisited",	//451
    "leaveEvent",	//452
    "linkClicked",	//453
    "linkClicked#",	//454
    "linkDelegationPolicy",	//455
    "linkElement",	//456
    "linkHovered",	//457
    "linkHovered$$$",	//458
    "linkTargetFrame",	//459
    "linkText",	//460
    "linkTitle",	//461
    "linkUrl",	//462
    "load",	//463
    "load#",	//464
    "load#$",	//465
    "load#$#",	//466
    "loadFinished",	//467
    "loadFinished$",	//468
    "loadProgress",	//469
    "loadProgress$",	//470
    "loadStarted",	//471
    "localName",	//472
    "localSchemes",	//473
    "localStoragePath",	//474
    "mainFrame",	//475
    "maximumItemCount",	//476
    "maximumPagesInCache",	//477
    "maximumScaleFactor",	//478
    "menuBarVisibilityChangeRequested",	//479
    "menuBarVisibilityChangeRequested$",	//480
    "metaData",	//481
    "metaObject",	//482
    "metric",	//483
    "microFocusChanged",	//484
    "mimeTypes",	//485
    "minimumScaleFactor",	//486
    "minimumSizeHint",	//487
    "mouseDoubleClickEvent",	//488
    "mouseDoubleClickEvent#",	//489
    "mouseMoveEvent",	//490
    "mouseMoveEvent#",	//491
    "mousePressEvent",	//492
    "mousePressEvent#",	//493
    "mouseReleaseEvent",	//494
    "mouseReleaseEvent#",	//495
    "moveEvent",	//496
    "name",	//497
    "namespaceUri",	//498
    "networkAccessManager",	//499
    "nextSibling",	//500
    "offlineStorageDefaultQuota",	//501
    "offlineStoragePath",	//502
    "offlineWebApplicationCachePath",	//503
    "offlineWebApplicationCacheQuota",	//504
    "operator!=",	//505
    "operator!=#",	//506
    "operator*",	//507
    "operator+",	//508
    "operator+#",	//509
    "operator+$",	//510
    "operator++",	//511
    "operator++$",	//512
    "operator+=",	//513
    "operator+=#",	//514
    "operator+=$",	//515
    "operator-",	//516
    "operator-#",	//517
    "operator-$",	//518
    "operator--",	//519
    "operator--$",	//520
    "operator-=",	//521
    "operator-=$",	//522
    "operator<",	//523
    "operator<#",	//524
    "operator<=",	//525
    "operator<=#",	//526
    "operator=",	//527
    "operator=#",	//528
    "operator==",	//529
    "operator==#",	//530
    "operator>",	//531
    "operator>#",	//532
    "operator>=",	//533
    "operator>=#",	//534
    "operator[]",	//535
    "operator[]$",	//536
    "origin",	//537
    "originalUrl",	//538
    "page",	//539
    "pageAction",	//540
    "pageAction$",	//541
    "pageChanged",	//542
    "paintEngine",	//543
    "paintEvent",	//544
    "paintEvent#",	//545
    "palette",	//546
    "paletteChange",	//547
    "parent",	//548
    "parentFrame",	//549
    "pixmap",	//550
    "pluginFactory",	//551
    "plugins",	//552
    "port",	//553
    "pos",	//554
    "preferredContentsSize",	//555
    "prefix",	//556
    "prependInside",	//557
    "prependInside#",	//558
    "prependInside$",	//559
    "prependOutside",	//560
    "prependOutside#",	//561
    "prependOutside$",	//562
    "previousSibling",	//563
    "print",	//564
    "print#",	//565
    "printRequested",	//566
    "printRequested#",	//567
    "provisionalLoad",	//568
    "qt_metacall",	//569
    "qt_metacall$$?",	//570
    "qt_metacast",	//571
    "qt_metacast$",	//572
    "refreshPlugins",	//573
    "reload",	//574
    "removeAllChildren",	//575
    "removeAllDatabases",	//576
    "removeAttribute",	//577
    "removeAttribute$",	//578
    "removeAttributeNS",	//579
    "removeAttributeNS$$",	//580
    "removeClass",	//581
    "removeClass$",	//582
    "removeDatabase",	//583
    "removeDatabase#",	//584
    "removeFromDocument",	//585
    "removeLocalScheme",	//586
    "removeLocalScheme$",	//587
    "render",	//588
    "render#",	//589
    "render##",	//590
    "render#$",	//591
    "render#$#",	//592
    "renderHints",	//593
    "renderTreeDump",	//594
    "repaintRequested",	//595
    "repaintRequested#",	//596
    "replace",	//597
    "replace#",	//598
    "replace$",	//599
    "requestedUrl",	//600
    "resetAttribute",	//601
    "resetAttribute$",	//602
    "resetFontFamily",	//603
    "resetFontFamily$",	//604
    "resetFontSize",	//605
    "resetFontSize$",	//606
    "resizeEvent",	//607
    "resizeEvent#",	//608
    "restoreFrameStateRequested",	//609
    "restoreFrameStateRequested#",	//610
    "saveFrameStateRequested",	//611
    "saveFrameStateRequested##",	//612
    "scheme",	//613
    "scroll",	//614
    "scroll$$",	//615
    "scrollBarGeometry",	//616
    "scrollBarGeometry$",	//617
    "scrollBarMaximum",	//618
    "scrollBarMaximum$",	//619
    "scrollBarMinimum",	//620
    "scrollBarMinimum$",	//621
    "scrollBarPolicy",	//622
    "scrollBarPolicy$",	//623
    "scrollBarValue",	//624
    "scrollBarValue$",	//625
    "scrollPosition",	//626
    "scrollRequested",	//627
    "scrollRequested$$#",	//628
    "scrollToAnchor",	//629
    "scrollToAnchor$",	//630
    "securityOrigin",	//631
    "selectedHtml",	//632
    "selectedText",	//633
    "selectionChanged",	//634
    "setActualVisibleContentRect",	//635
    "setActualVisibleContentRect#",	//636
    "setApplicationCacheQuota",	//637
    "setApplicationCacheQuota$",	//638
    "setAttribute",	//639
    "setAttribute$$",	//640
    "setAttributeNS",	//641
    "setAttributeNS$$$",	//642
    "setBaseUrl",	//643
    "setBaseUrl#",	//644
    "setContent",	//645
    "setContent#",	//646
    "setContent#$",	//647
    "setContent#$#",	//648
    "setContentEditable",	//649
    "setContentEditable$",	//650
    "setContentType",	//651
    "setContentType$",	//652
    "setDatabaseQuota",	//653
    "setDatabaseQuota$",	//654
    "setDefaultInterface",	//655
    "setDefaultInterface#",	//656
    "setDefaultTextEncoding",	//657
    "setDefaultTextEncoding$",	//658
    "setDescription",	//659
    "setDescription$",	//660
    "setDomain",	//661
    "setDomain$",	//662
    "setEncoding",	//663
    "setEncoding$",	//664
    "setError",	//665
    "setError$",	//666
    "setErrorString",	//667
    "setErrorString$",	//668
    "setFeaturePermission",	//669
    "setFeaturePermission#$$",	//670
    "setFileExtensions",	//671
    "setFileExtensions?",	//672
    "setFileNames",	//673
    "setFileNames?",	//674
    "setFocus",	//675
    "setFontFamily",	//676
    "setFontFamily$$",	//677
    "setFontSize",	//678
    "setFontSize$$",	//679
    "setForwardUnsupportedContent",	//680
    "setForwardUnsupportedContent$",	//681
    "setFrame",	//682
    "setFrame#",	//683
    "setHtml",	//684
    "setHtml$",	//685
    "setHtml$#",	//686
    "setIconDatabasePath",	//687
    "setIconDatabasePath$",	//688
    "setInnerXml",	//689
    "setInnerXml$",	//690
    "setLinkDelegationPolicy",	//691
    "setLinkDelegationPolicy$",	//692
    "setLocalStoragePath",	//693
    "setLocalStoragePath$",	//694
    "setMaximumItemCount",	//695
    "setMaximumItemCount$",	//696
    "setMaximumPagesInCache",	//697
    "setMaximumPagesInCache$",	//698
    "setMimeTypes",	//699
    "setMimeTypes?",	//700
    "setName",	//701
    "setName$",	//702
    "setNetworkAccessManager",	//703
    "setNetworkAccessManager#",	//704
    "setObjectCacheCapacities",	//705
    "setObjectCacheCapacities$$$",	//706
    "setOfflineStorageDefaultQuota",	//707
    "setOfflineStorageDefaultQuota$",	//708
    "setOfflineStoragePath",	//709
    "setOfflineStoragePath$",	//710
    "setOfflineWebApplicationCachePath",	//711
    "setOfflineWebApplicationCachePath$",	//712
    "setOfflineWebApplicationCacheQuota",	//713
    "setOfflineWebApplicationCacheQuota$",	//714
    "setOuterXml",	//715
    "setOuterXml$",	//716
    "setPage",	//717
    "setPage#",	//718
    "setPalette",	//719
    "setPalette#",	//720
    "setParentFrame",	//721
    "setParentFrame#",	//722
    "setPlainText",	//723
    "setPlainText$",	//724
    "setPluginFactory",	//725
    "setPluginFactory#",	//726
    "setPreferredContentsSize",	//727
    "setPreferredContentsSize#",	//728
    "setRenderHint",	//729
    "setRenderHint$",	//730
    "setRenderHint$$",	//731
    "setRenderHints",	//732
    "setRenderHints$",	//733
    "setScrollBarPolicy",	//734
    "setScrollBarPolicy$$",	//735
    "setScrollBarValue",	//736
    "setScrollBarValue$$",	//737
    "setScrollPosition",	//738
    "setScrollPosition#",	//739
    "setStyleProperty",	//740
    "setStyleProperty$$",	//741
    "setSuggestedFileNames",	//742
    "setSuggestedFileNames?",	//743
    "setTextSizeMultiplier",	//744
    "setTextSizeMultiplier$",	//745
    "setThirdPartyCookiePolicy",	//746
    "setThirdPartyCookiePolicy$",	//747
    "setUrl",	//748
    "setUrl#",	//749
    "setUserData",	//750
    "setUserData#",	//751
    "setUserStyleSheetUrl",	//752
    "setUserStyleSheetUrl#",	//753
    "setView",	//754
    "setView#",	//755
    "setViewportSize",	//756
    "setViewportSize#",	//757
    "setVisible",	//758
    "setWebGraphic",	//759
    "setWebGraphic$#",	//760
    "setZoomFactor",	//761
    "setZoomFactor$",	//762
    "settings",	//763
    "shouldInterruptJavaScript",	//764
    "showEvent",	//765
    "showEvent#",	//766
    "size",	//767
    "sizeHint",	//768
    "staticMetaObject",	//769
    "statusBarMessage",	//770
    "statusBarMessage$",	//771
    "statusBarVisibilityChangeRequested",	//772
    "statusBarVisibilityChangeRequested$",	//773
    "stop",	//774
    "styleChange",	//775
    "styleProperty",	//776
    "styleProperty$$",	//777
    "suggestedFileNames",	//778
    "supportedContentTypes",	//779
    "supportsContentType",	//780
    "supportsContentType$",	//781
    "supportsExtension",	//782
    "supportsExtension$",	//783
    "swallowContextMenuEvent",	//784
    "swallowContextMenuEvent#",	//785
    "tabletEvent",	//786
    "tagName",	//787
    "takeFromDocument",	//788
    "testAttribute",	//789
    "testAttribute$",	//790
    "textSizeMultiplier",	//791
    "thirdPartyCookiePolicy",	//792
    "timerEvent",	//793
    "title",	//794
    "titleChanged",	//795
    "titleChanged$",	//796
    "toHtml",	//797
    "toInnerXml",	//798
    "toList",	//799
    "toOuterXml",	//800
    "toPlainText",	//801
    "toggleClass",	//802
    "toggleClass$",	//803
    "toolBarVisibilityChangeRequested",	//804
    "toolBarVisibilityChangeRequested$",	//805
    "totalBytes",	//806
    "tr",	//807
    "tr$",	//808
    "tr$$",	//809
    "tr$$$",	//810
    "trUtf8",	//811
    "trUtf8$",	//812
    "trUtf8$$",	//813
    "trUtf8$$$",	//814
    "triggerAction",	//815
    "triggerAction$",	//816
    "triggerAction$$",	//817
    "triggerPageAction",	//818
    "triggerPageAction$",	//819
    "triggerPageAction$$",	//820
    "undoStack",	//821
    "unsupportedContent",	//822
    "unsupportedContent#",	//823
    "updatePositionDependentActions",	//824
    "updatePositionDependentActions#",	//825
    "url",	//826
    "urlChanged",	//827
    "urlChanged#",	//828
    "userAgentForUrl",	//829
    "userAgentForUrl#",	//830
    "userData",	//831
    "userStyleSheetUrl",	//832
    "view",	//833
    "viewportAttributesForSize",	//834
    "viewportAttributesForSize#",	//835
    "viewportChangeRequested",	//836
    "viewportSize",	//837
    "webFrame",	//838
    "webGraphic",	//839
    "webGraphic$",	//840
    "wheelEvent",	//841
    "wheelEvent#",	//842
    "windowActivationChange",	//843
    "windowCloseRequested",	//844
    "x11Event",	//845
    "zoomFactor",	//846
    "~ChooseMultipleFilesExtensionOption",	//847
    "~ChooseMultipleFilesExtensionReturn",	//848
    "~ErrorPageExtensionOption",	//849
    "~ErrorPageExtensionReturn",	//850
    "~ExtensionOption",	//851
    "~ExtensionReturn",	//852
    "~MimeType",	//853
    "~Plugin",	//854
    "~QWebDatabase",	//855
    "~QWebElement",	//856
    "~QWebElementCollection",	//857
    "~QWebHistoryInterface",	//858
    "~QWebHistoryItem",	//859
    "~QWebHitTestResult",	//860
    "~QWebInspector",	//861
    "~QWebPage",	//862
    "~QWebPluginFactory",	//863
    "~QWebSecurityOrigin",	//864
    "~QWebView",	//865
    "~ViewportAttributes",	//866
    "~const_iterator",	//867
    "~iterator",	//868
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {16, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 254, 1},	//1 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {16, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 254, 2},	//2 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {16, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 254, 3},	//3 QGlobalSpace::Q_STATIC_TYPE (enum)
    {16, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 254, 4},	//4 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {16, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 254, 5},	//5 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {28, 336, 1, 1, Smoke::mf_virtual, 208, 0},	//6 QObject::event(QEvent*)
    {28, 338, 3, 2, Smoke::mf_virtual, 208, 0},	//7 QObject::eventFilter(QObject*, QEvent*)
    {28, 793, 6, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//8 QObject::timerEvent(QTimerEvent*)
    {28, 256, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//9 QObject::childEvent(QChildEvent*)
    {28, 292, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//10 QObject::customEvent(QEvent*)
    {28, 267, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//11 QObject::connectNotify(const char*)
    {28, 303, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//12 QObject::disconnectNotify(const char*)
    {48, 129, 12, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 69, 1},	//13 QWebDatabase::QWebDatabase(const QWebDatabase&)
    {48, 527, 12, 1, 0, 68, 2},	//14 QWebDatabase::operator=(const QWebDatabase&)
    {48, 497, 0, 0, Smoke::mf_const, 54, 3},	//15 QWebDatabase::name() const
    {48, 304, 0, 0, Smoke::mf_const, 54, 4},	//16 QWebDatabase::displayName() const
    {48, 339, 0, 0, Smoke::mf_const, 255, 5},	//17 QWebDatabase::expectedSize() const
    {48, 767, 0, 0, Smoke::mf_const, 255, 6},	//18 QWebDatabase::size() const
    {48, 349, 0, 0, Smoke::mf_const, 54, 7},	//19 QWebDatabase::fileName() const
    {48, 537, 0, 0, Smoke::mf_const, 122, 8},	//20 QWebDatabase::origin() const
    {48, 583, 12, 1, Smoke::mf_static, 0, 9},	//21 QWebDatabase::removeDatabase(const QWebDatabase&)
    {48, 576, 0, 0, Smoke::mf_static, 0, 10},	//22 QWebDatabase::removeAllDatabases()
    {48, 855, 0, 0, Smoke::mf_dtor, 0, 11 },	//23 QWebDatabase::~QWebDatabase()
    {49, 131, 0, 0, Smoke::mf_ctor, 72, 1},	//24 QWebElement::QWebElement()
    {49, 131, 14, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 72, 2},	//25 QWebElement::QWebElement(const QWebElement&)
    {49, 527, 14, 1, 0, 71, 3},	//26 QWebElement::operator=(const QWebElement&)
    {49, 529, 14, 1, Smoke::mf_const, 208, 4},	//27 QWebElement::operator==(const QWebElement&) const
    {49, 505, 14, 1, Smoke::mf_const, 208, 5},	//28 QWebElement::operator!=(const QWebElement&) const
    {49, 426, 0, 0, Smoke::mf_const, 208, 6},	//29 QWebElement::isNull() const
    {49, 351, 16, 1, Smoke::mf_const, 74, 7},	//30 QWebElement::findAll(const QString&) const
    {49, 355, 16, 1, Smoke::mf_const, 70, 8},	//31 QWebElement::findFirst(const QString&) const
    {49, 723, 16, 1, 0, 0, 9},	//32 QWebElement::setPlainText(const QString&)
    {49, 801, 0, 0, Smoke::mf_const, 54, 10},	//33 QWebElement::toPlainText() const
    {49, 715, 16, 1, 0, 0, 11},	//34 QWebElement::setOuterXml(const QString&)
    {49, 800, 0, 0, Smoke::mf_const, 54, 12},	//35 QWebElement::toOuterXml() const
    {49, 689, 16, 1, 0, 0, 13},	//36 QWebElement::setInnerXml(const QString&)
    {49, 798, 0, 0, Smoke::mf_const, 54, 14},	//37 QWebElement::toInnerXml() const
    {49, 639, 18, 2, 0, 0, 15},	//38 QWebElement::setAttribute(const QString&, const QString&)
    {49, 641, 21, 3, 0, 0, 16},	//39 QWebElement::setAttributeNS(const QString&, const QString&, const QString&)
    {49, 236, 18, 2, Smoke::mf_const, 54, 17},	//40 QWebElement::attribute(const QString&, const QString&) const
    {49, 239, 21, 3, Smoke::mf_const, 54, 18},	//41 QWebElement::attributeNS(const QString&, const QString&, const QString&) const
    {49, 393, 16, 1, Smoke::mf_const, 208, 19},	//42 QWebElement::hasAttribute(const QString&) const
    {49, 395, 18, 2, Smoke::mf_const, 208, 20},	//43 QWebElement::hasAttributeNS(const QString&, const QString&) const
    {49, 577, 16, 1, 0, 0, 21},	//44 QWebElement::removeAttribute(const QString&)
    {49, 579, 18, 2, 0, 0, 22},	//45 QWebElement::removeAttributeNS(const QString&, const QString&)
    {49, 397, 0, 0, Smoke::mf_const, 208, 23},	//46 QWebElement::hasAttributes() const
    {49, 242, 16, 1, Smoke::mf_const, 57, 24},	//47 QWebElement::attributeNames(const QString&) const
    {49, 260, 0, 0, Smoke::mf_const, 57, 25},	//48 QWebElement::classes() const
    {49, 398, 16, 1, Smoke::mf_const, 208, 26},	//49 QWebElement::hasClass(const QString&) const
    {49, 212, 16, 1, 0, 0, 27},	//50 QWebElement::addClass(const QString&)
    {49, 581, 16, 1, 0, 0, 28},	//51 QWebElement::removeClass(const QString&)
    {49, 802, 16, 1, 0, 0, 29},	//52 QWebElement::toggleClass(const QString&)
    {49, 400, 0, 0, Smoke::mf_const, 208, 30},	//53 QWebElement::hasFocus() const
    {49, 675, 0, 0, 0, 0, 31},	//54 QWebElement::setFocus()
    {49, 386, 0, 0, Smoke::mf_const, 48, 32},	//55 QWebElement::geometry() const
    {49, 787, 0, 0, Smoke::mf_const, 54, 33},	//56 QWebElement::tagName() const
    {49, 556, 0, 0, Smoke::mf_const, 54, 34},	//57 QWebElement::prefix() const
    {49, 472, 0, 0, Smoke::mf_const, 54, 35},	//58 QWebElement::localName() const
    {49, 498, 0, 0, Smoke::mf_const, 54, 36},	//59 QWebElement::namespaceUri() const
    {49, 548, 0, 0, Smoke::mf_const, 70, 37},	//60 QWebElement::parent() const
    {49, 363, 0, 0, Smoke::mf_const, 70, 38},	//61 QWebElement::firstChild() const
    {49, 450, 0, 0, Smoke::mf_const, 70, 39},	//62 QWebElement::lastChild() const
    {49, 500, 0, 0, Smoke::mf_const, 70, 40},	//63 QWebElement::nextSibling() const
    {49, 563, 0, 0, Smoke::mf_const, 70, 41},	//64 QWebElement::previousSibling() const
    {49, 305, 0, 0, Smoke::mf_const, 70, 42},	//65 QWebElement::document() const
    {49, 838, 0, 0, Smoke::mf_const, 83, 43},	//66 QWebElement::webFrame() const
    {49, 225, 16, 1, 0, 0, 44},	//67 QWebElement::appendInside(const QString&)
    {49, 225, 14, 1, 0, 0, 45},	//68 QWebElement::appendInside(const QWebElement&)
    {49, 557, 16, 1, 0, 0, 46},	//69 QWebElement::prependInside(const QString&)
    {49, 557, 14, 1, 0, 0, 47},	//70 QWebElement::prependInside(const QWebElement&)
    {49, 228, 16, 1, 0, 0, 48},	//71 QWebElement::appendOutside(const QString&)
    {49, 228, 14, 1, 0, 0, 49},	//72 QWebElement::appendOutside(const QWebElement&)
    {49, 560, 16, 1, 0, 0, 50},	//73 QWebElement::prependOutside(const QString&)
    {49, 560, 14, 1, 0, 0, 51},	//74 QWebElement::prependOutside(const QWebElement&)
    {49, 322, 14, 1, 0, 0, 52},	//75 QWebElement::encloseContentsWith(const QWebElement&)
    {49, 322, 16, 1, 0, 0, 53},	//76 QWebElement::encloseContentsWith(const QString&)
    {49, 325, 16, 1, 0, 0, 54},	//77 QWebElement::encloseWith(const QString&)
    {49, 325, 14, 1, 0, 0, 55},	//78 QWebElement::encloseWith(const QWebElement&)
    {49, 597, 16, 1, 0, 0, 56},	//79 QWebElement::replace(const QString&)
    {49, 597, 14, 1, 0, 0, 57},	//80 QWebElement::replace(const QWebElement&)
    {49, 264, 0, 0, Smoke::mf_const, 70, 58},	//81 QWebElement::clone() const
    {49, 788, 0, 0, 0, 71, 59},	//82 QWebElement::takeFromDocument()
    {49, 585, 0, 0, 0, 0, 60},	//83 QWebElement::removeFromDocument()
    {49, 575, 0, 0, 0, 0, 61},	//84 QWebElement::removeAllChildren()
    {49, 334, 16, 1, 0, 66, 62},	//85 QWebElement::evaluateJavaScript(const QString&)
    {49, 776, 25, 2, Smoke::mf_const, 54, 63},	//86 QWebElement::styleProperty(const QString&, QWebElement::StyleResolveStrategy) const
    {49, 740, 18, 2, 0, 0, 64},	//87 QWebElement::setStyleProperty(const QString&, const QString&)
    {49, 588, 28, 1, 0, 0, 65},	//88 QWebElement::render(QPainter*)
    {49, 588, 30, 2, 0, 0, 66},	//89 QWebElement::render(QPainter*, const QRect&)
    {49, 236, 16, 1, Smoke::mf_const, 54, 67},	//90 QWebElement::attribute(const QString&) const
    {49, 239, 18, 2, Smoke::mf_const, 54, 68},	//91 QWebElement::attributeNS(const QString&, const QString&) const
    {49, 242, 0, 0, Smoke::mf_const, 57, 69},	//92 QWebElement::attributeNames() const
    {49, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 70},	//93 QWebElement::InlineStyle (enum)
    {49, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 71},	//94 QWebElement::CascadedStyle (enum)
    {49, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 72},	//95 QWebElement::ComputedStyle (enum)
    {49, 856, 0, 0, Smoke::mf_dtor, 0, 73 },	//96 QWebElement::~QWebElement()
    {50, 133, 0, 0, Smoke::mf_ctor, 76, 1},	//97 QWebElementCollection::QWebElementCollection()
    {50, 133, 33, 2, Smoke::mf_ctor, 76, 2},	//98 QWebElementCollection::QWebElementCollection(const QWebElement&, const QString&)
    {50, 133, 36, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 76, 3},	//99 QWebElementCollection::QWebElementCollection(const QWebElementCollection&)
    {50, 527, 36, 1, 0, 75, 4},	//100 QWebElementCollection::operator=(const QWebElementCollection&)
    {50, 508, 36, 1, Smoke::mf_const, 74, 5},	//101 QWebElementCollection::operator+(const QWebElementCollection&) const
    {50, 513, 36, 1, 0, 75, 6},	//102 QWebElementCollection::operator+=(const QWebElementCollection&)
    {50, 223, 36, 1, 0, 0, 7},	//103 QWebElementCollection::append(const QWebElementCollection&)
    {50, 281, 0, 0, Smoke::mf_const, 253, 8},	//104 QWebElementCollection::count() const
    {50, 234, 38, 1, Smoke::mf_const, 70, 9},	//105 QWebElementCollection::at(int) const
    {50, 535, 38, 1, Smoke::mf_const, 70, 10},	//106 QWebElementCollection::operator[](int) const
    {50, 362, 0, 0, Smoke::mf_const, 70, 11},	//107 QWebElementCollection::first() const
    {50, 449, 0, 0, Smoke::mf_const, 70, 12},	//108 QWebElementCollection::last() const
    {50, 799, 0, 0, Smoke::mf_const, 23, 13},	//109 QWebElementCollection::toList() const
    {50, 249, 0, 0, Smoke::mf_const, 77, 14},	//110 QWebElementCollection::begin() const
    {50, 330, 0, 0, Smoke::mf_const, 77, 15},	//111 QWebElementCollection::end() const
    {50, 268, 0, 0, Smoke::mf_const, 77, 16},	//112 QWebElementCollection::constBegin() const
    {50, 269, 0, 0, Smoke::mf_const, 77, 17},	//113 QWebElementCollection::constEnd() const
    {50, 249, 0, 0, 0, 80, 18},	//114 QWebElementCollection::begin()
    {50, 330, 0, 0, 0, 80, 19},	//115 QWebElementCollection::end()
    {50, 857, 0, 0, Smoke::mf_dtor, 0, 20 },	//116 QWebElementCollection::~QWebElementCollection()
    {51, 270, 40, 2, Smoke::mf_ctor, 79, 1},	//117 QWebElementCollection::const_iterator::const_iterator(const QWebElementCollection*, int)
    {51, 270, 43, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 79, 2},	//118 QWebElementCollection::const_iterator::const_iterator(const QWebElementCollection::const_iterator&)
    {51, 507, 0, 0, Smoke::mf_const, 228, 3},	//119 QWebElementCollection::const_iterator::operator*() const
    {51, 529, 43, 1, Smoke::mf_const, 208, 4},	//120 QWebElementCollection::const_iterator::operator==(const QWebElementCollection::const_iterator&) const
    {51, 505, 43, 1, Smoke::mf_const, 208, 5},	//121 QWebElementCollection::const_iterator::operator!=(const QWebElementCollection::const_iterator&) const
    {51, 523, 43, 1, Smoke::mf_const, 208, 6},	//122 QWebElementCollection::const_iterator::operator<(const QWebElementCollection::const_iterator&) const
    {51, 525, 43, 1, Smoke::mf_const, 208, 7},	//123 QWebElementCollection::const_iterator::operator<=(const QWebElementCollection::const_iterator&) const
    {51, 531, 43, 1, Smoke::mf_const, 208, 8},	//124 QWebElementCollection::const_iterator::operator>(const QWebElementCollection::const_iterator&) const
    {51, 533, 43, 1, Smoke::mf_const, 208, 9},	//125 QWebElementCollection::const_iterator::operator>=(const QWebElementCollection::const_iterator&) const
    {51, 511, 0, 0, 0, 78, 10},	//126 QWebElementCollection::const_iterator::operator++()
    {51, 511, 38, 1, 0, 77, 11},	//127 QWebElementCollection::const_iterator::operator++(int)
    {51, 519, 0, 0, 0, 78, 12},	//128 QWebElementCollection::const_iterator::operator--()
    {51, 519, 38, 1, 0, 77, 13},	//129 QWebElementCollection::const_iterator::operator--(int)
    {51, 513, 38, 1, 0, 78, 14},	//130 QWebElementCollection::const_iterator::operator+=(int)
    {51, 521, 38, 1, 0, 78, 15},	//131 QWebElementCollection::const_iterator::operator-=(int)
    {51, 508, 38, 1, Smoke::mf_const, 77, 16},	//132 QWebElementCollection::const_iterator::operator+(int) const
    {51, 516, 38, 1, Smoke::mf_const, 77, 17},	//133 QWebElementCollection::const_iterator::operator-(int) const
    {51, 516, 45, 1, Smoke::mf_const, 253, 18},	//134 QWebElementCollection::const_iterator::operator-(QWebElementCollection::const_iterator) const
    {51, 867, 0, 0, Smoke::mf_dtor, 0, 19 },	//135 QWebElementCollection::const_iterator::~const_iterator()
    {52, 432, 40, 2, Smoke::mf_ctor, 82, 1},	//136 QWebElementCollection::iterator::iterator(const QWebElementCollection*, int)
    {52, 432, 47, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 82, 2},	//137 QWebElementCollection::iterator::iterator(const QWebElementCollection::iterator&)
    {52, 507, 0, 0, Smoke::mf_const, 70, 3},	//138 QWebElementCollection::iterator::operator*() const
    {52, 529, 47, 1, Smoke::mf_const, 208, 4},	//139 QWebElementCollection::iterator::operator==(const QWebElementCollection::iterator&) const
    {52, 505, 47, 1, Smoke::mf_const, 208, 5},	//140 QWebElementCollection::iterator::operator!=(const QWebElementCollection::iterator&) const
    {52, 523, 47, 1, Smoke::mf_const, 208, 6},	//141 QWebElementCollection::iterator::operator<(const QWebElementCollection::iterator&) const
    {52, 525, 47, 1, Smoke::mf_const, 208, 7},	//142 QWebElementCollection::iterator::operator<=(const QWebElementCollection::iterator&) const
    {52, 531, 47, 1, Smoke::mf_const, 208, 8},	//143 QWebElementCollection::iterator::operator>(const QWebElementCollection::iterator&) const
    {52, 533, 47, 1, Smoke::mf_const, 208, 9},	//144 QWebElementCollection::iterator::operator>=(const QWebElementCollection::iterator&) const
    {52, 511, 0, 0, 0, 81, 10},	//145 QWebElementCollection::iterator::operator++()
    {52, 511, 38, 1, 0, 80, 11},	//146 QWebElementCollection::iterator::operator++(int)
    {52, 519, 0, 0, 0, 81, 12},	//147 QWebElementCollection::iterator::operator--()
    {52, 519, 38, 1, 0, 80, 13},	//148 QWebElementCollection::iterator::operator--(int)
    {52, 513, 38, 1, 0, 81, 14},	//149 QWebElementCollection::iterator::operator+=(int)
    {52, 521, 38, 1, 0, 81, 15},	//150 QWebElementCollection::iterator::operator-=(int)
    {52, 508, 38, 1, Smoke::mf_const, 80, 16},	//151 QWebElementCollection::iterator::operator+(int) const
    {52, 516, 38, 1, Smoke::mf_const, 80, 17},	//152 QWebElementCollection::iterator::operator-(int) const
    {52, 516, 49, 1, Smoke::mf_const, 253, 18},	//153 QWebElementCollection::iterator::operator-(QWebElementCollection::iterator) const
    {52, 868, 0, 0, Smoke::mf_dtor, 0, 19 },	//154 QWebElementCollection::iterator::~iterator()
    {53, 482, 0, 0, Smoke::mf_const, 213, 1},	//155 QWebFrame::metaObject() const
    {53, 571, 10, 1, 0, 258, 2},	//156 QWebFrame::qt_metacast(const char*)
    {53, 807, 51, 2, Smoke::mf_static, 54, 3},	//157 QWebFrame::tr(const char*, const char*)
    {53, 811, 51, 2, Smoke::mf_static, 54, 4},	//158 QWebFrame::trUtf8(const char*, const char*)
    {53, 807, 54, 3, Smoke::mf_static, 54, 5},	//159 QWebFrame::tr(const char*, const char*, int)
    {53, 811, 54, 3, Smoke::mf_static, 54, 6},	//160 QWebFrame::trUtf8(const char*, const char*, int)
    {53, 569, 58, 3, 0, 253, 7},	//161 QWebFrame::qt_metacall(QMetaObject::Call, int, void**)
    {53, 539, 0, 0, Smoke::mf_const, 94, 8},	//162 QWebFrame::page() const
    {53, 463, 62, 1, 0, 0, 9},	//163 QWebFrame::load(const QUrl&)
    {53, 463, 64, 3, 0, 0, 10},	//164 QWebFrame::load(const QNetworkRequest&, QNetworkAccessManager::Operation, const QByteArray&)
    {53, 684, 68, 2, 0, 0, 11},	//165 QWebFrame::setHtml(const QString&, const QUrl&)
    {53, 645, 71, 3, 0, 0, 12},	//166 QWebFrame::setContent(const QByteArray&, const QString&, const QUrl&)
    {53, 218, 75, 2, 0, 0, 13},	//167 QWebFrame::addToJavaScriptWindowObject(const QString&, QObject*)
    {53, 218, 78, 3, 0, 0, 14},	//168 QWebFrame::addToJavaScriptWindowObject(const QString&, QObject*, QScriptEngine::ValueOwnership)
    {53, 797, 0, 0, Smoke::mf_const, 54, 15},	//169 QWebFrame::toHtml() const
    {53, 801, 0, 0, Smoke::mf_const, 54, 16},	//170 QWebFrame::toPlainText() const
    {53, 594, 0, 0, Smoke::mf_const, 54, 17},	//171 QWebFrame::renderTreeDump() const
    {53, 794, 0, 0, Smoke::mf_const|Smoke::mf_property, 54, 18},	//172 QWebFrame::title() const
    {53, 748, 62, 1, Smoke::mf_property, 0, 19},	//173 QWebFrame::setUrl(const QUrl&)
    {53, 826, 0, 0, Smoke::mf_const|Smoke::mf_property, 64, 20},	//174 QWebFrame::url() const
    {53, 600, 0, 0, Smoke::mf_const|Smoke::mf_property, 64, 21},	//175 QWebFrame::requestedUrl() const
    {53, 248, 0, 0, Smoke::mf_const|Smoke::mf_property, 64, 22},	//176 QWebFrame::baseUrl() const
    {53, 411, 0, 0, Smoke::mf_const|Smoke::mf_property, 19, 23},	//177 QWebFrame::icon() const
    {53, 481, 0, 0, Smoke::mf_const, 33, 24},	//178 QWebFrame::metaData() const
    {53, 385, 0, 0, Smoke::mf_const, 54, 25},	//179 QWebFrame::frameName() const
    {53, 549, 0, 0, Smoke::mf_const, 83, 26},	//180 QWebFrame::parentFrame() const
    {53, 257, 0, 0, Smoke::mf_const, 24, 27},	//181 QWebFrame::childFrames() const
    {53, 622, 82, 1, Smoke::mf_const, 185, 28},	//182 QWebFrame::scrollBarPolicy(Qt::Orientation) const
    {53, 734, 84, 2, 0, 0, 29},	//183 QWebFrame::setScrollBarPolicy(Qt::Orientation, Qt::ScrollBarPolicy)
    {53, 736, 87, 2, 0, 0, 30},	//184 QWebFrame::setScrollBarValue(Qt::Orientation, int)
    {53, 624, 82, 1, Smoke::mf_const, 253, 31},	//185 QWebFrame::scrollBarValue(Qt::Orientation) const
    {53, 620, 82, 1, Smoke::mf_const, 253, 32},	//186 QWebFrame::scrollBarMinimum(Qt::Orientation) const
    {53, 618, 82, 1, Smoke::mf_const, 253, 33},	//187 QWebFrame::scrollBarMaximum(Qt::Orientation) const
    {53, 616, 82, 1, Smoke::mf_const, 48, 34},	//188 QWebFrame::scrollBarGeometry(Qt::Orientation) const
    {53, 614, 90, 2, 0, 0, 35},	//189 QWebFrame::scroll(int, int)
    {53, 626, 0, 0, Smoke::mf_const|Smoke::mf_property, 46, 36},	//190 QWebFrame::scrollPosition() const
    {53, 738, 93, 1, Smoke::mf_property, 0, 37},	//191 QWebFrame::setScrollPosition(const QPoint&)
    {53, 629, 16, 1, 0, 0, 38},	//192 QWebFrame::scrollToAnchor(const QString&)
    {53, 588, 28, 1, 0, 0, 39},	//193 QWebFrame::render(QPainter*)
    {53, 588, 95, 2, 0, 0, 40},	//194 QWebFrame::render(QPainter*, const QRegion&)
    {53, 588, 98, 3, 0, 0, 41},	//195 QWebFrame::render(QPainter*, QWebFrame::RenderLayer, const QRegion&)
    {53, 744, 102, 1, 0, 0, 42},	//196 QWebFrame::setTextSizeMultiplier(float)
    {53, 791, 0, 0, Smoke::mf_const, 252, 43},	//197 QWebFrame::textSizeMultiplier() const
    {53, 846, 0, 0, Smoke::mf_const, 252, 44},	//198 QWebFrame::zoomFactor() const
    {53, 761, 102, 1, 0, 0, 45},	//199 QWebFrame::setZoomFactor(float)
    {53, 400, 0, 0, Smoke::mf_const|Smoke::mf_property, 208, 46},	//200 QWebFrame::hasFocus() const
    {53, 675, 0, 0, 0, 0, 47},	//201 QWebFrame::setFocus()
    {53, 554, 0, 0, Smoke::mf_const, 46, 48},	//202 QWebFrame::pos() const
    {53, 386, 0, 0, Smoke::mf_const, 48, 49},	//203 QWebFrame::geometry() const
    {53, 276, 0, 0, Smoke::mf_const|Smoke::mf_property, 53, 50},	//204 QWebFrame::contentsSize() const
    {53, 306, 0, 0, Smoke::mf_const, 70, 51},	//205 QWebFrame::documentElement() const
    {53, 353, 16, 1, Smoke::mf_const, 74, 52},	//206 QWebFrame::findAllElements(const QString&) const
    {53, 357, 16, 1, Smoke::mf_const, 70, 53},	//207 QWebFrame::findFirstElement(const QString&) const
    {53, 408, 93, 1, Smoke::mf_const, 90, 54},	//208 QWebFrame::hitTestContent(const QPoint&) const
    {53, 336, 1, 1, 0, 208, 55},	//209 QWebFrame::event(QEvent*)
    {53, 631, 0, 0, Smoke::mf_const, 122, 56},	//210 QWebFrame::securityOrigin() const
    {53, 334, 16, 1, Smoke::mf_slot, 66, 57},	//211 QWebFrame::evaluateJavaScript(const QString&)
    {53, 564, 104, 1, Smoke::mf_const|Smoke::mf_slot, 0, 58},	//212 QWebFrame::print(QPrinter*) const
    {53, 443, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 59},	//213 QWebFrame::javaScriptWindowObjectCleared()
    {53, 568, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 60},	//214 QWebFrame::provisionalLoad()
    {53, 795, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 61},	//215 QWebFrame::titleChanged(const QString&)
    {53, 827, 62, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 62},	//216 QWebFrame::urlChanged(const QUrl&)
    {53, 417, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 63},	//217 QWebFrame::initialLayoutCompleted()
    {53, 412, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 64},	//218 QWebFrame::iconChanged()
    {53, 277, 106, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 65},	//219 QWebFrame::contentsSizeChanged(const QSize&)
    {53, 471, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 66},	//220 QWebFrame::loadStarted()
    {53, 467, 108, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 67},	//221 QWebFrame::loadFinished(bool)
    {53, 542, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 68},	//222 QWebFrame::pageChanged()
    {53, 807, 10, 1, Smoke::mf_static, 54, 69},	//223 QWebFrame::tr(const char*)
    {53, 811, 10, 1, Smoke::mf_static, 54, 70},	//224 QWebFrame::trUtf8(const char*)
    {53, 463, 110, 1, 0, 0, 71},	//225 QWebFrame::load(const QNetworkRequest&)
    {53, 463, 112, 2, 0, 0, 72},	//226 QWebFrame::load(const QNetworkRequest&, QNetworkAccessManager::Operation)
    {53, 684, 16, 1, 0, 0, 73},	//227 QWebFrame::setHtml(const QString&)
    {53, 645, 115, 1, 0, 0, 74},	//228 QWebFrame::setContent(const QByteArray&)
    {53, 645, 117, 2, 0, 0, 75},	//229 QWebFrame::setContent(const QByteArray&, const QString&)
    {53, 588, 120, 2, 0, 0, 76},	//230 QWebFrame::render(QPainter*, QWebFrame::RenderLayer)
    {53, 769, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 212, 77},	//231 QWebFrame::staticMetaObject() const
    {53, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 78},	//232 QWebFrame::ContentsLayer (enum)
    {53, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 79},	//233 QWebFrame::ScrollBarLayer (enum)
    {53, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 80},	//234 QWebFrame::PanIconLayer (enum)
    {53, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 81},	//235 QWebFrame::AllLayers (enum)
    {54, 261, 0, 0, 0, 0, 1},	//236 QWebHistory::clear()
    {54, 431, 0, 0, Smoke::mf_const, 25, 2},	//237 QWebHistory::items() const
    {54, 246, 38, 1, Smoke::mf_const, 25, 3},	//238 QWebHistory::backItems(int) const
    {54, 377, 38, 1, Smoke::mf_const, 25, 4},	//239 QWebHistory::forwardItems(int) const
    {54, 252, 0, 0, Smoke::mf_const, 208, 5},	//240 QWebHistory::canGoBack() const
    {54, 253, 0, 0, Smoke::mf_const, 208, 6},	//241 QWebHistory::canGoForward() const
    {54, 244, 0, 0, 0, 0, 7},	//242 QWebHistory::back()
    {54, 375, 0, 0, 0, 0, 8},	//243 QWebHistory::forward()
    {54, 390, 123, 1, 0, 0, 9},	//244 QWebHistory::goToItem(const QWebHistoryItem&)
    {54, 245, 0, 0, Smoke::mf_const, 87, 10},	//245 QWebHistory::backItem() const
    {54, 290, 0, 0, Smoke::mf_const, 87, 11},	//246 QWebHistory::currentItem() const
    {54, 376, 0, 0, Smoke::mf_const, 87, 12},	//247 QWebHistory::forwardItem() const
    {54, 429, 38, 1, Smoke::mf_const, 87, 13},	//248 QWebHistory::itemAt(int) const
    {54, 291, 0, 0, Smoke::mf_const, 253, 14},	//249 QWebHistory::currentItemIndex() const
    {54, 281, 0, 0, Smoke::mf_const, 253, 15},	//250 QWebHistory::count() const
    {54, 476, 0, 0, Smoke::mf_const, 253, 16},	//251 QWebHistory::maximumItemCount() const
    {54, 695, 38, 1, 0, 0, 17},	//252 QWebHistory::setMaximumItemCount(int)
    {55, 482, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 1},	//253 QWebHistoryInterface::metaObject() const
    {55, 571, 10, 1, Smoke::mf_virtual, 258, 2},	//254 QWebHistoryInterface::qt_metacast(const char*)
    {55, 807, 51, 2, Smoke::mf_static, 54, 3},	//255 QWebHistoryInterface::tr(const char*, const char*)
    {55, 811, 51, 2, Smoke::mf_static, 54, 4},	//256 QWebHistoryInterface::trUtf8(const char*, const char*)
    {55, 807, 54, 3, Smoke::mf_static, 54, 5},	//257 QWebHistoryInterface::tr(const char*, const char*, int)
    {55, 811, 54, 3, Smoke::mf_static, 54, 6},	//258 QWebHistoryInterface::trUtf8(const char*, const char*, int)
    {55, 569, 58, 3, Smoke::mf_virtual, 253, 7},	//259 QWebHistoryInterface::qt_metacall(QMetaObject::Call, int, void**)
    {55, 136, 125, 1, Smoke::mf_ctor, 86, 8},	//260 QWebHistoryInterface::QWebHistoryInterface(QObject*)
    {55, 655, 127, 1, Smoke::mf_static, 0, 9},	//261 QWebHistoryInterface::setDefaultInterface(QWebHistoryInterface*)
    {55, 298, 0, 0, Smoke::mf_static, 86, 10},	//262 QWebHistoryInterface::defaultInterface()
    {55, 406, 16, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 208, 11},	//263 QWebHistoryInterface::historyContains(const QString&) const [pure virtual]
    {55, 214, 16, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 12},	//264 QWebHistoryInterface::addHistoryEntry(const QString&) [pure virtual]
    {55, 807, 10, 1, Smoke::mf_static, 54, 13},	//265 QWebHistoryInterface::tr(const char*)
    {55, 811, 10, 1, Smoke::mf_static, 54, 14},	//266 QWebHistoryInterface::trUtf8(const char*)
    {55, 136, 0, 0, Smoke::mf_ctor, 86, 15},	//267 QWebHistoryInterface::QWebHistoryInterface()
    {55, 769, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 212, 16},	//268 QWebHistoryInterface::staticMetaObject() const
    {55, 858, 0, 0, Smoke::mf_dtor, 0, 17 },	//269 QWebHistoryInterface::~QWebHistoryInterface()
    {56, 138, 123, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 89, 1},	//270 QWebHistoryItem::QWebHistoryItem(const QWebHistoryItem&)
    {56, 527, 123, 1, 0, 88, 2},	//271 QWebHistoryItem::operator=(const QWebHistoryItem&)
    {56, 538, 0, 0, Smoke::mf_const, 64, 3},	//272 QWebHistoryItem::originalUrl() const
    {56, 826, 0, 0, Smoke::mf_const, 64, 4},	//273 QWebHistoryItem::url() const
    {56, 794, 0, 0, Smoke::mf_const, 54, 5},	//274 QWebHistoryItem::title() const
    {56, 451, 0, 0, Smoke::mf_const, 8, 6},	//275 QWebHistoryItem::lastVisited() const
    {56, 411, 0, 0, Smoke::mf_const, 19, 7},	//276 QWebHistoryItem::icon() const
    {56, 831, 0, 0, Smoke::mf_const, 66, 8},	//277 QWebHistoryItem::userData() const
    {56, 750, 129, 1, 0, 0, 9},	//278 QWebHistoryItem::setUserData(const QVariant&)
    {56, 428, 0, 0, Smoke::mf_const, 208, 10},	//279 QWebHistoryItem::isValid() const
    {56, 859, 0, 0, Smoke::mf_dtor, 0, 11 },	//280 QWebHistoryItem::~QWebHistoryItem()
    {57, 140, 0, 0, Smoke::mf_ctor, 92, 1},	//281 QWebHitTestResult::QWebHitTestResult()
    {57, 140, 131, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 92, 2},	//282 QWebHitTestResult::QWebHitTestResult(const QWebHitTestResult&)
    {57, 527, 131, 1, 0, 91, 3},	//283 QWebHitTestResult::operator=(const QWebHitTestResult&)
    {57, 426, 0, 0, Smoke::mf_const, 208, 4},	//284 QWebHitTestResult::isNull() const
    {57, 554, 0, 0, Smoke::mf_const, 46, 5},	//285 QWebHitTestResult::pos() const
    {57, 250, 0, 0, Smoke::mf_const, 48, 6},	//286 QWebHitTestResult::boundingRect() const
    {57, 328, 0, 0, Smoke::mf_const, 70, 7},	//287 QWebHitTestResult::enclosingBlockElement() const
    {57, 794, 0, 0, Smoke::mf_const, 54, 8},	//288 QWebHitTestResult::title() const
    {57, 460, 0, 0, Smoke::mf_const, 54, 9},	//289 QWebHitTestResult::linkText() const
    {57, 462, 0, 0, Smoke::mf_const, 64, 10},	//290 QWebHitTestResult::linkUrl() const
    {57, 461, 0, 0, Smoke::mf_const, 64, 11},	//291 QWebHitTestResult::linkTitle() const
    {57, 459, 0, 0, Smoke::mf_const, 83, 12},	//292 QWebHitTestResult::linkTargetFrame() const
    {57, 456, 0, 0, Smoke::mf_const, 70, 13},	//293 QWebHitTestResult::linkElement() const
    {57, 222, 0, 0, Smoke::mf_const, 54, 14},	//294 QWebHitTestResult::alternateText() const
    {57, 416, 0, 0, Smoke::mf_const, 64, 15},	//295 QWebHitTestResult::imageUrl() const
    {57, 550, 0, 0, Smoke::mf_const, 45, 16},	//296 QWebHitTestResult::pixmap() const
    {57, 423, 0, 0, Smoke::mf_const, 208, 17},	//297 QWebHitTestResult::isContentEditable() const
    {57, 424, 0, 0, Smoke::mf_const, 208, 18},	//298 QWebHitTestResult::isContentSelected() const
    {57, 318, 0, 0, Smoke::mf_const, 70, 19},	//299 QWebHitTestResult::element() const
    {57, 380, 0, 0, Smoke::mf_const, 83, 20},	//300 QWebHitTestResult::frame() const
    {57, 860, 0, 0, Smoke::mf_dtor, 0, 21 },	//301 QWebHitTestResult::~QWebHitTestResult()
    {58, 482, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 1},	//302 QWebInspector::metaObject() const
    {58, 571, 10, 1, Smoke::mf_virtual, 258, 2},	//303 QWebInspector::qt_metacast(const char*)
    {58, 807, 51, 2, Smoke::mf_static, 54, 3},	//304 QWebInspector::tr(const char*, const char*)
    {58, 811, 51, 2, Smoke::mf_static, 54, 4},	//305 QWebInspector::trUtf8(const char*, const char*)
    {58, 807, 54, 3, Smoke::mf_static, 54, 5},	//306 QWebInspector::tr(const char*, const char*, int)
    {58, 811, 54, 3, Smoke::mf_static, 54, 6},	//307 QWebInspector::trUtf8(const char*, const char*, int)
    {58, 569, 58, 3, Smoke::mf_virtual, 253, 7},	//308 QWebInspector::qt_metacall(QMetaObject::Call, int, void**)
    {58, 142, 133, 1, Smoke::mf_ctor, 93, 8},	//309 QWebInspector::QWebInspector(QWidget*)
    {58, 717, 135, 1, 0, 0, 9},	//310 QWebInspector::setPage(QWebPage*)
    {58, 539, 0, 0, Smoke::mf_const, 94, 10},	//311 QWebInspector::page() const
    {58, 768, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 53, 11},	//312 QWebInspector::sizeHint() const
    {58, 336, 1, 1, Smoke::mf_virtual, 208, 12},	//313 QWebInspector::event(QEvent*)
    {58, 607, 137, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 13},	//314 QWebInspector::resizeEvent(QResizeEvent*)
    {58, 765, 139, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//315 QWebInspector::showEvent(QShowEvent*)
    {58, 403, 141, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//316 QWebInspector::hideEvent(QHideEvent*)
    {58, 265, 143, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//317 QWebInspector::closeEvent(QCloseEvent*)
    {58, 807, 10, 1, Smoke::mf_static, 54, 17},	//318 QWebInspector::tr(const char*)
    {58, 811, 10, 1, Smoke::mf_static, 54, 18},	//319 QWebInspector::trUtf8(const char*)
    {58, 142, 0, 0, Smoke::mf_ctor, 93, 19},	//320 QWebInspector::QWebInspector()
    {58, 769, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 212, 20},	//321 QWebInspector::staticMetaObject() const
    {58, 861, 0, 0, Smoke::mf_dtor, 0, 21 },	//322 QWebInspector::~QWebInspector()
    {59, 482, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 1},	//323 QWebPage::metaObject() const
    {59, 571, 10, 1, Smoke::mf_virtual, 258, 2},	//324 QWebPage::qt_metacast(const char*)
    {59, 807, 51, 2, Smoke::mf_static, 54, 3},	//325 QWebPage::tr(const char*, const char*)
    {59, 811, 51, 2, Smoke::mf_static, 54, 4},	//326 QWebPage::trUtf8(const char*, const char*)
    {59, 807, 54, 3, Smoke::mf_static, 54, 5},	//327 QWebPage::tr(const char*, const char*, int)
    {59, 811, 54, 3, Smoke::mf_static, 54, 6},	//328 QWebPage::trUtf8(const char*, const char*, int)
    {59, 569, 58, 3, Smoke::mf_virtual, 253, 7},	//329 QWebPage::qt_metacall(QMetaObject::Call, int, void**)
    {59, 144, 125, 1, Smoke::mf_ctor, 94, 8},	//330 QWebPage::QWebPage(QObject*)
    {59, 475, 0, 0, Smoke::mf_const, 83, 9},	//331 QWebPage::mainFrame() const
    {59, 289, 0, 0, Smoke::mf_const, 83, 10},	//332 QWebPage::currentFrame() const
    {59, 381, 93, 1, Smoke::mf_const, 83, 11},	//333 QWebPage::frameAt(const QPoint&) const
    {59, 405, 0, 0, Smoke::mf_const, 85, 12},	//334 QWebPage::history() const
    {59, 763, 0, 0, Smoke::mf_const, 125, 13},	//335 QWebPage::settings() const
    {59, 754, 133, 1, 0, 0, 14},	//336 QWebPage::setView(QWidget*)
    {59, 833, 0, 0, Smoke::mf_const, 134, 15},	//337 QWebPage::view() const
    {59, 425, 0, 0, Smoke::mf_const|Smoke::mf_property, 208, 16},	//338 QWebPage::isModified() const
    {59, 821, 0, 0, Smoke::mf_const, 63, 17},	//339 QWebPage::undoStack() const
    {59, 703, 145, 1, 0, 0, 18},	//340 QWebPage::setNetworkAccessManager(QNetworkAccessManager*)
    {59, 499, 0, 0, Smoke::mf_const, 34, 19},	//341 QWebPage::networkAccessManager() const
    {59, 725, 147, 1, 0, 0, 20},	//342 QWebPage::setPluginFactory(QWebPluginFactory*)
    {59, 551, 0, 0, Smoke::mf_const, 114, 21},	//343 QWebPage::pluginFactory() const
    {59, 806, 0, 0, Smoke::mf_const, 257, 22},	//344 QWebPage::totalBytes() const
    {59, 251, 0, 0, Smoke::mf_const, 257, 23},	//345 QWebPage::bytesReceived() const
    {59, 401, 0, 0, Smoke::mf_const|Smoke::mf_property, 208, 24},	//346 QWebPage::hasSelection() const
    {59, 633, 0, 0, Smoke::mf_const|Smoke::mf_property, 54, 25},	//347 QWebPage::selectedText() const
    {59, 632, 0, 0, Smoke::mf_const|Smoke::mf_property, 54, 26},	//348 QWebPage::selectedHtml() const
    {59, 209, 149, 1, Smoke::mf_const, 1, 27},	//349 QWebPage::action(QWebPage::WebAction) const
    {59, 815, 151, 2, Smoke::mf_virtual, 0, 28},	//350 QWebPage::triggerAction(QWebPage::WebAction, bool)
    {59, 837, 0, 0, Smoke::mf_const|Smoke::mf_property, 53, 29},	//351 QWebPage::viewportSize() const
    {59, 756, 106, 1, Smoke::mf_const|Smoke::mf_property, 0, 30},	//352 QWebPage::setViewportSize(const QSize&) const
    {59, 834, 106, 1, Smoke::mf_const, 108, 31},	//353 QWebPage::viewportAttributesForSize(const QSize&) const
    {59, 555, 0, 0, Smoke::mf_const|Smoke::mf_property, 53, 32},	//354 QWebPage::preferredContentsSize() const
    {59, 727, 106, 1, Smoke::mf_const|Smoke::mf_property, 0, 33},	//355 QWebPage::setPreferredContentsSize(const QSize&) const
    {59, 635, 154, 1, Smoke::mf_const, 0, 34},	//356 QWebPage::setActualVisibleContentRect(const QRect&) const
    {59, 336, 1, 1, Smoke::mf_virtual, 208, 35},	//357 QWebPage::event(QEvent*)
    {59, 366, 108, 1, 0, 208, 36},	//358 QWebPage::focusNextPrevChild(bool)
    {59, 421, 156, 1, Smoke::mf_const, 66, 37},	//359 QWebPage::inputMethodQuery(Qt::InputMethodQuery) const
    {59, 359, 158, 2, 0, 208, 38},	//360 QWebPage::findText(const QString&, QFlags<QWebPage::FindFlag>)
    {59, 680, 108, 1, Smoke::mf_property, 0, 39},	//361 QWebPage::setForwardUnsupportedContent(bool)
    {59, 379, 0, 0, Smoke::mf_const|Smoke::mf_property, 208, 40},	//362 QWebPage::forwardUnsupportedContent() const
    {59, 691, 161, 1, Smoke::mf_property, 0, 41},	//363 QWebPage::setLinkDelegationPolicy(QWebPage::LinkDelegationPolicy)
    {59, 455, 0, 0, Smoke::mf_const|Smoke::mf_property, 105, 42},	//364 QWebPage::linkDelegationPolicy() const
    {59, 719, 163, 1, Smoke::mf_property, 0, 43},	//365 QWebPage::setPalette(const QPalette&)
    {59, 546, 0, 0, Smoke::mf_const|Smoke::mf_property, 44, 44},	//366 QWebPage::palette() const
    {59, 649, 108, 1, Smoke::mf_property, 0, 45},	//367 QWebPage::setContentEditable(bool)
    {59, 423, 0, 0, Smoke::mf_const|Smoke::mf_property, 208, 46},	//368 QWebPage::isContentEditable() const
    {59, 784, 165, 1, 0, 208, 47},	//369 QWebPage::swallowContextMenuEvent(QContextMenuEvent*)
    {59, 824, 93, 1, 0, 0, 48},	//370 QWebPage::updatePositionDependentActions(const QPoint&)
    {59, 286, 0, 0, 0, 29, 49},	//371 QWebPage::createStandardContextMenu()
    {59, 669, 167, 3, 0, 0, 50},	//372 QWebPage::setFeaturePermission(QWebFrame*, QWebPage::Feature, QWebPage::PermissionPolicy)
    {59, 779, 0, 0, Smoke::mf_const, 57, 51},	//373 QWebPage::supportedContentTypes() const
    {59, 780, 16, 1, Smoke::mf_const, 208, 52},	//374 QWebPage::supportsContentType(const QString&) const
    {59, 340, 171, 3, Smoke::mf_virtual, 208, 53},	//375 QWebPage::extension(QWebPage::Extension, const QWebPage::ExtensionOption*, QWebPage::ExtensionReturn*)
    {59, 782, 175, 1, Smoke::mf_const|Smoke::mf_virtual, 208, 54},	//376 QWebPage::supportsExtension(QWebPage::Extension) const
    {59, 392, 0, 0, Smoke::mf_const, 113, 55},	//377 QWebPage::handle() const
    {59, 764, 0, 0, Smoke::mf_slot, 208, 56},	//378 QWebPage::shouldInterruptJavaScript()
    {59, 471, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 57},	//379 QWebPage::loadStarted()
    {59, 469, 38, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 58},	//380 QWebPage::loadProgress(int)
    {59, 467, 108, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 59},	//381 QWebPage::loadFinished(bool)
    {59, 457, 21, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 60},	//382 QWebPage::linkHovered(const QString&, const QString&, const QString&)
    {59, 770, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 61},	//383 QWebPage::statusBarMessage(const QString&)
    {59, 634, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 62},	//384 QWebPage::selectionChanged()
    {59, 383, 177, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 63},	//385 QWebPage::frameCreated(QWebFrame*)
    {59, 387, 154, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 64},	//386 QWebPage::geometryChangeRequested(const QRect&)
    {59, 595, 154, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 65},	//387 QWebPage::repaintRequested(const QRect&)
    {59, 627, 179, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 66},	//388 QWebPage::scrollRequested(int, int, const QRect&)
    {59, 844, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 67},	//389 QWebPage::windowCloseRequested()
    {59, 566, 177, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 68},	//390 QWebPage::printRequested(QWebFrame*)
    {59, 453, 62, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 69},	//391 QWebPage::linkClicked(const QUrl&)
    {59, 804, 108, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 70},	//392 QWebPage::toolBarVisibilityChangeRequested(bool)
    {59, 772, 108, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 71},	//393 QWebPage::statusBarVisibilityChangeRequested(bool)
    {59, 479, 108, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 72},	//394 QWebPage::menuBarVisibilityChangeRequested(bool)
    {59, 822, 183, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 73},	//395 QWebPage::unsupportedContent(QNetworkReply*)
    {59, 308, 110, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 74},	//396 QWebPage::downloadRequested(const QNetworkRequest&)
    {59, 484, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 75},	//397 QWebPage::microFocusChanged()
    {59, 275, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 76},	//398 QWebPage::contentsChanged()
    {59, 294, 185, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 77},	//399 QWebPage::databaseQuotaExceeded(QWebFrame*, QString)
    {59, 231, 188, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 78},	//400 QWebPage::applicationCacheQuotaExceeded(QWebSecurityOrigin*, quint64)
    {59, 231, 191, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 79},	//401 QWebPage::applicationCacheQuotaExceeded(QWebSecurityOrigin*, quint64, quint64)
    {59, 611, 195, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 80},	//402 QWebPage::saveFrameStateRequested(QWebFrame*, QWebHistoryItem*)
    {59, 609, 177, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 81},	//403 QWebPage::restoreFrameStateRequested(QWebFrame*)
    {59, 836, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 82},	//404 QWebPage::viewportChangeRequested()
    {59, 346, 198, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 83},	//405 QWebPage::featurePermissionRequested(QWebFrame*, QWebPage::Feature)
    {59, 344, 198, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 84},	//406 QWebPage::featurePermissionRequestCanceled(QWebFrame*, QWebPage::Feature)
    {59, 287, 201, 1, Smoke::mf_protected|Smoke::mf_virtual, 94, 85},	//407 QWebPage::createWindow(QWebPage::WebWindowType)
    {59, 284, 203, 4, Smoke::mf_protected|Smoke::mf_virtual, 38, 86},	//408 QWebPage::createPlugin(const QString&, const QUrl&, const QStringList&, const QStringList&)
    {59, 207, 208, 3, Smoke::mf_protected|Smoke::mf_virtual, 208, 87},	//409 QWebPage::acceptNavigationRequest(QWebFrame*, const QNetworkRequest&, QWebPage::NavigationType)
    {59, 258, 212, 2, Smoke::mf_protected|Smoke::mf_virtual, 54, 88},	//410 QWebPage::chooseFile(QWebFrame*, const QString&)
    {59, 435, 212, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 89},	//411 QWebPage::javaScriptAlert(QWebFrame*, const QString&)
    {59, 437, 212, 2, Smoke::mf_protected|Smoke::mf_virtual, 208, 90},	//412 QWebPage::javaScriptConfirm(QWebFrame*, const QString&)
    {59, 441, 215, 4, Smoke::mf_protected|Smoke::mf_virtual, 208, 91},	//413 QWebPage::javaScriptPrompt(QWebFrame*, const QString&, const QString&, QString*)
    {59, 439, 220, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 92},	//414 QWebPage::javaScriptConsoleMessage(const QString&, int, const QString&)
    {59, 829, 62, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 54, 93},	//415 QWebPage::userAgentForUrl(const QUrl&) const
    {59, 807, 10, 1, Smoke::mf_static, 54, 94},	//416 QWebPage::tr(const char*)
    {59, 811, 10, 1, Smoke::mf_static, 54, 95},	//417 QWebPage::trUtf8(const char*)
    {59, 144, 0, 0, Smoke::mf_ctor, 94, 96},	//418 QWebPage::QWebPage()
    {59, 815, 149, 1, 0, 0, 97},	//419 QWebPage::triggerAction(QWebPage::WebAction)
    {59, 359, 16, 1, 0, 208, 98},	//420 QWebPage::findText(const QString&)
    {59, 340, 175, 1, 0, 208, 99},	//421 QWebPage::extension(QWebPage::Extension)
    {59, 340, 224, 2, 0, 208, 100},	//422 QWebPage::extension(QWebPage::Extension, const QWebPage::ExtensionOption*)
    {59, 769, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 212, 101},	//423 QWebPage::staticMetaObject() const
    {59, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 102},	//424 QWebPage::NavigationTypeLinkClicked (enum)
    {59, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 103},	//425 QWebPage::NavigationTypeFormSubmitted (enum)
    {59, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 104},	//426 QWebPage::NavigationTypeBackOrForward (enum)
    {59, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 105},	//427 QWebPage::NavigationTypeReload (enum)
    {59, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 106},	//428 QWebPage::NavigationTypeFormResubmitted (enum)
    {59, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 107},	//429 QWebPage::NavigationTypeOther (enum)
    {59, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 108},	//430 QWebPage::NoWebAction (enum)
    {59, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 109},	//431 QWebPage::OpenLink (enum)
    {59, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 110},	//432 QWebPage::OpenLinkInNewWindow (enum)
    {59, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 111},	//433 QWebPage::OpenFrameInNewWindow (enum)
    {59, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 112},	//434 QWebPage::DownloadLinkToDisk (enum)
    {59, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 113},	//435 QWebPage::CopyLinkToClipboard (enum)
    {59, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 114},	//436 QWebPage::OpenImageInNewWindow (enum)
    {59, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 115},	//437 QWebPage::DownloadImageToDisk (enum)
    {59, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 116},	//438 QWebPage::CopyImageToClipboard (enum)
    {59, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 117},	//439 QWebPage::Back (enum)
    {59, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 118},	//440 QWebPage::Forward (enum)
    {59, 187, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 119},	//441 QWebPage::Stop (enum)
    {59, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 120},	//442 QWebPage::Reload (enum)
    {59, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 121},	//443 QWebPage::Cut (enum)
    {59, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 122},	//444 QWebPage::Copy (enum)
    {59, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 123},	//445 QWebPage::Paste (enum)
    {59, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 124},	//446 QWebPage::Undo (enum)
    {59, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 125},	//447 QWebPage::Redo (enum)
    {59, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 126},	//448 QWebPage::MoveToNextChar (enum)
    {59, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 127},	//449 QWebPage::MoveToPreviousChar (enum)
    {59, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 128},	//450 QWebPage::MoveToNextWord (enum)
    {59, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 129},	//451 QWebPage::MoveToPreviousWord (enum)
    {59, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 130},	//452 QWebPage::MoveToNextLine (enum)
    {59, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 131},	//453 QWebPage::MoveToPreviousLine (enum)
    {59, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 132},	//454 QWebPage::MoveToStartOfLine (enum)
    {59, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 133},	//455 QWebPage::MoveToEndOfLine (enum)
    {59, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 134},	//456 QWebPage::MoveToStartOfBlock (enum)
    {59, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 135},	//457 QWebPage::MoveToEndOfBlock (enum)
    {59, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 136},	//458 QWebPage::MoveToStartOfDocument (enum)
    {59, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 137},	//459 QWebPage::MoveToEndOfDocument (enum)
    {59, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 138},	//460 QWebPage::SelectNextChar (enum)
    {59, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 139},	//461 QWebPage::SelectPreviousChar (enum)
    {59, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 140},	//462 QWebPage::SelectNextWord (enum)
    {59, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 141},	//463 QWebPage::SelectPreviousWord (enum)
    {59, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 142},	//464 QWebPage::SelectNextLine (enum)
    {59, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 143},	//465 QWebPage::SelectPreviousLine (enum)
    {59, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 144},	//466 QWebPage::SelectStartOfLine (enum)
    {59, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 145},	//467 QWebPage::SelectEndOfLine (enum)
    {59, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 146},	//468 QWebPage::SelectStartOfBlock (enum)
    {59, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 147},	//469 QWebPage::SelectEndOfBlock (enum)
    {59, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 148},	//470 QWebPage::SelectStartOfDocument (enum)
    {59, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 149},	//471 QWebPage::SelectEndOfDocument (enum)
    {59, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 150},	//472 QWebPage::DeleteStartOfWord (enum)
    {59, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 151},	//473 QWebPage::DeleteEndOfWord (enum)
    {59, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 152},	//474 QWebPage::SetTextDirectionDefault (enum)
    {59, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 153},	//475 QWebPage::SetTextDirectionLeftToRight (enum)
    {59, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 154},	//476 QWebPage::SetTextDirectionRightToLeft (enum)
    {59, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 155},	//477 QWebPage::ToggleBold (enum)
    {59, 192, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 156},	//478 QWebPage::ToggleItalic (enum)
    {59, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 157},	//479 QWebPage::ToggleUnderline (enum)
    {59, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 158},	//480 QWebPage::InspectElement (enum)
    {59, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 159},	//481 QWebPage::InsertParagraphSeparator (enum)
    {59, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 160},	//482 QWebPage::InsertLineSeparator (enum)
    {59, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 161},	//483 QWebPage::SelectAll (enum)
    {59, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 162},	//484 QWebPage::ReloadAndBypassCache (enum)
    {59, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 163},	//485 QWebPage::PasteAndMatchStyle (enum)
    {59, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 164},	//486 QWebPage::RemoveFormat (enum)
    {59, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 165},	//487 QWebPage::ToggleStrikethrough (enum)
    {59, 194, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 166},	//488 QWebPage::ToggleSubscript (enum)
    {59, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 167},	//489 QWebPage::ToggleSuperscript (enum)
    {59, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 168},	//490 QWebPage::InsertUnorderedList (enum)
    {59, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 169},	//491 QWebPage::InsertOrderedList (enum)
    {59, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 170},	//492 QWebPage::Indent (enum)
    {59, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 171},	//493 QWebPage::Outdent (enum)
    {59, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 172},	//494 QWebPage::AlignCenter (enum)
    {59, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 173},	//495 QWebPage::AlignJustified (enum)
    {59, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 174},	//496 QWebPage::AlignLeft (enum)
    {59, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 175},	//497 QWebPage::AlignRight (enum)
    {59, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 176},	//498 QWebPage::StopScheduledPageRefresh (enum)
    {59, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 177},	//499 QWebPage::CopyImageUrlToClipboard (enum)
    {59, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 178},	//500 QWebPage::OpenLinkInThisWindow (enum)
    {59, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 179},	//501 QWebPage::WebActionCount (enum)
    {59, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 180},	//502 QWebPage::FindBackward (enum)
    {59, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 181},	//503 QWebPage::FindCaseSensitively (enum)
    {59, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 182},	//504 QWebPage::FindWrapsAroundDocument (enum)
    {59, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 183},	//505 QWebPage::HighlightAllOccurrences (enum)
    {59, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 184},	//506 QWebPage::DontDelegateLinks (enum)
    {59, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 185},	//507 QWebPage::DelegateExternalLinks (enum)
    {59, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 186},	//508 QWebPage::DelegateAllLinks (enum)
    {59, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 187},	//509 QWebPage::WebBrowserWindow (enum)
    {59, 204, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 188},	//510 QWebPage::WebModalDialog (enum)
    {59, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 189},	//511 QWebPage::PermissionUnknown (enum)
    {59, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 190},	//512 QWebPage::PermissionGrantedByUser (enum)
    {59, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 191},	//513 QWebPage::PermissionDeniedByUser (enum)
    {59, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 192},	//514 QWebPage::Notifications (enum)
    {59, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 193},	//515 QWebPage::Geolocation (enum)
    {59, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 194},	//516 QWebPage::ChooseMultipleFilesExtension (enum)
    {59, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 195},	//517 QWebPage::ErrorPageExtension (enum)
    {59, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 196},	//518 QWebPage::QtNetwork (enum)
    {59, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 197},	//519 QWebPage::Http (enum)
    {59, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 198},	//520 QWebPage::WebKit (enum)
    {59, 862, 0, 0, Smoke::mf_dtor, 0, 199 },	//521 QWebPage::~QWebPage()
    {60, 17, 0, 0, Smoke::mf_ctor, 95, 1},	//522 QWebPage::ChooseMultipleFilesExtensionOption::ChooseMultipleFilesExtensionOption()
    {60, 17, 227, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 95, 2},	//523 QWebPage::ChooseMultipleFilesExtensionOption::ChooseMultipleFilesExtensionOption(const QWebPage::ChooseMultipleFilesExtensionOption&)
    {60, 549, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 83, 3},	//524 QWebPage::ChooseMultipleFilesExtensionOption::parentFrame() const
    {60, 721, 177, 1, Smoke::mf_attribute, 0, 4},	//525 QWebPage::ChooseMultipleFilesExtensionOption::setParentFrame(QWebFrame*)
    {60, 778, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 58, 5},	//526 QWebPage::ChooseMultipleFilesExtensionOption::suggestedFileNames() const
    {60, 742, 229, 1, Smoke::mf_attribute, 0, 6},	//527 QWebPage::ChooseMultipleFilesExtensionOption::setSuggestedFileNames(const QStringList&)
    {60, 847, 0, 0, Smoke::mf_dtor, 0, 7 },	//528 QWebPage::ChooseMultipleFilesExtensionOption::~ChooseMultipleFilesExtensionOption()
    {61, 19, 0, 0, Smoke::mf_ctor, 96, 1},	//529 QWebPage::ChooseMultipleFilesExtensionReturn::ChooseMultipleFilesExtensionReturn()
    {61, 19, 231, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 96, 2},	//530 QWebPage::ChooseMultipleFilesExtensionReturn::ChooseMultipleFilesExtensionReturn(const QWebPage::ChooseMultipleFilesExtensionReturn&)
    {61, 350, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 58, 3},	//531 QWebPage::ChooseMultipleFilesExtensionReturn::fileNames() const
    {61, 673, 229, 1, Smoke::mf_attribute, 0, 4},	//532 QWebPage::ChooseMultipleFilesExtensionReturn::setFileNames(const QStringList&)
    {61, 848, 0, 0, Smoke::mf_dtor, 0, 5 },	//533 QWebPage::ChooseMultipleFilesExtensionReturn::~ChooseMultipleFilesExtensionReturn()
    {62, 45, 0, 0, Smoke::mf_ctor, 98, 1},	//534 QWebPage::ErrorPageExtensionOption::ErrorPageExtensionOption()
    {62, 45, 233, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 98, 2},	//535 QWebPage::ErrorPageExtensionOption::ErrorPageExtensionOption(const QWebPage::ErrorPageExtensionOption&)
    {62, 826, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 65, 3},	//536 QWebPage::ErrorPageExtensionOption::url() const
    {62, 748, 62, 1, Smoke::mf_attribute, 0, 4},	//537 QWebPage::ErrorPageExtensionOption::setUrl(const QUrl&)
    {62, 380, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 83, 5},	//538 QWebPage::ErrorPageExtensionOption::frame() const
    {62, 682, 177, 1, Smoke::mf_attribute, 0, 6},	//539 QWebPage::ErrorPageExtensionOption::setFrame(QWebFrame*)
    {62, 307, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 97, 7},	//540 QWebPage::ErrorPageExtensionOption::domain() const
    {62, 661, 235, 1, Smoke::mf_attribute, 0, 8},	//541 QWebPage::ErrorPageExtensionOption::setDomain(QWebPage::ErrorDomain)
    {62, 332, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 253, 9},	//542 QWebPage::ErrorPageExtensionOption::error() const
    {62, 665, 38, 1, Smoke::mf_attribute, 0, 10},	//543 QWebPage::ErrorPageExtensionOption::setError(int)
    {62, 333, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 55, 11},	//544 QWebPage::ErrorPageExtensionOption::errorString() const
    {62, 667, 16, 1, Smoke::mf_attribute, 0, 12},	//545 QWebPage::ErrorPageExtensionOption::setErrorString(const QString&)
    {62, 849, 0, 0, Smoke::mf_dtor, 0, 13 },	//546 QWebPage::ErrorPageExtensionOption::~ErrorPageExtensionOption()
    {63, 47, 0, 0, Smoke::mf_ctor, 99, 1},	//547 QWebPage::ErrorPageExtensionReturn::ErrorPageExtensionReturn()
    {63, 47, 237, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 99, 2},	//548 QWebPage::ErrorPageExtensionReturn::ErrorPageExtensionReturn(const QWebPage::ErrorPageExtensionReturn&)
    {63, 274, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 55, 3},	//549 QWebPage::ErrorPageExtensionReturn::contentType() const
    {63, 651, 16, 1, Smoke::mf_attribute, 0, 4},	//550 QWebPage::ErrorPageExtensionReturn::setContentType(const QString&)
    {63, 329, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 55, 5},	//551 QWebPage::ErrorPageExtensionReturn::encoding() const
    {63, 663, 16, 1, Smoke::mf_attribute, 0, 6},	//552 QWebPage::ErrorPageExtensionReturn::setEncoding(const QString&)
    {63, 248, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 65, 7},	//553 QWebPage::ErrorPageExtensionReturn::baseUrl() const
    {63, 643, 62, 1, Smoke::mf_attribute, 0, 8},	//554 QWebPage::ErrorPageExtensionReturn::setBaseUrl(const QUrl&)
    {63, 273, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 4, 9},	//555 QWebPage::ErrorPageExtensionReturn::content() const
    {63, 645, 115, 1, Smoke::mf_attribute, 0, 10},	//556 QWebPage::ErrorPageExtensionReturn::setContent(const QByteArray&)
    {63, 850, 0, 0, Smoke::mf_dtor, 0, 11 },	//557 QWebPage::ErrorPageExtensionReturn::~ErrorPageExtensionReturn()
    {64, 49, 0, 0, Smoke::mf_ctor, 101, 1},	//558 QWebPage::ExtensionOption::ExtensionOption()
    {64, 49, 239, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 101, 2},	//559 QWebPage::ExtensionOption::ExtensionOption(const QWebPage::ExtensionOption&)
    {64, 851, 0, 0, Smoke::mf_dtor, 0, 3 },	//560 QWebPage::ExtensionOption::~ExtensionOption()
    {65, 51, 0, 0, Smoke::mf_ctor, 102, 1},	//561 QWebPage::ExtensionReturn::ExtensionReturn()
    {65, 51, 241, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 102, 2},	//562 QWebPage::ExtensionReturn::ExtensionReturn(const QWebPage::ExtensionReturn&)
    {65, 852, 0, 0, Smoke::mf_dtor, 0, 3 },	//563 QWebPage::ExtensionReturn::~ExtensionReturn()
    {66, 198, 0, 0, Smoke::mf_ctor, 110, 1},	//564 QWebPage::ViewportAttributes::ViewportAttributes()
    {66, 198, 243, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 110, 2},	//565 QWebPage::ViewportAttributes::ViewportAttributes(const QWebPage::ViewportAttributes&)
    {66, 527, 243, 1, 0, 109, 3},	//566 QWebPage::ViewportAttributes::operator=(const QWebPage::ViewportAttributes&)
    {66, 418, 0, 0, Smoke::mf_const, 252, 4},	//567 QWebPage::ViewportAttributes::initialScaleFactor() const
    {66, 486, 0, 0, Smoke::mf_const, 252, 5},	//568 QWebPage::ViewportAttributes::minimumScaleFactor() const
    {66, 478, 0, 0, Smoke::mf_const, 252, 6},	//569 QWebPage::ViewportAttributes::maximumScaleFactor() const
    {66, 302, 0, 0, Smoke::mf_const, 252, 7},	//570 QWebPage::ViewportAttributes::devicePixelRatio() const
    {66, 427, 0, 0, Smoke::mf_const, 208, 8},	//571 QWebPage::ViewportAttributes::isUserScalable() const
    {66, 428, 0, 0, Smoke::mf_const, 208, 9},	//572 QWebPage::ViewportAttributes::isValid() const
    {66, 767, 0, 0, Smoke::mf_const, 53, 10},	//573 QWebPage::ViewportAttributes::size() const
    {66, 866, 0, 0, Smoke::mf_dtor, 0, 11 },	//574 QWebPage::ViewportAttributes::~ViewportAttributes()
    {68, 482, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 1},	//575 QWebPluginFactory::metaObject() const
    {68, 571, 10, 1, Smoke::mf_virtual, 258, 2},	//576 QWebPluginFactory::qt_metacast(const char*)
    {68, 807, 51, 2, Smoke::mf_static, 54, 3},	//577 QWebPluginFactory::tr(const char*, const char*)
    {68, 811, 51, 2, Smoke::mf_static, 54, 4},	//578 QWebPluginFactory::trUtf8(const char*, const char*)
    {68, 807, 54, 3, Smoke::mf_static, 54, 5},	//579 QWebPluginFactory::tr(const char*, const char*, int)
    {68, 811, 54, 3, Smoke::mf_static, 54, 6},	//580 QWebPluginFactory::trUtf8(const char*, const char*, int)
    {68, 569, 58, 3, Smoke::mf_virtual, 253, 7},	//581 QWebPluginFactory::qt_metacall(QMetaObject::Call, int, void**)
    {68, 146, 125, 1, Smoke::mf_ctor, 114, 8},	//582 QWebPluginFactory::QWebPluginFactory(QObject*)
    {68, 552, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 27, 9},	//583 QWebPluginFactory::plugins() const [pure virtual]
    {68, 573, 0, 0, Smoke::mf_virtual, 0, 10},	//584 QWebPluginFactory::refreshPlugins()
    {68, 282, 203, 4, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 38, 11},	//585 QWebPluginFactory::create(const QString&, const QUrl&, const QStringList&, const QStringList&) const [pure virtual]
    {68, 340, 245, 3, Smoke::mf_virtual, 208, 12},	//586 QWebPluginFactory::extension(QWebPluginFactory::Extension, const QWebPluginFactory::ExtensionOption*, QWebPluginFactory::ExtensionReturn*)
    {68, 782, 249, 1, Smoke::mf_const|Smoke::mf_virtual, 208, 13},	//587 QWebPluginFactory::supportsExtension(QWebPluginFactory::Extension) const
    {68, 807, 10, 1, Smoke::mf_static, 54, 14},	//588 QWebPluginFactory::tr(const char*)
    {68, 811, 10, 1, Smoke::mf_static, 54, 15},	//589 QWebPluginFactory::trUtf8(const char*)
    {68, 146, 0, 0, Smoke::mf_ctor, 114, 16},	//590 QWebPluginFactory::QWebPluginFactory()
    {68, 340, 249, 1, 0, 208, 17},	//591 QWebPluginFactory::extension(QWebPluginFactory::Extension)
    {68, 340, 251, 2, 0, 208, 18},	//592 QWebPluginFactory::extension(QWebPluginFactory::Extension, const QWebPluginFactory::ExtensionOption*)
    {68, 769, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 212, 19},	//593 QWebPluginFactory::staticMetaObject() const
    {68, 863, 0, 0, Smoke::mf_dtor, 0, 20 },	//594 QWebPluginFactory::~QWebPluginFactory()
    {69, 49, 0, 0, Smoke::mf_ctor, 116, 1},	//595 QWebPluginFactory::ExtensionOption::ExtensionOption()
    {69, 49, 254, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 116, 2},	//596 QWebPluginFactory::ExtensionOption::ExtensionOption(const QWebPluginFactory::ExtensionOption&)
    {69, 851, 0, 0, Smoke::mf_dtor, 0, 3 },	//597 QWebPluginFactory::ExtensionOption::~ExtensionOption()
    {70, 51, 0, 0, Smoke::mf_ctor, 117, 1},	//598 QWebPluginFactory::ExtensionReturn::ExtensionReturn()
    {70, 51, 256, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 117, 2},	//599 QWebPluginFactory::ExtensionReturn::ExtensionReturn(const QWebPluginFactory::ExtensionReturn&)
    {70, 852, 0, 0, Smoke::mf_dtor, 0, 3 },	//600 QWebPluginFactory::ExtensionReturn::~ExtensionReturn()
    {71, 529, 258, 1, Smoke::mf_const, 208, 1},	//601 QWebPluginFactory::MimeType::operator==(const QWebPluginFactory::MimeType&) const
    {71, 505, 258, 1, Smoke::mf_const, 208, 2},	//602 QWebPluginFactory::MimeType::operator!=(const QWebPluginFactory::MimeType&) const
    {71, 83, 0, 0, Smoke::mf_ctor, 119, 3},	//603 QWebPluginFactory::MimeType::MimeType()
    {71, 83, 258, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 119, 4},	//604 QWebPluginFactory::MimeType::MimeType(const QWebPluginFactory::MimeType&)
    {71, 497, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 55, 5},	//605 QWebPluginFactory::MimeType::name() const
    {71, 701, 16, 1, Smoke::mf_attribute, 0, 6},	//606 QWebPluginFactory::MimeType::setName(const QString&)
    {71, 300, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 55, 7},	//607 QWebPluginFactory::MimeType::description() const
    {71, 659, 16, 1, Smoke::mf_attribute, 0, 8},	//608 QWebPluginFactory::MimeType::setDescription(const QString&)
    {71, 348, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 58, 9},	//609 QWebPluginFactory::MimeType::fileExtensions() const
    {71, 671, 229, 1, Smoke::mf_attribute, 0, 10},	//610 QWebPluginFactory::MimeType::setFileExtensions(const QStringList&)
    {71, 853, 0, 0, Smoke::mf_dtor, 0, 11 },	//611 QWebPluginFactory::MimeType::~MimeType()
    {72, 124, 0, 0, Smoke::mf_ctor, 121, 1},	//612 QWebPluginFactory::Plugin::Plugin()
    {72, 124, 260, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 121, 2},	//613 QWebPluginFactory::Plugin::Plugin(const QWebPluginFactory::Plugin&)
    {72, 497, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 55, 3},	//614 QWebPluginFactory::Plugin::name() const
    {72, 701, 16, 1, Smoke::mf_attribute, 0, 4},	//615 QWebPluginFactory::Plugin::setName(const QString&)
    {72, 300, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 55, 5},	//616 QWebPluginFactory::Plugin::description() const
    {72, 659, 16, 1, Smoke::mf_attribute, 0, 6},	//617 QWebPluginFactory::Plugin::setDescription(const QString&)
    {72, 485, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 26, 7},	//618 QWebPluginFactory::Plugin::mimeTypes() const
    {72, 699, 262, 1, Smoke::mf_attribute, 0, 8},	//619 QWebPluginFactory::Plugin::setMimeTypes(const QList<QWebPluginFactory::MimeType>&)
    {72, 854, 0, 0, Smoke::mf_dtor, 0, 9 },	//620 QWebPluginFactory::Plugin::~Plugin()
    {73, 221, 0, 0, Smoke::mf_static, 28, 1},	//621 QWebSecurityOrigin::allOrigins()
    {73, 216, 16, 1, Smoke::mf_static, 0, 2},	//622 QWebSecurityOrigin::addLocalScheme(const QString&)
    {73, 586, 16, 1, Smoke::mf_static, 0, 3},	//623 QWebSecurityOrigin::removeLocalScheme(const QString&)
    {73, 473, 0, 0, Smoke::mf_static, 57, 4},	//624 QWebSecurityOrigin::localSchemes()
    {73, 613, 0, 0, Smoke::mf_const, 54, 5},	//625 QWebSecurityOrigin::scheme() const
    {73, 410, 0, 0, Smoke::mf_const, 54, 6},	//626 QWebSecurityOrigin::host() const
    {73, 553, 0, 0, Smoke::mf_const, 253, 7},	//627 QWebSecurityOrigin::port() const
    {73, 296, 0, 0, Smoke::mf_const, 255, 8},	//628 QWebSecurityOrigin::databaseUsage() const
    {73, 293, 0, 0, Smoke::mf_const, 255, 9},	//629 QWebSecurityOrigin::databaseQuota() const
    {73, 653, 264, 1, 0, 0, 10},	//630 QWebSecurityOrigin::setDatabaseQuota(long long)
    {73, 637, 264, 1, 0, 0, 11},	//631 QWebSecurityOrigin::setApplicationCacheQuota(long long)
    {73, 297, 0, 0, Smoke::mf_const, 22, 12},	//632 QWebSecurityOrigin::databases() const
    {73, 148, 266, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 124, 13},	//633 QWebSecurityOrigin::QWebSecurityOrigin(const QWebSecurityOrigin&)
    {73, 527, 266, 1, 0, 123, 14},	//634 QWebSecurityOrigin::operator=(const QWebSecurityOrigin&)
    {73, 864, 0, 0, Smoke::mf_dtor, 0, 15 },	//635 QWebSecurityOrigin::~QWebSecurityOrigin()
    {74, 389, 0, 0, Smoke::mf_static, 125, 1},	//636 QWebSettings::globalSettings()
    {74, 676, 268, 2, 0, 0, 2},	//637 QWebSettings::setFontFamily(QWebSettings::FontFamily, const QString&)
    {74, 371, 271, 1, Smoke::mf_const, 54, 3},	//638 QWebSettings::fontFamily(QWebSettings::FontFamily) const
    {74, 603, 271, 1, 0, 0, 4},	//639 QWebSettings::resetFontFamily(QWebSettings::FontFamily)
    {74, 678, 273, 2, 0, 0, 5},	//640 QWebSettings::setFontSize(QWebSettings::FontSize, int)
    {74, 373, 276, 1, Smoke::mf_const, 253, 6},	//641 QWebSettings::fontSize(QWebSettings::FontSize) const
    {74, 605, 276, 1, 0, 0, 7},	//642 QWebSettings::resetFontSize(QWebSettings::FontSize)
    {74, 639, 278, 2, 0, 0, 8},	//643 QWebSettings::setAttribute(QWebSettings::WebAttribute, bool)
    {74, 789, 281, 1, Smoke::mf_const, 208, 9},	//644 QWebSettings::testAttribute(QWebSettings::WebAttribute) const
    {74, 601, 281, 1, 0, 0, 10},	//645 QWebSettings::resetAttribute(QWebSettings::WebAttribute)
    {74, 752, 62, 1, 0, 0, 11},	//646 QWebSettings::setUserStyleSheetUrl(const QUrl&)
    {74, 832, 0, 0, Smoke::mf_const, 64, 12},	//647 QWebSettings::userStyleSheetUrl() const
    {74, 657, 16, 1, 0, 0, 13},	//648 QWebSettings::setDefaultTextEncoding(const QString&)
    {74, 299, 0, 0, Smoke::mf_const, 54, 14},	//649 QWebSettings::defaultTextEncoding() const
    {74, 687, 16, 1, Smoke::mf_static, 0, 15},	//650 QWebSettings::setIconDatabasePath(const QString&)
    {74, 413, 0, 0, Smoke::mf_static, 54, 16},	//651 QWebSettings::iconDatabasePath()
    {74, 262, 0, 0, Smoke::mf_static, 0, 17},	//652 QWebSettings::clearIconDatabase()
    {74, 414, 62, 1, Smoke::mf_static, 19, 18},	//653 QWebSettings::iconForUrl(const QUrl&)
    {74, 759, 283, 2, Smoke::mf_static, 0, 19},	//654 QWebSettings::setWebGraphic(QWebSettings::WebGraphic, const QPixmap&)
    {74, 839, 286, 1, Smoke::mf_static, 45, 20},	//655 QWebSettings::webGraphic(QWebSettings::WebGraphic)
    {74, 697, 38, 1, Smoke::mf_static, 0, 21},	//656 QWebSettings::setMaximumPagesInCache(int)
    {74, 477, 0, 0, Smoke::mf_static, 253, 22},	//657 QWebSettings::maximumPagesInCache()
    {74, 705, 288, 3, Smoke::mf_static, 0, 23},	//658 QWebSettings::setObjectCacheCapacities(int, int, int)
    {74, 709, 16, 1, Smoke::mf_static, 0, 24},	//659 QWebSettings::setOfflineStoragePath(const QString&)
    {74, 502, 0, 0, Smoke::mf_static, 54, 25},	//660 QWebSettings::offlineStoragePath()
    {74, 707, 264, 1, Smoke::mf_static, 0, 26},	//661 QWebSettings::setOfflineStorageDefaultQuota(long long)
    {74, 501, 0, 0, Smoke::mf_static, 255, 27},	//662 QWebSettings::offlineStorageDefaultQuota()
    {74, 711, 16, 1, Smoke::mf_static, 0, 28},	//663 QWebSettings::setOfflineWebApplicationCachePath(const QString&)
    {74, 503, 0, 0, Smoke::mf_static, 54, 29},	//664 QWebSettings::offlineWebApplicationCachePath()
    {74, 713, 264, 1, Smoke::mf_static, 0, 30},	//665 QWebSettings::setOfflineWebApplicationCacheQuota(long long)
    {74, 504, 0, 0, Smoke::mf_static, 255, 31},	//666 QWebSettings::offlineWebApplicationCacheQuota()
    {74, 693, 16, 1, 0, 0, 32},	//667 QWebSettings::setLocalStoragePath(const QString&)
    {74, 474, 0, 0, Smoke::mf_const, 54, 33},	//668 QWebSettings::localStoragePath() const
    {74, 263, 0, 0, Smoke::mf_static, 0, 34},	//669 QWebSettings::clearMemoryCaches()
    {74, 319, 16, 1, Smoke::mf_static, 0, 35},	//670 QWebSettings::enablePersistentStorage(const QString&)
    {74, 746, 292, 1, 0, 0, 36},	//671 QWebSettings::setThirdPartyCookiePolicy(QWebSettings::ThirdPartyCookiePolicy)
    {74, 792, 0, 0, Smoke::mf_const, 128, 37},	//672 QWebSettings::thirdPartyCookiePolicy() const
    {74, 392, 0, 0, Smoke::mf_const, 131, 38},	//673 QWebSettings::handle() const
    {74, 319, 0, 0, Smoke::mf_static, 0, 39},	//674 QWebSettings::enablePersistentStorage()
    {74, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 40},	//675 QWebSettings::StandardFont (enum)
    {74, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 41},	//676 QWebSettings::FixedFont (enum)
    {74, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 42},	//677 QWebSettings::SerifFont (enum)
    {74, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 43},	//678 QWebSettings::SansSerifFont (enum)
    {74, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 44},	//679 QWebSettings::CursiveFont (enum)
    {74, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 45},	//680 QWebSettings::FantasyFont (enum)
    {74, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 46},	//681 QWebSettings::AutoLoadImages (enum)
    {74, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 47},	//682 QWebSettings::JavascriptEnabled (enum)
    {74, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 48},	//683 QWebSettings::JavaEnabled (enum)
    {74, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 49},	//684 QWebSettings::PluginsEnabled (enum)
    {74, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 50},	//685 QWebSettings::PrivateBrowsingEnabled (enum)
    {74, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 51},	//686 QWebSettings::JavascriptCanOpenWindows (enum)
    {74, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 52},	//687 QWebSettings::JavascriptCanAccessClipboard (enum)
    {74, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 53},	//688 QWebSettings::DeveloperExtrasEnabled (enum)
    {74, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 54},	//689 QWebSettings::LinksIncludedInFocusChain (enum)
    {74, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 55},	//690 QWebSettings::ZoomTextOnly (enum)
    {74, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 56},	//691 QWebSettings::PrintElementBackgrounds (enum)
    {74, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 57},	//692 QWebSettings::OfflineStorageDatabaseEnabled (enum)
    {74, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 58},	//693 QWebSettings::OfflineWebApplicationCacheEnabled (enum)
    {74, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 59},	//694 QWebSettings::LocalStorageEnabled (enum)
    {74, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 60},	//695 QWebSettings::LocalStorageDatabaseEnabled (enum)
    {74, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 61},	//696 QWebSettings::LocalContentCanAccessRemoteUrls (enum)
    {74, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 62},	//697 QWebSettings::DnsPrefetchEnabled (enum)
    {74, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 63},	//698 QWebSettings::XSSAuditingEnabled (enum)
    {74, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 64},	//699 QWebSettings::AcceleratedCompositingEnabled (enum)
    {74, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 65},	//700 QWebSettings::SpatialNavigationEnabled (enum)
    {74, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 66},	//701 QWebSettings::LocalContentCanAccessFileUrls (enum)
    {74, 190, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 67},	//702 QWebSettings::TiledBackingStoreEnabled (enum)
    {74, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 68},	//703 QWebSettings::FrameFlatteningEnabled (enum)
    {74, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 69},	//704 QWebSettings::SiteSpecificQuirksEnabled (enum)
    {74, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 70},	//705 QWebSettings::JavascriptCanCloseWindows (enum)
    {74, 202, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 71},	//706 QWebSettings::WebGLEnabled (enum)
    {74, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 72},	//707 QWebSettings::CSSRegionsEnabled (enum)
    {74, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 73},	//708 QWebSettings::HyperlinkAuditingEnabled (enum)
    {74, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 74},	//709 QWebSettings::CSSGridLayoutEnabled (enum)
    {74, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 75},	//710 QWebSettings::ScrollAnimatorEnabled (enum)
    {74, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 76},	//711 QWebSettings::CaretBrowsingEnabled (enum)
    {74, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 77},	//712 QWebSettings::NotificationsEnabled (enum)
    {74, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 78},	//713 QWebSettings::MissingImageGraphic (enum)
    {74, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 79},	//714 QWebSettings::MissingPluginGraphic (enum)
    {74, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 80},	//715 QWebSettings::DefaultFrameIconGraphic (enum)
    {74, 189, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 81},	//716 QWebSettings::TextAreaSizeGripCornerGraphic (enum)
    {74, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 82},	//717 QWebSettings::DeleteButtonGraphic (enum)
    {74, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 83},	//718 QWebSettings::InputSpeechButtonGraphic (enum)
    {74, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 84},	//719 QWebSettings::SearchCancelButtonGraphic (enum)
    {74, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 85},	//720 QWebSettings::SearchCancelButtonPressedGraphic (enum)
    {74, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 86},	//721 QWebSettings::MinimumFontSize (enum)
    {74, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 87},	//722 QWebSettings::MinimumLogicalFontSize (enum)
    {74, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 88},	//723 QWebSettings::DefaultFontSize (enum)
    {74, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 89},	//724 QWebSettings::DefaultFixedFontSize (enum)
    {74, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 90},	//725 QWebSettings::AlwaysAllowThirdPartyCookies (enum)
    {74, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 91},	//726 QWebSettings::AlwaysBlockThirdPartyCookies (enum)
    {74, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 92},	//727 QWebSettings::AllowThirdPartyWithExistingCookies (enum)
    {76, 482, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 1},	//728 QWebView::metaObject() const
    {76, 571, 10, 1, Smoke::mf_virtual, 258, 2},	//729 QWebView::qt_metacast(const char*)
    {76, 807, 51, 2, Smoke::mf_static, 54, 3},	//730 QWebView::tr(const char*, const char*)
    {76, 811, 51, 2, Smoke::mf_static, 54, 4},	//731 QWebView::trUtf8(const char*, const char*)
    {76, 807, 54, 3, Smoke::mf_static, 54, 5},	//732 QWebView::tr(const char*, const char*, int)
    {76, 811, 54, 3, Smoke::mf_static, 54, 6},	//733 QWebView::trUtf8(const char*, const char*, int)
    {76, 569, 58, 3, Smoke::mf_virtual, 253, 7},	//734 QWebView::qt_metacall(QMetaObject::Call, int, void**)
    {76, 150, 133, 1, Smoke::mf_ctor, 132, 8},	//735 QWebView::QWebView(QWidget*)
    {76, 539, 0, 0, Smoke::mf_const, 94, 9},	//736 QWebView::page() const
    {76, 717, 135, 1, 0, 0, 10},	//737 QWebView::setPage(QWebPage*)
    {76, 463, 62, 1, 0, 0, 11},	//738 QWebView::load(const QUrl&)
    {76, 463, 64, 3, 0, 0, 12},	//739 QWebView::load(const QNetworkRequest&, QNetworkAccessManager::Operation, const QByteArray&)
    {76, 684, 68, 2, 0, 0, 13},	//740 QWebView::setHtml(const QString&, const QUrl&)
    {76, 645, 71, 3, 0, 0, 14},	//741 QWebView::setContent(const QByteArray&, const QString&, const QUrl&)
    {76, 405, 0, 0, Smoke::mf_const, 85, 15},	//742 QWebView::history() const
    {76, 763, 0, 0, Smoke::mf_const, 125, 16},	//743 QWebView::settings() const
    {76, 794, 0, 0, Smoke::mf_const|Smoke::mf_property, 54, 17},	//744 QWebView::title() const
    {76, 748, 62, 1, Smoke::mf_property, 0, 18},	//745 QWebView::setUrl(const QUrl&)
    {76, 826, 0, 0, Smoke::mf_const|Smoke::mf_property, 64, 19},	//746 QWebView::url() const
    {76, 411, 0, 0, Smoke::mf_const|Smoke::mf_property, 19, 20},	//747 QWebView::icon() const
    {76, 401, 0, 0, Smoke::mf_const|Smoke::mf_property, 208, 21},	//748 QWebView::hasSelection() const
    {76, 633, 0, 0, Smoke::mf_const|Smoke::mf_property, 54, 22},	//749 QWebView::selectedText() const
    {76, 632, 0, 0, Smoke::mf_const|Smoke::mf_property, 54, 23},	//750 QWebView::selectedHtml() const
    {76, 540, 149, 1, Smoke::mf_const, 1, 24},	//751 QWebView::pageAction(QWebPage::WebAction) const
    {76, 818, 151, 2, 0, 0, 25},	//752 QWebView::triggerPageAction(QWebPage::WebAction, bool)
    {76, 425, 0, 0, Smoke::mf_const|Smoke::mf_property, 208, 26},	//753 QWebView::isModified() const
    {76, 421, 156, 1, Smoke::mf_const|Smoke::mf_virtual, 66, 27},	//754 QWebView::inputMethodQuery(Qt::InputMethodQuery) const
    {76, 768, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 53, 28},	//755 QWebView::sizeHint() const
    {76, 846, 0, 0, Smoke::mf_const, 252, 29},	//756 QWebView::zoomFactor() const
    {76, 761, 102, 1, 0, 0, 30},	//757 QWebView::setZoomFactor(float)
    {76, 744, 102, 1, 0, 0, 31},	//758 QWebView::setTextSizeMultiplier(float)
    {76, 791, 0, 0, Smoke::mf_const, 252, 32},	//759 QWebView::textSizeMultiplier() const
    {76, 593, 0, 0, Smoke::mf_const, 15, 33},	//760 QWebView::renderHints() const
    {76, 732, 294, 1, 0, 0, 34},	//761 QWebView::setRenderHints(QFlags<QPainter::RenderHint>)
    {76, 729, 296, 2, 0, 0, 35},	//762 QWebView::setRenderHint(QPainter::RenderHint, bool)
    {76, 359, 158, 2, 0, 208, 36},	//763 QWebView::findText(const QString&, QFlags<QWebPage::FindFlag>)
    {76, 336, 1, 1, Smoke::mf_virtual, 208, 37},	//764 QWebView::event(QEvent*)
    {76, 774, 0, 0, Smoke::mf_slot, 0, 38},	//765 QWebView::stop()
    {76, 244, 0, 0, Smoke::mf_slot, 0, 39},	//766 QWebView::back()
    {76, 375, 0, 0, Smoke::mf_slot, 0, 40},	//767 QWebView::forward()
    {76, 574, 0, 0, Smoke::mf_slot, 0, 41},	//768 QWebView::reload()
    {76, 564, 104, 1, Smoke::mf_const|Smoke::mf_slot, 0, 42},	//769 QWebView::print(QPrinter*) const
    {76, 471, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//770 QWebView::loadStarted()
    {76, 469, 38, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//771 QWebView::loadProgress(int)
    {76, 467, 108, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//772 QWebView::loadFinished(bool)
    {76, 795, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//773 QWebView::titleChanged(const QString&)
    {76, 770, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//774 QWebView::statusBarMessage(const QString&)
    {76, 453, 62, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//775 QWebView::linkClicked(const QUrl&)
    {76, 634, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//776 QWebView::selectionChanged()
    {76, 412, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//777 QWebView::iconChanged()
    {76, 827, 62, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 51},	//778 QWebView::urlChanged(const QUrl&)
    {76, 607, 137, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 52},	//779 QWebView::resizeEvent(QResizeEvent*)
    {76, 544, 299, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 53},	//780 QWebView::paintEvent(QPaintEvent*)
    {76, 287, 201, 1, Smoke::mf_protected|Smoke::mf_virtual, 132, 54},	//781 QWebView::createWindow(QWebPage::WebWindowType)
    {76, 254, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 55},	//782 QWebView::changeEvent(QEvent*)
    {76, 490, 301, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 56},	//783 QWebView::mouseMoveEvent(QMouseEvent*)
    {76, 492, 301, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 57},	//784 QWebView::mousePressEvent(QMouseEvent*)
    {76, 488, 301, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 58},	//785 QWebView::mouseDoubleClickEvent(QMouseEvent*)
    {76, 494, 301, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 59},	//786 QWebView::mouseReleaseEvent(QMouseEvent*)
    {76, 279, 165, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 60},	//787 QWebView::contextMenuEvent(QContextMenuEvent*)
    {76, 841, 303, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 61},	//788 QWebView::wheelEvent(QWheelEvent*)
    {76, 444, 305, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 62},	//789 QWebView::keyPressEvent(QKeyEvent*)
    {76, 446, 305, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 63},	//790 QWebView::keyReleaseEvent(QKeyEvent*)
    {76, 310, 307, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 64},	//791 QWebView::dragEnterEvent(QDragEnterEvent*)
    {76, 312, 309, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 65},	//792 QWebView::dragLeaveEvent(QDragLeaveEvent*)
    {76, 314, 311, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 66},	//793 QWebView::dragMoveEvent(QDragMoveEvent*)
    {76, 316, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 67},	//794 QWebView::dropEvent(QDropEvent*)
    {76, 364, 315, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 68},	//795 QWebView::focusInEvent(QFocusEvent*)
    {76, 368, 315, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 69},	//796 QWebView::focusOutEvent(QFocusEvent*)
    {76, 419, 317, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 70},	//797 QWebView::inputMethodEvent(QInputMethodEvent*)
    {76, 366, 108, 1, Smoke::mf_protected|Smoke::mf_virtual, 208, 71},	//798 QWebView::focusNextPrevChild(bool)
    {76, 807, 10, 1, Smoke::mf_static, 54, 72},	//799 QWebView::tr(const char*)
    {76, 811, 10, 1, Smoke::mf_static, 54, 73},	//800 QWebView::trUtf8(const char*)
    {76, 150, 0, 0, Smoke::mf_ctor, 132, 74},	//801 QWebView::QWebView()
    {76, 463, 110, 1, 0, 0, 75},	//802 QWebView::load(const QNetworkRequest&)
    {76, 463, 112, 2, 0, 0, 76},	//803 QWebView::load(const QNetworkRequest&, QNetworkAccessManager::Operation)
    {76, 684, 16, 1, 0, 0, 77},	//804 QWebView::setHtml(const QString&)
    {76, 645, 115, 1, 0, 0, 78},	//805 QWebView::setContent(const QByteArray&)
    {76, 645, 117, 2, 0, 0, 79},	//806 QWebView::setContent(const QByteArray&, const QString&)
    {76, 818, 149, 1, 0, 0, 80},	//807 QWebView::triggerPageAction(QWebPage::WebAction)
    {76, 729, 319, 1, 0, 0, 81},	//808 QWebView::setRenderHint(QPainter::RenderHint)
    {76, 359, 16, 1, 0, 208, 82},	//809 QWebView::findText(const QString&)
    {76, 769, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 212, 83},	//810 QWebView::staticMetaObject() const
    {76, 865, 0, 0, Smoke::mf_dtor, 0, 84 },	//811 QWebView::~QWebView()
    {78, 301, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 253, 0},	//812 QWidget::devType() const
    {78, 758, 108, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//813 QWidget::setVisible(bool)
    {78, 487, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 53, 0},	//814 QWidget::minimumSizeHint() const
    {78, 402, 38, 1, Smoke::mf_const|Smoke::mf_virtual, 253, 0},	//815 QWidget::heightForWidth(int) const
    {78, 543, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 40, 0},	//816 QWidget::paintEngine() const
    {78, 492, 301, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//817 QWidget::mousePressEvent(QMouseEvent*)
    {78, 494, 301, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//818 QWidget::mouseReleaseEvent(QMouseEvent*)
    {78, 488, 301, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//819 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {78, 490, 301, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//820 QWidget::mouseMoveEvent(QMouseEvent*)
    {78, 841, 303, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//821 QWidget::wheelEvent(QWheelEvent*)
    {78, 444, 305, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//822 QWidget::keyPressEvent(QKeyEvent*)
    {78, 446, 305, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//823 QWidget::keyReleaseEvent(QKeyEvent*)
    {78, 364, 315, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//824 QWidget::focusInEvent(QFocusEvent*)
    {78, 368, 315, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//825 QWidget::focusOutEvent(QFocusEvent*)
    {78, 331, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//826 QWidget::enterEvent(QEvent*)
    {78, 452, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//827 QWidget::leaveEvent(QEvent*)
    {78, 544, 299, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//828 QWidget::paintEvent(QPaintEvent*)
    {78, 496, 321, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//829 QWidget::moveEvent(QMoveEvent*)
    {78, 265, 143, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//830 QWidget::closeEvent(QCloseEvent*)
    {78, 279, 165, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//831 QWidget::contextMenuEvent(QContextMenuEvent*)
    {78, 786, 323, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//832 QWidget::tabletEvent(QTabletEvent*)
    {78, 211, 325, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//833 QWidget::actionEvent(QActionEvent*)
    {78, 310, 307, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//834 QWidget::dragEnterEvent(QDragEnterEvent*)
    {78, 314, 311, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//835 QWidget::dragMoveEvent(QDragMoveEvent*)
    {78, 312, 309, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//836 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {78, 316, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//837 QWidget::dropEvent(QDropEvent*)
    {78, 765, 139, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//838 QWidget::showEvent(QShowEvent*)
    {78, 403, 141, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//839 QWidget::hideEvent(QHideEvent*)
    {78, 845, 327, 1, Smoke::mf_protected|Smoke::mf_virtual, 208, 0},	//840 QWidget::x11Event(_XEvent*)
    {78, 254, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//841 QWidget::changeEvent(QEvent*)
    {78, 483, 329, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 253, 0},	//842 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {78, 419, 317, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//843 QWidget::inputMethodEvent(QInputMethodEvent*)
    {78, 421, 156, 1, Smoke::mf_const|Smoke::mf_virtual, 66, 0},	//844 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {78, 366, 108, 1, Smoke::mf_protected|Smoke::mf_virtual, 208, 0},	//845 QWidget::focusNextPrevChild(bool)
    {78, 775, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//846 QWidget::styleChange(QStyle&)
    {78, 321, 108, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//847 QWidget::enabledChange(bool)
    {78, 547, 163, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//848 QWidget::paletteChange(const QPalette&)
    {78, 370, 333, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//849 QWidget::fontChange(const QFont&)
    {78, 843, 108, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//850 QWidget::windowActivationChange(bool)
    {78, 448, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//851 QWidget::languageChange()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    163,  // QWebFrame::load(const QUrl&)
    225,  // QWebFrame::load(const QNetworkRequest&)
    0,
    738,  // QWebView::load(const QUrl&)
    802,  // QWebView::load(const QNetworkRequest&)
    0,
    110,  // QWebElementCollection::begin() const
    114,  // QWebElementCollection::begin()
    0,
    111,  // QWebElementCollection::end() const
    115,  // QWebElementCollection::end()
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {16, 152, 1},	// QGlobalSpace::Q_COMPLEX_TYPE
    {16, 153, 5},	// QGlobalSpace::Q_DUMMY_TYPE
    {16, 154, 4},	// QGlobalSpace::Q_MOVABLE_TYPE
    {16, 155, 2},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {16, 156, 3},	// QGlobalSpace::Q_STATIC_TYPE
    {48, 130, 13},	// QWebDatabase::QWebDatabase#
    {48, 304, 16},	// QWebDatabase::displayName
    {48, 339, 17},	// QWebDatabase::expectedSize
    {48, 349, 19},	// QWebDatabase::fileName
    {48, 497, 15},	// QWebDatabase::name
    {48, 528, 14},	// QWebDatabase::operator=#
    {48, 537, 20},	// QWebDatabase::origin
    {48, 576, 22},	// QWebDatabase::removeAllDatabases
    {48, 584, 21},	// QWebDatabase::removeDatabase#
    {48, 767, 18},	// QWebDatabase::size
    {48, 855, 23},	// QWebDatabase::~QWebDatabase
    {49, 15, 94},	// QWebElement::CascadedStyle
    {49, 21, 95},	// QWebElement::ComputedStyle
    {49, 66, 93},	// QWebElement::InlineStyle
    {49, 131, 24},	// QWebElement::QWebElement
    {49, 132, 25},	// QWebElement::QWebElement#
    {49, 213, 50},	// QWebElement::addClass$
    {49, 226, 68},	// QWebElement::appendInside#
    {49, 227, 67},	// QWebElement::appendInside$
    {49, 229, 72},	// QWebElement::appendOutside#
    {49, 230, 71},	// QWebElement::appendOutside$
    {49, 237, 90},	// QWebElement::attribute$
    {49, 238, 40},	// QWebElement::attribute$$
    {49, 240, 91},	// QWebElement::attributeNS$$
    {49, 241, 41},	// QWebElement::attributeNS$$$
    {49, 242, 92},	// QWebElement::attributeNames
    {49, 243, 47},	// QWebElement::attributeNames$
    {49, 260, 48},	// QWebElement::classes
    {49, 264, 81},	// QWebElement::clone
    {49, 305, 65},	// QWebElement::document
    {49, 323, 75},	// QWebElement::encloseContentsWith#
    {49, 324, 76},	// QWebElement::encloseContentsWith$
    {49, 326, 78},	// QWebElement::encloseWith#
    {49, 327, 77},	// QWebElement::encloseWith$
    {49, 335, 85},	// QWebElement::evaluateJavaScript$
    {49, 352, 30},	// QWebElement::findAll$
    {49, 356, 31},	// QWebElement::findFirst$
    {49, 363, 61},	// QWebElement::firstChild
    {49, 386, 55},	// QWebElement::geometry
    {49, 394, 42},	// QWebElement::hasAttribute$
    {49, 396, 43},	// QWebElement::hasAttributeNS$$
    {49, 397, 46},	// QWebElement::hasAttributes
    {49, 399, 49},	// QWebElement::hasClass$
    {49, 400, 53},	// QWebElement::hasFocus
    {49, 426, 29},	// QWebElement::isNull
    {49, 450, 62},	// QWebElement::lastChild
    {49, 472, 58},	// QWebElement::localName
    {49, 498, 59},	// QWebElement::namespaceUri
    {49, 500, 63},	// QWebElement::nextSibling
    {49, 506, 28},	// QWebElement::operator!=#
    {49, 528, 26},	// QWebElement::operator=#
    {49, 530, 27},	// QWebElement::operator==#
    {49, 548, 60},	// QWebElement::parent
    {49, 556, 57},	// QWebElement::prefix
    {49, 558, 70},	// QWebElement::prependInside#
    {49, 559, 69},	// QWebElement::prependInside$
    {49, 561, 74},	// QWebElement::prependOutside#
    {49, 562, 73},	// QWebElement::prependOutside$
    {49, 563, 64},	// QWebElement::previousSibling
    {49, 575, 84},	// QWebElement::removeAllChildren
    {49, 578, 44},	// QWebElement::removeAttribute$
    {49, 580, 45},	// QWebElement::removeAttributeNS$$
    {49, 582, 51},	// QWebElement::removeClass$
    {49, 585, 83},	// QWebElement::removeFromDocument
    {49, 589, 88},	// QWebElement::render#
    {49, 590, 89},	// QWebElement::render##
    {49, 598, 80},	// QWebElement::replace#
    {49, 599, 79},	// QWebElement::replace$
    {49, 640, 38},	// QWebElement::setAttribute$$
    {49, 642, 39},	// QWebElement::setAttributeNS$$$
    {49, 675, 54},	// QWebElement::setFocus
    {49, 690, 36},	// QWebElement::setInnerXml$
    {49, 716, 34},	// QWebElement::setOuterXml$
    {49, 724, 32},	// QWebElement::setPlainText$
    {49, 741, 87},	// QWebElement::setStyleProperty$$
    {49, 777, 86},	// QWebElement::styleProperty$$
    {49, 787, 56},	// QWebElement::tagName
    {49, 788, 82},	// QWebElement::takeFromDocument
    {49, 798, 37},	// QWebElement::toInnerXml
    {49, 800, 35},	// QWebElement::toOuterXml
    {49, 801, 33},	// QWebElement::toPlainText
    {49, 803, 52},	// QWebElement::toggleClass$
    {49, 838, 66},	// QWebElement::webFrame
    {49, 856, 96},	// QWebElement::~QWebElement
    {50, 133, 97},	// QWebElementCollection::QWebElementCollection
    {50, 134, 99},	// QWebElementCollection::QWebElementCollection#
    {50, 135, 98},	// QWebElementCollection::QWebElementCollection#$
    {50, 224, 103},	// QWebElementCollection::append#
    {50, 235, 105},	// QWebElementCollection::at$
    {50, 249, -7},	// QWebElementCollection::begin
    {50, 268, 112},	// QWebElementCollection::constBegin
    {50, 269, 113},	// QWebElementCollection::constEnd
    {50, 281, 104},	// QWebElementCollection::count
    {50, 330, -10},	// QWebElementCollection::end
    {50, 362, 107},	// QWebElementCollection::first
    {50, 449, 108},	// QWebElementCollection::last
    {50, 509, 101},	// QWebElementCollection::operator+#
    {50, 514, 102},	// QWebElementCollection::operator+=#
    {50, 528, 100},	// QWebElementCollection::operator=#
    {50, 536, 106},	// QWebElementCollection::operator[]$
    {50, 799, 109},	// QWebElementCollection::toList
    {50, 857, 116},	// QWebElementCollection::~QWebElementCollection
    {51, 271, 118},	// QWebElementCollection::const_iterator::const_iterator#
    {51, 272, 117},	// QWebElementCollection::const_iterator::const_iterator#$
    {51, 506, 121},	// QWebElementCollection::const_iterator::operator!=#
    {51, 507, 119},	// QWebElementCollection::const_iterator::operator*
    {51, 510, 132},	// QWebElementCollection::const_iterator::operator+$
    {51, 511, 126},	// QWebElementCollection::const_iterator::operator++
    {51, 512, 127},	// QWebElementCollection::const_iterator::operator++$
    {51, 515, 130},	// QWebElementCollection::const_iterator::operator+=$
    {51, 517, 134},	// QWebElementCollection::const_iterator::operator-#
    {51, 518, 133},	// QWebElementCollection::const_iterator::operator-$
    {51, 519, 128},	// QWebElementCollection::const_iterator::operator--
    {51, 520, 129},	// QWebElementCollection::const_iterator::operator--$
    {51, 522, 131},	// QWebElementCollection::const_iterator::operator-=$
    {51, 524, 122},	// QWebElementCollection::const_iterator::operator<#
    {51, 526, 123},	// QWebElementCollection::const_iterator::operator<=#
    {51, 530, 120},	// QWebElementCollection::const_iterator::operator==#
    {51, 532, 124},	// QWebElementCollection::const_iterator::operator>#
    {51, 534, 125},	// QWebElementCollection::const_iterator::operator>=#
    {51, 867, 135},	// QWebElementCollection::const_iterator::~const_iterator
    {52, 433, 137},	// QWebElementCollection::iterator::iterator#
    {52, 434, 136},	// QWebElementCollection::iterator::iterator#$
    {52, 506, 140},	// QWebElementCollection::iterator::operator!=#
    {52, 507, 138},	// QWebElementCollection::iterator::operator*
    {52, 510, 151},	// QWebElementCollection::iterator::operator+$
    {52, 511, 145},	// QWebElementCollection::iterator::operator++
    {52, 512, 146},	// QWebElementCollection::iterator::operator++$
    {52, 515, 149},	// QWebElementCollection::iterator::operator+=$
    {52, 517, 153},	// QWebElementCollection::iterator::operator-#
    {52, 518, 152},	// QWebElementCollection::iterator::operator-$
    {52, 519, 147},	// QWebElementCollection::iterator::operator--
    {52, 520, 148},	// QWebElementCollection::iterator::operator--$
    {52, 522, 150},	// QWebElementCollection::iterator::operator-=$
    {52, 524, 141},	// QWebElementCollection::iterator::operator<#
    {52, 526, 142},	// QWebElementCollection::iterator::operator<=#
    {52, 530, 139},	// QWebElementCollection::iterator::operator==#
    {52, 532, 143},	// QWebElementCollection::iterator::operator>#
    {52, 534, 144},	// QWebElementCollection::iterator::operator>=#
    {52, 868, 154},	// QWebElementCollection::iterator::~iterator
    {53, 6, 235},	// QWebFrame::AllLayers
    {53, 22, 232},	// QWebFrame::ContentsLayer
    {53, 118, 234},	// QWebFrame::PanIconLayer
    {53, 164, 233},	// QWebFrame::ScrollBarLayer
    {53, 219, 167},	// QWebFrame::addToJavaScriptWindowObject$#
    {53, 220, 168},	// QWebFrame::addToJavaScriptWindowObject$#$
    {53, 248, 176},	// QWebFrame::baseUrl
    {53, 257, 181},	// QWebFrame::childFrames
    {53, 276, 204},	// QWebFrame::contentsSize
    {53, 278, 219},	// QWebFrame::contentsSizeChanged#
    {53, 306, 205},	// QWebFrame::documentElement
    {53, 335, 211},	// QWebFrame::evaluateJavaScript$
    {53, 337, 209},	// QWebFrame::event#
    {53, 354, 206},	// QWebFrame::findAllElements$
    {53, 358, 207},	// QWebFrame::findFirstElement$
    {53, 385, 179},	// QWebFrame::frameName
    {53, 386, 203},	// QWebFrame::geometry
    {53, 400, 200},	// QWebFrame::hasFocus
    {53, 409, 208},	// QWebFrame::hitTestContent#
    {53, 411, 177},	// QWebFrame::icon
    {53, 412, 218},	// QWebFrame::iconChanged
    {53, 417, 217},	// QWebFrame::initialLayoutCompleted
    {53, 443, 213},	// QWebFrame::javaScriptWindowObjectCleared
    {53, 464, -1},	// QWebFrame::load#
    {53, 465, 226},	// QWebFrame::load#$
    {53, 466, 164},	// QWebFrame::load#$#
    {53, 468, 221},	// QWebFrame::loadFinished$
    {53, 471, 220},	// QWebFrame::loadStarted
    {53, 481, 178},	// QWebFrame::metaData
    {53, 482, 155},	// QWebFrame::metaObject
    {53, 539, 162},	// QWebFrame::page
    {53, 542, 222},	// QWebFrame::pageChanged
    {53, 549, 180},	// QWebFrame::parentFrame
    {53, 554, 202},	// QWebFrame::pos
    {53, 565, 212},	// QWebFrame::print#
    {53, 568, 214},	// QWebFrame::provisionalLoad
    {53, 570, 161},	// QWebFrame::qt_metacall$$?
    {53, 572, 156},	// QWebFrame::qt_metacast$
    {53, 589, 193},	// QWebFrame::render#
    {53, 590, 194},	// QWebFrame::render##
    {53, 591, 230},	// QWebFrame::render#$
    {53, 592, 195},	// QWebFrame::render#$#
    {53, 594, 171},	// QWebFrame::renderTreeDump
    {53, 600, 175},	// QWebFrame::requestedUrl
    {53, 615, 189},	// QWebFrame::scroll$$
    {53, 617, 188},	// QWebFrame::scrollBarGeometry$
    {53, 619, 187},	// QWebFrame::scrollBarMaximum$
    {53, 621, 186},	// QWebFrame::scrollBarMinimum$
    {53, 623, 182},	// QWebFrame::scrollBarPolicy$
    {53, 625, 185},	// QWebFrame::scrollBarValue$
    {53, 626, 190},	// QWebFrame::scrollPosition
    {53, 630, 192},	// QWebFrame::scrollToAnchor$
    {53, 631, 210},	// QWebFrame::securityOrigin
    {53, 646, 228},	// QWebFrame::setContent#
    {53, 647, 229},	// QWebFrame::setContent#$
    {53, 648, 166},	// QWebFrame::setContent#$#
    {53, 675, 201},	// QWebFrame::setFocus
    {53, 685, 227},	// QWebFrame::setHtml$
    {53, 686, 165},	// QWebFrame::setHtml$#
    {53, 735, 183},	// QWebFrame::setScrollBarPolicy$$
    {53, 737, 184},	// QWebFrame::setScrollBarValue$$
    {53, 739, 191},	// QWebFrame::setScrollPosition#
    {53, 745, 196},	// QWebFrame::setTextSizeMultiplier$
    {53, 749, 173},	// QWebFrame::setUrl#
    {53, 762, 199},	// QWebFrame::setZoomFactor$
    {53, 769, 231},	// QWebFrame::staticMetaObject
    {53, 791, 197},	// QWebFrame::textSizeMultiplier
    {53, 794, 172},	// QWebFrame::title
    {53, 796, 215},	// QWebFrame::titleChanged$
    {53, 797, 169},	// QWebFrame::toHtml
    {53, 801, 170},	// QWebFrame::toPlainText
    {53, 808, 223},	// QWebFrame::tr$
    {53, 809, 157},	// QWebFrame::tr$$
    {53, 810, 159},	// QWebFrame::tr$$$
    {53, 812, 224},	// QWebFrame::trUtf8$
    {53, 813, 158},	// QWebFrame::trUtf8$$
    {53, 814, 160},	// QWebFrame::trUtf8$$$
    {53, 826, 174},	// QWebFrame::url
    {53, 828, 216},	// QWebFrame::urlChanged#
    {53, 846, 198},	// QWebFrame::zoomFactor
    {54, 244, 242},	// QWebHistory::back
    {54, 245, 245},	// QWebHistory::backItem
    {54, 247, 238},	// QWebHistory::backItems$
    {54, 252, 240},	// QWebHistory::canGoBack
    {54, 253, 241},	// QWebHistory::canGoForward
    {54, 261, 236},	// QWebHistory::clear
    {54, 281, 250},	// QWebHistory::count
    {54, 290, 246},	// QWebHistory::currentItem
    {54, 291, 249},	// QWebHistory::currentItemIndex
    {54, 375, 243},	// QWebHistory::forward
    {54, 376, 247},	// QWebHistory::forwardItem
    {54, 378, 239},	// QWebHistory::forwardItems$
    {54, 391, 244},	// QWebHistory::goToItem#
    {54, 430, 248},	// QWebHistory::itemAt$
    {54, 431, 237},	// QWebHistory::items
    {54, 476, 251},	// QWebHistory::maximumItemCount
    {54, 696, 252},	// QWebHistory::setMaximumItemCount$
    {55, 136, 267},	// QWebHistoryInterface::QWebHistoryInterface
    {55, 137, 260},	// QWebHistoryInterface::QWebHistoryInterface#
    {55, 215, 264},	// QWebHistoryInterface::addHistoryEntry$
    {55, 298, 262},	// QWebHistoryInterface::defaultInterface
    {55, 407, 263},	// QWebHistoryInterface::historyContains$
    {55, 482, 253},	// QWebHistoryInterface::metaObject
    {55, 570, 259},	// QWebHistoryInterface::qt_metacall$$?
    {55, 572, 254},	// QWebHistoryInterface::qt_metacast$
    {55, 656, 261},	// QWebHistoryInterface::setDefaultInterface#
    {55, 769, 268},	// QWebHistoryInterface::staticMetaObject
    {55, 808, 265},	// QWebHistoryInterface::tr$
    {55, 809, 255},	// QWebHistoryInterface::tr$$
    {55, 810, 257},	// QWebHistoryInterface::tr$$$
    {55, 812, 266},	// QWebHistoryInterface::trUtf8$
    {55, 813, 256},	// QWebHistoryInterface::trUtf8$$
    {55, 814, 258},	// QWebHistoryInterface::trUtf8$$$
    {55, 858, 269},	// QWebHistoryInterface::~QWebHistoryInterface
    {56, 139, 270},	// QWebHistoryItem::QWebHistoryItem#
    {56, 411, 276},	// QWebHistoryItem::icon
    {56, 428, 279},	// QWebHistoryItem::isValid
    {56, 451, 275},	// QWebHistoryItem::lastVisited
    {56, 528, 271},	// QWebHistoryItem::operator=#
    {56, 538, 272},	// QWebHistoryItem::originalUrl
    {56, 751, 278},	// QWebHistoryItem::setUserData#
    {56, 794, 274},	// QWebHistoryItem::title
    {56, 826, 273},	// QWebHistoryItem::url
    {56, 831, 277},	// QWebHistoryItem::userData
    {56, 859, 280},	// QWebHistoryItem::~QWebHistoryItem
    {57, 140, 281},	// QWebHitTestResult::QWebHitTestResult
    {57, 141, 282},	// QWebHitTestResult::QWebHitTestResult#
    {57, 222, 294},	// QWebHitTestResult::alternateText
    {57, 250, 286},	// QWebHitTestResult::boundingRect
    {57, 318, 299},	// QWebHitTestResult::element
    {57, 328, 287},	// QWebHitTestResult::enclosingBlockElement
    {57, 380, 300},	// QWebHitTestResult::frame
    {57, 416, 295},	// QWebHitTestResult::imageUrl
    {57, 423, 297},	// QWebHitTestResult::isContentEditable
    {57, 424, 298},	// QWebHitTestResult::isContentSelected
    {57, 426, 284},	// QWebHitTestResult::isNull
    {57, 456, 293},	// QWebHitTestResult::linkElement
    {57, 459, 292},	// QWebHitTestResult::linkTargetFrame
    {57, 460, 289},	// QWebHitTestResult::linkText
    {57, 461, 291},	// QWebHitTestResult::linkTitle
    {57, 462, 290},	// QWebHitTestResult::linkUrl
    {57, 528, 283},	// QWebHitTestResult::operator=#
    {57, 550, 296},	// QWebHitTestResult::pixmap
    {57, 554, 285},	// QWebHitTestResult::pos
    {57, 794, 288},	// QWebHitTestResult::title
    {57, 860, 301},	// QWebHitTestResult::~QWebHitTestResult
    {58, 142, 320},	// QWebInspector::QWebInspector
    {58, 143, 309},	// QWebInspector::QWebInspector#
    {58, 266, 317},	// QWebInspector::closeEvent#
    {58, 337, 313},	// QWebInspector::event#
    {58, 404, 316},	// QWebInspector::hideEvent#
    {58, 482, 302},	// QWebInspector::metaObject
    {58, 539, 311},	// QWebInspector::page
    {58, 570, 308},	// QWebInspector::qt_metacall$$?
    {58, 572, 303},	// QWebInspector::qt_metacast$
    {58, 608, 314},	// QWebInspector::resizeEvent#
    {58, 718, 310},	// QWebInspector::setPage#
    {58, 766, 315},	// QWebInspector::showEvent#
    {58, 768, 312},	// QWebInspector::sizeHint
    {58, 769, 321},	// QWebInspector::staticMetaObject
    {58, 808, 318},	// QWebInspector::tr$
    {58, 809, 304},	// QWebInspector::tr$$
    {58, 810, 306},	// QWebInspector::tr$$$
    {58, 812, 319},	// QWebInspector::trUtf8$
    {58, 813, 305},	// QWebInspector::trUtf8$$
    {58, 814, 307},	// QWebInspector::trUtf8$$$
    {58, 861, 322},	// QWebInspector::~QWebInspector
    {59, 2, 494},	// QWebPage::AlignCenter
    {59, 3, 495},	// QWebPage::AlignJustified
    {59, 4, 496},	// QWebPage::AlignLeft
    {59, 5, 497},	// QWebPage::AlignRight
    {59, 11, 439},	// QWebPage::Back
    {59, 16, 516},	// QWebPage::ChooseMultipleFilesExtension
    {59, 23, 444},	// QWebPage::Copy
    {59, 24, 438},	// QWebPage::CopyImageToClipboard
    {59, 25, 499},	// QWebPage::CopyImageUrlToClipboard
    {59, 26, 435},	// QWebPage::CopyLinkToClipboard
    {59, 28, 443},	// QWebPage::Cut
    {59, 32, 508},	// QWebPage::DelegateAllLinks
    {59, 33, 507},	// QWebPage::DelegateExternalLinks
    {59, 35, 473},	// QWebPage::DeleteEndOfWord
    {59, 36, 472},	// QWebPage::DeleteStartOfWord
    {59, 39, 506},	// QWebPage::DontDelegateLinks
    {59, 40, 437},	// QWebPage::DownloadImageToDisk
    {59, 41, 434},	// QWebPage::DownloadLinkToDisk
    {59, 44, 517},	// QWebPage::ErrorPageExtension
    {59, 54, 502},	// QWebPage::FindBackward
    {59, 55, 503},	// QWebPage::FindCaseSensitively
    {59, 56, 504},	// QWebPage::FindWrapsAroundDocument
    {59, 58, 440},	// QWebPage::Forward
    {59, 60, 515},	// QWebPage::Geolocation
    {59, 61, 505},	// QWebPage::HighlightAllOccurrences
    {59, 62, 519},	// QWebPage::Http
    {59, 65, 492},	// QWebPage::Indent
    {59, 68, 482},	// QWebPage::InsertLineSeparator
    {59, 69, 491},	// QWebPage::InsertOrderedList
    {59, 70, 481},	// QWebPage::InsertParagraphSeparator
    {59, 71, 490},	// QWebPage::InsertUnorderedList
    {59, 72, 480},	// QWebPage::InspectElement
    {59, 89, 457},	// QWebPage::MoveToEndOfBlock
    {59, 90, 459},	// QWebPage::MoveToEndOfDocument
    {59, 91, 455},	// QWebPage::MoveToEndOfLine
    {59, 92, 448},	// QWebPage::MoveToNextChar
    {59, 93, 452},	// QWebPage::MoveToNextLine
    {59, 94, 450},	// QWebPage::MoveToNextWord
    {59, 95, 449},	// QWebPage::MoveToPreviousChar
    {59, 96, 453},	// QWebPage::MoveToPreviousLine
    {59, 97, 451},	// QWebPage::MoveToPreviousWord
    {59, 98, 456},	// QWebPage::MoveToStartOfBlock
    {59, 99, 458},	// QWebPage::MoveToStartOfDocument
    {59, 100, 454},	// QWebPage::MoveToStartOfLine
    {59, 101, 426},	// QWebPage::NavigationTypeBackOrForward
    {59, 102, 428},	// QWebPage::NavigationTypeFormResubmitted
    {59, 103, 425},	// QWebPage::NavigationTypeFormSubmitted
    {59, 104, 424},	// QWebPage::NavigationTypeLinkClicked
    {59, 105, 429},	// QWebPage::NavigationTypeOther
    {59, 106, 427},	// QWebPage::NavigationTypeReload
    {59, 107, 430},	// QWebPage::NoWebAction
    {59, 108, 514},	// QWebPage::Notifications
    {59, 112, 433},	// QWebPage::OpenFrameInNewWindow
    {59, 113, 436},	// QWebPage::OpenImageInNewWindow
    {59, 114, 431},	// QWebPage::OpenLink
    {59, 115, 432},	// QWebPage::OpenLinkInNewWindow
    {59, 116, 500},	// QWebPage::OpenLinkInThisWindow
    {59, 117, 493},	// QWebPage::Outdent
    {59, 119, 445},	// QWebPage::Paste
    {59, 120, 485},	// QWebPage::PasteAndMatchStyle
    {59, 121, 513},	// QWebPage::PermissionDeniedByUser
    {59, 122, 512},	// QWebPage::PermissionGrantedByUser
    {59, 123, 511},	// QWebPage::PermissionUnknown
    {59, 144, 418},	// QWebPage::QWebPage
    {59, 145, 330},	// QWebPage::QWebPage#
    {59, 157, 518},	// QWebPage::QtNetwork
    {59, 158, 447},	// QWebPage::Redo
    {59, 159, 442},	// QWebPage::Reload
    {59, 160, 484},	// QWebPage::ReloadAndBypassCache
    {59, 161, 486},	// QWebPage::RemoveFormat
    {59, 167, 483},	// QWebPage::SelectAll
    {59, 168, 469},	// QWebPage::SelectEndOfBlock
    {59, 169, 471},	// QWebPage::SelectEndOfDocument
    {59, 170, 467},	// QWebPage::SelectEndOfLine
    {59, 171, 460},	// QWebPage::SelectNextChar
    {59, 172, 464},	// QWebPage::SelectNextLine
    {59, 173, 462},	// QWebPage::SelectNextWord
    {59, 174, 461},	// QWebPage::SelectPreviousChar
    {59, 175, 465},	// QWebPage::SelectPreviousLine
    {59, 176, 463},	// QWebPage::SelectPreviousWord
    {59, 177, 468},	// QWebPage::SelectStartOfBlock
    {59, 178, 470},	// QWebPage::SelectStartOfDocument
    {59, 179, 466},	// QWebPage::SelectStartOfLine
    {59, 181, 474},	// QWebPage::SetTextDirectionDefault
    {59, 182, 475},	// QWebPage::SetTextDirectionLeftToRight
    {59, 183, 476},	// QWebPage::SetTextDirectionRightToLeft
    {59, 187, 441},	// QWebPage::Stop
    {59, 188, 498},	// QWebPage::StopScheduledPageRefresh
    {59, 191, 477},	// QWebPage::ToggleBold
    {59, 192, 478},	// QWebPage::ToggleItalic
    {59, 193, 487},	// QWebPage::ToggleStrikethrough
    {59, 194, 488},	// QWebPage::ToggleSubscript
    {59, 195, 489},	// QWebPage::ToggleSuperscript
    {59, 196, 479},	// QWebPage::ToggleUnderline
    {59, 197, 446},	// QWebPage::Undo
    {59, 200, 501},	// QWebPage::WebActionCount
    {59, 201, 509},	// QWebPage::WebBrowserWindow
    {59, 203, 520},	// QWebPage::WebKit
    {59, 204, 510},	// QWebPage::WebModalDialog
    {59, 208, 409},	// QWebPage::acceptNavigationRequest##$
    {59, 210, 349},	// QWebPage::action$
    {59, 232, 400},	// QWebPage::applicationCacheQuotaExceeded#$
    {59, 233, 401},	// QWebPage::applicationCacheQuotaExceeded#$$
    {59, 251, 345},	// QWebPage::bytesReceived
    {59, 259, 410},	// QWebPage::chooseFile#$
    {59, 275, 398},	// QWebPage::contentsChanged
    {59, 285, 408},	// QWebPage::createPlugin$#??
    {59, 286, 371},	// QWebPage::createStandardContextMenu
    {59, 288, 407},	// QWebPage::createWindow$
    {59, 289, 332},	// QWebPage::currentFrame
    {59, 295, 399},	// QWebPage::databaseQuotaExceeded#$
    {59, 309, 396},	// QWebPage::downloadRequested#
    {59, 337, 357},	// QWebPage::event#
    {59, 341, 421},	// QWebPage::extension$
    {59, 342, 422},	// QWebPage::extension$#
    {59, 343, 375},	// QWebPage::extension$##
    {59, 345, 406},	// QWebPage::featurePermissionRequestCanceled#$
    {59, 347, 405},	// QWebPage::featurePermissionRequested#$
    {59, 360, 420},	// QWebPage::findText$
    {59, 361, 360},	// QWebPage::findText$$
    {59, 367, 358},	// QWebPage::focusNextPrevChild$
    {59, 379, 362},	// QWebPage::forwardUnsupportedContent
    {59, 382, 333},	// QWebPage::frameAt#
    {59, 384, 385},	// QWebPage::frameCreated#
    {59, 388, 386},	// QWebPage::geometryChangeRequested#
    {59, 392, 377},	// QWebPage::handle
    {59, 401, 346},	// QWebPage::hasSelection
    {59, 405, 334},	// QWebPage::history
    {59, 422, 359},	// QWebPage::inputMethodQuery$
    {59, 423, 368},	// QWebPage::isContentEditable
    {59, 425, 338},	// QWebPage::isModified
    {59, 436, 411},	// QWebPage::javaScriptAlert#$
    {59, 438, 412},	// QWebPage::javaScriptConfirm#$
    {59, 440, 414},	// QWebPage::javaScriptConsoleMessage$$$
    {59, 442, 413},	// QWebPage::javaScriptPrompt#$$$
    {59, 454, 391},	// QWebPage::linkClicked#
    {59, 455, 364},	// QWebPage::linkDelegationPolicy
    {59, 458, 382},	// QWebPage::linkHovered$$$
    {59, 468, 381},	// QWebPage::loadFinished$
    {59, 470, 380},	// QWebPage::loadProgress$
    {59, 471, 379},	// QWebPage::loadStarted
    {59, 475, 331},	// QWebPage::mainFrame
    {59, 480, 394},	// QWebPage::menuBarVisibilityChangeRequested$
    {59, 482, 323},	// QWebPage::metaObject
    {59, 484, 397},	// QWebPage::microFocusChanged
    {59, 499, 341},	// QWebPage::networkAccessManager
    {59, 546, 366},	// QWebPage::palette
    {59, 551, 343},	// QWebPage::pluginFactory
    {59, 555, 354},	// QWebPage::preferredContentsSize
    {59, 567, 390},	// QWebPage::printRequested#
    {59, 570, 329},	// QWebPage::qt_metacall$$?
    {59, 572, 324},	// QWebPage::qt_metacast$
    {59, 596, 387},	// QWebPage::repaintRequested#
    {59, 610, 403},	// QWebPage::restoreFrameStateRequested#
    {59, 612, 402},	// QWebPage::saveFrameStateRequested##
    {59, 628, 388},	// QWebPage::scrollRequested$$#
    {59, 632, 348},	// QWebPage::selectedHtml
    {59, 633, 347},	// QWebPage::selectedText
    {59, 634, 384},	// QWebPage::selectionChanged
    {59, 636, 356},	// QWebPage::setActualVisibleContentRect#
    {59, 650, 367},	// QWebPage::setContentEditable$
    {59, 670, 372},	// QWebPage::setFeaturePermission#$$
    {59, 681, 361},	// QWebPage::setForwardUnsupportedContent$
    {59, 692, 363},	// QWebPage::setLinkDelegationPolicy$
    {59, 704, 340},	// QWebPage::setNetworkAccessManager#
    {59, 720, 365},	// QWebPage::setPalette#
    {59, 726, 342},	// QWebPage::setPluginFactory#
    {59, 728, 355},	// QWebPage::setPreferredContentsSize#
    {59, 755, 336},	// QWebPage::setView#
    {59, 757, 352},	// QWebPage::setViewportSize#
    {59, 763, 335},	// QWebPage::settings
    {59, 764, 378},	// QWebPage::shouldInterruptJavaScript
    {59, 769, 423},	// QWebPage::staticMetaObject
    {59, 771, 383},	// QWebPage::statusBarMessage$
    {59, 773, 393},	// QWebPage::statusBarVisibilityChangeRequested$
    {59, 779, 373},	// QWebPage::supportedContentTypes
    {59, 781, 374},	// QWebPage::supportsContentType$
    {59, 783, 376},	// QWebPage::supportsExtension$
    {59, 785, 369},	// QWebPage::swallowContextMenuEvent#
    {59, 805, 392},	// QWebPage::toolBarVisibilityChangeRequested$
    {59, 806, 344},	// QWebPage::totalBytes
    {59, 808, 416},	// QWebPage::tr$
    {59, 809, 325},	// QWebPage::tr$$
    {59, 810, 327},	// QWebPage::tr$$$
    {59, 812, 417},	// QWebPage::trUtf8$
    {59, 813, 326},	// QWebPage::trUtf8$$
    {59, 814, 328},	// QWebPage::trUtf8$$$
    {59, 816, 419},	// QWebPage::triggerAction$
    {59, 817, 350},	// QWebPage::triggerAction$$
    {59, 821, 339},	// QWebPage::undoStack
    {59, 823, 395},	// QWebPage::unsupportedContent#
    {59, 825, 370},	// QWebPage::updatePositionDependentActions#
    {59, 830, 415},	// QWebPage::userAgentForUrl#
    {59, 833, 337},	// QWebPage::view
    {59, 835, 353},	// QWebPage::viewportAttributesForSize#
    {59, 836, 404},	// QWebPage::viewportChangeRequested
    {59, 837, 351},	// QWebPage::viewportSize
    {59, 844, 389},	// QWebPage::windowCloseRequested
    {59, 862, 521},	// QWebPage::~QWebPage
    {60, 17, 522},	// QWebPage::ChooseMultipleFilesExtensionOption::ChooseMultipleFilesExtensionOption
    {60, 18, 523},	// QWebPage::ChooseMultipleFilesExtensionOption::ChooseMultipleFilesExtensionOption#
    {60, 549, 524},	// QWebPage::ChooseMultipleFilesExtensionOption::parentFrame
    {60, 722, 525},	// QWebPage::ChooseMultipleFilesExtensionOption::setParentFrame#
    {60, 743, 527},	// QWebPage::ChooseMultipleFilesExtensionOption::setSuggestedFileNames?
    {60, 778, 526},	// QWebPage::ChooseMultipleFilesExtensionOption::suggestedFileNames
    {60, 847, 528},	// QWebPage::ChooseMultipleFilesExtensionOption::~ChooseMultipleFilesExtensionOption
    {61, 19, 529},	// QWebPage::ChooseMultipleFilesExtensionReturn::ChooseMultipleFilesExtensionReturn
    {61, 20, 530},	// QWebPage::ChooseMultipleFilesExtensionReturn::ChooseMultipleFilesExtensionReturn#
    {61, 350, 531},	// QWebPage::ChooseMultipleFilesExtensionReturn::fileNames
    {61, 674, 532},	// QWebPage::ChooseMultipleFilesExtensionReturn::setFileNames?
    {61, 848, 533},	// QWebPage::ChooseMultipleFilesExtensionReturn::~ChooseMultipleFilesExtensionReturn
    {62, 45, 534},	// QWebPage::ErrorPageExtensionOption::ErrorPageExtensionOption
    {62, 46, 535},	// QWebPage::ErrorPageExtensionOption::ErrorPageExtensionOption#
    {62, 307, 540},	// QWebPage::ErrorPageExtensionOption::domain
    {62, 332, 542},	// QWebPage::ErrorPageExtensionOption::error
    {62, 333, 544},	// QWebPage::ErrorPageExtensionOption::errorString
    {62, 380, 538},	// QWebPage::ErrorPageExtensionOption::frame
    {62, 662, 541},	// QWebPage::ErrorPageExtensionOption::setDomain$
    {62, 666, 543},	// QWebPage::ErrorPageExtensionOption::setError$
    {62, 668, 545},	// QWebPage::ErrorPageExtensionOption::setErrorString$
    {62, 683, 539},	// QWebPage::ErrorPageExtensionOption::setFrame#
    {62, 749, 537},	// QWebPage::ErrorPageExtensionOption::setUrl#
    {62, 826, 536},	// QWebPage::ErrorPageExtensionOption::url
    {62, 849, 546},	// QWebPage::ErrorPageExtensionOption::~ErrorPageExtensionOption
    {63, 47, 547},	// QWebPage::ErrorPageExtensionReturn::ErrorPageExtensionReturn
    {63, 48, 548},	// QWebPage::ErrorPageExtensionReturn::ErrorPageExtensionReturn#
    {63, 248, 553},	// QWebPage::ErrorPageExtensionReturn::baseUrl
    {63, 273, 555},	// QWebPage::ErrorPageExtensionReturn::content
    {63, 274, 549},	// QWebPage::ErrorPageExtensionReturn::contentType
    {63, 329, 551},	// QWebPage::ErrorPageExtensionReturn::encoding
    {63, 644, 554},	// QWebPage::ErrorPageExtensionReturn::setBaseUrl#
    {63, 646, 556},	// QWebPage::ErrorPageExtensionReturn::setContent#
    {63, 652, 550},	// QWebPage::ErrorPageExtensionReturn::setContentType$
    {63, 664, 552},	// QWebPage::ErrorPageExtensionReturn::setEncoding$
    {63, 850, 557},	// QWebPage::ErrorPageExtensionReturn::~ErrorPageExtensionReturn
    {64, 49, 558},	// QWebPage::ExtensionOption::ExtensionOption
    {64, 50, 559},	// QWebPage::ExtensionOption::ExtensionOption#
    {64, 851, 560},	// QWebPage::ExtensionOption::~ExtensionOption
    {65, 51, 561},	// QWebPage::ExtensionReturn::ExtensionReturn
    {65, 52, 562},	// QWebPage::ExtensionReturn::ExtensionReturn#
    {65, 852, 563},	// QWebPage::ExtensionReturn::~ExtensionReturn
    {66, 198, 564},	// QWebPage::ViewportAttributes::ViewportAttributes
    {66, 199, 565},	// QWebPage::ViewportAttributes::ViewportAttributes#
    {66, 302, 570},	// QWebPage::ViewportAttributes::devicePixelRatio
    {66, 418, 567},	// QWebPage::ViewportAttributes::initialScaleFactor
    {66, 427, 571},	// QWebPage::ViewportAttributes::isUserScalable
    {66, 428, 572},	// QWebPage::ViewportAttributes::isValid
    {66, 478, 569},	// QWebPage::ViewportAttributes::maximumScaleFactor
    {66, 486, 568},	// QWebPage::ViewportAttributes::minimumScaleFactor
    {66, 528, 566},	// QWebPage::ViewportAttributes::operator=#
    {66, 767, 573},	// QWebPage::ViewportAttributes::size
    {66, 866, 574},	// QWebPage::ViewportAttributes::~ViewportAttributes
    {68, 146, 590},	// QWebPluginFactory::QWebPluginFactory
    {68, 147, 582},	// QWebPluginFactory::QWebPluginFactory#
    {68, 283, 585},	// QWebPluginFactory::create$#??
    {68, 341, 591},	// QWebPluginFactory::extension$
    {68, 342, 592},	// QWebPluginFactory::extension$#
    {68, 343, 586},	// QWebPluginFactory::extension$##
    {68, 482, 575},	// QWebPluginFactory::metaObject
    {68, 552, 583},	// QWebPluginFactory::plugins
    {68, 570, 581},	// QWebPluginFactory::qt_metacall$$?
    {68, 572, 576},	// QWebPluginFactory::qt_metacast$
    {68, 573, 584},	// QWebPluginFactory::refreshPlugins
    {68, 769, 593},	// QWebPluginFactory::staticMetaObject
    {68, 783, 587},	// QWebPluginFactory::supportsExtension$
    {68, 808, 588},	// QWebPluginFactory::tr$
    {68, 809, 577},	// QWebPluginFactory::tr$$
    {68, 810, 579},	// QWebPluginFactory::tr$$$
    {68, 812, 589},	// QWebPluginFactory::trUtf8$
    {68, 813, 578},	// QWebPluginFactory::trUtf8$$
    {68, 814, 580},	// QWebPluginFactory::trUtf8$$$
    {68, 863, 594},	// QWebPluginFactory::~QWebPluginFactory
    {69, 49, 595},	// QWebPluginFactory::ExtensionOption::ExtensionOption
    {69, 50, 596},	// QWebPluginFactory::ExtensionOption::ExtensionOption#
    {69, 851, 597},	// QWebPluginFactory::ExtensionOption::~ExtensionOption
    {70, 51, 598},	// QWebPluginFactory::ExtensionReturn::ExtensionReturn
    {70, 52, 599},	// QWebPluginFactory::ExtensionReturn::ExtensionReturn#
    {70, 852, 600},	// QWebPluginFactory::ExtensionReturn::~ExtensionReturn
    {71, 83, 603},	// QWebPluginFactory::MimeType::MimeType
    {71, 84, 604},	// QWebPluginFactory::MimeType::MimeType#
    {71, 300, 607},	// QWebPluginFactory::MimeType::description
    {71, 348, 609},	// QWebPluginFactory::MimeType::fileExtensions
    {71, 497, 605},	// QWebPluginFactory::MimeType::name
    {71, 506, 602},	// QWebPluginFactory::MimeType::operator!=#
    {71, 530, 601},	// QWebPluginFactory::MimeType::operator==#
    {71, 660, 608},	// QWebPluginFactory::MimeType::setDescription$
    {71, 672, 610},	// QWebPluginFactory::MimeType::setFileExtensions?
    {71, 702, 606},	// QWebPluginFactory::MimeType::setName$
    {71, 853, 611},	// QWebPluginFactory::MimeType::~MimeType
    {72, 124, 612},	// QWebPluginFactory::Plugin::Plugin
    {72, 125, 613},	// QWebPluginFactory::Plugin::Plugin#
    {72, 300, 616},	// QWebPluginFactory::Plugin::description
    {72, 485, 618},	// QWebPluginFactory::Plugin::mimeTypes
    {72, 497, 614},	// QWebPluginFactory::Plugin::name
    {72, 660, 617},	// QWebPluginFactory::Plugin::setDescription$
    {72, 700, 619},	// QWebPluginFactory::Plugin::setMimeTypes?
    {72, 702, 615},	// QWebPluginFactory::Plugin::setName$
    {72, 854, 620},	// QWebPluginFactory::Plugin::~Plugin
    {73, 149, 633},	// QWebSecurityOrigin::QWebSecurityOrigin#
    {73, 217, 622},	// QWebSecurityOrigin::addLocalScheme$
    {73, 221, 621},	// QWebSecurityOrigin::allOrigins
    {73, 293, 629},	// QWebSecurityOrigin::databaseQuota
    {73, 296, 628},	// QWebSecurityOrigin::databaseUsage
    {73, 297, 632},	// QWebSecurityOrigin::databases
    {73, 410, 626},	// QWebSecurityOrigin::host
    {73, 473, 624},	// QWebSecurityOrigin::localSchemes
    {73, 528, 634},	// QWebSecurityOrigin::operator=#
    {73, 553, 627},	// QWebSecurityOrigin::port
    {73, 587, 623},	// QWebSecurityOrigin::removeLocalScheme$
    {73, 613, 625},	// QWebSecurityOrigin::scheme
    {73, 638, 631},	// QWebSecurityOrigin::setApplicationCacheQuota$
    {73, 654, 630},	// QWebSecurityOrigin::setDatabaseQuota$
    {73, 864, 635},	// QWebSecurityOrigin::~QWebSecurityOrigin
    {74, 1, 699},	// QWebSettings::AcceleratedCompositingEnabled
    {74, 7, 727},	// QWebSettings::AllowThirdPartyWithExistingCookies
    {74, 8, 725},	// QWebSettings::AlwaysAllowThirdPartyCookies
    {74, 9, 726},	// QWebSettings::AlwaysBlockThirdPartyCookies
    {74, 10, 681},	// QWebSettings::AutoLoadImages
    {74, 12, 709},	// QWebSettings::CSSGridLayoutEnabled
    {74, 13, 707},	// QWebSettings::CSSRegionsEnabled
    {74, 14, 711},	// QWebSettings::CaretBrowsingEnabled
    {74, 27, 679},	// QWebSettings::CursiveFont
    {74, 29, 724},	// QWebSettings::DefaultFixedFontSize
    {74, 30, 723},	// QWebSettings::DefaultFontSize
    {74, 31, 715},	// QWebSettings::DefaultFrameIconGraphic
    {74, 34, 717},	// QWebSettings::DeleteButtonGraphic
    {74, 37, 688},	// QWebSettings::DeveloperExtrasEnabled
    {74, 38, 697},	// QWebSettings::DnsPrefetchEnabled
    {74, 53, 680},	// QWebSettings::FantasyFont
    {74, 57, 676},	// QWebSettings::FixedFont
    {74, 59, 703},	// QWebSettings::FrameFlatteningEnabled
    {74, 63, 708},	// QWebSettings::HyperlinkAuditingEnabled
    {74, 67, 718},	// QWebSettings::InputSpeechButtonGraphic
    {74, 73, 683},	// QWebSettings::JavaEnabled
    {74, 74, 687},	// QWebSettings::JavascriptCanAccessClipboard
    {74, 75, 705},	// QWebSettings::JavascriptCanCloseWindows
    {74, 76, 686},	// QWebSettings::JavascriptCanOpenWindows
    {74, 77, 682},	// QWebSettings::JavascriptEnabled
    {74, 78, 689},	// QWebSettings::LinksIncludedInFocusChain
    {74, 79, 701},	// QWebSettings::LocalContentCanAccessFileUrls
    {74, 80, 696},	// QWebSettings::LocalContentCanAccessRemoteUrls
    {74, 81, 695},	// QWebSettings::LocalStorageDatabaseEnabled
    {74, 82, 694},	// QWebSettings::LocalStorageEnabled
    {74, 85, 721},	// QWebSettings::MinimumFontSize
    {74, 86, 722},	// QWebSettings::MinimumLogicalFontSize
    {74, 87, 713},	// QWebSettings::MissingImageGraphic
    {74, 88, 714},	// QWebSettings::MissingPluginGraphic
    {74, 109, 712},	// QWebSettings::NotificationsEnabled
    {74, 110, 692},	// QWebSettings::OfflineStorageDatabaseEnabled
    {74, 111, 693},	// QWebSettings::OfflineWebApplicationCacheEnabled
    {74, 126, 684},	// QWebSettings::PluginsEnabled
    {74, 127, 691},	// QWebSettings::PrintElementBackgrounds
    {74, 128, 685},	// QWebSettings::PrivateBrowsingEnabled
    {74, 162, 678},	// QWebSettings::SansSerifFont
    {74, 163, 710},	// QWebSettings::ScrollAnimatorEnabled
    {74, 165, 719},	// QWebSettings::SearchCancelButtonGraphic
    {74, 166, 720},	// QWebSettings::SearchCancelButtonPressedGraphic
    {74, 180, 677},	// QWebSettings::SerifFont
    {74, 184, 704},	// QWebSettings::SiteSpecificQuirksEnabled
    {74, 185, 700},	// QWebSettings::SpatialNavigationEnabled
    {74, 186, 675},	// QWebSettings::StandardFont
    {74, 189, 716},	// QWebSettings::TextAreaSizeGripCornerGraphic
    {74, 190, 702},	// QWebSettings::TiledBackingStoreEnabled
    {74, 202, 706},	// QWebSettings::WebGLEnabled
    {74, 205, 698},	// QWebSettings::XSSAuditingEnabled
    {74, 206, 690},	// QWebSettings::ZoomTextOnly
    {74, 262, 652},	// QWebSettings::clearIconDatabase
    {74, 263, 669},	// QWebSettings::clearMemoryCaches
    {74, 299, 649},	// QWebSettings::defaultTextEncoding
    {74, 319, 674},	// QWebSettings::enablePersistentStorage
    {74, 320, 670},	// QWebSettings::enablePersistentStorage$
    {74, 372, 638},	// QWebSettings::fontFamily$
    {74, 374, 641},	// QWebSettings::fontSize$
    {74, 389, 636},	// QWebSettings::globalSettings
    {74, 392, 673},	// QWebSettings::handle
    {74, 413, 651},	// QWebSettings::iconDatabasePath
    {74, 415, 653},	// QWebSettings::iconForUrl#
    {74, 474, 668},	// QWebSettings::localStoragePath
    {74, 477, 657},	// QWebSettings::maximumPagesInCache
    {74, 501, 662},	// QWebSettings::offlineStorageDefaultQuota
    {74, 502, 660},	// QWebSettings::offlineStoragePath
    {74, 503, 664},	// QWebSettings::offlineWebApplicationCachePath
    {74, 504, 666},	// QWebSettings::offlineWebApplicationCacheQuota
    {74, 602, 645},	// QWebSettings::resetAttribute$
    {74, 604, 639},	// QWebSettings::resetFontFamily$
    {74, 606, 642},	// QWebSettings::resetFontSize$
    {74, 640, 643},	// QWebSettings::setAttribute$$
    {74, 658, 648},	// QWebSettings::setDefaultTextEncoding$
    {74, 677, 637},	// QWebSettings::setFontFamily$$
    {74, 679, 640},	// QWebSettings::setFontSize$$
    {74, 688, 650},	// QWebSettings::setIconDatabasePath$
    {74, 694, 667},	// QWebSettings::setLocalStoragePath$
    {74, 698, 656},	// QWebSettings::setMaximumPagesInCache$
    {74, 706, 658},	// QWebSettings::setObjectCacheCapacities$$$
    {74, 708, 661},	// QWebSettings::setOfflineStorageDefaultQuota$
    {74, 710, 659},	// QWebSettings::setOfflineStoragePath$
    {74, 712, 663},	// QWebSettings::setOfflineWebApplicationCachePath$
    {74, 714, 665},	// QWebSettings::setOfflineWebApplicationCacheQuota$
    {74, 747, 671},	// QWebSettings::setThirdPartyCookiePolicy$
    {74, 753, 646},	// QWebSettings::setUserStyleSheetUrl#
    {74, 760, 654},	// QWebSettings::setWebGraphic$#
    {74, 790, 644},	// QWebSettings::testAttribute$
    {74, 792, 672},	// QWebSettings::thirdPartyCookiePolicy
    {74, 832, 647},	// QWebSettings::userStyleSheetUrl
    {74, 840, 655},	// QWebSettings::webGraphic$
    {76, 150, 801},	// QWebView::QWebView
    {76, 151, 735},	// QWebView::QWebView#
    {76, 244, 766},	// QWebView::back
    {76, 255, 782},	// QWebView::changeEvent#
    {76, 280, 787},	// QWebView::contextMenuEvent#
    {76, 288, 781},	// QWebView::createWindow$
    {76, 311, 791},	// QWebView::dragEnterEvent#
    {76, 313, 792},	// QWebView::dragLeaveEvent#
    {76, 315, 793},	// QWebView::dragMoveEvent#
    {76, 317, 794},	// QWebView::dropEvent#
    {76, 337, 764},	// QWebView::event#
    {76, 360, 809},	// QWebView::findText$
    {76, 361, 763},	// QWebView::findText$$
    {76, 365, 795},	// QWebView::focusInEvent#
    {76, 367, 798},	// QWebView::focusNextPrevChild$
    {76, 369, 796},	// QWebView::focusOutEvent#
    {76, 375, 767},	// QWebView::forward
    {76, 401, 748},	// QWebView::hasSelection
    {76, 405, 742},	// QWebView::history
    {76, 411, 747},	// QWebView::icon
    {76, 412, 777},	// QWebView::iconChanged
    {76, 420, 797},	// QWebView::inputMethodEvent#
    {76, 422, 754},	// QWebView::inputMethodQuery$
    {76, 425, 753},	// QWebView::isModified
    {76, 445, 789},	// QWebView::keyPressEvent#
    {76, 447, 790},	// QWebView::keyReleaseEvent#
    {76, 454, 775},	// QWebView::linkClicked#
    {76, 464, -4},	// QWebView::load#
    {76, 465, 803},	// QWebView::load#$
    {76, 466, 739},	// QWebView::load#$#
    {76, 468, 772},	// QWebView::loadFinished$
    {76, 470, 771},	// QWebView::loadProgress$
    {76, 471, 770},	// QWebView::loadStarted
    {76, 482, 728},	// QWebView::metaObject
    {76, 489, 785},	// QWebView::mouseDoubleClickEvent#
    {76, 491, 783},	// QWebView::mouseMoveEvent#
    {76, 493, 784},	// QWebView::mousePressEvent#
    {76, 495, 786},	// QWebView::mouseReleaseEvent#
    {76, 539, 736},	// QWebView::page
    {76, 541, 751},	// QWebView::pageAction$
    {76, 545, 780},	// QWebView::paintEvent#
    {76, 565, 769},	// QWebView::print#
    {76, 570, 734},	// QWebView::qt_metacall$$?
    {76, 572, 729},	// QWebView::qt_metacast$
    {76, 574, 768},	// QWebView::reload
    {76, 593, 760},	// QWebView::renderHints
    {76, 608, 779},	// QWebView::resizeEvent#
    {76, 632, 750},	// QWebView::selectedHtml
    {76, 633, 749},	// QWebView::selectedText
    {76, 634, 776},	// QWebView::selectionChanged
    {76, 646, 805},	// QWebView::setContent#
    {76, 647, 806},	// QWebView::setContent#$
    {76, 648, 741},	// QWebView::setContent#$#
    {76, 685, 804},	// QWebView::setHtml$
    {76, 686, 740},	// QWebView::setHtml$#
    {76, 718, 737},	// QWebView::setPage#
    {76, 730, 808},	// QWebView::setRenderHint$
    {76, 731, 762},	// QWebView::setRenderHint$$
    {76, 733, 761},	// QWebView::setRenderHints$
    {76, 745, 758},	// QWebView::setTextSizeMultiplier$
    {76, 749, 745},	// QWebView::setUrl#
    {76, 762, 757},	// QWebView::setZoomFactor$
    {76, 763, 743},	// QWebView::settings
    {76, 768, 755},	// QWebView::sizeHint
    {76, 769, 810},	// QWebView::staticMetaObject
    {76, 771, 774},	// QWebView::statusBarMessage$
    {76, 774, 765},	// QWebView::stop
    {76, 791, 759},	// QWebView::textSizeMultiplier
    {76, 794, 744},	// QWebView::title
    {76, 796, 773},	// QWebView::titleChanged$
    {76, 808, 799},	// QWebView::tr$
    {76, 809, 730},	// QWebView::tr$$
    {76, 810, 732},	// QWebView::tr$$$
    {76, 812, 800},	// QWebView::trUtf8$
    {76, 813, 731},	// QWebView::trUtf8$$
    {76, 814, 733},	// QWebView::trUtf8$$$
    {76, 819, 807},	// QWebView::triggerPageAction$
    {76, 820, 752},	// QWebView::triggerPageAction$$
    {76, 826, 746},	// QWebView::url
    {76, 828, 778},	// QWebView::urlChanged#
    {76, 842, 788},	// QWebView::wheelEvent#
    {76, 846, 756},	// QWebView::zoomFactor
    {76, 865, 811},	// QWebView::~QWebView
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *qtwebkit_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtwebkit_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    qtwebkit_Smoke = new Smoke(
        "qtwebkit",
        __smokeqtwebkit::classes, 78,
        __smokeqtwebkit::methods, 852,
        __smokeqtwebkit::methodMaps, 801,
        __smokeqtwebkit::methodNames, 868,
        __smokeqtwebkit::types, 260,
        __smokeqtwebkit::inheritanceList,
        __smokeqtwebkit::argumentList,
        __smokeqtwebkit::ambiguousMethodList,
        __smokeqtwebkit::cast );
    initialized = true;
}

void delete_qtwebkit_Smoke() { delete qtwebkit_Smoke; }

}
